////
//  
//  Trade secret of ATI Technologies, Inc.
//  Copyright 2001, ATI Technologies, Inc., (unpublished)
//
//  All rights reserved.  This notice is intended as a precaution against
//  inadvertent publication and does not imply publication or any waiver
//  of confidentiality.  The year included in the foregoing notice is the
//  year of creation of the work.
//
//
////
////
//
// The models in this file are intended to use custom (combo) cells
// generated expressly for Rx350. They serve as wrappers and are to
// be don't_touched thru' the rtl synthesis and netlists flo
//
////
`timescale 1ps/1ps
`include "rtllib_features.vh"
// cell originally in aticlk.v
module aticlk_mux2(
   // Outputs
   clk_o, 
   // Inputs
   clk_i, 
   sel
   );
   input [1:0] clk_i;
   input sel;
   output clk_o;
   parameter FPGA_CLK_SEL = 0;
`ifdef SYNTHESIS
// FIXME : need CK type
   HDBLVT08_MRKMUX2_CKY2_4 d0nt_mux(
                .CLK1(clk_i[0]),
                .CLK2(clk_i[1]),
                .CLKSEL(sel),
                .Z(clk_o));
 `else
   assign clk_o = sel ? clk_i[1] : clk_i[0];
 `endif // !`ifdef SYNTHESIS
endmodule // aticlk_mux2
