
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  
//`include "scan_cntl_features.vh"



module byp_scm_segment_tdr_gc10 
# (
   parameter TILE_SCAN_CHANNEL_WIDTH = 1
  )
( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> BYP_SCM_SEGMENT
 ,output wire [TILE_SCAN_CHANNEL_WIDTH-1:0] bypass_scm_segment
 ,input Tdr_byp_scm_segment_En
 ,output Tdr_byp_scm_segment_Tdo
); // End of Port Declaration

///// START TDR_INST - BYP_SCM_SEGMENT /////

   localparam BYP_SCM_SEGMENT__WIDTH = TILE_SCAN_CHANNEL_WIDTH+0;
   wire [BYP_SCM_SEGMENT__WIDTH-1:0]	BYP_SCM_SEGMENT;
   wire [BYP_SCM_SEGMENT__WIDTH-1:0]	BYP_SCM_SEGMENT__DEFAULT;  

	//BYP_SCM_SEGMENT - TILE_SCAN_CHANNEL_WIDTH-1:0

   localparam  BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__WIDTH  = TILE_SCAN_CHANNEL_WIDTH;
   localparam [BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__WIDTH-1:0] BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__DEFAULT  = 'h0;
   

   localparam  BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__MSB  = TILE_SCAN_CHANNEL_WIDTH-1;
   localparam  BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__LSB  = 0;
   

   assign BYP_SCM_SEGMENT__DEFAULT
                 [BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__MSB : 
                  BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__LSB] =  
		  BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__DEFAULT;
   

  ati_buffer1 mrk_byp_scm_segment_bypass_scm_segment[BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__WIDTH-1:0] 
  (
    .A(BYP_SCM_SEGMENT
      [BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__MSB :
       BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__LSB
      ]),    
    .Y(bypass_scm_segment[BYP_SCM_SEGMENT_BYPASS_SCM_SEGMENT__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(BYP_SCM_SEGMENT__WIDTH)
   reg_BYP_SCM_SEGMENT (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_byp_scm_segment_En),
                           .shift(Tdr_Shift & Tdr_byp_scm_segment_En),
                           .capture(Tdr_Capture & Tdr_byp_scm_segment_En),
                           .update(Tdr_Update & Tdr_byp_scm_segment_En),
                           .d_rst(BYP_SCM_SEGMENT__DEFAULT),
                           .q(BYP_SCM_SEGMENT),
                           .d(BYP_SCM_SEGMENT),
                           .si(Tdr_Tdi),
                           .so(Tdr_byp_scm_segment_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - BYP_SCM_SEGMENT /////
endmodule
