
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module clk_obs_tdr ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> CLK_OBS
 ,output wire [1-1:0] byp_dfs
 ,output wire [5-1:0] divider
 ,output wire [3-1:0] sel_clk_0
 ,output wire [3-1:0] sel_clk_1
 ,output wire [1-1:0] sel_clk_out
 ,output wire [1-1:0] sel_daisy_clk
 ,input Tdr_clk_obs_En
 ,output Tdr_clk_obs_Tdo
); // End of Port Declaration

///// START TDR_INST - CLK_OBS /////

   localparam CLK_OBS__WIDTH = 14;
   wire [CLK_OBS__WIDTH-1:0]	CLK_OBS;
   wire [CLK_OBS__WIDTH-1:0]	CLK_OBS__DEFAULT;  

	//CLK_OBS - 13:13

   localparam  CLK_OBS_BYP_DFS__WIDTH  = 1;
   localparam [CLK_OBS_BYP_DFS__WIDTH-1:0] CLK_OBS_BYP_DFS__DEFAULT  = 'h0;
   

   localparam  CLK_OBS_BYP_DFS__MSB  = 13;
   localparam  CLK_OBS_BYP_DFS__LSB  = 13;
   

   assign CLK_OBS__DEFAULT
                 [CLK_OBS_BYP_DFS__MSB : 
                  CLK_OBS_BYP_DFS__LSB] =  
		  CLK_OBS_BYP_DFS__DEFAULT;
   

  ati_buffer1 mrk_clk_obs_byp_dfs[CLK_OBS_BYP_DFS__WIDTH-1:0] 
  (
    .A(CLK_OBS
      [CLK_OBS_BYP_DFS__MSB :
       CLK_OBS_BYP_DFS__LSB
      ]),    
    .Y(byp_dfs[CLK_OBS_BYP_DFS__WIDTH-1:0])
  );


	//CLK_OBS - 4:0

   localparam  CLK_OBS_DIVIDER__WIDTH  = 5;
   localparam [CLK_OBS_DIVIDER__WIDTH-1:0] CLK_OBS_DIVIDER__DEFAULT  = 'h0;
   

   localparam  CLK_OBS_DIVIDER__MSB  = 4;
   localparam  CLK_OBS_DIVIDER__LSB  = 0;
   

   assign CLK_OBS__DEFAULT
                 [CLK_OBS_DIVIDER__MSB : 
                  CLK_OBS_DIVIDER__LSB] =  
		  CLK_OBS_DIVIDER__DEFAULT;
   

  ati_buffer1 mrk_clk_obs_divider[CLK_OBS_DIVIDER__WIDTH-1:0] 
  (
    .A(CLK_OBS
      [CLK_OBS_DIVIDER__MSB :
       CLK_OBS_DIVIDER__LSB
      ]),    
    .Y(divider[CLK_OBS_DIVIDER__WIDTH-1:0])
  );


	//CLK_OBS - 7:5

   localparam  CLK_OBS_SEL_CLK_0__WIDTH  = 3;
   localparam [CLK_OBS_SEL_CLK_0__WIDTH-1:0] CLK_OBS_SEL_CLK_0__DEFAULT  = 'h0;
   

   localparam  CLK_OBS_SEL_CLK_0__MSB  = 7;
   localparam  CLK_OBS_SEL_CLK_0__LSB  = 5;
   

   assign CLK_OBS__DEFAULT
                 [CLK_OBS_SEL_CLK_0__MSB : 
                  CLK_OBS_SEL_CLK_0__LSB] =  
		  CLK_OBS_SEL_CLK_0__DEFAULT;
   

  ati_buffer1 mrk_clk_obs_sel_clk_0[CLK_OBS_SEL_CLK_0__WIDTH-1:0] 
  (
    .A(CLK_OBS
      [CLK_OBS_SEL_CLK_0__MSB :
       CLK_OBS_SEL_CLK_0__LSB
      ]),    
    .Y(sel_clk_0[CLK_OBS_SEL_CLK_0__WIDTH-1:0])
  );


	//CLK_OBS - 10:8

   localparam  CLK_OBS_SEL_CLK_1__WIDTH  = 3;
   localparam [CLK_OBS_SEL_CLK_1__WIDTH-1:0] CLK_OBS_SEL_CLK_1__DEFAULT  = 'h0;
   

   localparam  CLK_OBS_SEL_CLK_1__MSB  = 10;
   localparam  CLK_OBS_SEL_CLK_1__LSB  = 8;
   

   assign CLK_OBS__DEFAULT
                 [CLK_OBS_SEL_CLK_1__MSB : 
                  CLK_OBS_SEL_CLK_1__LSB] =  
		  CLK_OBS_SEL_CLK_1__DEFAULT;
   

  ati_buffer1 mrk_clk_obs_sel_clk_1[CLK_OBS_SEL_CLK_1__WIDTH-1:0] 
  (
    .A(CLK_OBS
      [CLK_OBS_SEL_CLK_1__MSB :
       CLK_OBS_SEL_CLK_1__LSB
      ]),    
    .Y(sel_clk_1[CLK_OBS_SEL_CLK_1__WIDTH-1:0])
  );


	//CLK_OBS - 12:12

   localparam  CLK_OBS_SEL_CLK_OUT__WIDTH  = 1;
   localparam [CLK_OBS_SEL_CLK_OUT__WIDTH-1:0] CLK_OBS_SEL_CLK_OUT__DEFAULT  = 'h0;
   

   localparam  CLK_OBS_SEL_CLK_OUT__MSB  = 12;
   localparam  CLK_OBS_SEL_CLK_OUT__LSB  = 12;
   

   assign CLK_OBS__DEFAULT
                 [CLK_OBS_SEL_CLK_OUT__MSB : 
                  CLK_OBS_SEL_CLK_OUT__LSB] =  
		  CLK_OBS_SEL_CLK_OUT__DEFAULT;
   

  ati_buffer1 mrk_clk_obs_sel_clk_out[CLK_OBS_SEL_CLK_OUT__WIDTH-1:0] 
  (
    .A(CLK_OBS
      [CLK_OBS_SEL_CLK_OUT__MSB :
       CLK_OBS_SEL_CLK_OUT__LSB
      ]),    
    .Y(sel_clk_out[CLK_OBS_SEL_CLK_OUT__WIDTH-1:0])
  );


	//CLK_OBS - 11:11

   localparam  CLK_OBS_SEL_DAISY_CLK__WIDTH  = 1;
   localparam [CLK_OBS_SEL_DAISY_CLK__WIDTH-1:0] CLK_OBS_SEL_DAISY_CLK__DEFAULT  = 'h0;
   

   localparam  CLK_OBS_SEL_DAISY_CLK__MSB  = 11;
   localparam  CLK_OBS_SEL_DAISY_CLK__LSB  = 11;
   

   assign CLK_OBS__DEFAULT
                 [CLK_OBS_SEL_DAISY_CLK__MSB : 
                  CLK_OBS_SEL_DAISY_CLK__LSB] =  
		  CLK_OBS_SEL_DAISY_CLK__DEFAULT;
   

  ati_buffer1 mrk_clk_obs_sel_daisy_clk[CLK_OBS_SEL_DAISY_CLK__WIDTH-1:0] 
  (
    .A(CLK_OBS
      [CLK_OBS_SEL_DAISY_CLK__MSB :
       CLK_OBS_SEL_DAISY_CLK__LSB
      ]),    
    .Y(sel_daisy_clk[CLK_OBS_SEL_DAISY_CLK__WIDTH-1:0])
  );





   test_reg_async_rst
     #(CLK_OBS__WIDTH)
   reg_CLK_OBS (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_clk_obs_En),
                           .shift(Tdr_Shift & Tdr_clk_obs_En),
                           .capture(Tdr_Capture & Tdr_clk_obs_En),
                           .update(Tdr_Update & Tdr_clk_obs_En),
                           .d_rst(CLK_OBS__DEFAULT),
                           .q(CLK_OBS),
                           .d(CLK_OBS),
                           .si(Tdr_Tdi),
                           .so(Tdr_clk_obs_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - CLK_OBS /////
endmodule
