/////////////////////////////////////////////////////////////////////////////
// File Name: mrk_or
// Description: OR gate 
/////////////////////////////////////////////////////////////////////////////
  module dfx_mrk_or_gc10(
   output wire    Y,
   input wire A,
   input wire B
   );
   
   /////////////////////////////////////////////////////////////////////////////
   
  // use a mrk_buffer so it's easy to make constraints
  // DECDFXIP40-518 -- replace with technology cells.
  wire  A_in, B_in;
  ati_buffer1 mrk_buf_in_A (.A(A), .Y(A_in) );
  ati_buffer1 mrk_buf_in_B (.A(B), .Y(B_in) );
  assign Y = A_in | B_in;
  



   
endmodule
