//                              -*- Mode: Verilog -*-
// NOTE: need to open or re-open for the following to work right
// p4 edit   -t +k fuse_if_tdr.v.dpl
// p4 reopen -t +k fuse_if_tdr.v.dpl
//
// Perforce File         : : //sysip/dfx/dfx-4/4.1/branches/dfxip4_gfxip_gfx10/fuse_if/src/rtl/fuse_if_tdr.v.dpl n// Perforce revision     : : #2 n// Perforce changelist   : : 2885168 n// Perforce date         : : 2017/06/27 n// Perforce Author       : : couyang n//
// Copyright             : Trade secret of ATI Technologies, Inc.
//                         Copyright 2001-2002, ATI Technologies, Inc., (unpublished)
//                         All rights reserved.  This notice is intended as a precaution against
//                         inadvertent publication and does not imply publication or any waiver
//                         of confidentiality.  The year included in the foregoing notice is the
//                         year of creation of the work.
//
// Description           : fuse_if tdr
//
// =========================================================================================================
// Could have generate this using the script:
//  perl /dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl -odt_file  -module_name fuse_if_setup    -parse_table FUSE_IF_SETUP
//  But this is manually hacked version based on that output
// =========================================================================================================
// Making this .dpl, hoping that this file can be generated using info in /fuse_if/src/meta/sigdata/dft/sgxml/fuse_if_A0.sgxml
//  hoping to reduce redundant information
// =========================================================================================================

// Defined in meta/tools/comp_config.pm
// <FUSE_IF_STATUS> ---------------------------------------------------------------------------- begin
`define FUSE_IF_STATUS__WIDTH_GC10                                                33
`define FUSE_IF_STATUS_FUSE_IF_READ_CONFIG_MODE__WIDTH_GC10                        1
`define FUSE_IF_STATUS_FUSE_IF_INFO__WIDTH_GC10                                   32

// setup *__LSB
`define FUSE_IF_STATUS_FUSE_IF_READ_CONFIG_MODE__LSB_GC10                         32
`define FUSE_IF_STATUS_FUSE_IF_INFO__LSB_GC10                                      0

// setup *__MSB
`define FUSE_IF_STATUS_FUSE_IF_READ_CONFIG_MODE__MSB_GC10                         32
`define FUSE_IF_STATUS_FUSE_IF_INFO__MSB_GC10                                     31

// setup *__RNG
`define FUSE_IF_STATUS_FUSE_IF_READ_CONFIG_MODE__RNG_GC10                         32
`define FUSE_IF_STATUS_FUSE_IF_INFO__RNG_GC10                                 31 : 0

// setup *__DEFAULT
`define FUSE_IF_STATUS_FUSE_IF_READ_CONFIG_MODE__DEFAULT_GC10              { 1 {1'b0}}
`define FUSE_IF_STATUS_FUSE_IF_INFO__DEFAULT_GC10                          {32 {1'b0}}
`define FUSE_IF_STATUS__DEFAULT_GC10     { { 1 {1'b0}}, {32 {1'b0}} }
// <FUSE_IF_STATUS> ------------------------------------------------------------------------------ end
// <FUSE_IF_SETUP> ---------------------------------------------------------------------------- begin
`define FUSE_IF_SETUP__WIDTH_GC10                                            35
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_FORCE__WIDTH_GC10                        1
`define FUSE_IF_SETUP_FUSE_IF_RUN_MBIST__WIDTH_GC10                           1
`define FUSE_IF_SETUP_FUSE_IF_RESET_MBIST__WIDTH_GC10                         1
`define FUSE_IF_SETUP_FUSE_IF_RESERVE__WIDTH_GC10                             1
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_VALUE__WIDTH_GC10                       29
`define FUSE_IF_SETUP_FUSE_IF_READ_CONFIG__WIDTH_GC10                         1
`define FUSE_IF_SETUP_FUSE_IF_BURN_IN_MODE__WIDTH_GC10                        1

// setup *__LSB
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_FORCE__LSB_GC10                         34
`define FUSE_IF_SETUP_FUSE_IF_RUN_MBIST__LSB_GC10                            33
`define FUSE_IF_SETUP_FUSE_IF_RESET_MBIST__LSB_GC10                          32
`define FUSE_IF_SETUP_FUSE_IF_RESERVE__LSB_GC10                              31
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_VALUE__LSB_GC10                          2
`define FUSE_IF_SETUP_FUSE_IF_READ_CONFIG__LSB_GC10                           1
`define FUSE_IF_SETUP_FUSE_IF_BURN_IN_MODE__LSB_GC10                          0

// setup *__MSB
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_FORCE__MSB_GC10                         34
`define FUSE_IF_SETUP_FUSE_IF_RUN_MBIST__MSB_GC10                            33
`define FUSE_IF_SETUP_FUSE_IF_RESET_MBIST__MSB_GC10                          32
`define FUSE_IF_SETUP_FUSE_IF_RESERVE__MSB_GC10                              31
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_VALUE__MSB_GC10                         30
`define FUSE_IF_SETUP_FUSE_IF_READ_CONFIG__MSB_GC10                           1
`define FUSE_IF_SETUP_FUSE_IF_BURN_IN_MODE__MSB_GC10                          0

// setup *__RNG
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_FORCE__RNG_GC10                         34
`define FUSE_IF_SETUP_FUSE_IF_RUN_MBIST__RNG_GC10                            33
`define FUSE_IF_SETUP_FUSE_IF_RESET_MBIST__RNG_GC10                          32
`define FUSE_IF_SETUP_FUSE_IF_RESERVE__RNG_GC10                              31
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_VALUE__RNG_GC10                     30 : 2
`define FUSE_IF_SETUP_FUSE_IF_READ_CONFIG__RNG_GC10                           1
`define FUSE_IF_SETUP_FUSE_IF_BURN_IN_MODE__RNG_GC10                          0

// setup *__DEFAULT
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_FORCE__DEFAULT_GC10              { 1 {1'b0}}
`define FUSE_IF_SETUP_FUSE_IF_RUN_MBIST__DEFAULT_GC10                 { 1 {1'b0}}
`define FUSE_IF_SETUP_FUSE_IF_RESET_MBIST__DEFAULT_GC10               { 1 {1'b0}}
`define FUSE_IF_SETUP_FUSE_IF_RESERVE__DEFAULT_GC10                   { 1 {1'b0}}
`define FUSE_IF_SETUP_FUSE_IF_CONFIG_VALUE__DEFAULT_GC10              {29 {1'b0}}
`define FUSE_IF_SETUP_FUSE_IF_READ_CONFIG__DEFAULT_GC10               { 1 {1'b0}}
`define FUSE_IF_SETUP_FUSE_IF_BURN_IN_MODE__DEFAULT_GC10              { 1 {1'b0}}
`define FUSE_IF_SETUP__DEFAULT_GC10     { { 1 {1'b0}}, { 1 {1'b0}}, { 1 {1'b0}}, { 1 {1'b0}}, {29 {1'b0}}, { 1 {1'b0}}, { 1 {1'b0}} }
// <FUSE_IF_SETUP> ------------------------------------------------------------------------------ end
// <FUSE_IF_ATE_MODE> ---------------------------------------------------------------------------- begin
`define FUSE_IF_ATE_MODE__WIDTH_GC10                                         1
`define FUSE_IF_ATE_MODE_FUSE_IF_ATE_MODE__WIDTH_GC10                        1

// setup *__LSB
`define FUSE_IF_ATE_MODE_FUSE_IF_ATE_MODE__LSB_GC10                          0

// setup *__MSB
`define FUSE_IF_ATE_MODE_FUSE_IF_ATE_MODE__MSB_GC10                          0

// setup *__RNG
`define FUSE_IF_ATE_MODE_FUSE_IF_ATE_MODE__RNG_GC10                          0

// setup *__DEFAULT
`define FUSE_IF_ATE_MODE_FUSE_IF_ATE_MODE__DEFAULT_GC10              { 1 {1'b0}}
`define FUSE_IF_ATE_MODE__DEFAULT_GC10     { { 1 {1'b0}} }
// <FUSE_IF_ATE_MODE> ------------------------------------------------------------------------------ end
// =========================================================================================================

// <FUSE_IF_STATUS> ---------------------------------------------------------------------------- begin
module fuse_if_status_tdr_gc10 (
   //Broadcast to All TDRs
   Tdr_Tck     ,
   Tdr_Tdi     ,
   Tdr_Shift   ,
   Tdr_Capture ,

   // TDR --> FUSE_IF_STATUS
   fuse_if_read_config_mode         ,
   fuse_if_info                     ,

   Tdr_fuse_if_status_En ,
   Tdr_fuse_if_status_Tdo
); // End of Port List
//Broadcast to All TDRs
input               Tdr_Tck     ;
input               Tdr_Tdi     ;
input               Tdr_Shift   ;
input               Tdr_Capture ;

// TDR --> FUSE_IF_STATUS
input               fuse_if_read_config_mode             ;
input       [ 31:0] fuse_if_info                         ;

input               Tdr_fuse_if_status_En ;
output wire         Tdr_fuse_if_status_Tdo;
// End of Port Declaration

   wire [`FUSE_IF_STATUS__WIDTH_GC10-1:0] FUSE_IF_STATUS;
   wire unused_reg_FUSE_IF_STATUS0;
   wire [`FUSE_IF_STATUS__WIDTH_GC10-1:0] unused_reg_FUSE_IF_STATUS1;
   wire Tdr_Capture_en;
   assign Tdr_Capture_en = Tdr_Capture & Tdr_fuse_if_status_En;

   test_shift_reg_gc10
     #(`FUSE_IF_STATUS__WIDTH_GC10)
       reg_FUSE_IF_STATUS (
                                .clk      (Tdr_Tck),
                                .en       (Tdr_fuse_if_status_En),
                                .shift    (Tdr_Shift & Tdr_fuse_if_status_En),
                                .capture  (Tdr_Capture_en),
                                .q        (unused_reg_FUSE_IF_STATUS0),
                                .d        (FUSE_IF_STATUS[`FUSE_IF_STATUS__WIDTH_GC10-1:0]),
                                .si       (Tdr_Tdi),
                                .so       (Tdr_fuse_if_status_Tdo),
                                .q_posedge(unused_reg_FUSE_IF_STATUS1[`FUSE_IF_STATUS__WIDTH_GC10-1:0])
                                 );

  // We set DestClkCnt to 1 because we assume source clock is faster, and the usage mode requires that data be static when we use this register
   techind_cdcefpm #(.size (`FUSE_IF_STATUS_FUSE_IF_READ_CONFIG_MODE__WIDTH_GC10), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_read_config_mode         ( .A(fuse_if_read_config_mode               ), .EN(Tdr_Capture_en), .DSTCLK(Tdr_Tck), .Z(FUSE_IF_STATUS[`FUSE_IF_STATUS_FUSE_IF_READ_CONFIG_MODE__RNG_GC10]));
   techind_cdcefpm #(.size (`FUSE_IF_STATUS_FUSE_IF_INFO__WIDTH_GC10           ), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_info                     ( .A(fuse_if_info                    [ 31:0]), .EN(Tdr_Capture_en), .DSTCLK(Tdr_Tck), .Z(FUSE_IF_STATUS[`FUSE_IF_STATUS_FUSE_IF_INFO__RNG_GC10           ]));

//! unused unused_reg_FUSE_IF_STATUS0
//! unused unused_reg_FUSE_IF_STATUS1
endmodule // fuse_if_status_tdr
// <FUSE_IF_STATUS> ------------------------------------------------------------------------------ end

// <FUSE_IF_SETUP> ---------------------------------------------------------------------------- begin
module fuse_if_setup_tdr_gc10 (
   ipclk       , // not used here, just for CDCBUF
   cdce        , // used for cdcbufen
   //Broadcast to All TDRs
   Tdr_Tck     ,
   Tdr_Trstb   ,
   Tdr_Tdi     ,
   Tdr_Shift   ,
   Tdr_Update  ,
   Tdr_Capture ,

   // TDR --> FUSE_IF_SETUP
   fuse_if_config_force         ,
   fuse_if_run_mbist            ,
   fuse_if_reset_mbist          ,
   fuse_if_reserve              ,
   fuse_if_config_value         ,
   fuse_if_read_config          ,
   fuse_if_burn_in_mode         ,

   Tdr_fuse_if_setup_En ,
   Tdr_fuse_if_setup_Tdo
); // End of Port List
input               ipclk       ; // not used here, just for CDCBUF
input               cdce        ; // used for cdcbufen
//Broadcast to All TDRs
input               Tdr_Tck     ;
input               Tdr_Trstb   ;
input               Tdr_Tdi     ;
input               Tdr_Shift   ;
input               Tdr_Update  ;
input               Tdr_Capture ;

// TDR --> FUSE_IF_SETUP
output wire         fuse_if_config_force             ;
output wire         fuse_if_run_mbist                ;
output wire         fuse_if_reset_mbist              ;
output wire         fuse_if_reserve                  ;
output wire [ 28:0] fuse_if_config_value             ;
output wire         fuse_if_read_config              ;
output wire         fuse_if_burn_in_mode             ;

input               Tdr_fuse_if_setup_En ;
output wire         Tdr_fuse_if_setup_Tdo;
// End of Port Declaration

   wire [`FUSE_IF_SETUP__WIDTH_GC10-1:0] FUSE_IF_SETUP;
   wire unused_reg_FUSE_IF_SETUP0;
   wire [`FUSE_IF_SETUP__WIDTH_GC10-1:0] unused_reg_FUSE_IF_SETUP1;

   techind_cdcefpm #(.size (`FUSE_IF_SETUP_FUSE_IF_CONFIG_FORCE__WIDTH_GC10), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_config_force         ( .A(FUSE_IF_SETUP[`FUSE_IF_SETUP_FUSE_IF_CONFIG_FORCE__RNG_GC10]), .EN(cdce), .DSTCLK(ipclk), .Z(fuse_if_config_force               ));
   techind_cdcefpm #(.size (`FUSE_IF_SETUP_FUSE_IF_RUN_MBIST__WIDTH_GC10  ), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_run_mbist            ( .A(FUSE_IF_SETUP[`FUSE_IF_SETUP_FUSE_IF_RUN_MBIST__RNG_GC10  ]), .EN(cdce), .DSTCLK(ipclk), .Z(fuse_if_run_mbist                  ));
   techind_cdcefpm #(.size (`FUSE_IF_SETUP_FUSE_IF_RESET_MBIST__WIDTH_GC10), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_reset_mbist          ( .A(FUSE_IF_SETUP[`FUSE_IF_SETUP_FUSE_IF_RESET_MBIST__RNG_GC10]), .EN(cdce), .DSTCLK(ipclk), .Z(fuse_if_reset_mbist                ));
   techind_cdcefpm #(.size (`FUSE_IF_SETUP_FUSE_IF_RESERVE__WIDTH_GC10    ), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_reserve              ( .A(FUSE_IF_SETUP[`FUSE_IF_SETUP_FUSE_IF_RESERVE__RNG_GC10    ]), .EN(cdce), .DSTCLK(ipclk), .Z(fuse_if_reserve                    ));
   techind_cdcefpm #(.size (`FUSE_IF_SETUP_FUSE_IF_CONFIG_VALUE__WIDTH_GC10), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_config_value         ( .A(FUSE_IF_SETUP[`FUSE_IF_SETUP_FUSE_IF_CONFIG_VALUE__RNG_GC10]), .EN(cdce), .DSTCLK(ipclk), .Z(fuse_if_config_value        [ 28:0]));
   techind_cdcefpm #(.size (`FUSE_IF_SETUP_FUSE_IF_READ_CONFIG__WIDTH_GC10), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_read_config          ( .A(FUSE_IF_SETUP[`FUSE_IF_SETUP_FUSE_IF_READ_CONFIG__RNG_GC10]), .EN(cdce), .DSTCLK(ipclk), .Z(fuse_if_read_config                ));
   techind_cdcefpm #(.size (`FUSE_IF_SETUP_FUSE_IF_BURN_IN_MODE__WIDTH_GC10), .applyParams(1), .DestClkCnt(3), .CdcDestSetup(0))  mrk_fuse_if_burn_in_mode         ( .A(FUSE_IF_SETUP[`FUSE_IF_SETUP_FUSE_IF_BURN_IN_MODE__RNG_GC10]), .EN(cdce), .DSTCLK(ipclk), .Z(fuse_if_burn_in_mode               ));

   test_reg_async_rst_gc10
    #(`FUSE_IF_SETUP__WIDTH_GC10)
      reg_FUSE_IF_SETUP (
                                .clk         (Tdr_Tck),
                                .rstb        (Tdr_Trstb),
                                .en          (Tdr_fuse_if_setup_En),
                                .shift       (Tdr_Shift   & Tdr_fuse_if_setup_En),
                                .capture     (Tdr_Capture & Tdr_fuse_if_setup_En),
                                .update      (Tdr_Update  & Tdr_fuse_if_setup_En),
                                .d_rst       (`FUSE_IF_SETUP__DEFAULT_GC10),
                                .q           (FUSE_IF_SETUP[`FUSE_IF_SETUP__WIDTH_GC10-1:0]),
                                .d           (FUSE_IF_SETUP[`FUSE_IF_SETUP__WIDTH_GC10-1:0]),
                                .si          (Tdr_Tdi),
                                .so          (Tdr_fuse_if_setup_Tdo),
                                .q_sr        (unused_reg_FUSE_IF_SETUP0),
                                .q_sr_posedge(unused_reg_FUSE_IF_SETUP1[`FUSE_IF_SETUP__WIDTH_GC10-1:0]) 
                                );

//! unused unused_reg_FUSE_IF_SETUP0
//! unused unused_reg_FUSE_IF_SETUP1
endmodule // fuse_if_setup_tdr
// <FUSE_IF_SETUP> ------------------------------------------------------------------------------ end

// <FUSE_IF_ATE_MODE> ---------------------------------------------------------------------------- begin
module fuse_if_ate_mode_tdr_gc10 (
   ipclk       , // not used here, just for CDCBUF
   cdce        , // used for cdcbufen
   //Broadcast to All TDRs
   Tdr_Tck     ,
   Tdr_Trstb   ,
   Tdr_Tdi     ,
   Tdr_Shift   ,
   Tdr_Update  ,
   Tdr_Capture ,

   // TDR --> FUSE_IF_ATE_MODE
   fuse_if_ate_mode_tck     ,

   Tdr_fuse_if_ate_mode_En ,
   Tdr_fuse_if_ate_mode_Tdo
); // End of Port List
input               ipclk       ; // not used here, just for CDCBUF
input               cdce        ; // used for cdcbufen
//Broadcast to All TDRs
input               Tdr_Tck     ;
input               Tdr_Trstb   ;
input               Tdr_Tdi     ;
input               Tdr_Shift   ;
input               Tdr_Update  ;
input               Tdr_Capture ;

// TDR --> FUSE_IF_ATE_MODE
output wire         fuse_if_ate_mode_tck         ;

input               Tdr_fuse_if_ate_mode_En ;
output wire         Tdr_fuse_if_ate_mode_Tdo;
// End of Port Declaration

   wire [`FUSE_IF_ATE_MODE__WIDTH_GC10-1:0] FUSE_IF_ATE_MODE;
   wire unused_reg_FUSE_IF_ATE_MODE0;
   wire [`FUSE_IF_ATE_MODE__WIDTH_GC10-1:0] unused_reg_FUSE_IF_ATE_MODE1;

   assign fuse_if_ate_mode_tck            = FUSE_IF_ATE_MODE[`FUSE_IF_ATE_MODE_FUSE_IF_ATE_MODE__RNG_GC10];

   test_reg_async_rst_gc10
    #(`FUSE_IF_ATE_MODE__WIDTH_GC10)
      reg_FUSE_IF_ATE_MODE (
                                .clk         (Tdr_Tck),
                                .rstb        (Tdr_Trstb),
                                .en          (Tdr_fuse_if_ate_mode_En),
                                .shift       (Tdr_Shift   & Tdr_fuse_if_ate_mode_En),
                                .capture     (Tdr_Capture & Tdr_fuse_if_ate_mode_En),
                                .update      (Tdr_Update  & Tdr_fuse_if_ate_mode_En),
                                .d_rst       (`FUSE_IF_ATE_MODE__DEFAULT_GC10),
                                .q           (FUSE_IF_ATE_MODE[`FUSE_IF_ATE_MODE__WIDTH_GC10-1:0]),
                                .d           (FUSE_IF_ATE_MODE[`FUSE_IF_ATE_MODE__WIDTH_GC10-1:0]),
                                .si          (Tdr_Tdi),
                                .so          (Tdr_fuse_if_ate_mode_Tdo),
                                .q_sr        (unused_reg_FUSE_IF_ATE_MODE0),
                                .q_sr_posedge(unused_reg_FUSE_IF_ATE_MODE1[`FUSE_IF_ATE_MODE__WIDTH_GC10-1:0]) 
                                );

//! unused unused_reg_FUSE_IF_ATE_MODE0
//! unused unused_reg_FUSE_IF_ATE_MODE1
endmodule // fuse_if_ate_mode_tdr
// <FUSE_IF_ATE_MODE> ------------------------------------------------------------------------------ end

