
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip/user/npatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module gfx_harvest_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> GFX_HARVEST
 ,output wire [1-1:0] rep_fault_byp_mux_in
 ,output wire [1-1:0] rep_fault_byp_mux_sel
 ,input Tdr_gfx_harvest_En
 ,output Tdr_gfx_harvest_Tdo
); // End of Port Declaration

///// START TDR_INST - GFX_HARVEST /////

   localparam GFX_HARVEST__WIDTH = 2;
   wire [GFX_HARVEST__WIDTH-1:0]	GFX_HARVEST;
   wire [GFX_HARVEST__WIDTH-1:0]	GFX_HARVEST__DEFAULT;  

	//GFX_HARVEST - 0:0

   localparam  GFX_HARVEST_REP_FAULT_BYP_MUX_IN__WIDTH  = 1;
   localparam [GFX_HARVEST_REP_FAULT_BYP_MUX_IN__WIDTH-1:0] GFX_HARVEST_REP_FAULT_BYP_MUX_IN__DEFAULT  = 1'h0;
   

   localparam  GFX_HARVEST_REP_FAULT_BYP_MUX_IN__MSB  = 0;
   localparam  GFX_HARVEST_REP_FAULT_BYP_MUX_IN__LSB  = 0;
   

   assign GFX_HARVEST__DEFAULT
                 [GFX_HARVEST_REP_FAULT_BYP_MUX_IN__MSB : 
                  GFX_HARVEST_REP_FAULT_BYP_MUX_IN__LSB] =  
		  GFX_HARVEST_REP_FAULT_BYP_MUX_IN__DEFAULT;
   

  ati_buffer1 mrk_gfx_harvest_rep_fault_byp_mux_in[GFX_HARVEST_REP_FAULT_BYP_MUX_IN__WIDTH-1:0] 
  (
    .A(GFX_HARVEST
      [GFX_HARVEST_REP_FAULT_BYP_MUX_IN__MSB :
       GFX_HARVEST_REP_FAULT_BYP_MUX_IN__LSB
      ]),    
    .Y(rep_fault_byp_mux_in[GFX_HARVEST_REP_FAULT_BYP_MUX_IN__WIDTH-1:0])
  );


	//GFX_HARVEST - 1:1

   localparam  GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__WIDTH  = 1;
   localparam [GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__WIDTH-1:0] GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__DEFAULT  = 1'h0;
   

   localparam  GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__MSB  = 1;
   localparam  GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__LSB  = 1;
   

   assign GFX_HARVEST__DEFAULT
                 [GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__MSB : 
                  GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__LSB] =  
		  GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__DEFAULT;
   

  ati_buffer1 mrk_gfx_harvest_rep_fault_byp_mux_sel[GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__WIDTH-1:0] 
  (
    .A(GFX_HARVEST
      [GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__MSB :
       GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__LSB
      ]),    
    .Y(rep_fault_byp_mux_sel[GFX_HARVEST_REP_FAULT_BYP_MUX_SEL__WIDTH-1:0])
  );





   test_reg_async_rst_gc10 
     #(GFX_HARVEST__WIDTH)
   reg_GFX_HARVEST (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_gfx_harvest_En),
                           .shift(Tdr_Shift & Tdr_gfx_harvest_En),
                           .capture(Tdr_Capture & Tdr_gfx_harvest_En),
                           .update(Tdr_Update & Tdr_gfx_harvest_En),
                           .d_rst(GFX_HARVEST__DEFAULT),
                           .q(GFX_HARVEST),
                           .d(GFX_HARVEST),
                           .si(Tdr_Tdi),
                           .so(Tdr_gfx_harvest_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - GFX_HARVEST /////
endmodule
