module gfx_pgfsm_clk_cntl
(
   input TEST_CLK_EN,
   input SRC_CLK,
   input DST_CLK,
   input CLK_EN,
   output CLK_OUT
);

wire clock_en_clk_in;

ati_sdffcdc_4xdly_wrapper clock_en_sync (
   .QSRC(), 
   .SRC_CLK(SRC_CLK), 
   .D(CLK_EN), 
   .Q(clock_en_clk_in), 
   .QDST(), 
   .DST_CLK(DST_CLK)
); 

ati_clock_gate pgfsm_cg(
   .clk_src(DST_CLK),
   .clk_en(clock_en_clk_in),
   .TE(TEST_CLK_EN),
   .clk_out(CLK_OUT)
);

endmodule
