module latch_wrapper (
      CLK,
      D,
      Q
);                                                                                          

parameter WIDTH = 1;
input CLK;
input  [WIDTH-1:0] D;
output [WIDTH-1:0] Q;

// latch
HDBLVT08_LDPQ_V2Y2_1 u_latch_wrapper [WIDTH-1:0] (
    .G(CLK),
    .D(D),
    .Q(Q)
);

endmodule
