
//----------------------------------------------------------------------------
//
// Author :		 Grant La, N1-500 (Sunnyvale - Yan Dong), 44336 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip-disk3/user/geunla/dfxip4_0_ex5/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module lbist_data_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> LBIST_DATA
 ,output wire lbist_data
 ,input Tdr_lbist_data_En
 ,output Tdr_lbist_data_Tdo
); // End of Port Declaration

///// START TDR_INST - LBIST_DATA /////

   localparam LBIST_DATA__WIDTH = 1;
   wire [LBIST_DATA__WIDTH-1:0]	LBIST_DATA;
   wire [LBIST_DATA__WIDTH-1:0]	LBIST_DATA__DEFAULT;  

	//LBIST_DATA - 0:0

   localparam  LBIST_DATA_LBIST_DATA__WIDTH  = 1;
   localparam [LBIST_DATA_LBIST_DATA__WIDTH-1:0] LBIST_DATA_LBIST_DATA__DEFAULT  = 1'h0;
   

   localparam  LBIST_DATA_LBIST_DATA__MSB  = 0;
   localparam  LBIST_DATA_LBIST_DATA__LSB  = 0;
   

   assign LBIST_DATA__DEFAULT
                 [LBIST_DATA_LBIST_DATA__MSB : 
                  LBIST_DATA_LBIST_DATA__LSB] =  
		  LBIST_DATA_LBIST_DATA__DEFAULT;
   

  ati_buffer1 mrk_lbist_data_lbist_data[LBIST_DATA_LBIST_DATA__WIDTH-1:0] 
  (
    .A(LBIST_DATA
      [LBIST_DATA_LBIST_DATA__MSB :
       LBIST_DATA_LBIST_DATA__LSB
      ]),    
    .Y(lbist_data)
  );





   test_reg_async_rst_gc10
     #(LBIST_DATA__WIDTH)
   reg_LBIST_DATA (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_lbist_data_En),
                           .shift(Tdr_Shift & Tdr_lbist_data_En),
                           .capture(Tdr_Capture & Tdr_lbist_data_En),
                           .update(Tdr_Update & Tdr_lbist_data_En),
                           .d_rst(LBIST_DATA__DEFAULT),
                           .q(LBIST_DATA),
                           .d(LBIST_DATA),
                           .si(Tdr_Tdi),
                           .so(Tdr_lbist_data_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - LBIST_DATA /////
endmodule
