
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  

//`include "ros_features.vh"



module mic_fail_status_tdr_gc10 
# (
  parameter MIC_FAIL_STATUS_WIDTH = 1
  )
( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> MIC_FAIL_STATUS
 ,input wire [MIC_FAIL_STATUS_WIDTH-1+1-1:0] mic_fail_status 
 ,input Tdr_mic_fail_status_En
 ,output Tdr_mic_fail_status_Tdo
); // End of Port Declaration

///// START TDR_INST - MIC_FAIL_STATUS /////

   localparam MIC_FAIL_STATUS__WIDTH = MIC_FAIL_STATUS_WIDTH -1+1;
   wire [MIC_FAIL_STATUS__WIDTH-1:0]	MIC_FAIL_STATUS;

	 

	//MIC_FAIL_STATUS - MIC_FAIL_STATUS_WIDTH - 1:0

   localparam  MIC_FAIL_STATUS__MSB  = MIC_FAIL_STATUS__WIDTH - 1;
   localparam  MIC_FAIL_STATUS__LSB  = 0;
   

    assign  MIC_FAIL_STATUS
      [MIC_FAIL_STATUS__MSB :
       MIC_FAIL_STATUS__LSB] =
       mic_fail_status[MIC_FAIL_STATUS__WIDTH-1:0]; 




   test_shift_reg_gc10
     #(MIC_FAIL_STATUS__WIDTH)
   reg_MIC_FAIL_STATUS (
                           .clk(Tdr_Tck),
                           .en(Tdr_mic_fail_status_En),
                           .shift(Tdr_Shift & Tdr_mic_fail_status_En),
                           .capture(Tdr_Capture & Tdr_mic_fail_status_En),
                           .q(),
                           .d(MIC_FAIL_STATUS),
                           .si(Tdr_Tdi),
                           .so(Tdr_mic_fail_status_Tdo),
                           .q_posedge()
                           );



///// END TDR_INST - MIC_FAIL_STATUS /////
endmodule
