
//----------------------------------------------------------------------------
//
// Author :		 Grant La, N1-500 (Sunnyvale - Yan Dong), 44336 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip-disk3/user/geunla/dfxip4_0_ex5/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module misr_en_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> MISR_EN
 ,output wire  misr_en
 ,input Tdr_misr_en_En
 ,output Tdr_misr_en_Tdo
); // End of Port Declaration

///// START TDR_INST - MISR_EN /////

   localparam MISR_EN__WIDTH = 1;
   wire [MISR_EN__WIDTH-1:0]	MISR_EN;
   wire [MISR_EN__WIDTH-1:0]	MISR_EN__DEFAULT;  

	//MISR_EN - 0:0

   localparam  MISR_EN_MISR_EN__WIDTH  = 1;
   localparam [MISR_EN_MISR_EN__WIDTH-1:0] MISR_EN_MISR_EN__DEFAULT  = 1'h0;
   

   localparam  MISR_EN_MISR_EN__MSB  = 0;
   localparam  MISR_EN_MISR_EN__LSB  = 0;
   

   assign MISR_EN__DEFAULT
                 [MISR_EN_MISR_EN__MSB : 
                  MISR_EN_MISR_EN__LSB] =  
		  MISR_EN_MISR_EN__DEFAULT;
   

  ati_buffer1 mrk_misr_en_misr_en[MISR_EN_MISR_EN__WIDTH-1:0] 
  (
    .A(MISR_EN
      [MISR_EN_MISR_EN__MSB :
       MISR_EN_MISR_EN__LSB
      ]),    
    .Y(misr_en)
  );





   test_reg_async_rst_gc10
     #(MISR_EN__WIDTH)
   reg_MISR_EN (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_misr_en_En),
                           .shift(Tdr_Shift & Tdr_misr_en_En),
                           .capture(Tdr_Capture & Tdr_misr_en_En),
                           .update(Tdr_Update & Tdr_misr_en_En),
                           .d_rst(MISR_EN__DEFAULT),
                           .q(MISR_EN),
                           .d(MISR_EN),
                           .si(Tdr_Tdi),
                           .so(Tdr_misr_en_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - MISR_EN /////
endmodule
