
//----------------------------------------------------------------------------
//
// Author :		 Cc Yuan, 01A229 (Shanghai - Scott Liu), 23989 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/ipe-gfxdv0/ccyuan/gfx9/import/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module pgfsm_status_tdr ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> PGFSM_STATUS
 ,input wire [1-1:0] daughter_sleep_status
 ,input wire [1-1:0] mother_sleep_status
 ,input Tdr_pgfsm_status_En
 ,output Tdr_pgfsm_status_Tdo
); // End of Port Declaration

///// START TDR_INST - PGFSM_STATUS /////

   localparam PGFSM_STATUS__WIDTH = 2;
   wire [PGFSM_STATUS__WIDTH-1:0]	PGFSM_STATUS;

	//PGFSM_STATUS - 1:1

   localparam  PGFSM_STATUS_DAUGHTER_SLEEP_STATUS__WIDTH  = 1;
   localparam  PGFSM_STATUS_DAUGHTER_SLEEP_STATUS__MSB  = 1;
   localparam  PGFSM_STATUS_DAUGHTER_SLEEP_STATUS__LSB  = 1;
   

    assign  PGFSM_STATUS
      [PGFSM_STATUS_DAUGHTER_SLEEP_STATUS__MSB :
       PGFSM_STATUS_DAUGHTER_SLEEP_STATUS__LSB] =
      daughter_sleep_status[PGFSM_STATUS_DAUGHTER_SLEEP_STATUS__WIDTH-1:0]; 

	//PGFSM_STATUS - 0:0

   localparam  PGFSM_STATUS_MOTHER_SLEEP_STATUS__WIDTH  = 1;
   localparam  PGFSM_STATUS_MOTHER_SLEEP_STATUS__MSB  = 0;
   localparam  PGFSM_STATUS_MOTHER_SLEEP_STATUS__LSB  = 0;
   

    assign  PGFSM_STATUS
      [PGFSM_STATUS_MOTHER_SLEEP_STATUS__MSB :
       PGFSM_STATUS_MOTHER_SLEEP_STATUS__LSB] =
      mother_sleep_status[PGFSM_STATUS_MOTHER_SLEEP_STATUS__WIDTH-1:0]; 




   test_shift_reg
     #(PGFSM_STATUS__WIDTH)
   reg_PGFSM_STATUS (
                           .clk(Tdr_Tck),
                           .en(Tdr_pgfsm_status_En),
                           .shift(Tdr_Shift & Tdr_pgfsm_status_En),
                           .capture(Tdr_Capture & Tdr_pgfsm_status_En),
                           .q(),
                           .d(PGFSM_STATUS),
                           .si(Tdr_Tdi),
                           .so(Tdr_pgfsm_status_Tdo),
                           .q_posedge()
                           );



///// END TDR_INST - PGFSM_STATUS /////
endmodule
