
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module ros_cntl_rosen_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> ROS_CNTL_ROSEN
 ,output wire [1-1:0] rosen_rosen
 ,input Tdr_ros_cntl_rosen_En
 ,output Tdr_ros_cntl_rosen_Tdo
); // End of Port Declaration

///// START TDR_INST - ROS_CNTL_ROSEN /////

   localparam ROS_CNTL_ROSEN__WIDTH = 1;
   wire [ROS_CNTL_ROSEN__WIDTH-1:0]	ROS_CNTL_ROSEN;
   wire [ROS_CNTL_ROSEN__WIDTH-1:0]	ROS_CNTL_ROSEN__DEFAULT;  

	//ROS_CNTL_ROSEN - 0:0

   localparam  ROS_CNTL_ROSEN_ROSEN_ROSEN__WIDTH  = 1;
   localparam [ROS_CNTL_ROSEN_ROSEN_ROSEN__WIDTH-1:0] ROS_CNTL_ROSEN_ROSEN_ROSEN__DEFAULT  = 1'h0;
   

   localparam  ROS_CNTL_ROSEN_ROSEN_ROSEN__MSB  = 0;
   localparam  ROS_CNTL_ROSEN_ROSEN_ROSEN__LSB  = 0;
   

   assign ROS_CNTL_ROSEN__DEFAULT
                 [ROS_CNTL_ROSEN_ROSEN_ROSEN__MSB : 
                  ROS_CNTL_ROSEN_ROSEN_ROSEN__LSB] =  
		  ROS_CNTL_ROSEN_ROSEN_ROSEN__DEFAULT;
   

  ati_buffer1 mrk_ros_cntl_rosen_rosen_rosen[ROS_CNTL_ROSEN_ROSEN_ROSEN__WIDTH-1:0] 
  (
    .A(ROS_CNTL_ROSEN
      [ROS_CNTL_ROSEN_ROSEN_ROSEN__MSB :
       ROS_CNTL_ROSEN_ROSEN_ROSEN__LSB
      ]),    
    .Y(rosen_rosen[ROS_CNTL_ROSEN_ROSEN_ROSEN__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(ROS_CNTL_ROSEN__WIDTH)
   reg_ROS_CNTL_ROSEN (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_ros_cntl_rosen_En),
                           .shift(Tdr_Shift & Tdr_ros_cntl_rosen_En),
                           .capture(Tdr_Capture & Tdr_ros_cntl_rosen_En),
                           .update(Tdr_Update & Tdr_ros_cntl_rosen_En),
                           .d_rst(ROS_CNTL_ROSEN__DEFAULT),
                           .q(ROS_CNTL_ROSEN),
                           .d(ROS_CNTL_ROSEN),
                           .si(Tdr_Tdi),
                           .so(Tdr_ros_cntl_rosen_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - ROS_CNTL_ROSEN /////
endmodule
