
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/npatel/trees/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module ros_setup_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> ROS_SETUP
 ,output wire [1-1:0] ros_clk_sel
 ,output wire [4-1:0] cfg_bits
 ,output wire [1-1:0] counter_reset
 ,output wire [1-1:0] enable_all
 ,output wire [2-1:0] ros_size
 ,input Tdr_ros_setup_En
 ,output Tdr_ros_setup_Tdo
); // End of Port Declaration

///// START TDR_INST - ROS_SETUP /////

   localparam ROS_SETUP__WIDTH = 9;
   wire [ROS_SETUP__WIDTH-1:0]	ROS_SETUP;
   wire [ROS_SETUP__WIDTH-1:0]	ROS_SETUP__DEFAULT;  

	//ROS_SETUP - 8:8

   localparam  ROS_SETUP_ROS_CLK_SEL__WIDTH  = 1;
   localparam [ROS_SETUP_ROS_CLK_SEL__WIDTH-1:0] ROS_SETUP_ROS_CLK_SEL__DEFAULT  = 1'h1;
   

   localparam  ROS_SETUP_ROS_CLK_SEL__MSB  = 8;
   localparam  ROS_SETUP_ROS_CLK_SEL__LSB  = 8;
   

   assign ROS_SETUP__DEFAULT
                 [ROS_SETUP_ROS_CLK_SEL__MSB : 
                  ROS_SETUP_ROS_CLK_SEL__LSB] =  
		  ROS_SETUP_ROS_CLK_SEL__DEFAULT;
   

  ati_buffer1 mrk_ros_setup_ros_clk_sel[ROS_SETUP_ROS_CLK_SEL__WIDTH-1:0] 
  (
    .A(ROS_SETUP
      [ROS_SETUP_ROS_CLK_SEL__MSB :
       ROS_SETUP_ROS_CLK_SEL__LSB
      ]),    
    .Y(ros_clk_sel[ROS_SETUP_ROS_CLK_SEL__WIDTH-1:0])
  );


	//ROS_SETUP - 3:0

   localparam  ROS_SETUP_CFG_BITS__WIDTH  = 4;
   localparam [ROS_SETUP_CFG_BITS__WIDTH-1:0] ROS_SETUP_CFG_BITS__DEFAULT  = 4'h0;
   

   localparam  ROS_SETUP_CFG_BITS__MSB  = 3;
   localparam  ROS_SETUP_CFG_BITS__LSB  = 0;
   

   assign ROS_SETUP__DEFAULT
                 [ROS_SETUP_CFG_BITS__MSB : 
                  ROS_SETUP_CFG_BITS__LSB] =  
		  ROS_SETUP_CFG_BITS__DEFAULT;
   

  ati_buffer1 mrk_ros_setup_cfg_bits[ROS_SETUP_CFG_BITS__WIDTH-1:0] 
  (
    .A(ROS_SETUP
      [ROS_SETUP_CFG_BITS__MSB :
       ROS_SETUP_CFG_BITS__LSB
      ]),    
    .Y(cfg_bits[ROS_SETUP_CFG_BITS__WIDTH-1:0])
  );


	//ROS_SETUP - 6:6

   localparam  ROS_SETUP_COUNTER_RESET__WIDTH  = 1;
   localparam [ROS_SETUP_COUNTER_RESET__WIDTH-1:0] ROS_SETUP_COUNTER_RESET__DEFAULT  = 1'h1;
   

   localparam  ROS_SETUP_COUNTER_RESET__MSB  = 6;
   localparam  ROS_SETUP_COUNTER_RESET__LSB  = 6;
   

   assign ROS_SETUP__DEFAULT
                 [ROS_SETUP_COUNTER_RESET__MSB : 
                  ROS_SETUP_COUNTER_RESET__LSB] =  
		  ROS_SETUP_COUNTER_RESET__DEFAULT;
   

  ati_buffer1 mrk_ros_setup_counter_reset[ROS_SETUP_COUNTER_RESET__WIDTH-1:0] 
  (
    .A(ROS_SETUP
      [ROS_SETUP_COUNTER_RESET__MSB :
       ROS_SETUP_COUNTER_RESET__LSB
      ]),    
    .Y(counter_reset[ROS_SETUP_COUNTER_RESET__WIDTH-1:0])
  );


	//ROS_SETUP - 7:7

   localparam  ROS_SETUP_ENABLE_ALL__WIDTH  = 1;
   localparam [ROS_SETUP_ENABLE_ALL__WIDTH-1:0] ROS_SETUP_ENABLE_ALL__DEFAULT  = 1'h0;
   

   localparam  ROS_SETUP_ENABLE_ALL__MSB  = 7;
   localparam  ROS_SETUP_ENABLE_ALL__LSB  = 7;
   

   assign ROS_SETUP__DEFAULT
                 [ROS_SETUP_ENABLE_ALL__MSB : 
                  ROS_SETUP_ENABLE_ALL__LSB] =  
		  ROS_SETUP_ENABLE_ALL__DEFAULT;
   

  ati_buffer1 mrk_ros_setup_enable_all[ROS_SETUP_ENABLE_ALL__WIDTH-1:0] 
  (
    .A(ROS_SETUP
      [ROS_SETUP_ENABLE_ALL__MSB :
       ROS_SETUP_ENABLE_ALL__LSB
      ]),    
    .Y(enable_all[ROS_SETUP_ENABLE_ALL__WIDTH-1:0])
  );


	//ROS_SETUP - 5:4

   localparam  ROS_SETUP_ROS_SIZE__WIDTH  = 2;
   localparam [ROS_SETUP_ROS_SIZE__WIDTH-1:0] ROS_SETUP_ROS_SIZE__DEFAULT  = 2'h0;
   

   localparam  ROS_SETUP_ROS_SIZE__MSB  = 5;
   localparam  ROS_SETUP_ROS_SIZE__LSB  = 4;
   

   assign ROS_SETUP__DEFAULT
                 [ROS_SETUP_ROS_SIZE__MSB : 
                  ROS_SETUP_ROS_SIZE__LSB] =  
		  ROS_SETUP_ROS_SIZE__DEFAULT;
   

  ati_buffer1 mrk_ros_setup_ros_size[ROS_SETUP_ROS_SIZE__WIDTH-1:0] 
  (
    .A(ROS_SETUP
      [ROS_SETUP_ROS_SIZE__MSB :
       ROS_SETUP_ROS_SIZE__LSB
      ]),    
    .Y(ros_size[ROS_SETUP_ROS_SIZE__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(ROS_SETUP__WIDTH)
   reg_ROS_SETUP (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_ros_setup_En),
                           .shift(Tdr_Shift & Tdr_ros_setup_En),
                           .capture(Tdr_Capture & Tdr_ros_setup_En),
                           .update(Tdr_Update & Tdr_ros_setup_En),
                           .d_rst(ROS_SETUP__DEFAULT),
                           .q(ROS_SETUP),
                           .d(ROS_SETUP),
                           .si(Tdr_Tdi),
                           .so(Tdr_ros_setup_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - ROS_SETUP /////
endmodule
