
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  

//`include "ros_features.vh"



module ros_status_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> ROS_STATUS
 ,input wire [29-1+1-1:0] counter_bits
 ,input wire [1-1:0] overflow
 ,input Tdr_ros_status_En
 ,output Tdr_ros_status_Tdo
); // End of Port Declaration

///// START TDR_INST - ROS_STATUS /////

   localparam ROS_STATUS__WIDTH = 29-1+1+1;
   wire [ROS_STATUS__WIDTH-1:0]	ROS_STATUS;

	//ROS_STATUS - 29:1

   localparam  ROS_STATUS_COUNTER_BITS__WIDTH  = 29-1+1;
   localparam  ROS_STATUS_COUNTER_BITS__MSB  = 29;
   localparam  ROS_STATUS_COUNTER_BITS__LSB  = 1;
   

    assign  ROS_STATUS
      [ROS_STATUS_COUNTER_BITS__MSB :
       ROS_STATUS_COUNTER_BITS__LSB] =
      counter_bits[ROS_STATUS_COUNTER_BITS__WIDTH-1:0]; 

	//ROS_STATUS - 0:0

   localparam  ROS_STATUS_OVERFLOW__WIDTH  = 1;
   localparam  ROS_STATUS_OVERFLOW__MSB  = 0;
   localparam  ROS_STATUS_OVERFLOW__LSB  = 0;
   

    assign  ROS_STATUS
      [ROS_STATUS_OVERFLOW__MSB :
       ROS_STATUS_OVERFLOW__LSB] =
      overflow[ROS_STATUS_OVERFLOW__WIDTH-1:0]; 




   test_shift_reg_gc10
     #(ROS_STATUS__WIDTH)
   reg_ROS_STATUS (
                           .clk(Tdr_Tck),
                           .en(Tdr_ros_status_En),
                           .shift(Tdr_Shift & Tdr_ros_status_En),
                           .capture(Tdr_Capture & Tdr_ros_status_En),
                           .q(),
                           .d(ROS_STATUS),
                           .si(Tdr_Tdi),
                           .so(Tdr_ros_status_Tdo),
                           .q_posedge()
                           );



///// END TDR_INST - ROS_STATUS /////
endmodule
