
//----------------------------------------------------------------------------
//
// Author :		 Xuxu Guo, 03B631.08 (Shanghai - Ning Huang), 24112 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip/user/xuguo/dfxip4_1/dftcmn/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  



module scan_mem_ctrl_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> SCAN_MEM_CTRL
 ,output wire [8-1:0] rm
 ,output wire [8-1:0] rma
 ,output wire [8-1:0] rmb
 ,output wire [1-1:0] rme
 ,output wire [1-1:0] rmea
 ,output wire [1-1:0] rmeb
 ,output wire [1-1:0] test1
 ,output wire [1-1:0] test1a
 ,output wire [1-1:0] test1b
 ,output wire [1-1:0] test_rnm
 ,output wire [1-1:0] test_rnma
 ,output wire [1-1:0] test_rwm
 ,input Tdr_scan_mem_ctrl_En
 ,output Tdr_scan_mem_ctrl_Tdo
); // End of Port Declaration

///// START TDR_INST - SCAN_MEM_CTRL /////

   localparam SCAN_MEM_CTRL__WIDTH = 33;
   wire [SCAN_MEM_CTRL__WIDTH-1:0]	SCAN_MEM_CTRL;
   wire [SCAN_MEM_CTRL__WIDTH-1:0]	SCAN_MEM_CTRL__DEFAULT;  

	//SCAN_MEM_CTRL - 16:9

   localparam  SCAN_MEM_CTRL_RM__WIDTH  = 8;
   localparam [SCAN_MEM_CTRL_RM__WIDTH-1:0] SCAN_MEM_CTRL_RM__DEFAULT  = 8'h0;
   

   localparam  SCAN_MEM_CTRL_RM__MSB  = 16;
   localparam  SCAN_MEM_CTRL_RM__LSB  = 9;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_RM__MSB : 
                  SCAN_MEM_CTRL_RM__LSB] =  
		  SCAN_MEM_CTRL_RM__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_rm[SCAN_MEM_CTRL_RM__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_RM__MSB :
       SCAN_MEM_CTRL_RM__LSB
      ]),    
    .Y(rm[SCAN_MEM_CTRL_RM__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 24:17

   localparam  SCAN_MEM_CTRL_RMA__WIDTH  = 8;
   localparam [SCAN_MEM_CTRL_RMA__WIDTH-1:0] SCAN_MEM_CTRL_RMA__DEFAULT  = 8'h0;
   

   localparam  SCAN_MEM_CTRL_RMA__MSB  = 24;
   localparam  SCAN_MEM_CTRL_RMA__LSB  = 17;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_RMA__MSB : 
                  SCAN_MEM_CTRL_RMA__LSB] =  
		  SCAN_MEM_CTRL_RMA__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_rma[SCAN_MEM_CTRL_RMA__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_RMA__MSB :
       SCAN_MEM_CTRL_RMA__LSB
      ]),    
    .Y(rma[SCAN_MEM_CTRL_RMA__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 32:25

   localparam  SCAN_MEM_CTRL_RMB__WIDTH  = 8;
   localparam [SCAN_MEM_CTRL_RMB__WIDTH-1:0] SCAN_MEM_CTRL_RMB__DEFAULT  = 8'h0;
   

   localparam  SCAN_MEM_CTRL_RMB__MSB  = 32;
   localparam  SCAN_MEM_CTRL_RMB__LSB  = 25;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_RMB__MSB : 
                  SCAN_MEM_CTRL_RMB__LSB] =  
		  SCAN_MEM_CTRL_RMB__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_rmb[SCAN_MEM_CTRL_RMB__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_RMB__MSB :
       SCAN_MEM_CTRL_RMB__LSB
      ]),    
    .Y(rmb[SCAN_MEM_CTRL_RMB__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 6:6

   localparam  SCAN_MEM_CTRL_RME__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_RME__WIDTH-1:0] SCAN_MEM_CTRL_RME__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_RME__MSB  = 6;
   localparam  SCAN_MEM_CTRL_RME__LSB  = 6;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_RME__MSB : 
                  SCAN_MEM_CTRL_RME__LSB] =  
		  SCAN_MEM_CTRL_RME__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_rme[SCAN_MEM_CTRL_RME__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_RME__MSB :
       SCAN_MEM_CTRL_RME__LSB
      ]),    
    .Y(rme[SCAN_MEM_CTRL_RME__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 7:7

   localparam  SCAN_MEM_CTRL_RMEA__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_RMEA__WIDTH-1:0] SCAN_MEM_CTRL_RMEA__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_RMEA__MSB  = 7;
   localparam  SCAN_MEM_CTRL_RMEA__LSB  = 7;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_RMEA__MSB : 
                  SCAN_MEM_CTRL_RMEA__LSB] =  
		  SCAN_MEM_CTRL_RMEA__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_rmea[SCAN_MEM_CTRL_RMEA__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_RMEA__MSB :
       SCAN_MEM_CTRL_RMEA__LSB
      ]),    
    .Y(rmea[SCAN_MEM_CTRL_RMEA__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 8:8

   localparam  SCAN_MEM_CTRL_RMEB__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_RMEB__WIDTH-1:0] SCAN_MEM_CTRL_RMEB__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_RMEB__MSB  = 8;
   localparam  SCAN_MEM_CTRL_RMEB__LSB  = 8;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_RMEB__MSB : 
                  SCAN_MEM_CTRL_RMEB__LSB] =  
		  SCAN_MEM_CTRL_RMEB__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_rmeb[SCAN_MEM_CTRL_RMEB__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_RMEB__MSB :
       SCAN_MEM_CTRL_RMEB__LSB
      ]),    
    .Y(rmeb[SCAN_MEM_CTRL_RMEB__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 0:0

   localparam  SCAN_MEM_CTRL_TEST1__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_TEST1__WIDTH-1:0] SCAN_MEM_CTRL_TEST1__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_TEST1__MSB  = 0;
   localparam  SCAN_MEM_CTRL_TEST1__LSB  = 0;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_TEST1__MSB : 
                  SCAN_MEM_CTRL_TEST1__LSB] =  
		  SCAN_MEM_CTRL_TEST1__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_test1[SCAN_MEM_CTRL_TEST1__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_TEST1__MSB :
       SCAN_MEM_CTRL_TEST1__LSB
      ]),    
    .Y(test1[SCAN_MEM_CTRL_TEST1__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 1:1

   localparam  SCAN_MEM_CTRL_TEST1A__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_TEST1A__WIDTH-1:0] SCAN_MEM_CTRL_TEST1A__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_TEST1A__MSB  = 1;
   localparam  SCAN_MEM_CTRL_TEST1A__LSB  = 1;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_TEST1A__MSB : 
                  SCAN_MEM_CTRL_TEST1A__LSB] =  
		  SCAN_MEM_CTRL_TEST1A__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_test1a[SCAN_MEM_CTRL_TEST1A__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_TEST1A__MSB :
       SCAN_MEM_CTRL_TEST1A__LSB
      ]),    
    .Y(test1a[SCAN_MEM_CTRL_TEST1A__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 2:2

   localparam  SCAN_MEM_CTRL_TEST1B__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_TEST1B__WIDTH-1:0] SCAN_MEM_CTRL_TEST1B__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_TEST1B__MSB  = 2;
   localparam  SCAN_MEM_CTRL_TEST1B__LSB  = 2;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_TEST1B__MSB : 
                  SCAN_MEM_CTRL_TEST1B__LSB] =  
		  SCAN_MEM_CTRL_TEST1B__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_test1b[SCAN_MEM_CTRL_TEST1B__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_TEST1B__MSB :
       SCAN_MEM_CTRL_TEST1B__LSB
      ]),    
    .Y(test1b[SCAN_MEM_CTRL_TEST1B__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 4:4

   localparam  SCAN_MEM_CTRL_TEST_RNM__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_TEST_RNM__WIDTH-1:0] SCAN_MEM_CTRL_TEST_RNM__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_TEST_RNM__MSB  = 4;
   localparam  SCAN_MEM_CTRL_TEST_RNM__LSB  = 4;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_TEST_RNM__MSB : 
                  SCAN_MEM_CTRL_TEST_RNM__LSB] =  
		  SCAN_MEM_CTRL_TEST_RNM__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_test_rnm[SCAN_MEM_CTRL_TEST_RNM__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_TEST_RNM__MSB :
       SCAN_MEM_CTRL_TEST_RNM__LSB
      ]),    
    .Y(test_rnm[SCAN_MEM_CTRL_TEST_RNM__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 5:5

   localparam  SCAN_MEM_CTRL_TEST_RNMA__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_TEST_RNMA__WIDTH-1:0] SCAN_MEM_CTRL_TEST_RNMA__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_TEST_RNMA__MSB  = 5;
   localparam  SCAN_MEM_CTRL_TEST_RNMA__LSB  = 5;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_TEST_RNMA__MSB : 
                  SCAN_MEM_CTRL_TEST_RNMA__LSB] =  
		  SCAN_MEM_CTRL_TEST_RNMA__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_test_rnma[SCAN_MEM_CTRL_TEST_RNMA__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_TEST_RNMA__MSB :
       SCAN_MEM_CTRL_TEST_RNMA__LSB
      ]),    
    .Y(test_rnma[SCAN_MEM_CTRL_TEST_RNMA__WIDTH-1:0])
  );


	//SCAN_MEM_CTRL - 3:3

   localparam  SCAN_MEM_CTRL_TEST_RWM__WIDTH  = 1;
   localparam [SCAN_MEM_CTRL_TEST_RWM__WIDTH-1:0] SCAN_MEM_CTRL_TEST_RWM__DEFAULT  = 1'h0;
   

   localparam  SCAN_MEM_CTRL_TEST_RWM__MSB  = 3;
   localparam  SCAN_MEM_CTRL_TEST_RWM__LSB  = 3;
   

   assign SCAN_MEM_CTRL__DEFAULT
                 [SCAN_MEM_CTRL_TEST_RWM__MSB : 
                  SCAN_MEM_CTRL_TEST_RWM__LSB] =  
		  SCAN_MEM_CTRL_TEST_RWM__DEFAULT;
   

  ati_buffer1 mrk_scan_mem_ctrl_test_rwm[SCAN_MEM_CTRL_TEST_RWM__WIDTH-1:0] 
  (
    .A(SCAN_MEM_CTRL
      [SCAN_MEM_CTRL_TEST_RWM__MSB :
       SCAN_MEM_CTRL_TEST_RWM__LSB
      ]),    
    .Y(test_rwm[SCAN_MEM_CTRL_TEST_RWM__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(SCAN_MEM_CTRL__WIDTH)
   reg_SCAN_MEM_CTRL (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_scan_mem_ctrl_En),
                           .shift(Tdr_Shift & Tdr_scan_mem_ctrl_En),
                           .capture(Tdr_Capture & Tdr_scan_mem_ctrl_En),
                           .update(Tdr_Update & Tdr_scan_mem_ctrl_En),
                           .d_rst(SCAN_MEM_CTRL__DEFAULT),
                           .q(SCAN_MEM_CTRL),
                           .d(SCAN_MEM_CTRL),
                           .si(Tdr_Tdi),
                           .so(Tdr_scan_mem_ctrl_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - SCAN_MEM_CTRL /////
endmodule
