
//----------------------------------------------------------------------------
//
// Author :		 Lisa Grenier, N1-510 (Sunnyvale - Yan Dong), 44285 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/ci_dfxip/user/lgrenier/dfxip4/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  

module smsg_gc1_rp_status_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> SMSG_STATUS
 ,input wire [1-1:0] sfp_fail
 ,input wire [1-1:0] sfp_ready
 ,input Tdr_smsg_status_En
 ,output Tdr_smsg_status_Tdo
); // End of Port Declaration

///// START TDR_INST - SMSG_STATUS /////

   localparam SMSG_STATUS__WIDTH = 2;
   wire [SMSG_STATUS__WIDTH-1:0]	SMSG_STATUS;

	//SMSG_STATUS - 1:1

   localparam  SMSG_STATUS_SFP_FAIL__WIDTH  = 1;
   localparam  SMSG_STATUS_SFP_FAIL__MSB  = 1;
   localparam  SMSG_STATUS_SFP_FAIL__LSB  = 1;
   

    assign  SMSG_STATUS
      [SMSG_STATUS_SFP_FAIL__MSB :
       SMSG_STATUS_SFP_FAIL__LSB] =
      sfp_fail[SMSG_STATUS_SFP_FAIL__WIDTH-1:0]; 

	//SMSG_STATUS - 0:0

   localparam  SMSG_STATUS_SFP_READY__WIDTH  = 1;
   localparam  SMSG_STATUS_SFP_READY__MSB  = 0;
   localparam  SMSG_STATUS_SFP_READY__LSB  = 0;
   

    assign  SMSG_STATUS
      [SMSG_STATUS_SFP_READY__MSB :
       SMSG_STATUS_SFP_READY__LSB] =
      sfp_ready[SMSG_STATUS_SFP_READY__WIDTH-1:0]; 




   test_shift_reg_gc10
     #(SMSG_STATUS__WIDTH)
   reg_SMSG_STATUS (
                           .clk(Tdr_Tck),
                           .en(Tdr_smsg_status_En),
                           .shift(Tdr_Shift & Tdr_smsg_status_En),
                           .capture(Tdr_Capture & Tdr_smsg_status_En),
                           .q(),
                           .d(SMSG_STATUS),
                           .si(Tdr_Tdi),
                           .so(Tdr_smsg_status_Tdo),
                           .q_posedge()
                           );



///// END TDR_INST - SMSG_STATUS /////
endmodule
