
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree2/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  
module srf_setup_tdr_gc10 ( 

//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update

//TDR --> SRF_SETUP
,output wire srf_wide_load_config
,input Tdr_srf_setup_En
,output Tdr_srf_setup_Tdo
); // End of Port Declaration

///// START TDR_INST - SRF_SETUP /////

  localparam SRF_SETUP__WIDTH = 1 ;
   wire [SRF_SETUP__WIDTH-1:0]	SRF_SETUP;
   wire [SRF_SETUP__WIDTH-1:0]	SRF_SETUP__DEFAULT;  

	//SRF_SETUP - 0:0 

   localparam  SRF_SETUP__MSB  = 0;
   localparam  SRF_SETUP__LSB  = 0;




   
   localparam  SRF_WIDE_LOAD_CONFIG__WIDTH  = 1;
   localparam  SRF_WIDE_LOAD_CONFIG__MSB    = 0; 
   localparam  SRF_WIDE_LOAD_CONFIG__LSB    = 0;

   assign SRF_SETUP__DEFAULT
                 [SRF_SETUP__MSB : 
                  SRF_SETUP__LSB] =  1'h0;
  


  ati_buffer1 mrk_srf_wide_load_config[SRF_WIDE_LOAD_CONFIG__WIDTH-1:0] 
  (
    .A(SRF_SETUP
      [SRF_WIDE_LOAD_CONFIG__MSB :
       SRF_WIDE_LOAD_CONFIG__LSB
      ]),    
    .Y(srf_wide_load_config)
  );





   test_reg_async_rst_gc10
     #(SRF_SETUP__WIDTH)
   reg_SRF_SETUP (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_srf_setup_En),
                           .shift(Tdr_Shift & Tdr_srf_setup_En),
                           .capture(Tdr_Capture & Tdr_srf_setup_En),
                           .update(Tdr_Update & Tdr_srf_setup_En),
                           .d_rst(SRF_SETUP__DEFAULT),
                           .q(SRF_SETUP),
                           .d(SRF_SETUP),
                           .si(Tdr_Tdi),
                           .so(Tdr_srf_setup_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - SRF_SETUP /////
endmodule


