//                              -*- Mode: Verilog -*-

////////////////////////////////////////////////////////////////////////////
/*
 *
 *  Trade secret of ATI Technologies, Inc.
 *  Copyright 2005, ATI Technologies, Inc., (unpublished)
 *
 *  All rights reserved.  This notice is intended as a precaution against
 *  inadvertent publication and does not imply publication or any waiver
 *  of confidentiality.  The year included in the foregoing notice is the
 *  year of creation of the work.
 *
 */
////////////////////////////////////////////////////////////////////////////
//
// Filename    : tdr_broadcast.v
// Description : TDR Broadcast
//
////////////////////////////////////////////////////////////////////////////

//`include "dftmisc_features.vh"

//;use comp_config;
//;use POSIX;


//;my 80 = 48;
//;my  = ceil ( log(80)/log(2) ) ;



module tdr_broadcast_80  (

input   Tdr_Broadcast_En,
input   Tdr_Tdi,  //Broadcast WSI

output wire Tdr_Tdi_0,
input  wire Tdr_Tdo_0,
output wire Tdr_Tdi_1,
input  wire Tdr_Tdo_1,
output wire Tdr_Tdi_2,
input  wire Tdr_Tdo_2,
output wire Tdr_Tdi_3,
input  wire Tdr_Tdo_3,
output wire Tdr_Tdi_4,
input  wire Tdr_Tdo_4,
output wire Tdr_Tdi_5,
input  wire Tdr_Tdo_5,
output wire Tdr_Tdi_6,
input  wire Tdr_Tdo_6,
output wire Tdr_Tdi_7,
input  wire Tdr_Tdo_7,
output wire Tdr_Tdi_8,
input  wire Tdr_Tdo_8,
output wire Tdr_Tdi_9,
input  wire Tdr_Tdo_9,
output wire Tdr_Tdi_10,
input  wire Tdr_Tdo_10,
output wire Tdr_Tdi_11,
input  wire Tdr_Tdo_11,
output wire Tdr_Tdi_12,
input  wire Tdr_Tdo_12,
output wire Tdr_Tdi_13,
input  wire Tdr_Tdo_13,
output wire Tdr_Tdi_14,
input  wire Tdr_Tdo_14,
output wire Tdr_Tdi_15,
input  wire Tdr_Tdo_15,
output wire Tdr_Tdi_16,
input  wire Tdr_Tdo_16,
output wire Tdr_Tdi_17,
input  wire Tdr_Tdo_17,
output wire Tdr_Tdi_18,
input  wire Tdr_Tdo_18,
output wire Tdr_Tdi_19,
input  wire Tdr_Tdo_19,
output wire Tdr_Tdi_20,
input  wire Tdr_Tdo_20,
output wire Tdr_Tdi_21,
input  wire Tdr_Tdo_21,
output wire Tdr_Tdi_22,
input  wire Tdr_Tdo_22,
output wire Tdr_Tdi_23,
input  wire Tdr_Tdo_23,
output wire Tdr_Tdi_24,
input  wire Tdr_Tdo_24,
output wire Tdr_Tdi_25,
input  wire Tdr_Tdo_25,
output wire Tdr_Tdi_26,
input  wire Tdr_Tdo_26,
output wire Tdr_Tdi_27,
input  wire Tdr_Tdo_27,
output wire Tdr_Tdi_28,
input  wire Tdr_Tdo_28,
output wire Tdr_Tdi_29,
input  wire Tdr_Tdo_29,
output wire Tdr_Tdi_30,
input  wire Tdr_Tdo_30,
output wire Tdr_Tdi_31,
input  wire Tdr_Tdo_31,
output wire Tdr_Tdi_32,
input  wire Tdr_Tdo_32,
output wire Tdr_Tdi_33,
input  wire Tdr_Tdo_33,
output wire Tdr_Tdi_34,
input  wire Tdr_Tdo_34,
output wire Tdr_Tdi_35,
input  wire Tdr_Tdo_35,
output wire Tdr_Tdi_36,
input  wire Tdr_Tdo_36,
output wire Tdr_Tdi_37,
input  wire Tdr_Tdo_37,
output wire Tdr_Tdi_38,
input  wire Tdr_Tdo_38,
output wire Tdr_Tdi_39,
input  wire Tdr_Tdo_39,
output wire Tdr_Tdi_40,
input  wire Tdr_Tdo_40,
output wire Tdr_Tdi_41,
input  wire Tdr_Tdo_41,
output wire Tdr_Tdi_42,
input  wire Tdr_Tdo_42,
output wire Tdr_Tdi_43,
input  wire Tdr_Tdo_43,
output wire Tdr_Tdi_44,
input  wire Tdr_Tdo_44,
output wire Tdr_Tdi_45,
input  wire Tdr_Tdo_45,
output wire Tdr_Tdi_46,
input  wire Tdr_Tdo_46,
output wire Tdr_Tdi_47,
input  wire Tdr_Tdo_47,
output wire Tdr_Tdi_48,
input  wire Tdr_Tdo_48,
output wire Tdr_Tdi_49,
input  wire Tdr_Tdo_49,
output wire Tdr_Tdi_50,
input  wire Tdr_Tdo_50,
output wire Tdr_Tdi_51,
input  wire Tdr_Tdo_51,
output wire Tdr_Tdi_52,
input  wire Tdr_Tdo_52,
output wire Tdr_Tdi_53,
input  wire Tdr_Tdo_53,
output wire Tdr_Tdi_54,
input  wire Tdr_Tdo_54,
output wire Tdr_Tdi_55,
input  wire Tdr_Tdo_55,
output wire Tdr_Tdi_56,
input  wire Tdr_Tdo_56,
output wire Tdr_Tdi_57,
input  wire Tdr_Tdo_57,
output wire Tdr_Tdi_58,
input  wire Tdr_Tdo_58,
output wire Tdr_Tdi_59,
input  wire Tdr_Tdo_59,
output wire Tdr_Tdi_60,
input  wire Tdr_Tdo_60,
output wire Tdr_Tdi_61,
input  wire Tdr_Tdo_61,
output wire Tdr_Tdi_62,
input  wire Tdr_Tdo_62,
output wire Tdr_Tdi_63,
input  wire Tdr_Tdo_63,
output wire Tdr_Tdi_64,
input  wire Tdr_Tdo_64,
output wire Tdr_Tdi_65,
input  wire Tdr_Tdo_65,
output wire Tdr_Tdi_66,
input  wire Tdr_Tdo_66,
output wire Tdr_Tdi_67,
input  wire Tdr_Tdo_67,
output wire Tdr_Tdi_68,
input  wire Tdr_Tdo_68,
output wire Tdr_Tdi_69,
input  wire Tdr_Tdo_69,
output wire Tdr_Tdi_70,
input  wire Tdr_Tdo_70,
output wire Tdr_Tdi_71,
input  wire Tdr_Tdo_71,
output wire Tdr_Tdi_72,
input  wire Tdr_Tdo_72,
output wire Tdr_Tdi_73,
input  wire Tdr_Tdo_73,
output wire Tdr_Tdi_74,
input  wire Tdr_Tdo_74,
output wire Tdr_Tdi_75,
input  wire Tdr_Tdo_75,
output wire Tdr_Tdi_76,
input  wire Tdr_Tdo_76,
output wire Tdr_Tdi_77,
input  wire Tdr_Tdo_77,
output wire Tdr_Tdi_78,
input  wire Tdr_Tdo_78,
output wire Tdr_Tdi_79,
input  wire Tdr_Tdo_79,

output  Tdr_Tdo  

);
parameter TOTAL_TDR_INST = 1;

//Create Bus
wire [79:0] tdi;
wire [79:0] tdo;

assign tdo[0] = Tdr_Tdo_0;
assign Tdr_Tdi_0 = tdi[0];
assign tdo[1] = Tdr_Tdo_1;
assign Tdr_Tdi_1 = tdi[1];
assign tdo[2] = Tdr_Tdo_2;
assign Tdr_Tdi_2 = tdi[2];
assign tdo[3] = Tdr_Tdo_3;
assign Tdr_Tdi_3 = tdi[3];
assign tdo[4] = Tdr_Tdo_4;
assign Tdr_Tdi_4 = tdi[4];
assign tdo[5] = Tdr_Tdo_5;
assign Tdr_Tdi_5 = tdi[5];
assign tdo[6] = Tdr_Tdo_6;
assign Tdr_Tdi_6 = tdi[6];
assign tdo[7] = Tdr_Tdo_7;
assign Tdr_Tdi_7 = tdi[7];
assign tdo[8] = Tdr_Tdo_8;
assign Tdr_Tdi_8 = tdi[8];
assign tdo[9] = Tdr_Tdo_9;
assign Tdr_Tdi_9 = tdi[9];
assign tdo[10] = Tdr_Tdo_10;
assign Tdr_Tdi_10 = tdi[10];
assign tdo[11] = Tdr_Tdo_11;
assign Tdr_Tdi_11 = tdi[11];
assign tdo[12] = Tdr_Tdo_12;
assign Tdr_Tdi_12 = tdi[12];
assign tdo[13] = Tdr_Tdo_13;
assign Tdr_Tdi_13 = tdi[13];
assign tdo[14] = Tdr_Tdo_14;
assign Tdr_Tdi_14 = tdi[14];
assign tdo[15] = Tdr_Tdo_15;
assign Tdr_Tdi_15 = tdi[15];
assign tdo[16] = Tdr_Tdo_16;
assign Tdr_Tdi_16 = tdi[16];
assign tdo[17] = Tdr_Tdo_17;
assign Tdr_Tdi_17 = tdi[17];
assign tdo[18] = Tdr_Tdo_18;
assign Tdr_Tdi_18 = tdi[18];
assign tdo[19] = Tdr_Tdo_19;
assign Tdr_Tdi_19 = tdi[19];
assign tdo[20] = Tdr_Tdo_20;
assign Tdr_Tdi_20 = tdi[20];
assign tdo[21] = Tdr_Tdo_21;
assign Tdr_Tdi_21 = tdi[21];
assign tdo[22] = Tdr_Tdo_22;
assign Tdr_Tdi_22 = tdi[22];
assign tdo[23] = Tdr_Tdo_23;
assign Tdr_Tdi_23 = tdi[23];
assign tdo[24] = Tdr_Tdo_24;
assign Tdr_Tdi_24 = tdi[24];
assign tdo[25] = Tdr_Tdo_25;
assign Tdr_Tdi_25 = tdi[25];
assign tdo[26] = Tdr_Tdo_26;
assign Tdr_Tdi_26 = tdi[26];
assign tdo[27] = Tdr_Tdo_27;
assign Tdr_Tdi_27 = tdi[27];
assign tdo[28] = Tdr_Tdo_28;
assign Tdr_Tdi_28 = tdi[28];
assign tdo[29] = Tdr_Tdo_29;
assign Tdr_Tdi_29 = tdi[29];
assign tdo[30] = Tdr_Tdo_30;
assign Tdr_Tdi_30 = tdi[30];
assign tdo[31] = Tdr_Tdo_31;
assign Tdr_Tdi_31 = tdi[31];
assign tdo[32] = Tdr_Tdo_32;
assign Tdr_Tdi_32 = tdi[32];
assign tdo[33] = Tdr_Tdo_33;
assign Tdr_Tdi_33 = tdi[33];
assign tdo[34] = Tdr_Tdo_34;
assign Tdr_Tdi_34 = tdi[34];
assign tdo[35] = Tdr_Tdo_35;
assign Tdr_Tdi_35 = tdi[35];
assign tdo[36] = Tdr_Tdo_36;
assign Tdr_Tdi_36 = tdi[36];
assign tdo[37] = Tdr_Tdo_37;
assign Tdr_Tdi_37 = tdi[37];
assign tdo[38] = Tdr_Tdo_38;
assign Tdr_Tdi_38 = tdi[38];
assign tdo[39] = Tdr_Tdo_39;
assign Tdr_Tdi_39 = tdi[39];
assign tdo[40] = Tdr_Tdo_40;
assign Tdr_Tdi_40 = tdi[40];
assign tdo[41] = Tdr_Tdo_41;
assign Tdr_Tdi_41 = tdi[41];
assign tdo[42] = Tdr_Tdo_42;
assign Tdr_Tdi_42 = tdi[42];
assign tdo[43] = Tdr_Tdo_43;
assign Tdr_Tdi_43 = tdi[43];
assign tdo[44] = Tdr_Tdo_44;
assign Tdr_Tdi_44 = tdi[44];
assign tdo[45] = Tdr_Tdo_45;
assign Tdr_Tdi_45 = tdi[45];
assign tdo[46] = Tdr_Tdo_46;
assign Tdr_Tdi_46 = tdi[46];
assign tdo[47] = Tdr_Tdo_47;
assign Tdr_Tdi_47 = tdi[47];
assign tdo[48] = Tdr_Tdo_48;
assign Tdr_Tdi_48 = tdi[48];
assign tdo[49] = Tdr_Tdo_49;
assign Tdr_Tdi_49 = tdi[49];
assign tdo[50] = Tdr_Tdo_50;
assign Tdr_Tdi_50 = tdi[50];
assign tdo[51] = Tdr_Tdo_51;
assign Tdr_Tdi_51 = tdi[51];
assign tdo[52] = Tdr_Tdo_52;
assign Tdr_Tdi_52 = tdi[52];
assign tdo[53] = Tdr_Tdo_53;
assign Tdr_Tdi_53 = tdi[53];
assign tdo[54] = Tdr_Tdo_54;
assign Tdr_Tdi_54 = tdi[54];
assign tdo[55] = Tdr_Tdo_55;
assign Tdr_Tdi_55 = tdi[55];
assign tdo[56] = Tdr_Tdo_56;
assign Tdr_Tdi_56 = tdi[56];
assign tdo[57] = Tdr_Tdo_57;
assign Tdr_Tdi_57 = tdi[57];
assign tdo[58] = Tdr_Tdo_58;
assign Tdr_Tdi_58 = tdi[58];
assign tdo[59] = Tdr_Tdo_59;
assign Tdr_Tdi_59 = tdi[59];
assign tdo[60] = Tdr_Tdo_60;
assign Tdr_Tdi_60 = tdi[60];
assign tdo[61] = Tdr_Tdo_61;
assign Tdr_Tdi_61 = tdi[61];
assign tdo[62] = Tdr_Tdo_62;
assign Tdr_Tdi_62 = tdi[62];
assign tdo[63] = Tdr_Tdo_63;
assign Tdr_Tdi_63 = tdi[63];
assign tdo[64] = Tdr_Tdo_64;
assign Tdr_Tdi_64 = tdi[64];
assign tdo[65] = Tdr_Tdo_65;
assign Tdr_Tdi_65 = tdi[65];
assign tdo[66] = Tdr_Tdo_66;
assign Tdr_Tdi_66 = tdi[66];
assign tdo[67] = Tdr_Tdo_67;
assign Tdr_Tdi_67 = tdi[67];
assign tdo[68] = Tdr_Tdo_68;
assign Tdr_Tdi_68 = tdi[68];
assign tdo[69] = Tdr_Tdo_69;
assign Tdr_Tdi_69 = tdi[69];
assign tdo[70] = Tdr_Tdo_70;
assign Tdr_Tdi_70 = tdi[70];
assign tdo[71] = Tdr_Tdo_71;
assign Tdr_Tdi_71 = tdi[71];
assign tdo[72] = Tdr_Tdo_72;
assign Tdr_Tdi_72 = tdi[72];
assign tdo[73] = Tdr_Tdo_73;
assign Tdr_Tdi_73 = tdi[73];
assign tdo[74] = Tdr_Tdo_74;
assign Tdr_Tdi_74 = tdi[74];
assign tdo[75] = Tdr_Tdo_75;
assign Tdr_Tdi_75 = tdi[75];
assign tdo[76] = Tdr_Tdo_76;
assign Tdr_Tdi_76 = tdi[76];
assign tdo[77] = Tdr_Tdo_77;
assign Tdr_Tdi_77 = tdi[77];
assign tdo[78] = Tdr_Tdo_78;
assign Tdr_Tdi_78 = tdi[78];
assign tdo[79] = Tdr_Tdo_79;
assign Tdr_Tdi_79 = tdi[79];


ati_buffer1 mrk_Tdi_0   (.A(Tdr_Tdi),  .Y(tdi[0]));  

generate 
genvar i;
 for (i=1; i< 80; i=i+1) begin  : mux_tditdo
  assign tdi[i] =  Tdr_Broadcast_En ? Tdr_Tdi : tdo[i-1];
 end
endgenerate

wire Tdr_Tdo_Last = tdo[TOTAL_TDR_INST-1];
ati_buffer1 mrk_Tdo   (.A(Tdr_Tdo_Last),  .Y(Tdr_Tdo));  

`ifdef ABV
generate
if(TOTAL_TDR_INST >= 80) begin
initial begin
 //$fatal("%m :: Illegal parameter passing. TOTAL_TDR_INST > 80 ");
 $display("ERROR:: Illegal parameter passing. TOTAL_TDR_INST > 80, %m");
end
end
endgenerate
`endif


endmodule
