
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree2/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module tdr_update_cntl_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> TDR_UPDATE_CNTL
 ,output wire [1-1:0] all_update
 ,output wire [1-1:0] dis_update
 ,input Tdr_tdr_update_cntl_En
 ,output Tdr_tdr_update_cntl_Tdo
); // End of Port Declaration

///// START TDR_INST - TDR_UPDATE_CNTL /////

   localparam TDR_UPDATE_CNTL__WIDTH = 2;
   wire [TDR_UPDATE_CNTL__WIDTH-1:0]	TDR_UPDATE_CNTL;
   wire [TDR_UPDATE_CNTL__WIDTH-1:0]	TDR_UPDATE_CNTL__DEFAULT;  

	//TDR_UPDATE_CNTL - 1:1

   localparam  TDR_UPDATE_CNTL_ALL_UPDATE__WIDTH  = 1;
   localparam [TDR_UPDATE_CNTL_ALL_UPDATE__WIDTH-1:0] TDR_UPDATE_CNTL_ALL_UPDATE__DEFAULT  = 'h0;
   

   localparam  TDR_UPDATE_CNTL_ALL_UPDATE__MSB  = 1;
   localparam  TDR_UPDATE_CNTL_ALL_UPDATE__LSB  = 1;
   

   assign TDR_UPDATE_CNTL__DEFAULT
                 [TDR_UPDATE_CNTL_ALL_UPDATE__MSB : 
                  TDR_UPDATE_CNTL_ALL_UPDATE__LSB] =  
		  TDR_UPDATE_CNTL_ALL_UPDATE__DEFAULT;
   

  ati_buffer1 mrk_tdr_update_cntl_all_update[TDR_UPDATE_CNTL_ALL_UPDATE__WIDTH-1:0] 
  (
    .A(TDR_UPDATE_CNTL
      [TDR_UPDATE_CNTL_ALL_UPDATE__MSB :
       TDR_UPDATE_CNTL_ALL_UPDATE__LSB
      ]),    
    .Y(all_update[TDR_UPDATE_CNTL_ALL_UPDATE__WIDTH-1:0])
  );


	//TDR_UPDATE_CNTL - 0:0

   localparam  TDR_UPDATE_CNTL_DIS_UPDATE__WIDTH  = 1;
   localparam [TDR_UPDATE_CNTL_DIS_UPDATE__WIDTH-1:0] TDR_UPDATE_CNTL_DIS_UPDATE__DEFAULT  = 'h0;
   

   localparam  TDR_UPDATE_CNTL_DIS_UPDATE__MSB  = 0;
   localparam  TDR_UPDATE_CNTL_DIS_UPDATE__LSB  = 0;
   

   assign TDR_UPDATE_CNTL__DEFAULT
                 [TDR_UPDATE_CNTL_DIS_UPDATE__MSB : 
                  TDR_UPDATE_CNTL_DIS_UPDATE__LSB] =  
		  TDR_UPDATE_CNTL_DIS_UPDATE__DEFAULT;
   

  ati_buffer1 mrk_tdr_update_cntl_dis_update[TDR_UPDATE_CNTL_DIS_UPDATE__WIDTH-1:0] 
  (
    .A(TDR_UPDATE_CNTL
      [TDR_UPDATE_CNTL_DIS_UPDATE__MSB :
       TDR_UPDATE_CNTL_DIS_UPDATE__LSB
      ]),    
    .Y(dis_update[TDR_UPDATE_CNTL_DIS_UPDATE__WIDTH-1:0])
  );





   test_reg_async_rst_gc10 
     #(TDR_UPDATE_CNTL__WIDTH)
   reg_TDR_UPDATE_CNTL (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_tdr_update_cntl_En),
                           .shift(Tdr_Shift & Tdr_tdr_update_cntl_En),
                           .capture(Tdr_Capture & Tdr_tdr_update_cntl_En),
                           .update(Tdr_Update & Tdr_tdr_update_cntl_En),
                           .d_rst(TDR_UPDATE_CNTL__DEFAULT),
                           .q(TDR_UPDATE_CNTL),
                           .d(TDR_UPDATE_CNTL),
                           .si(Tdr_Tdi),
                           .so(Tdr_tdr_update_cntl_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - TDR_UPDATE_CNTL /////
endmodule
