//----------------------------------------------------------------------------
// Date		: $Date$
// Copyright	: 1997-2017 by Synopsys, Inc., All Rights Reserved.
// Revision	: $Revision$
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
// Cell model definitions.
//----------------------------------------------------------------------------





`timescale 1ps / 1ps

`ifndef SNPS_SEQ_DELAY
`define SNPS_SEQ_DELAY 10
`endif
`ifndef SNPS_COMBO_DELAY
`define SNPS_COMBO_DELAY 0 
`endif
`ifndef SNPS_CKGT_DELAY
`define SNPS_CKGT_DELAY 0
`endif
`ifndef SNPS_CKGTLT_DELAY
`define SNPS_CKGTLT_DELAY 0
`endif
`ifndef SNPS_LAT_DELAY
`define SNPS_LAT_DELAY 10
`endif

`ifdef VIRL_functiononly
    `delay_mode_distributed
    `define _fv
    `define SNPS_MASK_X_OUT_LATCH
    `ifndef SNPS_STD_PRIMS
      `define SNPS_MASK_ERR_UDP
    `endif
`else
    `delay_mode_path
`endif
//%BEGIN HDPLVT08_CAPNNWL6

`celldefine
module HDPLVT08_CAPNNWL6 ();
endmodule
`endcelldefine

//%END HDPLVT08_CAPNNWL6

//%BEGIN HDPLVT08_CAPNNWR6

`celldefine
module HDPLVT08_CAPNNWR6 ();
endmodule
`endcelldefine

//%END HDPLVT08_CAPNNWR6

//%BEGIN HDPLVT08_FILL_BSPACERY2_9

`celldefine
module HDPLVT08_FILL_BSPACERY2_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_BSPACERY2_9

//%BEGIN HDPLVT08_FILL_BSPACER_9

`celldefine
module HDPLVT08_FILL_BSPACER_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_BSPACER_9

//%BEGIN HDPLVT08_FILL_LRSPACER_9

`celldefine
module HDPLVT08_FILL_LRSPACER_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_LRSPACER_9

//%BEGIN HDPLVT08_FILL_NNWIY2FS_3

`celldefine
module HDPLVT08_FILL_NNWIY2FS_3 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWIY2FS_3

//%BEGIN HDPLVT08_FILL_NNWIY2FS_4

`celldefine
module HDPLVT08_FILL_NNWIY2FS_4 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWIY2FS_4

//%BEGIN HDPLVT08_FILL_NNWIY2FS_5

`celldefine
module HDPLVT08_FILL_NNWIY2FS_5 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWIY2FS_5

//%BEGIN HDPLVT08_FILL_NNWIY2_3

`celldefine
module HDPLVT08_FILL_NNWIY2_3 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWIY2_3

//%BEGIN HDPLVT08_FILL_NNWIY2_4

`celldefine
module HDPLVT08_FILL_NNWIY2_4 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWIY2_4

//%BEGIN HDPLVT08_FILL_NNWIY2_5

`celldefine
module HDPLVT08_FILL_NNWIY2_5 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWIY2_5

//%BEGIN HDPLVT08_FILL_NNWSPACERY2_19

`celldefine
module HDPLVT08_FILL_NNWSPACERY2_19 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWSPACERY2_19

//%BEGIN HDPLVT08_FILL_NNWSPACERY2_9

`celldefine
module HDPLVT08_FILL_NNWSPACERY2_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWSPACERY2_9

//%BEGIN HDPLVT08_FILL_NNWV2Y2_1

`celldefine
module HDPLVT08_FILL_NNWV2Y2_1 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWV2Y2_1

//%BEGIN HDPLVT08_FILL_NNWV2Y2_4

`celldefine
module HDPLVT08_FILL_NNWV2Y2_4 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWV2Y2_4

//%BEGIN HDPLVT08_FILL_NNWV2Y2_5

`celldefine
module HDPLVT08_FILL_NNWV2Y2_5 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWV2Y2_5

//%BEGIN HDPLVT08_FILL_NNWV2Y2_6

`celldefine
module HDPLVT08_FILL_NNWV2Y2_6 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWV2Y2_6

//%BEGIN HDPLVT08_FILL_NNWV2Y2_7

`celldefine
module HDPLVT08_FILL_NNWV2Y2_7 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWV2Y2_7

//%BEGIN HDPLVT08_FILL_NNWVDDBRKY2_15

`celldefine
module HDPLVT08_FILL_NNWVDDBRKY2_15 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWVDDBRKY2_15

//%BEGIN HDPLVT08_FILL_NNWVDDBRKY2_19

`celldefine
module HDPLVT08_FILL_NNWVDDBRKY2_19 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWVDDBRKY2_19

//%BEGIN HDPLVT08_FILL_NNWVDDBRKY2_9

`celldefine
module HDPLVT08_FILL_NNWVDDBRKY2_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWVDDBRKY2_9

//%BEGIN HDPLVT08_FILL_NNWY2_1

`celldefine
module HDPLVT08_FILL_NNWY2_1 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWY2_1

//%BEGIN HDPLVT08_FILL_NNWY2_2

`celldefine
module HDPLVT08_FILL_NNWY2_2 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWY2_2

//%BEGIN HDPLVT08_FILL_NNWY2_3

`celldefine
module HDPLVT08_FILL_NNWY2_3 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWY2_3

//%BEGIN HDPLVT08_FILL_NNWY2_5

`celldefine
module HDPLVT08_FILL_NNWY2_5 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_NNWY2_5

//%BEGIN HDPLVT08_FILL_TBNNWVDDBRKY2_15

`celldefine
module HDPLVT08_FILL_TBNNWVDDBRKY2_15 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_TBNNWVDDBRKY2_15

//%BEGIN HDPLVT08_FILL_TBNNWVDDBRKY2_19

`celldefine
module HDPLVT08_FILL_TBNNWVDDBRKY2_19 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_TBNNWVDDBRKY2_19

//%BEGIN HDPLVT08_FILL_TBNNWVDDBRKY2_9

`celldefine
module HDPLVT08_FILL_TBNNWVDDBRKY2_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_TBNNWVDDBRKY2_9

//%BEGIN HDPLVT08_FILL_TSPACERY2_9

`celldefine
module HDPLVT08_FILL_TSPACERY2_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_TSPACERY2_9

//%BEGIN HDPLVT08_FILL_TSPACER_9

`celldefine
module HDPLVT08_FILL_TSPACER_9 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_TSPACER_9

//%BEGIN HDPLVT08_FILL_TVDDCUT_3

`celldefine
module HDPLVT08_FILL_TVDDCUT_3 ();
endmodule
`endcelldefine

//%END HDPLVT08_FILL_TVDDCUT_3

//%BEGIN HDPLVT08_LVLDBUFE0_IV1Y2FS_3

`celldefine
module HDPLVT08_LVLDBUFE0_IV1Y2FS_3 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV1Y2FS_3

//%BEGIN HDPLVT08_LVLDBUFE0_IV1Y2SRCFS_3

`celldefine
module HDPLVT08_LVLDBUFE0_IV1Y2SRCFS_3 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV1Y2SRCFS_3

//%BEGIN HDPLVT08_LVLDBUFE0_IV1Y2SRC_3

`celldefine
module HDPLVT08_LVLDBUFE0_IV1Y2SRC_3 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV1Y2SRC_3

//%BEGIN HDPLVT08_LVLDBUFE0_IV1Y2_3

`celldefine
module HDPLVT08_LVLDBUFE0_IV1Y2_3 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV1Y2_3

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2FS_1

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2FS_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2FS_1

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2FS_12

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2FS_12 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2FS_12

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2FS_2

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2FS_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2FS_2

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2FS_4

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2FS_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2FS_4

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2FS_8

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2FS_8 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2FS_8

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_1

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_1

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_12

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_12 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_12

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_2

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_2

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_4

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_4

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_8

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_8 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRCFS_8

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRC_1

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRC_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRC_1

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRC_12

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRC_12 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRC_12

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRC_2

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRC_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRC_2

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRC_4

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRC_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRC_4

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2SRC_8

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2SRC_8 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2SRC_8

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2_1

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2_1

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2_12

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2_12 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2_12

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2_2

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2_2

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2_4

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2_4

//%BEGIN HDPLVT08_LVLDBUFE0_IV4Y2_8

`celldefine
module HDPLVT08_LVLDBUFE0_IV4Y2_8 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_IV4Y2_8

//%BEGIN HDPLVT08_LVLDBUFE0_MIV2Y2FS_1

`celldefine
module HDPLVT08_LVLDBUFE0_MIV2Y2FS_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_MIV2Y2FS_1

//%BEGIN HDPLVT08_LVLDBUFE0_MIV2Y2SRCFS_1

`celldefine
module HDPLVT08_LVLDBUFE0_MIV2Y2SRCFS_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_MIV2Y2SRCFS_1

//%BEGIN HDPLVT08_LVLDBUFE0_MIV2Y2SRC_1

`celldefine
module HDPLVT08_LVLDBUFE0_MIV2Y2SRC_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_MIV2Y2SRC_1

//%BEGIN HDPLVT08_LVLDBUFE0_MIV2Y2_1

`celldefine
module HDPLVT08_LVLDBUFE0_MIV2Y2_1 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      and instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b1) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE0_MIV2Y2_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2FS_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2FS_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2FS_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2FS_12

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2FS_12 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2FS_12

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2FS_2

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2FS_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2FS_2

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2FS_4

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2FS_4 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2FS_4

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2FS_8

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2FS_8 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2FS_8

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_12

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_12 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_12

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_2

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_2

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_4

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_4 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_4

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_8

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_8 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRCFS_8

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRC_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRC_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRC_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRC_12

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRC_12 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRC_12

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRC_2

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRC_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRC_2

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRC_4

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRC_4 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRC_4

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2SRC_8

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2SRC_8 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2SRC_8

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2_12

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2_12 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2_12

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2_2

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2_2

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2_4

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2_4 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2_4

//%BEGIN HDPLVT08_LVLDBUFE1_IV1Y2_8

`celldefine
module HDPLVT08_LVLDBUFE1_IV1Y2_8 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV1Y2_8

//%BEGIN HDPLVT08_LVLDBUFE1_IV4Y2FS_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV4Y2FS_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV4Y2FS_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV4Y2SRCFS_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV4Y2SRCFS_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV4Y2SRCFS_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV4Y2SRC_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV4Y2SRC_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV4Y2SRC_1

//%BEGIN HDPLVT08_LVLDBUFE1_IV4Y2_1

`celldefine
module HDPLVT08_LVLDBUFE1_IV4Y2_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_IV4Y2_1

//%BEGIN HDPLVT08_LVLDBUFE1_MIV2Y2FS_1

`celldefine
module HDPLVT08_LVLDBUFE1_MIV2Y2FS_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_MIV2Y2FS_1

//%BEGIN HDPLVT08_LVLDBUFE1_MIV2Y2SRCFS_1

`celldefine
module HDPLVT08_LVLDBUFE1_MIV2Y2SRCFS_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_MIV2Y2SRCFS_1

//%BEGIN HDPLVT08_LVLDBUFE1_MIV2Y2SRC_1

`celldefine
module HDPLVT08_LVLDBUFE1_MIV2Y2SRC_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_MIV2Y2SRC_1

//%BEGIN HDPLVT08_LVLDBUFE1_MIV2Y2_1

`celldefine
module HDPLVT08_LVLDBUFE1_MIV2Y2_1 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, EN);

   `ifdef VIRL_functiononly
      or  #`SNPS_COMBO_DELAY instt0  (X, A, int_res_0);
   `else
      or instt0    (X, A, int_res_0);
   `endif

   `ifdef VIRL_functiononly

   `else
   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A +=> X)=(0, 0);
if (A==1'b0) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUFE1_MIV2Y2_1

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2FS_1

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2FS_1 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2FS_1

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2FS_12

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2FS_12 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2FS_12

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2FS_2

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2FS_2 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2FS_2

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2FS_4

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2FS_4 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2FS_4

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2FS_8

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2FS_8 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2FS_8

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRCFS_1

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRCFS_1 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRCFS_1

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRCFS_12

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRCFS_12 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRCFS_12

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRCFS_2

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRCFS_2 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRCFS_2

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRCFS_4

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRCFS_4 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRCFS_4

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRCFS_8

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRCFS_8 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRCFS_8

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRC_1

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRC_1 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRC_1

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRC_12

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRC_12 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRC_12

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRC_2

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRC_2 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRC_2

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRC_4

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRC_4 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRC_4

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2SRC_8

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2SRC_8 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2SRC_8

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2_1

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2_1 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2_1

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2_12

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2_12 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2_12

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2_2

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2_2 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2_2

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2_4

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2_4 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2_4

//%BEGIN HDPLVT08_LVLDBUF_IV3Y2_8

`celldefine
module HDPLVT08_LVLDBUF_IV3Y2_8 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_IV3Y2_8

//%BEGIN HDPLVT08_LVLDBUF_Y2FS_1

`celldefine
module HDPLVT08_LVLDBUF_Y2FS_1 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_Y2FS_1

//%BEGIN HDPLVT08_LVLDBUF_Y2_1

`celldefine
module HDPLVT08_LVLDBUF_Y2_1 (X, A);
   output X;
   input A;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////


   `ifdef VIRL_functiononly
       buf #`SNPS_COMBO_DELAY instt0  (X, A);    
   `else
       buf instt0   (X, A);         
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
(A +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDBUF_Y2_1

//%BEGIN HDPLVT08_LVLDINVE0_MCKIV7Y2FS_2

`celldefine
module HDPLVT08_LVLDINVE0_MCKIV7Y2FS_2 (X, CK, EN);
   output X;
   input CK, EN;

   wire int_res_0;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, CK);
   `ifdef VIRL_functiononly
      and #`SNPS_CKGT_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b0) (EN +=> X)=(0, 0);
$hold(posedge CK , posedge EN , 0 , viol_0);
$hold(posedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , negedge CK , 0 , viol_0);
$setup(negedge EN , negedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MCKIV7Y2FS_2


//%BEGIN HDPLVT08_LVLDINVE0_MCKIV7Y2SRCFS_2

`celldefine
module HDPLVT08_LVLDINVE0_MCKIV7Y2SRCFS_2 (X, CK, EN);
   output X;
   input CK, EN;

   wire int_res_0;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, CK);
   `ifdef VIRL_functiononly
      and #`SNPS_CKGT_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b0) (EN +=> X)=(0, 0);
$hold(posedge CK , posedge EN , 0 , viol_0);
$hold(posedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , negedge CK , 0 , viol_0);
$setup(negedge EN , negedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MCKIV7Y2SRCFS_2


//%BEGIN HDPLVT08_LVLDINVE0_MCKIV7Y2SRC_2

`celldefine
module HDPLVT08_LVLDINVE0_MCKIV7Y2SRC_2 (X, CK, EN);
   output X;
   input CK, EN;

   wire int_res_0;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, CK);
   `ifdef VIRL_functiononly
      and #`SNPS_CKGT_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b0) (EN +=> X)=(0, 0);
$hold(posedge CK , posedge EN , 0 , viol_0);
$hold(posedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , negedge CK , 0 , viol_0);
$setup(negedge EN , negedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MCKIV7Y2SRC_2


//%BEGIN HDPLVT08_LVLDINVE0_MCKIV7Y2_2

`celldefine
module HDPLVT08_LVLDINVE0_MCKIV7Y2_2 (X, CK, EN);
   output X;
   input CK, EN;

   wire int_res_0;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, CK);
   `ifdef VIRL_functiononly
      and #`SNPS_CKGT_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b0) (EN +=> X)=(0, 0);
$hold(posedge CK , posedge EN , 0 , viol_0);
$hold(posedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , negedge CK , 0 , viol_0);
$setup(negedge EN , negedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MCKIV7Y2_2


//%BEGIN HDPLVT08_LVLDINVE0_MIV7Y2FS_2

`celldefine
module HDPLVT08_LVLDINVE0_MIV7Y2FS_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, A);
   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b0) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MIV7Y2FS_2


//%BEGIN HDPLVT08_LVLDINVE0_MIV7Y2SRCFS_2

`celldefine
module HDPLVT08_LVLDINVE0_MIV7Y2SRCFS_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, A);
   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b0) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MIV7Y2SRCFS_2


//%BEGIN HDPLVT08_LVLDINVE0_MIV7Y2SRC_2

`celldefine
module HDPLVT08_LVLDINVE0_MIV7Y2SRC_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, A);
   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b0) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MIV7Y2SRC_2


//%BEGIN HDPLVT08_LVLDINVE0_MIV7Y2_2

`celldefine
module HDPLVT08_LVLDINVE0_MIV7Y2_2 (X, A, EN);
   output X;
   input A, EN;

   wire int_res_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (int_res_0, A);
   `ifdef VIRL_functiononly
      and #`SNPS_COMBO_DELAY instt0  (X, int_res_0, EN);
   `else
      and instt0   (X, int_res_0, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b0) (EN +=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE0_MIV7Y2_2


//%BEGIN HDPLVT08_LVLDINVE1_IV3Y2FS_4

`celldefine
module HDPLVT08_LVLDINVE1_IV3Y2FS_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_IV3Y2FS_4


//%BEGIN HDPLVT08_LVLDINVE1_IV3Y2SRCFS_4

`celldefine
module HDPLVT08_LVLDINVE1_IV3Y2SRCFS_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_IV3Y2SRCFS_4


//%BEGIN HDPLVT08_LVLDINVE1_IV3Y2SRC_4

`celldefine
module HDPLVT08_LVLDINVE1_IV3Y2SRC_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_IV3Y2SRC_4


//%BEGIN HDPLVT08_LVLDINVE1_IV3Y2_4

`celldefine
module HDPLVT08_LVLDINVE1_IV3Y2_4 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_IV3Y2_4


//%BEGIN HDPLVT08_LVLDINVE1_MCKIV7Y2FS_2

`celldefine
module HDPLVT08_LVLDINVE1_MCKIV7Y2FS_2 (X, CK, EN);
   output X;
   input CK, EN;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_CKGT_DELAY instt0  (X, CK, EN);
   `else
      nand instt0   (X, CK, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b1) (EN -=> X)=(0, 0);
$hold(negedge CK , posedge EN , 0 , viol_0);
$hold(negedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , posedge CK , 0 , viol_0);
$setup(negedge EN , posedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MCKIV7Y2FS_2


//%BEGIN HDPLVT08_LVLDINVE1_MCKIV7Y2SRCFS_2

`celldefine
module HDPLVT08_LVLDINVE1_MCKIV7Y2SRCFS_2 (X, CK, EN);
   output X;
   input CK, EN;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_CKGT_DELAY instt0  (X, CK, EN);
   `else
      nand instt0   (X, CK, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b1) (EN -=> X)=(0, 0);
$hold(negedge CK , posedge EN , 0 , viol_0);
$hold(negedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , posedge CK , 0 , viol_0);
$setup(negedge EN , posedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MCKIV7Y2SRCFS_2


//%BEGIN HDPLVT08_LVLDINVE1_MCKIV7Y2SRC_2

`celldefine
module HDPLVT08_LVLDINVE1_MCKIV7Y2SRC_2 (X, CK, EN);
   output X;
   input CK, EN;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_CKGT_DELAY instt0  (X, CK, EN);
   `else
      nand instt0   (X, CK, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b1) (EN -=> X)=(0, 0);
$hold(negedge CK , posedge EN , 0 , viol_0);
$hold(negedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , posedge CK , 0 , viol_0);
$setup(negedge EN , posedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MCKIV7Y2SRC_2


//%BEGIN HDPLVT08_LVLDINVE1_MCKIV7Y2_2

`celldefine
module HDPLVT08_LVLDINVE1_MCKIV7Y2_2 (X, CK, EN);
   output X;
   input CK, EN;
  reg viol_0;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_CKGT_DELAY instt0  (X, CK, EN);
   `else
      nand instt0   (X, CK, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (CK -=> X)=(0, 0);
if (CK==1'b1) (EN -=> X)=(0, 0);
$hold(negedge CK , posedge EN , 0 , viol_0);
$hold(negedge CK , negedge EN , 0 , viol_0);
$setup(posedge EN , posedge CK , 0 , viol_0);
$setup(negedge EN , posedge CK , 0 , viol_0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MCKIV7Y2_2


//%BEGIN HDPLVT08_LVLDINVE1_MIV7Y2FS_2

`celldefine
module HDPLVT08_LVLDINVE1_MIV7Y2FS_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MIV7Y2FS_2


//%BEGIN HDPLVT08_LVLDINVE1_MIV7Y2SRCFS_2

`celldefine
module HDPLVT08_LVLDINVE1_MIV7Y2SRCFS_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MIV7Y2SRCFS_2


//%BEGIN HDPLVT08_LVLDINVE1_MIV7Y2SRC_2

`celldefine
module HDPLVT08_LVLDINVE1_MIV7Y2SRC_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MIV7Y2SRC_2


//%BEGIN HDPLVT08_LVLDINVE1_MIV7Y2_2

`celldefine
module HDPLVT08_LVLDINVE1_MIV7Y2_2 (X, A, EN);
   output X;
   input A, EN;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   `ifdef VIRL_functiononly
      nand #`SNPS_COMBO_DELAY instt0  (X, A, EN);
   `else
      nand instt0   (X, A, EN);
   `endif

   `ifdef VIRL_functiononly

   `else

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////


specify
if (EN==1'b1) (A -=> X)=(0, 0);
if (A==1'b1) (EN -=> X)=(0, 0);
endspecify
   `endif
endmodule
`endcelldefine

//%END HDPLVT08_LVLDINVE1_MIV7Y2_2


//%BEGIN HDPLVT08_PS40GDST_Y40FS_1
`celldefine
module HDPLVT08_PS40GDST_Y40FS_1 (SANE);
  output SANE;


  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (SANE, 1'b1);
  `else
    buf instt0   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else
     specify
     endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PS40GDST_Y40FS_1

//%BEGIN HDPLVT08_PS40GDST_Y40FS_4
`celldefine
module HDPLVT08_PS40GDST_Y40FS_4 (SANE);
  output SANE;


  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (SANE, 1'b1);
  `else
    buf instt0   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else
     specify
     endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PS40GDST_Y40FS_4

//%BEGIN HDPLVT08_PS40GDST_Y40_1
`celldefine
module HDPLVT08_PS40GDST_Y40_1 (SANE);
  output SANE;


  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (SANE, 1'b1);
  `else
    buf instt0   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else
     specify
     endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PS40GDST_Y40_1

//%BEGIN HDPLVT08_PS40GDST_Y40_4
`celldefine
module HDPLVT08_PS40GDST_Y40_4 (SANE);
  output SANE;


  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (SANE, 1'b1);
  `else
    buf instt0   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else
     specify
     endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PS40GDST_Y40_4

//%BEGIN HDPLVT08_PSLS40GDSTNE0_CBY40FS_1
`celldefine
module HDPLVT08_PSLS40GDSTNE0_CBY40FS_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS40GDSTNE0_CBY40FS_1

//%BEGIN HDPLVT08_PSLS40GDSTNE0_CBY40_1
`celldefine
module HDPLVT08_PSLS40GDSTNE0_CBY40_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS40GDSTNE0_CBY40_1

//%BEGIN HDPLVT08_PSLS40GDSTNE0_Y40FS_1
`celldefine
module HDPLVT08_PSLS40GDSTNE0_Y40FS_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS40GDSTNE0_Y40FS_1

//%BEGIN HDPLVT08_PSLS40GDSTNE0_Y40_1
`celldefine
module HDPLVT08_PSLS40GDSTNE0_Y40_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS40GDSTNE0_Y40_1

//%BEGIN HDPLVT08_PSLS40GDST_Y40FS_1

`celldefine
module HDPLVT08_PSLS40GDST_Y40FS_1 (SANE, X, A);
   output SANE, X;
   input A;
   wire not__sane;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (not__sane, SANE);

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////
   `ifdef VIRL_functiononly
       or #`SNPS_COMBO_DELAY instt0  (X, A, not__sane);
       buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
   `else
       or instt0   (X, A, not__sane);
       buf instt1   (SANE, 1'b1);
   `endif

   `ifdef VIRL_functiononly

   `else

specify
(A +=> X)=(0, 0);
endspecify
   `endif

endmodule
`endcelldefine

//%END HDPLVT08_PSLS40GDST_Y40FS_1

//%BEGIN HDPLVT08_PSLS40GDST_Y40_1

`celldefine
module HDPLVT08_PSLS40GDST_Y40_1 (SANE, X, A);
   output SANE, X;
   input A;
   wire not__sane;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (not__sane, SANE);

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////
   `ifdef VIRL_functiononly
       or #`SNPS_COMBO_DELAY instt0  (X, A, not__sane);
       buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
   `else
       or instt0   (X, A, not__sane);
       buf instt1   (SANE, 1'b1);
   `endif

   `ifdef VIRL_functiononly

   `else

specify
(A +=> X)=(0, 0);
endspecify
   `endif

endmodule
`endcelldefine

//%END HDPLVT08_PSLS40GDST_Y40_1

//%BEGIN HDPLVT08_PSLS40GSRC_Y40V1FS_1

`celldefine
module HDPLVT08_PSLS40GSRC_Y40V1FS_1 (SANE, X, A);
   output SANE, X;
   input A;
   wire not__sane;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (not__sane, SANE);

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////
   `ifdef VIRL_functiononly
       or #`SNPS_COMBO_DELAY instt0  (X, A, not__sane);
       buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
   `else
       or instt0   (X, A, not__sane);
       buf instt1   (SANE, 1'b1);
   `endif

   `ifdef VIRL_functiononly

   `else

specify
(A +=> X)=(0, 0);
endspecify
   `endif

endmodule
`endcelldefine

//%END HDPLVT08_PSLS40GSRC_Y40V1FS_1

//%BEGIN HDPLVT08_PSLS40GSRC_Y40V1_1

`celldefine
module HDPLVT08_PSLS40GSRC_Y40V1_1 (SANE, X, A);
   output SANE, X;
   input A;
   wire not__sane;

   /////////////////////////////////////
   //          FUNCTIONALITY          //
   /////////////////////////////////////

   not inst0   (not__sane, SANE);

   /////////////////////////////////////
   //             TIMING              //
   /////////////////////////////////////
   `ifdef VIRL_functiononly
       or #`SNPS_COMBO_DELAY instt0  (X, A, not__sane);
       buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
   `else
       or instt0   (X, A, not__sane);
       buf instt1   (SANE, 1'b1);
   `endif

   `ifdef VIRL_functiononly

   `else

specify
(A +=> X)=(0, 0);
endspecify
   `endif

endmodule
`endcelldefine

//%END HDPLVT08_PSLS40GSRC_Y40V1_1

//%BEGIN HDPLVT08_PSLS44GDSTNE0_CBY44FS_1
`celldefine
module HDPLVT08_PSLS44GDSTNE0_CBY44FS_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS44GDSTNE0_CBY44FS_1

//%BEGIN HDPLVT08_PSLS44GDSTNE0_CBY44_1
`celldefine
module HDPLVT08_PSLS44GDSTNE0_CBY44_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS44GDSTNE0_CBY44_1

//%BEGIN HDPLVT08_PSLS44GDSTNE0_Y44FS_1
`celldefine
module HDPLVT08_PSLS44GDSTNE0_Y44FS_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS44GDSTNE0_Y44FS_1

//%BEGIN HDPLVT08_PSLS44GDSTNE0_Y44_1
`celldefine
module HDPLVT08_PSLS44GDSTNE0_Y44_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0;


    and inst0   (int_0, A, SANE);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_0);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_0);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A +=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLS44GDSTNE0_Y44_1

//%BEGIN HDPLVT08_PSLSIN40GDST_Y40FS_1
`celldefine
module HDPLVT08_PSLSIN40GDST_Y40FS_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0, int_1, int_2;


    not inst0   (int_0, 1'b1);
    not inst1   (int_1, A);
    or inst2   (int_2, int_1, int_0);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_2);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_2);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A -=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLSIN40GDST_Y40FS_1

//%BEGIN HDPLVT08_PSLSIN40GDST_Y40_1
`celldefine
module HDPLVT08_PSLSIN40GDST_Y40_1 (SANE, X, A);
  input A;
  output SANE, X;
  wire int_0, int_1, int_2;


    not inst0   (int_0, 1'b1);
    not inst1   (int_1, A);
    or inst2   (int_2, int_1, int_0);
  `ifdef VIRL_functiononly
    buf #`SNPS_COMBO_DELAY instt0  (X, int_2);
    buf #`SNPS_COMBO_DELAY instt1  (SANE, 1'b1);
  `else
    buf instt0   (X, int_2);
    buf instt1   (SANE, 1'b1);
  `endif
  `ifdef VIRL_functiononly
  `else

specify
(A -=> X)=(0, 0);
endspecify
  `endif
endmodule
`endcelldefine
//%END HDPLVT08_PSLSIN40GDST_Y40_1

