`timescale 1ns/10ps

// vim: set expandtab tabstop=8 shiftwidth=4 softtabstop=4 foldmethod=marker:

module TECHRO111_TSMCN7B1 ( 
                    RO_en_1, 
                    RO_en_all_1, 
                    RO_cntr_reset_1, 
                    RO_cntr_ovflw_1, 
                    RO_cntr_1, 
                    RO_ocv_sel_1, 
                    RO_sel_1, 
                    RO_en_2, 
                    RO_en_all_2, 
                    RO_cntr_reset_2, 
                    RO_cntr_ovflw_2, 
                    RO_cntr_2, 
                    RO_ocv_sel_2, 
                    RO_sel_2, 
                    RO_en_3, 
                    RO_en_all_3, 
                    RO_cntr_reset_3, 
                    RO_cntr_ovflw_3, 
                    RO_cntr_3, 
                    RO_ocv_sel_3, 
                    RO_sel_3, 
                    RO_en_4, 
                    RO_en_all_4, 
                    RO_cntr_reset_4, 
                    RO_cntr_ovflw_4, 
                    RO_cntr_4, 
                    RO_ocv_sel_4, 
                    RO_sel_4, 
                    RO_en_5, 
                    RO_en_all_5, 
                    RO_cntr_reset_5, 
                    RO_cntr_ovflw_5, 
                    RO_cntr_5, 
                    RO_ocv_sel_5, 
                    RO_sel_5,
                    RO_en_6, 
                    RO_en_all_6, 
                    RO_cntr_reset_6, 
                    RO_cntr_ovflw_6, 
                    RO_cntr_6, 
                    RO_ocv_sel_6, 
                    RO_sel_6,
                    RO_en_7, 
                    RO_en_all_7, 
                    RO_cntr_reset_7, 
                    RO_cntr_ovflw_7, 
                    RO_cntr_7, 
                    RO_ocv_sel_7, 
                    RO_sel_7,
                    VDD_RO,
                    VDD_CNTRL,
                    VSS 
                   );
    input VDD_RO, VDD_CNTRL, VSS;


    output [28:0] RO_cntr_1;
    input [1:0] RO_ocv_sel_1;
    input [3:0] RO_sel_1;
    input RO_en_1, RO_en_all_1, RO_cntr_reset_1;
    output RO_cntr_ovflw_1;

    output [28:0] RO_cntr_2;
    input [1:0] RO_ocv_sel_2;
    input [3:0] RO_sel_2;
    input RO_en_2, RO_en_all_2, RO_cntr_reset_2;
    output RO_cntr_ovflw_2;

    output [28:0] RO_cntr_3;
    input [1:0] RO_ocv_sel_3;
    input [3:0] RO_sel_3;
    input RO_en_3, RO_en_all_3, RO_cntr_reset_3;
    output RO_cntr_ovflw_3;

    output [28:0] RO_cntr_4;
    input [1:0] RO_ocv_sel_4;
    input [3:0] RO_sel_4;
    input RO_en_4, RO_en_all_4, RO_cntr_reset_4;
    output RO_cntr_ovflw_4;

    output [28:0] RO_cntr_5;
    input [1:0] RO_ocv_sel_5;
    input [3:0] RO_sel_5;
    input RO_en_5, RO_en_all_5, RO_cntr_reset_5;
    output RO_cntr_ovflw_5;

    output [28:0] RO_cntr_6;
    input [1:0] RO_ocv_sel_6;
    input [3:0] RO_sel_6;
    input RO_en_6, RO_en_all_6, RO_cntr_reset_6;
    output RO_cntr_ovflw_6;

    output [28:0] RO_cntr_7;
    input [1:0] RO_ocv_sel_7;
    input [3:0] RO_sel_7;
    input RO_en_7, RO_en_all_7, RO_cntr_reset_7;
    output RO_cntr_ovflw_7;

  wire   [111:0] RO_OUT;
  wire   [111:0] RO_EN;
 
  wire [1:0] RO_ocv_sel_1_out;
  wire [1:0] RO_ocv_sel_2_out;
  wire [1:0] RO_ocv_sel_3_out;
  wire [1:0] RO_ocv_sel_4_out;
  wire [1:0] RO_ocv_sel_5_out;
  wire [1:0] RO_ocv_sel_6_out;
  wire [1:0] RO_ocv_sel_7_out;

  TECHRO111_TSMCN7B1_CNTRL_LOGIC CNTRL_D1 (
		.RO_en_1(RO_en_1), 
		.RO_en_all_1(RO_en_all_1), 
		.RO_cntr_reset_1(RO_cntr_reset_1), 
		.RO_cntr_ovflw_1(RO_cntr_ovflw_1), 
		.RO_cntr_1(RO_cntr_1), 
		.RO_sel_1(RO_sel_1),
		.RO_en_2(RO_en_2), 
		.RO_en_all_2(RO_en_all_2), 
		.RO_cntr_reset_2(RO_cntr_reset_2), 
		.RO_cntr_ovflw_2(RO_cntr_ovflw_2), 
		.RO_cntr_2(RO_cntr_2), 
		.RO_sel_2(RO_sel_2),
		.RO_en_3(RO_en_3), 
		.RO_en_all_3(RO_en_all_3), 
		.RO_cntr_reset_3(RO_cntr_reset_3), 
		.RO_cntr_ovflw_3(RO_cntr_ovflw_3), 
		.RO_cntr_3(RO_cntr_3), 
		.RO_sel_3(RO_sel_3),
		.RO_en_4(RO_en_4), 
		.RO_en_all_4(RO_en_all_4), 
		.RO_cntr_reset_4(RO_cntr_reset_4), 
		.RO_cntr_ovflw_4(RO_cntr_ovflw_4), 
		.RO_cntr_4(RO_cntr_4), 
		.RO_sel_4(RO_sel_4),
		.RO_en_5(RO_en_5), 
		.RO_en_all_5(RO_en_all_5), 
		.RO_cntr_reset_5(RO_cntr_reset_5), 
		.RO_cntr_ovflw_5(RO_cntr_ovflw_5), 
		.RO_cntr_5(RO_cntr_5), 
		.RO_sel_5(RO_sel_5),
		.RO_en_6(RO_en_6), 
		.RO_en_all_6(RO_en_all_6), 
		.RO_cntr_reset_6(RO_cntr_reset_6), 
		.RO_cntr_ovflw_6(RO_cntr_ovflw_6), 
		.RO_cntr_6(RO_cntr_6), 
		.RO_sel_6(RO_sel_6),
		.RO_en_7(RO_en_7), 
		.RO_en_all_7(RO_en_all_7), 
		.RO_cntr_reset_7(RO_cntr_reset_7), 
		.RO_cntr_ovflw_7(RO_cntr_ovflw_7), 
		.RO_cntr_7(RO_cntr_7), 
		.RO_sel_7(RO_sel_7), 
		.RO_ocv_sel_1(RO_ocv_sel_1),
		.RO_ocv_sel_2(RO_ocv_sel_2),
		.RO_ocv_sel_3(RO_ocv_sel_3),
		.RO_ocv_sel_4(RO_ocv_sel_4),
		.RO_ocv_sel_5(RO_ocv_sel_5),
		.RO_ocv_sel_6(RO_ocv_sel_6),
		.RO_ocv_sel_7(RO_ocv_sel_7),
		.RO_ocv_sel_1_out(RO_ocv_sel_1_out),
		.RO_ocv_sel_2_out(RO_ocv_sel_2_out),
		.RO_ocv_sel_3_out(RO_ocv_sel_3_out),
		.RO_ocv_sel_4_out(RO_ocv_sel_4_out),
		.RO_ocv_sel_5_out(RO_ocv_sel_5_out),
		.RO_ocv_sel_6_out(RO_ocv_sel_6_out),
		.RO_ocv_sel_7_out(RO_ocv_sel_7_out),
		.RO_OUT(RO_OUT), 
		.RO_EN(RO_EN)
	);

  TECHRO111_TSMCN7B1_ROS_INSTANCES ROS_D1 ( 
		.RO_OUT(RO_OUT), 
		.RO_EN(RO_EN), 
		.RO_OCV_1(RO_ocv_sel_1_out),
		.RO_OCV_2(RO_ocv_sel_2_out),
		.RO_OCV_3(RO_ocv_sel_3_out),
		.RO_OCV_4(RO_ocv_sel_4_out),
		.RO_OCV_5(RO_ocv_sel_5_out),
		.RO_OCV_6(RO_ocv_sel_6_out),
		.RO_OCV_7(RO_ocv_sel_6_out)

         );


endmodule

module TECHRO111_TSMCN7B1_CNTRL_LOGIC (RO_en_1, 
                    RO_en_all_1, 
                    RO_cntr_reset_1, 
                    RO_cntr_ovflw_1, 
                    RO_cntr_1, 
                    RO_sel_1, 
                    RO_en_2, 
                    RO_en_all_2, 
                    RO_cntr_reset_2, 
                    RO_cntr_ovflw_2, 
                    RO_cntr_2, 
                    RO_sel_2, 
                    RO_en_3, 
                    RO_en_all_3, 
                    RO_cntr_reset_3, 
                    RO_cntr_ovflw_3, 
                    RO_cntr_3, 
                    RO_sel_3, 
                    RO_en_4, 
                    RO_en_all_4, 
                    RO_cntr_reset_4, 
                    RO_cntr_ovflw_4, 
                    RO_cntr_4, 
                    RO_sel_4, 
                    RO_en_5, 
                    RO_en_all_5, 
                    RO_cntr_reset_5, 
                    RO_cntr_ovflw_5, 
                    RO_cntr_5, 
                    RO_sel_5,
                    RO_en_6, 
                    RO_en_all_6, 
                    RO_cntr_reset_6, 
                    RO_cntr_ovflw_6, 
                    RO_cntr_6, 
                    RO_sel_6,
                    RO_en_7, 
                    RO_en_all_7, 
                    RO_cntr_reset_7, 
                    RO_cntr_ovflw_7, 
                    RO_cntr_7, 
                    RO_sel_7,
                    RO_ocv_sel_1,
                    RO_ocv_sel_2,
                    RO_ocv_sel_3,
                    RO_ocv_sel_4,
                    RO_ocv_sel_5,
                    RO_ocv_sel_6,
                    RO_ocv_sel_7,
                    RO_ocv_sel_1_out,
                    RO_ocv_sel_2_out,
                    RO_ocv_sel_3_out,
                    RO_ocv_sel_4_out,
                    RO_ocv_sel_5_out,
                    RO_ocv_sel_6_out,
                    RO_ocv_sel_7_out, 
                    RO_OUT, RO_EN);

    output [28:0] RO_cntr_1;
    input [3:0] RO_sel_1;
    input RO_en_1, RO_en_all_1, RO_cntr_reset_1;
    output RO_cntr_ovflw_1;

    output [28:0] RO_cntr_2;
    input [3:0] RO_sel_2;
    input RO_en_2, RO_en_all_2, RO_cntr_reset_2;
    output RO_cntr_ovflw_2;

    output [28:0] RO_cntr_3;
    input [3:0] RO_sel_3;
    input RO_en_3, RO_en_all_3, RO_cntr_reset_3;
    output RO_cntr_ovflw_3;

    output [28:0] RO_cntr_4;
    input [3:0] RO_sel_4;
    input RO_en_4, RO_en_all_4, RO_cntr_reset_4;
    output RO_cntr_ovflw_4;

    output [28:0] RO_cntr_5;
    input [3:0] RO_sel_5;
    input RO_en_5, RO_en_all_5, RO_cntr_reset_5;
    output RO_cntr_ovflw_5;

    output [28:0] RO_cntr_6;
    input [3:0] RO_sel_6;
    input RO_en_6, RO_en_all_6, RO_cntr_reset_6;
    output RO_cntr_ovflw_6;

    output [28:0] RO_cntr_7;
    input [3:0] RO_sel_7;
    input RO_en_7, RO_en_all_7, RO_cntr_reset_7;
    output RO_cntr_ovflw_7;

    wire   [6:0] MUX_OUT;
    output [111:0] RO_OUT;
    output [111:0] RO_EN;
    wire   [111:0] RO_EN;
    wire   [111:0] RO_EN_int;


    input [1:0] RO_ocv_sel_1;
    input [1:0] RO_ocv_sel_2;
    input [1:0] RO_ocv_sel_3;
    input [1:0] RO_ocv_sel_4;
    input [1:0] RO_ocv_sel_5;
    input [1:0] RO_ocv_sel_6;
    input [1:0] RO_ocv_sel_7;

    output [1:0] RO_ocv_sel_1_out;
    output [1:0] RO_ocv_sel_2_out;
    output [1:0] RO_ocv_sel_3_out;
    output [1:0] RO_ocv_sel_4_out;
    output [1:0] RO_ocv_sel_5_out;
    output [1:0] RO_ocv_sel_6_out;
    output [1:0] RO_ocv_sel_7_out;

    wire [1:0] RO_ocv_sel_1_out;
    wire [1:0] RO_ocv_sel_2_out;
    wire [1:0] RO_ocv_sel_3_out;
    wire [1:0] RO_ocv_sel_4_out;
    wire [1:0] RO_ocv_sel_5_out;
    wire [1:0] RO_ocv_sel_6_out;
    wire [1:0] RO_ocv_sel_7_out;

    assign RO_ocv_sel_1_out = ~(~RO_ocv_sel_1);
    assign RO_ocv_sel_2_out = ~(~RO_ocv_sel_2);
    assign RO_ocv_sel_3_out = ~(~RO_ocv_sel_3);
    assign RO_ocv_sel_4_out = ~(~RO_ocv_sel_4);
    assign RO_ocv_sel_5_out = ~(~RO_ocv_sel_5);
    assign RO_ocv_sel_6_out = ~(~RO_ocv_sel_6);
    assign RO_ocv_sel_7_out = ~(~RO_ocv_sel_6);


// {{{ FOR COUNTER 1

   TECHRO111_TSMCN7B1_RO_MUX RO_MUX_D1 (
      .in(RO_OUT[15:0]), 
      .ro_sel(RO_sel_1), 
      .out(MUX_OUT[0])
   );

   TECHRO111_TSMCN7B1_RO_DEMUX RO_DEMUX_D1 (
      .ro_en_all(RO_en_all_1),
      .ro_en(RO_en_1),
      .ro_sel(RO_sel_1), 
      .out(RO_EN_int[15:0])

   );

   // reset low
   TECHRO111_TSMCN7B1_RIPPLE_COUNTER RIPPLE_COUNTER_D1 (
      .reset(~RO_cntr_reset_1), 
      .D(MUX_OUT[0]), 
      .Cntr(RO_cntr_1), 
      .overflow(RO_cntr_ovflw_1)
    );

   assign RO_EN[15:0] = ~(~RO_EN_int[15:0]);


// }}}

// {{{ FOR COUNTER 2

   TECHRO111_TSMCN7B1_RO_MUX RO_MUX_D2 (
      .in(RO_OUT[31:16]), 
      .ro_sel(RO_sel_2), 
      .out(MUX_OUT[1])
   );

   TECHRO111_TSMCN7B1_RO_DEMUX RO_DEMUX_D2 (
      .ro_en_all(RO_en_all_2),
      .ro_en(RO_en_2),
      .ro_sel(RO_sel_2), 
      .out(RO_EN_int[31:16])

   );

   // reset low
   TECHRO111_TSMCN7B1_RIPPLE_COUNTER RIPPLE_COUNTER_D2 (
      .reset(~RO_cntr_reset_2), 
      .D(MUX_OUT[1]), 
      .Cntr(RO_cntr_2), 
      .overflow(RO_cntr_ovflw_2)
    );

    assign RO_EN[31:16] = ~(~RO_EN_int[31:16]);

// }}}

// {{{ FOR COUNTER 3

   TECHRO111_TSMCN7B1_RO_MUX RO_MUX_D3 (
      .in(RO_OUT[47:32]), 
      .ro_sel(RO_sel_3), 
      .out(MUX_OUT[2])
   );

   TECHRO111_TSMCN7B1_RO_DEMUX RO_DEMUX_D3 (
      .ro_en_all(RO_en_all_3),
      .ro_en(RO_en_3),
      .ro_sel(RO_sel_3), 
      .out(RO_EN_int[47:32])

   );

   // reset low
   TECHRO111_TSMCN7B1_RIPPLE_COUNTER RIPPLE_COUNTER_D3 (
      .reset(~RO_cntr_reset_3), 
      .D(MUX_OUT[2]), 
      .Cntr(RO_cntr_3), 
      .overflow(RO_cntr_ovflw_3)
    );

    assign RO_EN[47:32] = ~(~RO_EN_int[47:32]);
// }}}

// {{{ FOR COUNTER 4

   TECHRO111_TSMCN7B1_RO_MUX RO_MUX_D4 (
      .in(RO_OUT[63:48]), 
      .ro_sel(RO_sel_4), 
      .out(MUX_OUT[3])
   );

   TECHRO111_TSMCN7B1_RO_DEMUX RO_DEMUX_D4 (
      .ro_en_all(RO_en_all_4),
      .ro_en(RO_en_4),
      .ro_sel(RO_sel_4), 
      .out(RO_EN_int[63:48])

   );

   // reset low
   TECHRO111_TSMCN7B1_RIPPLE_COUNTER RIPPLE_COUNTER_D4 (
      .reset(~RO_cntr_reset_4), 
      .D(MUX_OUT[3]), 
      .Cntr(RO_cntr_4), 
      .overflow(RO_cntr_ovflw_4)
    );


    assign RO_EN[63:48] = ~(~RO_EN_int[63:48]);
// }}}

// {{{ FOR COUNTER 5

   TECHRO111_TSMCN7B1_RO_MUX RO_MUX_D5 (
      .in(RO_OUT[79:64]), 
      .ro_sel(RO_sel_5), 
      .out(MUX_OUT[4])
   );

   TECHRO111_TSMCN7B1_RO_DEMUX RO_DEMUX_D5 (
      .ro_en_all(RO_en_all_5),
      .ro_en(RO_en_5),
      .ro_sel(RO_sel_5), 
      .out(RO_EN_int[79:64])

   );

   // reset low
   TECHRO111_TSMCN7B1_RIPPLE_COUNTER RIPPLE_COUNTER_D5 (
      .reset(~RO_cntr_reset_5), 
      .D(MUX_OUT[4]), 
      .Cntr(RO_cntr_5), 
      .overflow(RO_cntr_ovflw_5)
    );

    assign RO_EN[79:64] = ~(~RO_EN_int[79:64]);
// }}}

// {{{ FOR COUNTER 6

   TECHRO111_TSMCN7B1_RO_MUX RO_MUX_D6 (
      .in(RO_OUT[95:80]), 
      .ro_sel(RO_sel_6), 
      .out(MUX_OUT[5])
   );

   TECHRO111_TSMCN7B1_RO_DEMUX RO_DEMUX_D6 (
      .ro_en_all(RO_en_all_6),
      .ro_en(RO_en_6),
      .ro_sel(RO_sel_6), 
      .out(RO_EN_int[95:80])

   );

   // reset low
   TECHRO111_TSMCN7B1_RIPPLE_COUNTER RIPPLE_COUNTER_D6 (
      .reset(~RO_cntr_reset_6), 
      .D(MUX_OUT[5]), 
      .Cntr(RO_cntr_6), 
      .overflow(RO_cntr_ovflw_6)
    );

    assign RO_EN[95:80] = ~(~RO_EN_int[95:80]);
// }}}

// {{{ FOR COUNTER 7 

   TECHRO111_TSMCN7B1_RO_MUX RO_MUX_D7 (
      .in(RO_OUT[111:96]), 
      .ro_sel(RO_sel_7), 
      .out(MUX_OUT[6])
   );

   TECHRO111_TSMCN7B1_RO_DEMUX RO_DEMUX_D7 (
      .ro_en_all(RO_en_all_7),
      .ro_en(RO_en_7),
      .ro_sel(RO_sel_7), 
      .out(RO_EN_int[111:96])

   );

   // reset low
   TECHRO111_TSMCN7B1_RIPPLE_COUNTER RIPPLE_COUNTER_D7 (
      .reset(~RO_cntr_reset_7), 
      .D(MUX_OUT[6]), 
      .Cntr(RO_cntr_7), 
      .overflow(RO_cntr_ovflw_7)
    );

    assign RO_EN[111:96] = ~(~RO_EN_int[111:96]);
// }}}


endmodule





module TECHRO111_TSMCN7B1_ROS_INSTANCES ( RO_OUT, RO_EN, RO_OCV_1, RO_OCV_2, RO_OCV_3, RO_OCV_4, RO_OCV_5, RO_OCV_6,RO_OCV_7);
output [111:0] RO_OUT;
input [1:0] RO_OCV_1;
input [1:0] RO_OCV_2;
input [1:0] RO_OCV_3;
input [1:0] RO_OCV_4;
input [1:0] RO_OCV_5;
input [1:0] RO_OCV_6;
input [1:0] RO_OCV_7;

input [111:0] RO_EN;  

// {{{ FOR CONTROL 1

   TECHRO111_TSMCN7B1_RO_CHAIN IRO0   (.RO_Out(RO_OUT[0]),    .En_X(RO_EN[0]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO1   (.RO_Out(RO_OUT[1]),    .En_X(RO_EN[1]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO2   (.RO_Out(RO_OUT[2]),    .En_X(RO_EN[2]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO3   (.RO_Out(RO_OUT[3]),    .En_X(RO_EN[3]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO4   (.RO_Out(RO_OUT[4]),    .En_X(RO_EN[4]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO5   (.RO_Out(RO_OUT[5]),    .En_X(RO_EN[5]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO6   (.RO_Out(RO_OUT[6]),    .En_X(RO_EN[6]));
   TECHRO111_TSMCN7B1_RO_CHAIN_OCV IRO7   (.RO_Out(RO_OUT[7]),    .En_X(RO_EN[7]), .RO_ocv_sel(RO_OCV_1));
   TECHRO111_TSMCN7B1_RO_CHAIN_OCV IRO8   (.RO_Out(RO_OUT[8]),    .En_X(RO_EN[8]), .RO_ocv_sel(RO_OCV_1));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO9   (.RO_Out(RO_OUT[9]),    .En_X(RO_EN[9]) );
   TECHRO111_TSMCN7B1_RO_CHAIN IRO10  (.RO_Out(RO_OUT[10]),   .En_X(RO_EN[10]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO11  (.RO_Out(RO_OUT[11]),   .En_X(RO_EN[11]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO12  (.RO_Out(RO_OUT[12]),   .En_X(RO_EN[12]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO13  (.RO_Out(RO_OUT[13]),   .En_X(RO_EN[13]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO14  (.RO_Out(RO_OUT[14]),   .En_X(RO_EN[14]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO15  (.RO_Out(RO_OUT[15]),   .En_X(RO_EN[15]));

// }}}

// {{{ FOR CONTROL 2

   TECHRO111_TSMCN7B1_RO_CHAIN IRO16   (.RO_Out(RO_OUT[16]),    .En_X(RO_EN[16]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO17   (.RO_Out(RO_OUT[17]),    .En_X(RO_EN[17]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO18   (.RO_Out(RO_OUT[18]),    .En_X(RO_EN[18]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO19   (.RO_Out(RO_OUT[19]),    .En_X(RO_EN[19]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO20   (.RO_Out(RO_OUT[20]),    .En_X(RO_EN[20]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO21   (.RO_Out(RO_OUT[21]),    .En_X(RO_EN[21]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO22   (.RO_Out(RO_OUT[22]),    .En_X(RO_EN[22]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO23   (.RO_Out(RO_OUT[23]),    .En_X(RO_EN[23]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO24   (.RO_Out(RO_OUT[24]),    .En_X(RO_EN[24]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO25   (.RO_Out(RO_OUT[25]),    .En_X(RO_EN[25]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO26   (.RO_Out(RO_OUT[26]),    .En_X(RO_EN[26]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO27   (.RO_Out(RO_OUT[27]),    .En_X(RO_EN[27]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO28   (.RO_Out(RO_OUT[28]),    .En_X(RO_EN[28]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO29   (.RO_Out(RO_OUT[29]),    .En_X(RO_EN[29]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO30   (.RO_Out(RO_OUT[30]),    .En_X(RO_EN[30]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO31   (.RO_Out(RO_OUT[31]),    .En_X(RO_EN[31]));

// }}}

// {{{ FOR CONTROL 3

   TECHRO111_TSMCN7B1_RO_CHAIN IRO32   (.RO_Out(RO_OUT[32]),    .En_X(RO_EN[32]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO33   (.RO_Out(RO_OUT[33]),    .En_X(RO_EN[33]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO34   (.RO_Out(RO_OUT[34]),    .En_X(RO_EN[34]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO35   (.RO_Out(RO_OUT[35]),    .En_X(RO_EN[35]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO36   (.RO_Out(RO_OUT[36]),    .En_X(RO_EN[36]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO37   (.RO_Out(RO_OUT[37]),    .En_X(RO_EN[37]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO38   (.RO_Out(RO_OUT[38]),    .En_X(RO_EN[38]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO39   (.RO_Out(RO_OUT[39]),    .En_X(RO_EN[39]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO40   (.RO_Out(RO_OUT[40]),    .En_X(RO_EN[40]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO41   (.RO_Out(RO_OUT[41]),    .En_X(RO_EN[41]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO42   (.RO_Out(RO_OUT[42]),    .En_X(RO_EN[42]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO43   (.RO_Out(RO_OUT[43]),    .En_X(RO_EN[43]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO44   (.RO_Out(RO_OUT[44]),    .En_X(RO_EN[44]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO45   (.RO_Out(RO_OUT[45]),    .En_X(RO_EN[45]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO46   (.RO_Out(RO_OUT[46]),    .En_X(RO_EN[46]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO47   (.RO_Out(RO_OUT[47]),    .En_X(RO_EN[47]));

// }}}

// {{{ FOR CONTROL 4
   TECHRO111_TSMCN7B1_RO_CHAIN_OCV IRO48   (.RO_Out(RO_OUT[48]),    .En_X(RO_EN[48]), .RO_ocv_sel(RO_OCV_4));
   TECHRO111_TSMCN7B1_RO_CHAIN_OCV IRO49   (.RO_Out(RO_OUT[49]),    .En_X(RO_EN[49]), .RO_ocv_sel(RO_OCV_4));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO50   (.RO_Out(RO_OUT[50]),    .En_X(RO_EN[50]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO51   (.RO_Out(RO_OUT[51]),    .En_X(RO_EN[51]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO52   (.RO_Out(RO_OUT[52]),    .En_X(RO_EN[52]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO53   (.RO_Out(RO_OUT[53]),    .En_X(RO_EN[53]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO54   (.RO_Out(RO_OUT[54]),    .En_X(RO_EN[54]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO55   (.RO_Out(RO_OUT[55]),    .En_X(RO_EN[55]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO56   (.RO_Out(RO_OUT[56]),    .En_X(RO_EN[56]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO57   (.RO_Out(RO_OUT[57]),    .En_X(RO_EN[57]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO58   (.RO_Out(RO_OUT[58]),    .En_X(RO_EN[58]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO59   (.RO_Out(RO_OUT[59]),    .En_X(RO_EN[59]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO60   (.RO_Out(RO_OUT[60]),    .En_X(RO_EN[60]));
   TECHRO111_TSMCN7B1_RO_CHAIN_OCV IRO61   (.RO_Out(RO_OUT[61]),    .En_X(RO_EN[61]), .RO_ocv_sel(RO_OCV_4));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO62   (.RO_Out(RO_OUT[62]),    .En_X(RO_EN[62]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO63   (.RO_Out(RO_OUT[63]),    .En_X(RO_EN[63]));

// }}}

// {{{ FOR CONTROL 5

   TECHRO111_TSMCN7B1_RO_CHAIN IRO64   (.RO_Out(RO_OUT[64]),    .En_X(RO_EN[64]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO65   (.RO_Out(RO_OUT[65]),    .En_X(RO_EN[65]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO66   (.RO_Out(RO_OUT[66]),    .En_X(RO_EN[66]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO67   (.RO_Out(RO_OUT[67]),    .En_X(RO_EN[67]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO68   (.RO_Out(RO_OUT[68]),    .En_X(RO_EN[68]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO69   (.RO_Out(RO_OUT[69]),    .En_X(RO_EN[69]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO70   (.RO_Out(RO_OUT[70]),    .En_X(RO_EN[70]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO71   (.RO_Out(RO_OUT[71]),    .En_X(RO_EN[71]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO72   (.RO_Out(RO_OUT[72]),    .En_X(RO_EN[72]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO73   (.RO_Out(RO_OUT[73]),    .En_X(RO_EN[73]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO74   (.RO_Out(RO_OUT[74]),    .En_X(RO_EN[74]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO75   (.RO_Out(RO_OUT[75]),    .En_X(RO_EN[75]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO76   (.RO_Out(RO_OUT[76]),    .En_X(RO_EN[76]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO77   (.RO_Out(RO_OUT[77]),    .En_X(RO_EN[77]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO78   (.RO_Out(RO_OUT[78]),    .En_X(RO_EN[78]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO79   (.RO_Out(RO_OUT[79]),    .En_X(RO_EN[79]));

// }}}

// {{{ FOR CONTROL 6

   TECHRO111_TSMCN7B1_RO_CHAIN IRO80   (.RO_Out(RO_OUT[80]),    .En_X(RO_EN[80]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO81   (.RO_Out(RO_OUT[81]),    .En_X(RO_EN[81]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO82   (.RO_Out(RO_OUT[82]),    .En_X(RO_EN[82]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO83   (.RO_Out(RO_OUT[83]),    .En_X(RO_EN[83]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO84   (.RO_Out(RO_OUT[84]),    .En_X(RO_EN[84]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO85   (.RO_Out(RO_OUT[85]),    .En_X(RO_EN[85]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO86   (.RO_Out(RO_OUT[86]),    .En_X(RO_EN[86]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO87   (.RO_Out(RO_OUT[87]),    .En_X(RO_EN[87]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO88   (.RO_Out(RO_OUT[88]),    .En_X(RO_EN[88]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO89   (.RO_Out(RO_OUT[89]),    .En_X(RO_EN[89]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO90   (.RO_Out(RO_OUT[90]),    .En_X(RO_EN[90]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO91   (.RO_Out(RO_OUT[91]),    .En_X(RO_EN[91]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO92   (.RO_Out(RO_OUT[92]),    .En_X(RO_EN[92]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO93   (.RO_Out(RO_OUT[93]),    .En_X(RO_EN[93]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO94   (.RO_Out(RO_OUT[94]),    .En_X(RO_EN[94]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO95   (.RO_Out(RO_OUT[95]),    .En_X(RO_EN[95]));

// }}}

// {{{ FOR CONTROL 7 

   TECHRO111_TSMCN7B1_RO_CHAIN IRO96   (.RO_Out(RO_OUT[96]),    .En_X(RO_EN[96]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO97   (.RO_Out(RO_OUT[97]),    .En_X(RO_EN[97]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO98   (.RO_Out(RO_OUT[98]),    .En_X(RO_EN[98]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO99   (.RO_Out(RO_OUT[99]),    .En_X(RO_EN[99]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO100   (.RO_Out(RO_OUT[100]),    .En_X(RO_EN[100]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO101   (.RO_Out(RO_OUT[101]),    .En_X(RO_EN[101]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO102   (.RO_Out(RO_OUT[102]),    .En_X(RO_EN[102]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO103   (.RO_Out(RO_OUT[103]),    .En_X(RO_EN[103]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO104   (.RO_Out(RO_OUT[104]),    .En_X(RO_EN[104]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO105   (.RO_Out(RO_OUT[105]),    .En_X(RO_EN[105]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO106   (.RO_Out(RO_OUT[106]),    .En_X(RO_EN[106]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO107   (.RO_Out(RO_OUT[107]),    .En_X(RO_EN[107]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO108   (.RO_Out(RO_OUT[108]),    .En_X(RO_EN[108]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO109   (.RO_Out(RO_OUT[109]),    .En_X(RO_EN[109]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO110   (.RO_Out(RO_OUT[110]),    .En_X(RO_EN[110]));
   TECHRO111_TSMCN7B1_RO_CHAIN IRO111   (.RO_Out(RO_OUT[111]),    .En_X(RO_EN[111]));

// }}}


endmodule




module TECHRO111_TSMCN7B1_RIPPLE_COUNTER (reset, D, Cntr, overflow);

   // PINS DECLARE
   input D;
   input reset;

   output [28:0] Cntr;
   output overflow;
  
   reg [28:0] Q = 29'b00000000000000000000000000000;
   reg overflow_temp;

   wire [28:0] c;

   assign overflow = overflow_temp;
   assign Cntr[28:0] = Q[28:0];
   assign c[28:0] = ~Q[28:0];

   always @(posedge D     or negedge (reset) )     if (~reset)  Q[0]  <= 1'b0;    else Q[0] <= ~Q[0];
   always @(posedge c[0]  or negedge (reset) )     if (~reset)  Q[1]  <= 1'b0;    else Q[1] <= ~Q[1];
   always @(posedge c[1]  or negedge (reset) )     if (~reset)  Q[2]  <= 1'b0;    else Q[2] <= ~Q[2];
   always @(posedge c[2]  or negedge (reset) )     if (~reset)  Q[3]  <= 1'b0;    else Q[3] <= ~Q[3];
   always @(posedge c[3]  or negedge (reset) )     if (~reset)  Q[4]  <= 1'b0;    else Q[4] <= ~Q[4];
   always @(posedge c[4]  or negedge (reset) )     if (~reset)  Q[5]  <= 1'b0;    else Q[5] <= ~Q[5];
   always @(posedge c[5]  or negedge (reset) )     if (~reset)  Q[6]  <= 1'b0;    else Q[6] <= ~Q[6];
   always @(posedge c[6]  or negedge (reset) )     if (~reset)  Q[7]  <= 1'b0;    else Q[7] <= ~Q[7];
   always @(posedge c[7]  or negedge (reset) )     if (~reset)  Q[8]  <= 1'b0;    else Q[8] <= ~Q[8];
   always @(posedge c[8]  or negedge (reset) )     if (~reset)  Q[9]  <= 1'b0;    else Q[9] <= ~Q[9];
   always @(posedge c[9]  or negedge (reset) )     if (~reset)  Q[10] <= 1'b0;   else Q[10] <= ~Q[10];
   always @(posedge c[10] or negedge (reset) )     if (~reset)  Q[11] <= 1'b0;   else Q[11] <= ~Q[11];
   always @(posedge c[11] or negedge (reset) )     if (~reset)  Q[12] <= 1'b0;   else Q[12] <= ~Q[12];
   always @(posedge c[12] or negedge (reset) )     if (~reset)  Q[13] <= 1'b0;   else Q[13] <= ~Q[13];
   always @(posedge c[13] or negedge (reset) )     if (~reset)  Q[14] <= 1'b0;   else Q[14] <= ~Q[14];
   always @(posedge c[14] or negedge (reset) )     if (~reset)  Q[15] <= 1'b0;   else Q[15] <= ~Q[15];
   always @(posedge c[15] or negedge (reset) )     if (~reset)  Q[16] <= 1'b0;   else Q[16] <= ~Q[16];
   always @(posedge c[16] or negedge (reset) )     if (~reset)  Q[17] <= 1'b0;   else Q[17] <= ~Q[17];
   always @(posedge c[17] or negedge (reset) )     if (~reset)  Q[18] <= 1'b0;   else Q[18] <= ~Q[18];
   always @(posedge c[18] or negedge (reset) )     if (~reset)  Q[19] <= 1'b0;   else Q[19] <= ~Q[19];
   always @(posedge c[19] or negedge (reset) )     if (~reset)  Q[20] <= 1'b0;   else Q[20] <= ~Q[20];
   always @(posedge c[20] or negedge (reset) )     if (~reset)  Q[21] <= 1'b0;   else Q[21] <= ~Q[21];
   always @(posedge c[21] or negedge (reset) )     if (~reset)  Q[22] <= 1'b0;   else Q[22] <= ~Q[22];
   always @(posedge c[22] or negedge (reset) )     if (~reset)  Q[23] <= 1'b0;   else Q[23] <= ~Q[23];
   always @(posedge c[23] or negedge (reset) )     if (~reset)  Q[24] <= 1'b0;   else Q[24] <= ~Q[24];
   always @(posedge c[24] or negedge (reset) )     if (~reset)  Q[25] <= 1'b0;   else Q[25] <= ~Q[25];
   always @(posedge c[25] or negedge (reset) )     if (~reset)  Q[26] <= 1'b0;   else Q[26] <= ~Q[26];
   always @(posedge c[26] or negedge (reset) )     if (~reset)  Q[27] <= 1'b0;   else Q[27] <= ~Q[27];
   always @(posedge c[27] or negedge (reset) )     if (~reset)  Q[28] <= 1'b0;   else Q[28] <= ~Q[28];
   always @(posedge c[28] or negedge (reset) )     if (~reset)  overflow_temp <= 1'b0;   else overflow_temp <= 1'b1;

endmodule



module TECHRO111_TSMCN7B1_RO_MUX (in, ro_sel, out);

   input [15:0] in;
   input [3:0] ro_sel;
   output out;

   reg out;

   always @(ro_sel[0] or ro_sel[1] or ro_sel[2] or ro_sel[3] or in[0] or in[1] or in[2] or in[3] or in[4] or in[5] or in[6] or in[7] or in[8] or in[9] or in[10] or in[11] or in[12] or in[13] or in[14] or in[15])
   case (ro_sel)
      0: out <= in[0];
      1: out <= in[1];
      2: out <= in[2];
      3: out <= in[3];
      4: out <= in[4];
      5: out <= in[5];
      6: out <= in[6];
      7: out <= in[7];
      8: out <= in[8];
      9: out <= in[9];
      10: out <= in[10];
      11: out <= in[11];
      12: out <= in[12];
      13: out <= in[13];      
      14: out <= in[14];      
      15: out <= in[15];  
      default: out <= 1'b0;        
          
   endcase

endmodule


module TECHRO111_TSMCN7B1_RO_DEMUX (ro_en_all, ro_en, ro_sel, out);
  
   // PINS DECLARE
   input [3:0] ro_sel;
   input ro_en_all;
   input ro_en;
   
   output [15:0] out;
   reg [15:0] out;

   always @(ro_sel[0] or ro_sel[1] or ro_sel[2] or ro_sel[3] or ro_en or ro_en_all)
   begin
      if (ro_en_all == 1 & ro_en == 1) 
             out     = 16'b0000000000000000;
      else 
      if (ro_en == 1 & ro_en_all == 0) 
      begin
         case (ro_sel)
            0: out  = 16'b1111111111111110;
            1: out  = 16'b1111111111111101;
            2: out  = 16'b1111111111111011;
            3: out  = 16'b1111111111110111;
            4: out  = 16'b1111111111101111;
            5: out  = 16'b1111111111011111;
            6: out  = 16'b1111111110111111;
            7: out  = 16'b1111111101111111;
            8: out  = 16'b1111111011111111;
            9: out  = 16'b1111110111111111;
            10: out = 16'b1111101111111111;
            11: out = 16'b1111011111111111;
            12: out = 16'b1110111111111111;
            13: out = 16'b1101111111111111;
            14: out = 16'b1011111111111111;
            15: out = 16'b0111111111111111;
	    default: out = 16'b1111111111111111;

         endcase
      end
      else 
            out = 16'b1111111111111111;
   end

endmodule


// NOTES: En_X is ACTIVE LOW!!!!!!!!!!!

module TECHRO111_TSMCN7B1_RO_CHAIN (En_X,RO_Out);
   // PINS DECLARE   
   input En_X;
   output RO_Out;

   // REG , WIRES required for oscillation
   reg RO_Out   = 1'b0;
   wire OscFB ;
   reg [3:0] randPeriod = 4'b0001;

   assign OscFB = RO_Out;
   always @* 
   begin
     RO_Out    <=  #(50 + {28'h0, randPeriod[3:0]}) ~(~En_X & OscFB);
   end

endmodule


// NOTES: En_X is ACTIVE LOW!!!!!!!!!!!

module TECHRO111_TSMCN7B1_RO_CHAIN_OCV (En_X,RO_Out,RO_ocv_sel);
   // PINS DECLARE   
   input En_X;
   output RO_Out;
   input       [1:0] RO_ocv_sel;

   // REG , WIRES required for oscillation
   reg RO_Out = 1'b0;
   wire OscFB;
   reg [3:0] randPeriod  = 4'b0001;
 
   assign OscFB = RO_Out;
  
   always @*
   begin
   	case (RO_ocv_sel)
   	    0: RO_Out  <=  #(50 + {28'h0, randPeriod[3:0]}) ~(~En_X & OscFB );
            1: RO_Out  <= #(100 + {28'h0, randPeriod[3:0]}) ~(~En_X & OscFB );
            2: RO_Out  <= #(150 + {28'h0, randPeriod[3:0]}) ~(~En_X & OscFB );
   	    3: RO_Out  <= #(200 + {28'h0, randPeriod[3:0]}) ~(~En_X & OscFB );
   	endcase
   end
 
endmodule


