//
// This reset synchronizer is for active-low reset input and active-low reset output.
//
// The rst_sync.gv in this directory is not pure reset synchronizer. There are certain scenarios where this rst_sync.gv won't work. Those scenarios are captured in below twiki.
// http://twiki.amd.com/twiki/bin/view/DFX/DesignEnhancements#Async_Reset_Sync_Cell

`include "rtllib_features.vh"
module async_rst_sync (clk, rstinB, rstoutB);
input  clk;
input  rstinB;
output rstoutB;

HDBLVT08_PIPE3RMSFQNSX_Y4_1 mrk_rst_sync  (.CK(clk), .D(1'b1), .RD(rstinB), .Q(rstoutB));  

//ul <-- lvt
//ulc <-- lvt with +2nm wimpy
//ur <-- rvt
//urc <-- rvt with +2nm wimpy
//us <-- slvt


endmodule // async_rst_sync

