//
// This reset synchronizer is for active-hi reset input and active-hi reset output.
//
// The rst_sync.gv in this directory is not pure reset synchronizer. There are certain scenarios where this rst_sync.gv won't work. Those scenarios are captured in below twiki.
// http://twiki.amd.com/twiki/bin/view/DFX/DesignEnhancements#Async_Reset_Sync_Cell
//
//


`include "rtllib_features.vh"
module async_rst_sync_activehi (clk, rstin, rstout);
input  clk;
input  rstin;
output rstout;

HDBLVT08_PIPE3SMSFQNSX_Y4_1 mrk_rst_sync  (.CK(clk), .D(1'b0), .SD(rstin), .Q(rstout));  

//ul <-- lvt
//ulc <-- lvt with +2nm wimpy
//ur <-- rvt
//urc <-- rvt with +2nm wimpy
//us <-- slvt


endmodule // async_rst_sync_activehi

