////
//
//  Trade secret of ATI Technologies, Inc.
//  Copyright 2001, ATI Technologies, Inc., (unpublished)
//
//  All rights reserved.  This notice is intended as a precaution against
//  inadvertent publication and does not imply publication or any waiver
//  of confidentiality.  The year included in the foregoing notice is the
//  year of creation of the work.
//
//
////
////
//
// The models in this file are intended to use custom (combo) cells.
// They serve as wrappers and are to be don't_touched thru' the rtl
//  synthesis and netlist flows
//
////
//
// Use this when hand instantiating an async reset flop
//
`include "rtllib_features.vh"
module ati_async_ff (D, CP, CDN, Q, QN);
input D, CP, CDN;
output Q, QN;
  wire Q_TMP;
  HDBLVT08_FSDPRBQ_V2Y2_1 d0nt_async_ff (.D(D), .CK(CP), .RD(CDN), .Q(Q_TMP), .SE(1'b0), .SI(1'b0));
  HDBLVT08_MRKINV_4 d0nt_not (.A(Q_TMP), .X(QN));
  HDBLVT08_MRKBUF_4 d0nt_buf (.A(Q_TMP), .X(Q));
endmodule
