module ati_dff_en_inout (clk,
			 en,
			 d,
			 q,
			 not_qbar
			 );
   //-------------------------------------------------------------    
   // IO
   //-------------------------------------------------------------
   parameter WIDTH = 32;
   input     clk;
   input     en;
   input [WIDTH-1:0] d;
   output [WIDTH-1:0] q;
   output [WIDTH-1:0] not_qbar;
   //-------------------------------------------------------------    
   // variables
   //-------------------------------------------------------------
   reg [WIDTH-1:0]    q0;
   //-------------------------------------------------------------    
   // Code 
   //-------------------------------------------------------------
   always @(posedge clk)
     begin
	if (en) q0 <= d;
     end
   assign q        = q0;
   assign not_qbar = q0;
endmodule // ati_dff_in
