////
//
//  Trade secret of ATI Technologies, Inc.
//  Copyright 2001, ATI Technologies, Inc., (unpublished)
//
//  All rights reserved.  This notice is intended as a precaution against
//  inadvertent publication and does not imply publication or any waiver
//  of confidentiality.  The year included in the foregoing notice is the
//  year of creation of the work.
//
//
////
////
//
// The models in this file are intended to use custom (combo) cells.
// They serve as wrappers and are to be don't_touched thru' the rtl
//  synthesis and netlist flows
//
////
//
// Use this when hand instantiating an scan flop
//
`include "rtllib_features.vh"
module ati_sdff (D, CP, SEN, SDI, Q, QN);
input D, CP, SEN, SDI;
output Q, QN;
  HDBLVT08_FSDP_V2Y2_1 d0nt_sdff ( 
	    .D(D), 
	    .SI(SDI), 
	    .SE(SEN), 
	    .CK(CP),
	    .Q(Q), 
	    .QN(QN) 
	    );
endmodule
