
//----------------------------------------------------------------------------
//
// Author :		 Rita Patel, N1-501 (Sunnyvale - Yan Dong), 44288 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/ripatel/trees/dfxip4_1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  
//`include "larr_bist_features.vh"


module bist_done_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> BIST_DONE
 ,input wire [1-1:0] bist_done
 ,input wire [1-1:0] smartmode_fail
 ,input Tdr_bist_done_En
 ,output Tdr_bist_done_Tdo
); // End of Port Declaration

///// START TDR_INST - BIST_DONE /////

   localparam BIST_DONE__WIDTH = 2;
   wire [BIST_DONE__WIDTH-1:0]	BIST_DONE;

	//BIST_DONE - 0:0

   localparam  BIST_DONE_BIST_DONE__WIDTH  = 1;
   localparam  BIST_DONE_BIST_DONE__MSB  = 0;
   localparam  BIST_DONE_BIST_DONE__LSB  = 0;
   

    assign  BIST_DONE
      [BIST_DONE_BIST_DONE__MSB :
       BIST_DONE_BIST_DONE__LSB] =
      bist_done[BIST_DONE_BIST_DONE__WIDTH-1:0]; 

	//BIST_DONE - 1:1

   localparam  BIST_DONE_SMARTMODE_FAIL__WIDTH  = 1;
   localparam  BIST_DONE_SMARTMODE_FAIL__MSB  = 1;
   localparam  BIST_DONE_SMARTMODE_FAIL__LSB  = 1;
   

    assign  BIST_DONE
      [BIST_DONE_SMARTMODE_FAIL__MSB :
       BIST_DONE_SMARTMODE_FAIL__LSB] =
      smartmode_fail[BIST_DONE_SMARTMODE_FAIL__WIDTH-1:0]; 




   test_shift_reg_gc10
     #(BIST_DONE__WIDTH)
   reg_BIST_DONE (
                           .clk(Tdr_Tck),
                           .en(Tdr_bist_done_En),
                           .shift(Tdr_Shift & Tdr_bist_done_En),
                           .capture(Tdr_Capture & Tdr_bist_done_En),
                           .q(),
                           .d(BIST_DONE),
                           .si(Tdr_Tdi),
                           .so(Tdr_bist_done_Tdo),
                           .q_posedge()
                           );



///// END TDR_INST - BIST_DONE /////
endmodule
