//Custom Designer (TM) Version J-2014.12
//Fri Mar  6 15:54:46 2015


// Directives
`timescale 1ns/1ns


// Library : gf14lpe_clkds    Cell : clkds_40clkpicker    View : schematic
module clkds_40clkpicker( MET_CTRL_SEL, VDD, VSS, clkpicker_enable,
    clkpicker_reset, droopdetected, iPH, iPHB, pcc_detected, pcc_skip2,
    pcc_skip4, use_phase28, use_skip2, use_skip4, ck_en0_buf, clkout,
    test_dd_sync );

    input [1:0]  MET_CTRL_SEL;
    input VDD;
    input VSS;
    input clkpicker_enable;
    input clkpicker_reset;
    input droopdetected;
    input [39:0]  iPH;
    input [39:0]  iPHB;
    input pcc_detected;
    input pcc_skip2;
    input pcc_skip4;
    input use_phase28;
    input use_skip2;
    input use_skip4;
    output ck_en0_buf;
    output clkout;
    output test_dd_sync;

    wire  skip2rd1;
    wire  skip2rd2;
    wire  skip2rd3;
    wire  skip2rd4;
    wire  [39:0] gck;
    wire  skip2rd5;
    wire  [39:1] clk_en;
    wire  [39:0] clk_enN;
    wire  clk28_en;
    wire  pccdetected_sync;
    wire  sftGatingX;
    wire  skip4Nrd1;
    wire  skip4Nrd2;
    wire  skip4Nrd3;
    wire  skip4Nrd4;
    wire  skip4Nrd5;
    wire  ck_en0;
    wire  l36mux;
    wire  lo;
    wire  rstB;
    wire  skip2;
    wire  skip4;
    wire  lbk24or36B;
    wire  ck28_enN;
    wire  net0779;
    wire  resetnoren;
    wire  stretch_enN;
    wire  tap28_reset;
    wire  wrapAroundX;
    wire  use_ph28x1;
    wire  use_ph28x2;
    wire  loop24;
    wire  resetN;
    wire  ph0B_4sync;
    wire  resetOverNotStretching;
    wire  loop36;
    wire  rstStretchX;
    wire  skip4rd1;
    wire  skip4rd2;
    wire  reset;
    wire  skip4rd3;
    wire  skip4rd4;
    wire  pccdetectedSyncX;
    wire  skip4rd5;
    wire  skip2N;
    wire  detectedSyncX;
    wire  loopbkB;
    wire  tieHI;
    wire  skip4N;
    wire  sftBegin;
    wire  skip2m;
    wire  net0289;
    wire  l24mux;
    wire  tieLO;
    wire  skip2Nrd1;
    wire  skip2Nrd2;
    wire  skip4m;
    wire  skip2Nrd3;
    wire  precken0;
    wire  skip2Nrd4;
    wire  skip2Nrd5;

    dly_hdnd3xss2ul  I321( .A(wrapAroundX), .B(ck_en0), .C(resetnoren), .VDD(VDD),
        .VSS(VSS), .Z(sftGatingX) );

    clkds_skip_redrive  redr5_11( .VDD(VDD), .VSS(VSS), .skip2(skip2),
        .skip2N(skip2N), .skip4(skip4), .skip4N(skip4N), .skip2Nrd(skip2Nrd1),
        .skip2rd(skip2rd1), .skip4Nrd(skip4Nrd1), .skip4rd(skip4rd1) );
    clkds_skip_redrive  redr19_24( .VDD(VDD), .VSS(VSS), .skip2(skip2rd2),
        .skip2N(skip2Nrd2), .skip4(skip4rd2), .skip4N(skip4Nrd2),
        .skip2Nrd(skip2Nrd3), .skip2rd(skip2rd3), .skip4Nrd(skip4Nrd3),
        .skip4rd(skip4rd3) );
    clkds_skip_redrive  redr12_18( .VDD(VDD), .VSS(VSS), .skip2(skip2rd1),
        .skip2N(skip2Nrd1), .skip4(skip4rd1), .skip4N(skip4Nrd1),
        .skip2Nrd(skip2Nrd2), .skip2rd(skip2rd2), .skip4Nrd(skip4Nrd2),
        .skip4rd(skip4rd2) );
    clkds_skip_redrive  redr25_31( .VDD(VDD), .VSS(VSS), .skip2(skip2rd3),
        .skip2N(skip2Nrd3), .skip4(skip4rd3), .skip4N(skip4Nrd3),
        .skip2Nrd(skip2Nrd4), .skip2rd(skip2rd4), .skip4Nrd(skip4Nrd4),
        .skip4rd(skip4rd4) );
    clkds_skip_redrive  redr32_39( .VDD(VDD), .VSS(VSS), .skip2(skip2rd4),
        .skip2N(skip2Nrd4), .skip4(skip4rd4), .skip4N(skip4Nrd4),
        .skip2Nrd(skip2Nrd5), .skip2rd(skip2rd5), .skip4Nrd(skip4Nrd5),
        .skip4rd(skip4rd5) );

    dly_hdinxss2ul  I505( .A(pccdetectedSyncX), .VDD(VDD), .VSS(VSS),
        .Z(pccdetected_sync) );
    dly_hdinxss2ul  I335( .A(ck_en0), .VDD(VDD), .VSS(VSS), .Z(net0779) );

    clkds_OR40ck  OR40ck( .VSS(VSS), .gck(gck), .clkout(clkout), .VDD(VDD) );

    dly_hdinxss8ul  I351( .A(l36mux), .VDD(VDD), .VSS(VSS), .Z(loop36) );
    dly_hdinxss8ul  I348( .A(lbk24or36B), .VDD(VDD), .VSS(VSS), .Z(loopbkB) );
    dly_hdinxss8ul  I347( .A(l24mux), .VDD(VDD), .VSS(VSS), .Z(loop24) );
    dly_hdinxss8ul  I339( .A(rstB), .VDD(VDD), .VSS(VSS), .Z(reset) );
    dly_hdinxss8ul  I334( .A(net0779), .VDD(VDD), .VSS(VSS), .Z(ck_en0_buf) );

    dly_hdtieloxss2ul  I328( .VDD(VDD), .VSS(VSS), .Z(lo) );

    clkds_clkpicker_shorttap_contrl  ck28en_rst( .oAsync(tap28_reset),
        .VDD0P9(VDD), .VSS(VSS), .iAsync(reset), .tapEn(use_phase28),
        .iClk_En(clk28_en), .oClk_En(clk_en[28]) );

    dly_hdnr2xss4ul  I320( .A(sftGatingX), .B(detectedSyncX), .VDD(VDD), .VSS(VSS),
        .Z(sftBegin) );

    dly_hdinxss12ul  I344( .A(skip4N), .VDD(VDD), .VSS(VSS), .Z(skip4) );
    dly_hdinxss12ul  I343( .A(skip4m), .VDD(VDD), .VSS(VSS), .Z(skip4N) );
    dly_hdinxss12ul  I342( .A(skip2N), .VDD(VDD), .VSS(VSS), .Z(skip2) );
    dly_hdinxss12ul  I341( .A(skip2m), .VDD(VDD), .VSS(VSS), .Z(skip2N) );

    clkds_mux2to1  loopbk_mx2( .D0(loop36), .D1(loop24), .S0(use_phase28),
        .S0B(use_ph28x2), .VDD(VDD), .VSS(VSS), .Z(lbk24or36B) );
    clkds_mux2to1  ck28enN_mx2( .D0(clk_enN[28]), .D1(clk_enN[0]),
        .S0(use_phase28), .S0B(use_ph28x1), .VDD(VDD), .VSS(VSS), .Z(ck28_enN)
        );

    dly_hdinxss1ur  I346( .A(use_phase28), .VDD(VDD), .VSS(VSS), .Z(use_ph28x2) );
    dly_hdinxss1ur  I308( .A(use_phase28), .VDD(VDD), .VSS(VSS), .Z(use_ph28x1) );

    clkds_clkpickercellB  X12( .clk_eno(clk_en[12]), .clk_enN(clk_enN[12]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[12]), .d1(clk_en[11]), .d2(clk_en[10])
        , .d4(clk_en[8]), .a_rst(reset), .flip_ck2(skip4Nrd2),
        .flip_ck4(skip4Nrd2), .rstN1(clk_enN[13]), .rstN2(clk_enN[14]),
        .rstN4(clk_enN[16]), .skip2(skip2rd2), .skip4(skip4rd2), .clkB(iPHB[12])
        , .skip2N(skip2Nrd2), .skip4N(skip4Nrd2), .gck(gck[12]) );
    clkds_clkpickercellB  X10( .clk_eno(clk_en[10]), .clk_enN(clk_enN[10]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[10]), .d1(clk_en[9]), .d2(clk_en[8]),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2Nrd1), .flip_ck4(tieLO),
        .rstN1(clk_enN[11]), .rstN2(clk_enN[12]), .rstN4(tieHI),
        .skip2(skip2rd1), .skip4(skip4rd1), .clkB(iPHB[10]), .skip2N(skip2Nrd1),
        .skip4N(skip4Nrd1), .gck(gck[10]) );
    clkds_clkpickercellB  X9( .clk_eno(clk_en[9]), .clk_enN(clk_enN[9]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[9]), .d1(clk_en[8]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd1), .flip_ck4(tieLO),
        .rstN1(clk_enN[10]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd1),
        .skip4(skip4rd1), .clkB(iPHB[9]), .skip2N(skip2Nrd1), .skip4N(skip4Nrd1)
        , .gck(gck[9]) );
    clkds_clkpickercellB  X11( .clk_eno(clk_en[11]), .clk_enN(clk_enN[11]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[11]), .d1(clk_en[10]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd1), .flip_ck4(tieLO),
        .rstN1(clk_enN[12]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd1),
        .skip4(skip4rd1), .clkB(iPHB[11]), .skip2N(skip2Nrd1),
        .skip4N(skip4Nrd1), .gck(gck[11]) );
    clkds_clkpickercellB  X7( .clk_eno(clk_en[7]), .clk_enN(clk_enN[7]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[7]), .d1(clk_en[6]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd1), .flip_ck4(tieLO),
        .rstN1(clk_enN[8]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd1),
        .skip4(skip4rd1), .clkB(iPHB[7]), .skip2N(skip2Nrd1), .skip4N(skip4Nrd1)
        , .gck(gck[7]) );
    clkds_clkpickercellB  X8( .clk_eno(clk_en[8]), .clk_enN(clk_enN[8]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[8]), .d1(clk_en[7]), .d2(clk_en[6]),
        .d4(clk_en[4]), .a_rst(reset), .flip_ck2(tieHI), .flip_ck4(tieHI),
        .rstN1(clk_enN[9]), .rstN2(clk_enN[10]), .rstN4(clk_enN[12]),
        .skip2(skip2rd1), .skip4(skip4rd1), .clkB(iPHB[8]), .skip2N(skip2Nrd1),
        .skip4N(skip4Nrd1), .gck(gck[8]) );
    clkds_clkpickercellB  X5( .clk_eno(clk_en[5]), .clk_enN(clk_enN[5]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[5]), .d1(clk_en[4]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd1), .flip_ck4(tieLO),
        .rstN1(clk_enN[6]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd1),
        .skip4(skip4rd1), .clkB(iPHB[5]), .skip2N(skip2Nrd1), .skip4N(skip4Nrd1)
        , .gck(gck[5]) );
    clkds_clkpickercellB  X6( .clk_eno(clk_en[6]), .clk_enN(clk_enN[6]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[6]), .d1(clk_en[5]), .d2(clk_en[4]),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2Nrd1), .flip_ck4(tieLO),
        .rstN1(clk_enN[7]), .rstN2(clk_enN[8]), .rstN4(tieHI), .skip2(skip2rd1),
        .skip4(skip4rd1), .clkB(iPHB[6]), .skip2N(skip2Nrd1), .skip4N(skip4Nrd1)
        , .gck(gck[6]) );
    clkds_clkpickercellB  X3( .clk_eno(clk_en[3]), .clk_enN(clk_enN[3]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[3]), .d1(clk_en[2]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2), .flip_ck4(tieLO),
        .rstN1(clk_enN[4]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2),
        .skip4(skip4), .clkB(iPHB[3]), .skip2N(skip2N), .skip4N(skip4N),
        .gck(gck[3]) );
    clkds_clkpickercellB  X4( .clk_eno(clk_en[4]), .clk_enN(clk_enN[4]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[4]), .d1(clk_en[3]), .d2(clk_en[2]),
        .d4(sftBegin), .a_rst(reset), .flip_ck2(skip4N), .flip_ck4(skip4N),
        .rstN1(clk_enN[5]), .rstN2(clk_enN[6]), .rstN4(clk_enN[8]),
        .skip2(skip2), .skip4(skip4), .clkB(iPHB[4]), .skip2N(skip2N),
        .skip4N(skip4N), .gck(gck[4]) );
    clkds_clkpickercellB  X2( .clk_eno(clk_en[2]), .clk_enN(clk_enN[2]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[2]), .d1(clk_en[1]), .d2(sftBegin),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2N), .flip_ck4(tieLO),
        .rstN1(clk_enN[3]), .rstN2(clk_enN[4]), .rstN4(tieHI), .skip2(skip2),
        .skip4(skip4), .clkB(iPHB[2]), .skip2N(skip2N), .skip4N(skip4N),
        .gck(gck[2]) );
    clkds_clkpickercellB  X1( .clk_eno(clk_en[1]), .clk_enN(clk_enN[1]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[1]), .d1(sftBegin), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2), .flip_ck4(tieLO),
        .rstN1(clk_enN[2]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2),
        .skip4(skip4), .clkB(iPHB[1]), .skip2N(skip2N), .skip4N(skip4N),
        .gck(gck[1]) );
    clkds_clkpickercellB  X37( .clk_eno(clk_en[37]), .clk_enN(clk_enN[37]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[37]), .d1(clk_en[36]), .d2(tieLO),
        .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2rd5), .flip_ck4(tieLO),
        .rstN1(clk_enN[38]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd5),
        .skip4(skip4rd5), .clkB(iPHB[37]), .skip2N(skip2Nrd5),
        .skip4N(skip4Nrd5), .gck(gck[37]) );
    clkds_clkpickercellB  X38( .clk_eno(clk_en[38]), .clk_enN(clk_enN[38]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[38]), .d1(clk_en[37]), .d2(clk_en[36])
        , .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2Nrd5),
        .flip_ck4(tieLO), .rstN1(clk_enN[39]), .rstN2(clk_enN[0]), .rstN4(tieHI)
        , .skip2(skip2rd5), .skip4(skip4rd5), .clkB(iPHB[38]),
        .skip2N(skip2Nrd5), .skip4N(skip4Nrd5), .gck(gck[38]) );
    clkds_clkpickercellB  X39( .clk_eno(clk_en[39]), .clk_enN(clk_enN[39]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[39]), .d1(clk_en[38]), .d2(tieLO),
        .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2rd5), .flip_ck4(tieLO),
        .rstN1(clk_enN[0]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd5),
        .skip4(skip4rd5), .clkB(iPHB[39]), .skip2N(skip2Nrd5),
        .skip4N(skip4Nrd5), .gck(gck[39]) );
    clkds_clkpickercellB  X36( .clk_eno(clk_en[36]), .clk_enN(clk_enN[36]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[36]), .d1(clk_en[35]), .d2(clk_en[34])
        , .d4(clk_en[32]), .a_rst(tap28_reset), .flip_ck2(skip4Nrd5),
        .flip_ck4(skip4Nrd5), .rstN1(clk_enN[37]), .rstN2(clk_enN[38]),
        .rstN4(clk_enN[0]), .skip2(skip2rd5), .skip4(skip4rd5), .clkB(iPHB[36]),
        .skip2N(skip2Nrd5), .skip4N(skip4Nrd5), .gck(gck[36]) );
    clkds_clkpickercellB  X35( .clk_eno(clk_en[35]), .clk_enN(clk_enN[35]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[35]), .d1(clk_en[34]), .d2(tieLO),
        .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2rd5), .flip_ck4(tieLO),
        .rstN1(clk_enN[36]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd5),
        .skip4(skip4rd5), .clkB(iPHB[35]), .skip2N(skip2Nrd5),
        .skip4N(skip4Nrd5), .gck(gck[35]) );
    clkds_clkpickercellB  X34( .clk_eno(clk_en[34]), .clk_enN(clk_enN[34]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[34]), .d1(clk_en[33]), .d2(clk_en[32])
        , .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2Nrd5),
        .flip_ck4(tieLO), .rstN1(clk_enN[35]), .rstN2(clk_enN[36]),
        .rstN4(tieHI), .skip2(skip2rd5), .skip4(skip4rd5), .clkB(iPHB[34]),
        .skip2N(skip2Nrd5), .skip4N(skip4Nrd5), .gck(gck[34]) );
    clkds_clkpickercellB  X33( .clk_eno(clk_en[33]), .clk_enN(clk_enN[33]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[33]), .d1(clk_en[32]), .d2(tieLO),
        .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2rd5), .flip_ck4(tieLO),
        .rstN1(clk_enN[34]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd5),
        .skip4(skip4rd5), .clkB(iPHB[33]), .skip2N(skip2Nrd5),
        .skip4N(skip4Nrd5), .gck(gck[33]) );
    clkds_clkpickercellB  X32( .clk_eno(clk_en[32]), .clk_enN(clk_enN[32]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[32]), .d1(clk_en[31]), .d2(clk_en[30])
        , .d4(clk28_en), .a_rst(tap28_reset), .flip_ck2(tieHI), .flip_ck4(tieHI)
        , .rstN1(clk_enN[33]), .rstN2(clk_enN[34]), .rstN4(clk_enN[36]),
        .skip2(skip2rd5), .skip4(skip4rd5), .clkB(iPHB[32]), .skip2N(skip2Nrd5),
        .skip4N(skip4Nrd5), .gck(gck[32]) );
    clkds_clkpickercellB  X31( .clk_eno(clk_en[31]), .clk_enN(clk_enN[31]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[31]), .d1(clk_en[30]), .d2(tieLO),
        .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2rd4), .flip_ck4(tieLO),
        .rstN1(clk_enN[32]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd4),
        .skip4(skip4rd4), .clkB(iPHB[31]), .skip2N(skip2Nrd4),
        .skip4N(skip4Nrd4), .gck(gck[31]) );
    clkds_clkpickercellB  X30( .clk_eno(clk_en[30]), .clk_enN(clk_enN[30]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[30]), .d1(clk_en[29]), .d2(clk28_en),
        .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2Nrd4), .flip_ck4(tieLO),
        .rstN1(clk_enN[31]), .rstN2(clk_enN[32]), .rstN4(tieHI),
        .skip2(skip2rd4), .skip4(skip4rd4), .clkB(iPHB[30]), .skip2N(skip2Nrd4),
        .skip4N(skip4Nrd4), .gck(gck[30]) );
    clkds_clkpickercellB  X29( .clk_eno(clk_en[29]), .clk_enN(clk_enN[29]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[29]), .d1(clk28_en), .d2(tieLO),
        .d4(tieLO), .a_rst(tap28_reset), .flip_ck2(skip2rd4), .flip_ck4(tieLO),
        .rstN1(clk_enN[30]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd4),
        .skip4(skip4rd4), .clkB(iPHB[29]), .skip2N(skip2Nrd4),
        .skip4N(skip4Nrd4), .gck(gck[29]) );
    clkds_clkpickercellB  X21( .clk_eno(clk_en[21]), .clk_enN(clk_enN[21]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[21]), .d1(clk_en[20]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd3), .flip_ck4(tieLO),
        .rstN1(clk_enN[22]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd3),
        .skip4(skip4rd3), .clkB(iPHB[21]), .skip2N(skip2Nrd3),
        .skip4N(skip4Nrd3), .gck(gck[21]) );
    clkds_clkpickercellB  X22( .clk_eno(clk_en[22]), .clk_enN(clk_enN[22]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[22]), .d1(clk_en[21]), .d2(clk_en[20])
        , .d4(tieLO), .a_rst(reset), .flip_ck2(skip2Nrd3), .flip_ck4(tieLO),
        .rstN1(clk_enN[23]), .rstN2(clk_enN[24]), .rstN4(tieHI),
        .skip2(skip2rd3), .skip4(skip4rd3), .clkB(iPHB[22]), .skip2N(skip2Nrd3),
        .skip4N(skip4Nrd3), .gck(gck[22]) );
    clkds_clkpickercellB  X23( .clk_eno(clk_en[23]), .clk_enN(clk_enN[23]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[23]), .d1(clk_en[22]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd3), .flip_ck4(tieLO),
        .rstN1(clk_enN[24]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd3),
        .skip4(skip4rd3), .clkB(iPHB[23]), .skip2N(skip2Nrd3),
        .skip4N(skip4Nrd3), .gck(gck[23]) );
    clkds_clkpickercellB  X24( .clk_eno(clk_en[24]), .clk_enN(clk_enN[24]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[24]), .d1(clk_en[23]), .d2(clk_en[22])
        , .d4(clk_en[20]), .a_rst(reset), .flip_ck2(tieHI), .flip_ck4(tieHI),
        .rstN1(clk_enN[25]), .rstN2(clk_enN[26]), .rstN4(ck28_enN),
        .skip2(skip2rd3), .skip4(skip4rd3), .clkB(iPHB[24]), .skip2N(skip2Nrd3),
        .skip4N(skip4Nrd3), .gck(gck[24]) );
    clkds_clkpickercellB  X25( .clk_eno(clk_en[25]), .clk_enN(clk_enN[25]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[25]), .d1(clk_en[24]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd4), .flip_ck4(tieLO),
        .rstN1(clk_enN[26]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd4),
        .skip4(skip4rd4), .clkB(iPHB[25]), .skip2N(skip2Nrd4),
        .skip4N(skip4Nrd4), .gck(gck[25]) );
    clkds_clkpickercellB  X26( .clk_eno(clk_en[26]), .clk_enN(clk_enN[26]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[26]), .d1(clk_en[25]), .d2(clk_en[24])
        , .d4(tieLO), .a_rst(reset), .flip_ck2(skip2Nrd4), .flip_ck4(tieLO),
        .rstN1(clk_enN[27]), .rstN2(ck28_enN), .rstN4(tieHI), .skip2(skip2rd4),
        .skip4(skip4rd4), .clkB(iPHB[26]), .skip2N(skip2Nrd4),
        .skip4N(skip4Nrd4), .gck(gck[26]) );
    clkds_clkpickercellB  X27( .clk_eno(clk_en[27]), .clk_enN(clk_enN[27]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[27]), .d1(clk_en[26]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd4), .flip_ck4(tieLO),
        .rstN1(ck28_enN), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd4),
        .skip4(skip4rd4), .clkB(iPHB[27]), .skip2N(skip2Nrd4),
        .skip4N(skip4Nrd4), .gck(gck[27]) );
    clkds_clkpickercellB  X18( .clk_eno(clk_en[18]), .clk_enN(clk_enN[18]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[18]), .d1(clk_en[17]), .d2(clk_en[16])
        , .d4(tieLO), .a_rst(reset), .flip_ck2(skip2Nrd2), .flip_ck4(tieLO),
        .rstN1(clk_enN[19]), .rstN2(clk_enN[20]), .rstN4(tieHI),
        .skip2(skip2rd2), .skip4(skip4rd2), .clkB(iPHB[18]), .skip2N(skip2Nrd2),
        .skip4N(skip4Nrd2), .gck(gck[18]) );
    clkds_clkpickercellB  X17( .clk_eno(clk_en[17]), .clk_enN(clk_enN[17]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[17]), .d1(clk_en[16]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd2), .flip_ck4(tieLO),
        .rstN1(clk_enN[18]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd2),
        .skip4(skip4rd2), .clkB(iPHB[17]), .skip2N(skip2Nrd2),
        .skip4N(skip4Nrd2), .gck(gck[17]) );
    clkds_clkpickercellB  X20( .clk_eno(clk_en[20]), .clk_enN(clk_enN[20]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[20]), .d1(clk_en[19]), .d2(clk_en[18])
        , .d4(clk_en[16]), .a_rst(reset), .flip_ck2(skip4Nrd3),
        .flip_ck4(skip4Nrd3), .rstN1(clk_enN[21]), .rstN2(clk_enN[22]),
        .rstN4(clk_enN[24]), .skip2(skip2rd3), .skip4(skip4rd3), .clkB(iPHB[20])
        , .skip2N(skip2Nrd3), .skip4N(skip4Nrd3), .gck(gck[20]) );
    clkds_clkpickercellB  X19( .clk_eno(clk_en[19]), .clk_enN(clk_enN[19]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[19]), .d1(clk_en[18]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd3), .flip_ck4(tieLO),
        .rstN1(clk_enN[20]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd3),
        .skip4(skip4rd3), .clkB(iPHB[19]), .skip2N(skip2Nrd3),
        .skip4N(skip4Nrd3), .gck(gck[19]) );
    clkds_clkpickercellB  X14( .clk_eno(clk_en[14]), .clk_enN(clk_enN[14]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[14]), .d1(clk_en[13]), .d2(clk_en[12])
        , .d4(tieLO), .a_rst(reset), .flip_ck2(skip2Nrd2), .flip_ck4(tieLO),
        .rstN1(clk_enN[15]), .rstN2(clk_enN[16]), .rstN4(tieHI),
        .skip2(skip2rd2), .skip4(skip4rd2), .clkB(iPHB[14]), .skip2N(skip2Nrd2),
        .skip4N(skip4Nrd2), .gck(gck[14]) );
    clkds_clkpickercellB  X13( .clk_eno(clk_en[13]), .clk_enN(clk_enN[13]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[13]), .d1(clk_en[12]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd2), .flip_ck4(tieLO),
        .rstN1(clk_enN[14]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd2),
        .skip4(skip4rd2), .clkB(iPHB[13]), .skip2N(skip2Nrd2),
        .skip4N(skip4Nrd2), .gck(gck[13]) );
    clkds_clkpickercellB  X16( .clk_eno(clk_en[16]), .clk_enN(clk_enN[16]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[16]), .d1(clk_en[15]), .d2(clk_en[14])
        , .d4(clk_en[12]), .a_rst(reset), .flip_ck2(tieHI), .flip_ck4(tieHI),
        .rstN1(clk_enN[17]), .rstN2(clk_enN[18]), .rstN4(clk_enN[20]),
        .skip2(skip2rd2), .skip4(skip4rd2), .clkB(iPHB[16]), .skip2N(skip2Nrd2),
        .skip4N(skip4Nrd2), .gck(gck[16]) );
    clkds_clkpickercellB  X15( .clk_eno(clk_en[15]), .clk_enN(clk_enN[15]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[15]), .d1(clk_en[14]), .d2(tieLO),
        .d4(tieLO), .a_rst(reset), .flip_ck2(skip2rd2), .flip_ck4(tieLO),
        .rstN1(clk_enN[16]), .rstN2(tieHI), .rstN4(tieHI), .skip2(skip2rd2),
        .skip4(skip4rd2), .clkB(iPHB[15]), .skip2N(skip2Nrd2),
        .skip4N(skip4Nrd2), .gck(gck[15]) );

    dly_hdinxss6ul  I323( .A(detectedSyncX), .VDD(VDD), .VSS(VSS), .Z(test_dd_sync)
        );

    dly_hdnr2xss2ul  I317( .A(resetN), .B(net0289), .VDD(VDD), .VSS(VSS),
        .Z(resetOverNotStretching) );

    dly_hdinxss8ur  I396( .A(lo), .VDD(VDD), .VSS(VSS), .Z(tieHI) );
    dly_hdinxss8ur  I395( .A(tieHI), .VDD(VDD), .VSS(VSS), .Z(tieLO) );

    clkds_clkpick0  X0( .ck_en0(ck_en0), .clk_enN0(clk_enN[0]), .VDD0P9(VDD),
        .VSS(VSS), .iPH0(iPH[0]), .clk_enN1(clk_enN[1]), .clk_enN2(clk_enN[2]),
        .clk_enN4(clk_enN[4]), .tieHI(tieHI), .tieLO(tieLO), .loopbkB(loopbkB),
        .rstB(rstB), .iPHB0(iPHB[0]), .gck(gck[0]), .precken0_buf(precken0),
        .rstStretchX(rstStretchX) );

    dly_hdckbfxss4ul  Iph0Bbuf( .CLK(iPHB[0]), .VDD(VDD), .VSS(VSS), .Z(ph0B_4sync)
        );

    dly_hdinxss1ul  I318( .A(clkpicker_reset), .VDD(VDD), .VSS(VSS), .Z(resetN) );

    dly_hdnr2xss1ul  I319( .A(clkpicker_reset), .B(stretch_enN), .VDD(VDD),
        .VSS(VSS), .Z(resetnoren) );
    dly_hdnr2xss1ul  I314( .A(stretch_enN), .B(ck_en0), .VDD(VDD), .VSS(VSS),
        .Z(net0289) );

    clkds_mux3to1_2ul  loop36mux3( .D00(clk_enN[39]), .D01(clk_enN[38]),
        .D1X(clk_enN[36]), .S0(skip2rd5), .S0B(skip2Nrd5), .S1(skip4rd5),
        .S1B(skip4Nrd5), .VDD(VDD), .VSS(VSS), .Z(l36mux) );
    clkds_mux3to1_2ul  loop24mux3( .D00(clk_enN[27]), .D01(clk_enN[26]),
        .D1X(clk_enN[24]), .S0(skip2rd4), .S0B(skip2Nrd4), .S1(skip4rd4),
        .S1B(skip4Nrd4), .VDD(VDD), .VSS(VSS), .Z(l24mux) );

    dly_hdinxss4ul  I340( .A(resetOverNotStretching), .VDD(VDD), .VSS(VSS), .Z(rstB)
         );

    clkds_mux2x4ul  IskipMX2[1:0]( .D0({use_skip4,use_skip2}),
        .D1({pcc_skip4,pcc_skip2}), .S0({pccdetected_sync,pccdetected_sync}),
        .S0B({pccdetectedSyncX,pccdetectedSyncX}), .VDD({VDD,VDD}),
        .VSS({VSS,VSS}), .Z({skip4m,skip2m}) );

    clkds_clkpick28B  X28( .clk_eno(clk28_en), .clk_enN(clk_enN[28]),
        .VDD0P9(VDD), .VSS(VSS), .clk(iPH[28]), .d1(clk_en[27]), .d2(clk_en[26])
        , .d4(clk_en[24]), .a_rst(reset), .flip_ck2(skip4Nrd4),
        .flip_ck4(skip4Nrd4), .rstN1(clk_enN[29]), .rstN2(clk_enN[30]),
        .rstN4(clk_enN[32]), .skip2(skip2rd4), .skip4(skip4rd4), .clkB(iPHB[28])
        , .skip2N(skip2Nrd4), .skip4N(skip4Nrd4), .clk_eni(clk_en[28]),
        .gck(gck[28]) );

    clkds_sync_detected  Isync_droopdected( .CLK(ph0B_4sync),
        .MET_CTRL_SEL(MET_CTRL_SEL), .VDD(VDD), .VSS(VSS),
        .droopdetected(droopdetected), .ck_en0(ck_en0),
        .wrapAroundX(wrapAroundX), .stretch_enN(stretch_enN),
        .pccdetectedSyncX(pccdetectedSyncX), .detectedSyncX(detectedSyncX),
        .precken0(precken0), .clkpicker_enable(clkpicker_enable),
        .rstStretchX(rstStretchX), .pcc_detected(pcc_detected) );
endmodule


// Library : gf14lpe_clkds    Cell : clkds_sync_detected    View : schematic
module clkds_sync_detected( CLK, MET_CTRL_SEL, VDD, VSS, droopdetected, ck_en0,
    wrapAroundX, stretch_enN, pccdetectedSyncX, detectedSyncX, precken0,
    clkpicker_enable, rstStretchX, pcc_detected );

    input CLK;
    input [1:0]  MET_CTRL_SEL;
    input VDD;
    input VSS;
    input droopdetected;
    input ck_en0;
    output wrapAroundX;
    output stretch_enN;
    output pccdetectedSyncX;
    output detectedSyncX;
    input precken0;
    input clkpicker_enable;
    input rstStretchX;
    input pcc_detected;

    wire  kickOffStretch;
    wire  bufCLK;

    clkds_detectedSyncX2  IdetectedSyncX2( .CLK(CLK), .VDD(VDD), .VSS(VSS),
        .droopdetected(droopdetected), .ck_en0(ck_en0),
        .kickOffStretch(kickOffStretch), .pccdetectedSyncX(pccdetectedSyncX),
        .detectedSyncX(detectedSyncX), .bufCLK(bufCLK), .precken0(precken0),
        .SEL(MET_CTRL_SEL), .pcc_detected(pcc_detected) );

    clkds_stretch_koTimer  IkoTimer( .VDD(VDD), .VSS(VSS),
        .kickOffStretch(kickOffStretch), .rstStretchX(rstStretchX),
        .wrapAroundX(wrapAroundX), .detectedSyncX(detectedSyncX) );

    dly_hdmsfqbnsxss2ur  Isync1( .CLK(bufCLK), .D(clkpicker_enable), .VDD(VDD),
        .VSS(VSS), .QB(stretch_enN) );
endmodule






// Library : gf14lpe_clkds    Cell : clkds_stretch_koTimer    View : schematic
module clkds_stretch_koTimer( VDD, VSS, kickOffStretch, rstStretchX, wrapAroundX
    , detectedSyncX );

    input VDD;
    input VSS;
    input kickOffStretch;
    input rstStretchX;
    output wrapAroundX;
    input detectedSyncX;

    wire  dGddSyncX;
    wire  ddSyncXdly2;
    wire  skipNTime;
    wire  tieLO;
    wire  suSkip;
    wire  tieHI;
    wire  clrWrapX;
    wire  ddSync;
    wire  skipTime;
    wire  ddSyncXdly;
    wire  ddSkip;
    wire  ddSyncXdly1;

    dly_hddlydxss1ur  IdlyDG( .A(detectedSyncX), .VDD(VDD), .VSS(VSS),
        .Z(ddSyncXdly) );
    dly_hddlydxss1ur  Idly1( .A(dGddSyncX), .VDD(VDD), .VSS(VSS), .Z(ddSyncXdly1) );

    dly_hdoa21xss2ur  Ioa21( .A1(ddSync), .A2(ddSyncXdly2), .B(rstStretchX),
        .VDD(VDD), .VSS(VSS), .Z(clrWrapX) );

    dly_hdan2xss2ur  Ian2( .A(detectedSyncX), .B(ddSyncXdly), .VDD(VDD), .VSS(VSS),
        .Z(dGddSyncX) );

    dly_hdinxss2ur  inv1( .A(tieLO), .VDD(VDD), .VSS(VSS), .Z(tieHI) );

    dly_hdinxss1ul  ivskip( .A(skipNTime), .VDD(VDD), .VSS(VSS), .Z(skipTime) );
    dly_hdinxss1ul  ivskipN( .A(tieLO), .VDD(VDD), .VSS(VSS), .Z(skipNTime) );

    dly_hdbfxss2ul  buf0 ( .A(ddSkip), .VDD(VDD), .VSS(VSS), .Z(wrapAroundX) );

    dly_hddlydxss1ur  Idly2( .A(ddSyncXdly1), .VDD(VDD), .VSS(VSS), .Z(ddSyncXdly2)
        );

    dly_hdinxss1ur  invddx( .A(dGddSyncX), .VDD(VDD), .VSS(VSS), .Z(ddSync) );

    dly_hdtieloxss2ul  ItieLO( .VDD(VDD), .VSS(VSS), .Z(tieLO) );

    dly_hdmux2xss1ul  ISUskipMX2( .D0(tieLO), .D1(tieHI), .S(suSkip), .VDD(VDD),
        .VSS(VSS), .Z(ddSkip) );

    dly_hdrmsfqnsxss2ul  Iloopbkdff( .CLK(kickOffStretch), .D(tieHI),
        .RESET(clrWrapX), .VDD(VDD), .VSS(VSS), .Q(suSkip) );
endmodule




















// Library : gf14lpe_clkds    Cell : clkds_detectedSyncX2    View : schematic
module clkds_detectedSyncX2( CLK, VDD, VSS, droopdetected, ck_en0,
    kickOffStretch, pccdetectedSyncX, detectedSyncX, bufCLK, precken0, SEL,
    pcc_detected );

    input CLK;
    input VDD;
    input VSS;
    input droopdetected;
    input ck_en0;
    output kickOffStretch;
    output pccdetectedSyncX;
    output detectedSyncX;
    output bufCLK;
    input precken0;
    input [1:0]  SEL;
    input pcc_detected;

    wire  cken;
    wire  [1:0] SELr;
    wire  droopdetectedSyncX;
    wire  detectedSync;
    wire  updateCLK;

    dly_hdcklbqnsxss1ul  Ickenlb( .CLK(CLK), .D(precken0), .VDD(VDD), .VSS(VSS),
        .Q(cken) );

    clkds_detectedSync  IdroopSync( .VDD(VDD), .VSS(VSS), .updateCLK(updateCLK),
        .SELr(SELr), .detected_syncX(droopdetectedSyncX),
        .detected(droopdetected), .bufCLK(bufCLK) );

    dly_hdnd2xss3ul  I502( .A(pccdetectedSyncX), .B(droopdetectedSyncX), .VDD(VDD),
        .VSS(VSS), .Z(detectedSync) );

    dly_hdckan2xss2ul  Ickgate( .CLK(CLK), .EN(cken), .VDD(VDD), .VSS(VSS),
        .Z(updateCLK) );

    dly_hdxn2xss2ur  I36( .A(SEL[1]), .B(SEL[0]), .VDD(VDD), .VSS(VSS), .Z(SELr[1])
        );

    dly_hdbfxss2ur  I37( .A(SEL[0]), .VDD(VDD), .VSS(VSS), .Z(SELr[0]) );

    dly_hdan2xss2ul  an2( .A(detectedSync), .B(ck_en0), .VDD(VDD), .VSS(VSS),
        .Z(kickOffStretch) );

    dly_hdinxss4ul  I520( .A(detectedSync), .VDD(VDD), .VSS(VSS), .Z(detectedSyncX)
        );

    dly_hdckbfxss4ul  Ickbuf( .CLK(CLK), .VDD(VDD), .VSS(VSS), .Z(bufCLK) );

    clkds_detectedSync  IpccSync( .VDD(VDD), .VSS(VSS), .updateCLK(updateCLK),
        .SELr(SELr), .detected_syncX(pccdetectedSyncX), .detected(pcc_detected),
        .bufCLK(bufCLK) );
endmodule


















// Library : gf14lpe_clkds    Cell : clkds_detectedSync    View : schematic
module clkds_detectedSync( VDD, VSS, updateCLK, SELr, detected_syncX, detected,
    bufCLK );

    input VDD;
    input VSS;
    input updateCLK;
    input [1:0]  SELr;
    output detected_syncX;
    input detected;
    input bufCLK;

    wire  net72;
    wire  bufdetected;
    wire  sync012;
    wire  detected2D;
    wire  net71;
    wire  detected1D;

    dly_hdinxss1ur  inv1( .A(net72), .VDD(VDD), .VSS(VSS), .Z(detected1D) );
    dly_hdinxss1ur  inv2( .A(net71), .VDD(VDD), .VSS(VSS), .Z(detected2D) );

    dly_hdmsfqbnsxss4ul  Idff3( .CLK(updateCLK), .D(sync012), .VDD(VDD), .VSS(VSS),
        .QB(detected_syncX) );

    dly_hdbfxss2ul  detbuf0( .A(detected), .VDD(VDD), .VSS(VSS), .Z(bufdetected) );

    dly_hdmux3xss2ul  I30( .D00(detected2D), .D01(detected1D), .D1X(bufdetected),
        .S0(SELr[0]), .S1(SELr[1]), .VDD(VDD), .VSS(VSS), .Z(sync012) );

    dly_hdmsfqbnsxss1ur  Idff2( .CLK(bufCLK), .D(detected1D), .VDD(VDD), .VSS(VSS),
        .QB(net71) );
    dly_hdmsfqbnsxss1ur  Idff1( .CLK(bufCLK), .D(bufdetected), .VDD(VDD), .VSS(VSS),
        .QB(net72) );
endmodule


























// Library : gf14lpe_clkds    Cell : clkds_clkpick28B    View : schematic
module clkds_clkpick28B( clk_eno, clk_enN, VDD0P9, VSS, clk, d1, d2, d4, a_rst,
    flip_ck2, flip_ck4, rstN1, rstN2, rstN4, skip2, skip4, clkB, skip2N, skip4N,
    clk_eni, gck );

    output clk_eno;
    output clk_enN;
    input VDD0P9;
    input VSS;
    input clk;
    input d1;
    input d2;
    input d4;
    input a_rst;
    input flip_ck2;
    input flip_ck4;
    input rstN1;
    input rstN2;
    input rstN4;
    input skip2;
    input skip4;
    input clkB;
    input skip2N;
    input skip4N;
    input clk_eni;
    output gck;

    wire  flipclk;
    wire  mxD124;
    wire  ickB;
    wire  aRSTB;
    wire  net35;
    wire  ick;
    wire  flipclkB;

    dly_hdnd3xss1ul  I6( .A(rstN1), .B(rstN2), .C(rstN4), .VDD(VDD0P9), .VSS(VSS),
        .Z(net35) );

    dly_hdnr2xss1ul  I8( .A(net35), .B(a_rst), .VDD(VDD0P9), .VSS(VSS), .Z(aRSTB) );
    dly_hdnr2xss1ul  I5( .A(flip_ck2), .B(flip_ck4), .VDD(VDD0P9), .VSS(VSS),
        .Z(flipclkB) );

    clkds_ckmux2  ckmxb( .ock(ickB), .ck0(clk), .ck1(clkB), .sel(flipclkB),
        .selB(flipclk), .VDD(VDD0P9), .VSS(VSS) );
    clkds_ckmux2  ckmxa( .ock(ick), .ck0(clk), .ck1(clkB), .sel(flipclk),
        .selB(flipclkB), .VDD(VDD0P9), .VSS(VSS) );

    clkds_clkpickerDFFR  DFFR( .D(mxD124), .VSS(VSS), .rstB(aRSTB), .VDD(VDD0P9)
        , .qB(clk_enN), .q(clk_eno), .ck(ick), .ckB(ickB) );

    dly_hdinxss1ul  I12( .A(flipclkB), .VDD(VDD0P9), .VSS(VSS), .Z(flipclk) );

    clkds_mux3to1_1ul  MX3( .D00(d1), .D01(d2), .D1X(d4), .S0(skip2),
        .S0B(skip2N), .S1(skip4), .S1B(skip4N), .VDD(VDD0P9), .VSS(VSS),
        .Z(mxD124) );

    clkds_gcknand2_gpu  I16( .A(clk_eni), .B(clk), .VDD0P9(VDD0P9), .VSS(VSS),
        .Y(gck) );
endmodule








// Library : gf14lpe_clkds    Cell : clkds_clkpick0    View : schematic
module clkds_clkpick0( ck_en0, clk_enN0, VDD0P9, VSS, iPH0, clk_enN1, clk_enN2,
    clk_enN4, tieHI, tieLO, loopbkB, rstB, iPHB0, gck, precken0_buf, rstStretchX
     );

    output ck_en0;
    output clk_enN0;
    input VDD0P9;
    input VSS;
    input iPH0;
    input clk_enN1;
    input clk_enN2;
    input clk_enN4;
    input tieHI;
    input tieLO;
    input loopbkB;
    input rstB;
    input iPHB0;
    output gck;
    output precken0_buf;
    output rstStretchX;

    wire  preCKen0;
    wire  ickB;
    wire  cken0;
    wire  aRSTB0;
    wire  ick;
    wire  cken0N;

    dly_hdnd3xss1ul  I6( .A(loopbkB), .B(rstB), .C(cken0N), .VDD(VDD0P9), .VSS(VSS),
        .Z(preCKen0) );

    clkds_ckmux2  ckmxb( .ock(ickB), .ck0(iPH0), .ck1(iPHB0), .sel(tieLO),
        .selB(tieHI), .VDD(VDD0P9), .VSS(VSS) );
    clkds_ckmux2  ckmxa( .ock(ick), .ck0(iPH0), .ck1(iPHB0), .sel(tieHI),
        .selB(tieLO), .VDD(VDD0P9), .VSS(VSS) );

    dly_hdinxss8ul  I338( .A(cken0), .VDD(VDD0P9), .VSS(VSS), .Z(clk_enN0) );

    clkds_gcknand2_gpu  I16( .A(cken0), .B(iPH0), .VDD0P9(VDD0P9), .VSS(VSS),
        .Y(gck) );

    dly_hdinxss6ul  I333( .A(cken0N), .VDD(VDD0P9), .VSS(VSS), .Z(ck_en0) );

    dly_hdan3xss2ur  an3( .A(clk_enN4), .B(clk_enN2), .C(clk_enN1), .VDD(VDD0P9),
        .VSS(VSS), .Z(aRSTB0) );

    clkds_clkpickerDFFR  DFFR( .D(preCKen0), .VSS(VSS), .rstB(aRSTB0),
        .VDD(VDD0P9), .qB(cken0N), .q(cken0), .ck(ick), .ckB(ickB) );

    dly_hdan2xss2ur  an2( .A(aRSTB0), .B(rstB), .VDD(VDD0P9), .VSS(VSS),
        .Z(rstStretchX) );

    dly_hdbfxss2ul  I17( .A(preCKen0), .VDD(VDD0P9), .VSS(VSS), .Z(precken0_buf) );
endmodule


















// Library : gf14lpe_clkds    Cell : clkds_clkpickercellB    View : schematic
module clkds_clkpickercellB( clk_eno, clk_enN, VDD0P9, VSS, clk, d1, d2, d4,
    a_rst, flip_ck2, flip_ck4, rstN1, rstN2, rstN4, skip2, skip4, clkB, skip2N,
    skip4N, gck );

    output clk_eno;
    output clk_enN;
    input VDD0P9;
    input VSS;
    input clk;
    input d1;
    input d2;
    input d4;
    input a_rst;
    input flip_ck2;
    input flip_ck4;
    input rstN1;
    input rstN2;
    input rstN4;
    input skip2;
    input skip4;
    input clkB;
    input skip2N;
    input skip4N;
    output gck;

    wire  flipclk;
    wire  mxD124;
    wire  ickB;
    wire  aRSTB;
    wire  net35;
    wire  ick;
    wire  flipclkB;

    dly_hdnd3xss1ul  I6( .A(rstN1), .B(rstN2), .C(rstN4), .VDD(VDD0P9), .VSS(VSS),
        .Z(net35) );

    dly_hdnr2xss1ul  I8( .A(net35), .B(a_rst), .VDD(VDD0P9), .VSS(VSS), .Z(aRSTB) );
    dly_hdnr2xss1ul  I5( .A(flip_ck2), .B(flip_ck4), .VDD(VDD0P9), .VSS(VSS),
        .Z(flipclkB) );

    clkds_ckmux2  ckmxb( .ock(ickB), .ck0(clk), .ck1(clkB), .sel(flipclkB),
        .selB(flipclk), .VDD(VDD0P9), .VSS(VSS) );
    clkds_ckmux2  ckmxa( .ock(ick), .ck0(clk), .ck1(clkB), .sel(flipclk),
        .selB(flipclkB), .VDD(VDD0P9), .VSS(VSS) );

    clkds_clkpickerDFFR  DFFR( .D(mxD124), .VSS(VSS), .rstB(aRSTB), .VDD(VDD0P9)
        , .qB(clk_enN), .q(clk_eno), .ck(ick), .ckB(ickB) );

    dly_hdinxss1ul  I12( .A(flipclkB), .VDD(VDD0P9), .VSS(VSS), .Z(flipclk) );

    clkds_mux3to1_1ul  MX3( .D00(d1), .D01(d2), .D1X(d4), .S0(skip2),
        .S0B(skip2N), .S1(skip4), .S1B(skip4N), .VDD(VDD0P9), .VSS(VSS),
        .Z(mxD124) );

    clkds_gcknand2_gpu  I16( .A(clk_eno), .B(clk), .VDD0P9(VDD0P9), .VSS(VSS),
        .Y(gck) );
endmodule






























// Library : gf14lpe_clkds    Cell : clkds_clkpicker_shorttap_contrl    View : schematic
module clkds_clkpicker_shorttap_contrl( oAsync, VDD0P9, VSS, iAsync, tapEn,
    iClk_En, oClk_En );

    output oAsync;
    input VDD0P9;
    input VSS;
    input iAsync;
    input tapEn;
    input iClk_En;
    output oClk_En;

    wire  tapEnx;
    wire  net16;

    dly_hdnr2xss1ul  I118( .A(iAsync), .B(tapEn), .VDD(VDD0P9), .VSS(VSS), .Z(net16)
         );

    dly_hdinxss4ul  I117( .A(net16), .VDD(VDD0P9), .VSS(VSS), .Z(oAsync) );
    dly_hdinxss4ul  I116( .A(tapEn), .VDD(VDD0P9), .VSS(VSS), .Z(tapEnx) );

    dly_hdan2xss2ul  I0( .A(tapEnx), .B(iClk_En), .VDD(VDD0P9), .VSS(VSS),
        .Z(oClk_En) );
endmodule














// Library : gf14lpe_clkds    Cell : clkds_OR40ck    View : schematic
module clkds_OR40ck( VSS, gck, clkout, VDD );

    input VSS;
    input [39:0]  gck;
    output clkout;
    input VDD;

    wire  gck0_39x;
    wire  gck0_20;
    wire  gck39_21;

    clkds_cknor2  cknor2[1:0]( .A({gck0_20,gck0_20}), .B({gck39_21,gck39_21}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck0_39x,gck0_39x}) );

    clkds_OR40ck_gck21_39  Ior_gck39_21( .VSS(VSS), .gck(gck[39:21]), .VDD(VDD),
        .gck39_21(gck39_21) );

    clkds_OR40ck_gck0_20  Ior_gck0_20( .VSS(VSS), .gck(gck[20:0]), .VDD(VDD),
        .gck0_20(gck0_20) );

    dly_hdckinxss8ul  ckinv( .CLK(gck0_39x), .VDD(VDD), .VSS(VSS), .Z(clkout) );
endmodule




// Library : gf14lpe_clkds    Cell : clkds_OR40ck_gck0_20    View : schematic
module clkds_OR40ck_gck0_20( VSS, gck, VDD, gck0_20 );

    input VSS;
    input [20:0]  gck;
    input VDD;
    output gck0_20;

    wire  gck1011;
    wire  gck23;
    wire  gck1415;
    wire  tieloA;
    wire  gck16171819x;
    wire  tieloC;
    wire  gck1819;
    wire  gck0_15x;
    wire  gck8_15;
    wire  gck0123x;
    wire  gck45;
    wire  gck20d;
    wire  gck16_20;
    wire  gck891011x;
    wire  gck4567x;
    wire  gck1213;
    wire  gck67;
    wire  gck1617;
    wire  gck01;
    wire  gck20x;
    wire  gck0_7;
    wire  tieHI;
    wire  gck16_20x;
    wire  gck89;
    wire  gck12131415x;

    dly_hdtiehixss2ul  I142( .VDD(VDD), .VSS(VSS), .Z(tieHI) );

    clkds_cknand2_gpu  I139( .A(gck[20]), .B(tieHI), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck20d) );
    clkds_cknand2_gpu  I19[1:0]( .A({gck0123x,gck0123x}),
        .B({gck4567x,gck4567x}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck0_7,gck0_7}) );
    clkds_cknand2_gpu  I252[1:0]( .A({gck16171819x,gck16171819x}),
        .B({gck20x,gck20x}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck16_20,gck16_20}) );
    clkds_cknand2_gpu  I67[1:0]( .A({gck0_15x,gck0_15x}),
        .B({gck16_20x,gck16_20x}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck0_20,gck0_20}) );
    clkds_cknand2_gpu  I27[1:0]( .A({gck891011x,gck891011x}),
        .B({gck12131415x,gck12131415x}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck8_15,gck8_15}) );
    clkds_cknand2_gpu  I41( .A(gck[18]), .B(gck[19]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck1819) );
    clkds_cknand2_gpu  I37( .A(gck[16]), .B(gck[17]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck1617) );
    clkds_cknand2_gpu  I33( .A(gck[14]), .B(gck[15]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck1415) );
    clkds_cknand2_gpu  I29( .A(gck[12]), .B(gck[13]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck1213) );
    clkds_cknand2_gpu  I25( .A(gck[10]), .B(gck[11]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck1011) );
    clkds_cknand2_gpu  I21( .A(gck[8]), .B(gck[9]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck89) );
    clkds_cknand2_gpu  I17( .A(gck[6]), .B(gck[7]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck67) );
    clkds_cknand2_gpu  I13( .A(gck[4]), .B(gck[5]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck45) );
    clkds_cknand2_gpu  I10( .A(gck[2]), .B(gck[3]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck23) );
    clkds_cknand2_gpu  I2( .A(gck[0]), .B(gck[1]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck01) );

    dly_hdtieloxss2ul  I144( .VDD(VDD), .VSS(VSS), .Z(tieloA) );
    dly_hdtieloxss2ul  I143( .VDD(VDD), .VSS(VSS), .Z(tieloC) );

    clkds_cknor2  I35[1:0]( .A({gck0_7,gck0_7}), .B({gck8_15,gck8_15}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck0_15x,gck0_15x}) );
    clkds_cknor2  I15[1:0]( .A({gck45,gck45}), .B({gck67,gck67}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck4567x,gck4567x}) );
    clkds_cknor2  I39[1:0]( .A({gck1617,gck1617}), .B({gck1819,gck1819}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck16171819x,gck16171819x}) );
    clkds_cknor2  I141[1:0]( .A({gck20d,gck20d}), .B({tieloC,tieloC}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck20x,gck20x}) );
    clkds_cknor2  I23[1:0]( .A({gck89,gck89}), .B({gck1011,gck1011}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck891011x,gck891011x}) );
    clkds_cknor2  I31[1:0]( .A({gck1213,gck1213}), .B({gck1415,gck1415}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck12131415x,gck12131415x}) );
    clkds_cknor2  I11[1:0]( .A({gck01,gck01}), .B({gck23,gck23}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck0123x,gck0123x}) );
    clkds_cknor2  I51[1:0]( .A({gck16_20,gck16_20}), .B({tieloA,tieloA}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck16_20x,gck16_20x}) );
endmodule


// Library : gf14lpe_clkds    Cell : clkds_OR40ck_gck21_39    View : schematic
module clkds_OR40ck_gck21_39( VSS, gck, VDD, gck39_21 );

    input VSS;
    input [39:21]  gck;
    input VDD;
    output gck39_21;

    wire  gck2728;
    wire  gck39;
    wire  gck37_39x;
    wire  gck3738;
    wire  gck2930;
    wire  tieHIa;
    wire  gck29303132x;
    wire  gck2122;
    wire  tieHIb;
    wire  gck3132;
    wire  gck29_36;
    wire  gck21_36x;
    wire  gck2324;
    wire  gck21_28;
    wire  gck37_39;
    wire  gck3334;
    wire  gck33343536x;
    wire  gck2526;
    wire  tieloA;
    wire  gck373839x;
    wire  gck3536;
    wire  gck21222324x;
    wire  gck25262728x;

    dly_hdtiehixss2ul  I142( .VDD(VDD), .VSS(VSS), .Z(tieHIa) );
    dly_hdtiehixss2ul  I300( .VDD(VDD), .VSS(VSS), .Z(tieHIb) );

    clkds_cknand2_gpu  I19[1:0]( .A({gck21222324x,gck21222324x}),
        .B({gck25262728x,gck25262728x}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck21_28,gck21_28}) );
    clkds_cknand2_gpu  I252[1:0]( .A({gck373839x,gck373839x}),
        .B({tieHIb,tieHIb}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck37_39,gck37_39}) );
    clkds_cknand2_gpu  I67[1:0]( .A({gck21_36x,gck21_36x}),
        .B({gck37_39x,gck37_39x}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck39_21,gck39_21}) );
    clkds_cknand2_gpu  I27[1:0]( .A({gck29303132x,gck29303132x}),
        .B({gck33343536x,gck33343536x}), .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}),
        .Y({gck29_36,gck29_36}) );
    clkds_cknand2_gpu  I41( .A(gck[39]), .B(tieHIa), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck39) );
    clkds_cknand2_gpu  I37( .A(gck[37]), .B(gck[38]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck3738) );
    clkds_cknand2_gpu  I33( .A(gck[35]), .B(gck[36]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck3536) );
    clkds_cknand2_gpu  I29( .A(gck[33]), .B(gck[34]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck3334) );
    clkds_cknand2_gpu  I25( .A(gck[31]), .B(gck[32]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck3132) );
    clkds_cknand2_gpu  I21( .A(gck[29]), .B(gck[30]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck2930) );
    clkds_cknand2_gpu  I17( .A(gck[27]), .B(gck[28]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck2728) );
    clkds_cknand2_gpu  I13( .A(gck[25]), .B(gck[26]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck2526) );
    clkds_cknand2_gpu  I10( .A(gck[23]), .B(gck[24]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck2324) );
    clkds_cknand2_gpu  I2( .A(gck[21]), .B(gck[22]), .VDD0P9(VDD), .VSS(VSS),
        .Y(gck2122) );

    dly_hdtieloxss2ul  I144( .VDD(VDD), .VSS(VSS), .Z(tieloA) );

    clkds_cknor2  I35[1:0]( .A({gck21_28,gck21_28}), .B({gck29_36,gck29_36}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck21_36x,gck21_36x}) );
    clkds_cknor2  I15[1:0]( .A({gck2526,gck2526}), .B({gck2728,gck2728}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck25262728x,gck25262728x}) );
    clkds_cknor2  I39[1:0]( .A({gck3738,gck3738}), .B({gck39,gck39}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck373839x,gck373839x}) );
    clkds_cknor2  I23[1:0]( .A({gck2930,gck2930}), .B({gck3132,gck3132}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck29303132x,gck29303132x}) );
    clkds_cknor2  I31[1:0]( .A({gck3334,gck3334}), .B({gck3536,gck3536}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck33343536x,gck33343536x}) );
    clkds_cknor2  I11[1:0]( .A({gck2122,gck2122}), .B({gck2324,gck2324}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck21222324x,gck21222324x}) );
    clkds_cknor2  I51[1:0]( .A({gck37_39,gck37_39}), .B({tieloA,tieloA}),
        .VDD0P9({VDD,VDD}), .VSS({VSS,VSS}), .Y({gck37_39x,gck37_39x}) );
endmodule
















// Library : gf14lpe_clkds    Cell : clkds_skip_redrive    View : schematic
module clkds_skip_redrive( VDD, VSS, skip2, skip2N, skip4, skip4N, skip2Nrd,
    skip2rd, skip4Nrd, skip4rd );

    input VDD;
    input VSS;
    input skip2;
    input skip2N;
    input skip4;
    input skip4N;
    output skip2Nrd;
    output skip2rd;
    output skip4Nrd;
    output skip4rd;

    dly_hdinxss12ul  Iskip4redr1( .A(skip4), .VDD(VDD), .VSS(VSS), .Z(skip4Nrd) );
    dly_hdinxss12ul  Iskip4Nredr1( .A(skip4N), .VDD(VDD), .VSS(VSS), .Z(skip4rd) );
    dly_hdinxss12ul  Iskip2redr1( .A(skip2), .VDD(VDD), .VSS(VSS), .Z(skip2Nrd) );
    dly_hdinxss12ul  Iskip2Nredr1( .A(skip2N), .VDD(VDD), .VSS(VSS), .Z(skip2rd) );
endmodule







