//Custom Designer (TM) Version I-2013.12-SP2-2
//Fri Dec 12 16:35:03 2014


// Directives
`timescale 1ns/1ns


// Library : gf14lpe_clkds    Cell : clkds_cs_top    View : schematic
module clkds_cs_top( BYPASS_LDO, COMP_EN18, ISO_DIS_PWROK_VDDC, LDO_BIAS_SEL,
    LDO_EN, LDO_EN18, LDO_REFSEL, VDD, VDDPLL, VSS, c0P, c10P, c11P, c12P, c13P,
    c14P, c15P, c16P, c17P, c18P, c19P, c1P, c20P, c21P, c22P, c23P, c24P, c25P,
    c26P, c27P, c28P, c29P, c2P, c30P, c31P, c32P, c33P, c34P, c35P, c36P, c37P,
    c38P, c39P, c3P, c4P, c5P, c6P, c7P, c8P, c9P, ckin_hf, ckin_lf, ckin_mf,
    clkpicker_enable, clkpicker_reset, droopdetected, met_ctrl_sel, pcc_detected
    , test_clk_sel, use_ph28, use_ph28_pcc, use_skip2, use_skip2_pcc, use_skip4,
    use_skip4_pcc, COMP_HI, COMP_LO, LDO_ON, VDDINT, ck_en0_hf, ck_en0_lf,
    ck_en0_mf, lead_ph2840_hf, lead_ph2840_lf, lead_ph2840_mf, sclk_hf, sclk_lf,
    sclk_mf, test_clk_fb, test_clk_ref, test_dd_sync );

    input BYPASS_LDO;
    input COMP_EN18;
    input ISO_DIS_PWROK_VDDC;
    input LDO_BIAS_SEL;
    input LDO_EN;
    input LDO_EN18;
    input [3:0]  LDO_REFSEL;
    input VDD;
    input VDDPLL;
    input VSS;
    input [3:0]  c0P;
    input [3:0]  c10P;
    input [3:0]  c11P;
    input [3:0]  c12P;
    input [3:0]  c13P;
    input [3:0]  c14P;
    input [3:0]  c15P;
    input [3:0]  c16P;
    input [3:0]  c17P;
    input [3:0]  c18P;
    input [3:0]  c19P;
    input [3:0]  c1P;
    input [3:0]  c20P;
    input [3:0]  c21P;
    input [3:0]  c22P;
    input [3:0]  c23P;
    input [3:0]  c24P;
    input [3:0]  c25P;
    input [3:0]  c26P;
    input [3:0]  c27P;
    input [3:0]  c28P;
    input [3:0]  c29P;
    input [3:0]  c2P;
    input [3:0]  c30P;
    input [3:0]  c31P;
    input [3:0]  c32P;
    input [3:0]  c33P;
    input [3:0]  c34P;
    input [3:0]  c35P;
    input [3:0]  c36P;
    input [3:0]  c37P;
    input [3:0]  c38P;
    input [3:0]  c39P;
    input [3:0]  c3P;
    input [3:0]  c4P;
    input [3:0]  c5P;
    input [3:0]  c6P;
    input [3:0]  c7P;
    input [3:0]  c8P;
    input [3:0]  c9P;
    input ckin_hf;
    input ckin_lf;
    input ckin_mf;
    input clkpicker_enable;
    input clkpicker_reset;
    input droopdetected;
    input [1:0]  met_ctrl_sel;
    input pcc_detected;
    input [1:0]  test_clk_sel;
    input use_ph28;
    input use_ph28_pcc;
    input use_skip2;
    input use_skip2_pcc;
    input use_skip4;
    input use_skip4_pcc;
    output COMP_HI;
    output COMP_LO;
    output LDO_ON;
    output VDDINT;
    output ck_en0_hf;
    output ck_en0_lf;
    output ck_en0_mf;
    output lead_ph2840_hf;
    output lead_ph2840_lf;
    output lead_ph2840_mf;
    output sclk_hf;
    output sclk_lf;
    output sclk_mf;
    output test_clk_fb;
    output test_clk_ref;
    output test_dd_sync;

    wire  tstclkref;
    wire  ckinx;
    wire  ph0;
    wire  [40:0] phN;
    wire  tstclkfb;
    wire  phN40x;
    wire  ph28;
    wire  phN0b;
    wire  ph40;
    wire  tstclkrfx;
    wire  tstclkddx;
    wire  LDO_OFF;
    wire  phN28b;
    wire  lag_ph2840_mf;
    wire  tielo;
    wire  ckin;
    wire  tstclkfbx;
    wire  phN0x;
    wire  tstddsync;
    wire  [40:0] phP;
    wire  phN28x;
    wire  phN40b;

    dly_hdmux3xss1ul  imxddsync( .D00(tielo), .D01(tstddsync), .D1X(tielo),
        .S0(test_clk_sel[0]), .S1(test_clk_sel[1]), .VDD(VDDINT), .VSS(VSS),
        .Z(tstclkddx) );
    dly_hdmux3xss1ul  imxrefclk( .D00(tielo), .D01(tstclkref), .D1X(tielo),
        .S0(test_clk_sel[0]), .S1(test_clk_sel[1]), .VDD(VDDINT), .VSS(VSS),
        .Z(tstclkrfx) );
    dly_hdmux3xss1ul  imxfbclk( .D00(tielo), .D01(tstclkfb), .D1X(tielo),
        .S0(test_clk_sel[0]), .S1(test_clk_sel[1]), .VDD(VDDINT), .VSS(VSS),
        .Z(tstclkfbx) );

    dly_hdinxss3ul  invsyncbuf( .A(tstclkddx), .VDD(VDDINT), .VSS(VSS),
        .Z(test_dd_sync) );
    dly_hdinxss3ul  invfbbuf( .A(tstclkfbx), .VDD(VDDINT), .VSS(VSS),
        .Z(test_clk_fb) );
    dly_hdinxss3ul  invrefbuf( .A(tstclkrfx), .VDD(VDDINT), .VSS(VSS),
        .Z(test_clk_ref) );

    clkds_ldo  xldo( .VDDREG(VDDINT), .comp_hi(COMP_HI), .comp_lo(COMP_LO),
        .VDDPLL(VDDPLL), .VSS(VSS), .cntl(LDO_REFSEL), .comp_en18(COMP_EN18),
        .ldo_bias_sel(LDO_BIAS_SEL), .ldo_en18(LDO_EN18), .LDO_OFF(LDO_OFF),
        .VDD(VDD) );

    clkds_pllpwrsniff  xsniff( .ldo_off(LDO_OFF), .ldo_on(LDO_ON), .VDD(VDD),
        .VDDPLL(VDDPLL), .VSS(VSS), .iso_dis_pwrok(ISO_DIS_PWROK_VDDC),
        .ldo_en(LDO_EN), .USE_CORE_PWR(BYPASS_LDO) );

    clkds_csdecap  xdecap( .VDD(VDD), .VDDPLL(VDDPLL), .VDDREG(VDDINT),
        .VSS(VSS) );

    clkds_delaychain_gpu  xdlychn( .phN(phN), .phP(phP), .VDD_REG1(VDDINT),
        .VSS(VSS), .c0P(c0P), .c1P(c1P), .c2P(c2P), .c3P(c3P), .c4P(c4P),
        .c5P(c5P), .c6P(c6P), .c7P(c7P), .c8P(c8P), .c9P(c9P), .ck(ckin),
        .c10P(c10P), .c11P(c11P), .c12P(c12P), .c13P(c13P), .c14P(c14P),
        .c15P(c15P), .c16P(c16P), .c17P(c17P), .c18P(c18P), .c19P(c19P),
        .c29P(c29P), .c20P(c20P), .c21P(c21P), .c22P(c22P), .c23P(c23P),
        .c24P(c24P), .c25P(c25P), .c26P(c26P), .c27P(c27P), .c28P(c28P),
        .c39P(c39P), .c30P(c30P), .c31P(c31P), .c32P(c32P), .c33P(c33P),
        .c34P(c34P), .c35P(c35P), .c36P(c36P), .c37P(c37P), .c38P(c38P) );

    clkds_40clkpicker  xclkpick( .clkout(sclk_mf), .VSS(VSS), .iPH(phP[39:0]),
        .clkpicker_reset(clkpicker_reset), .use_skip2(use_skip2),
        .use_skip4(use_skip4), .clkpicker_enable(clkpicker_enable),
        .droopdetected(droopdetected), .use_phase28(use_ph28),
        .ck_en0_buf(ck_en0_mf), .MET_CTRL_SEL(met_ctrl_sel), .iPHB(phN[39:0]),
        .test_dd_sync(tstddsync), .pcc_skip2(use_skip2_pcc),
        .pcc_skip4(use_skip4_pcc), .VDD(VDDINT), .pcc_detected(pcc_detected) );

    clkds_pdmux  xpdmux( .lag(lag_ph2840_mf), .lead(lead_ph2840_mf),
        .test_clk_fb(tstclkfb), .test_clk_ref(tstclkref), .VDD(VDDINT),
        .VSS(VSS), .clk_fb0(ph40), .clk_fb1(ph28), .clk_ref(ph0), .sel(use_ph28)
         );

    dly_hdinxss1ul  invph0_1( .A(phN0x), .VDD(VDDINT), .VSS(VSS), .Z(phN0b) );
    dly_hdinxss1ul  invph0_2( .A(phN0b), .VDD(VDDINT), .VSS(VSS), .Z(ph0) );
    dly_hdinxss1ul  invph0_0( .A(phN[0]), .VDD(VDDINT), .VSS(VSS), .Z(phN0x) );
    dly_hdinxss1ul  invph28_2( .A(phN28b), .VDD(VDDINT), .VSS(VSS), .Z(ph28) );
    dly_hdinxss1ul  invph28_1( .A(phN28x), .VDD(VDDINT), .VSS(VSS), .Z(phN28b) );
    dly_hdinxss1ul  invph28_0( .A(phN[28]), .VDD(VDDINT), .VSS(VSS), .Z(phN28x) );
    dly_hdinxss1ul  invph40_0( .A(phN[40]), .VDD(VDDINT), .VSS(VSS), .Z(phN40x) );
    dly_hdinxss1ul  invph40_2( .A(phN40b), .VDD(VDDINT), .VSS(VSS), .Z(ph40) );
    dly_hdinxss1ul  invph40_1( .A(phN40x), .VDD(VDDINT), .VSS(VSS), .Z(phN40b) );

    dly_hdtieloxss2ul  I30( .VDD(VDDINT), .VSS(VSS), .Z(sclk_lf) );
    dly_hdtieloxss2ul  I31( .VDD(VDDINT), .VSS(VSS), .Z(ck_en0_lf) );
    dly_hdtieloxss2ul  I32( .VDD(VDDINT), .VSS(VSS), .Z(lead_ph2840_lf) );
    dly_hdtieloxss2ul  I33( .VDD(VDDINT), .VSS(VSS), .Z(sclk_hf) );
    dly_hdtieloxss2ul  I34( .VDD(VDDINT), .VSS(VSS), .Z(ck_en0_hf) );
    dly_hdtieloxss2ul  I35( .VDD(VDDINT), .VSS(VSS), .Z(lead_ph2840_hf) );
    dly_hdtieloxss2ul  I19( .VDD(VDDINT), .VSS(VSS), .Z(tielo) );

    dly_hdinxss8ul  invckbuf1( .A(ckinx), .VDD(VDDINT), .VSS(VSS), .Z(ckin) );

    dly_hdinxss2ul  invckbf0( .A(ckin_mf), .VDD(VDDINT), .VSS(VSS), .Z(ckinx) );
endmodule



