//Custom Designer (TM) Version I-2013.12-SP2-1-ENG5
//Fri Nov 14 14:01:10 2014


// Directives
`timescale 1ps/1ps


// Library : gf14lpe_clkds    Cell : clkds_dd_delaychain_top    View : schematic
module clkds_dd_delaychain_top( VDD, VSS, c0P, c10P, c11P, c12P, c13P, c14P,
    c15P, c16P, c17P, c18P, c19P, c1P, c20P, c21P, c22P, c23P, c24P, c25P, c26P,
    c27P, c28P, c29P, c2P, c30P, c31P, c32P, c33P, c34P, c35P, c36P, c37P, c38P,
    c39P, c3P, c4P, c5P, c6P, c7P, c8P, c9P, ckin_hf, ckin_mf, test_clk_sel,
    lead_ph33_hf, lead_ph33_mf, lead_ph34_hf, lead_ph34_mf, lead_ph35_hf,
    lead_ph35_mf, lead_ph36_hf, lead_ph36_mf, lead_ph37_hf, lead_ph37_mf,
    lead_ph38_hf, lead_ph38_mf, lead_ph39_hf, lead_ph39_mf, lead_ph40_hf,
    lead_ph40_mf, lead_ph41_hf, lead_ph42_hf, lead_ph43_hf, lead_ph44_hf,
    lead_ph45_hf, lead_ph46_hf, lead_ph47_hf, lead_ph48_hf, lead_ph49_hf,
    lead_ph50_hf, test_clk_fb40, test_clk_ref );

    input VDD;
    input VSS;
    input [3:0]  c0P;
    input [3:0]  c10P;
    input [3:0]  c11P;
    input [3:0]  c12P;
    input [3:0]  c13P;
    input [3:0]  c14P;
    input [3:0]  c15P;
    input [3:0]  c16P;
    input [3:0]  c17P;
    input [3:0]  c18P;
    input [3:0]  c19P;
    input [3:0]  c1P;
    input [3:0]  c20P;
    input [3:0]  c21P;
    input [3:0]  c22P;
    input [3:0]  c23P;
    input [3:0]  c24P;
    input [3:0]  c25P;
    input [3:0]  c26P;
    input [3:0]  c27P;
    input [3:0]  c28P;
    input [3:0]  c29P;
    input [3:0]  c2P;
    input [3:0]  c30P;
    input [3:0]  c31P;
    input [3:0]  c32P;
    input [3:0]  c33P;
    input [3:0]  c34P;
    input [3:0]  c35P;
    input [3:0]  c36P;
    input [3:0]  c37P;
    input [3:0]  c38P;
    input [3:0]  c39P;
    input [3:0]  c3P;
    input [3:0]  c4P;
    input [3:0]  c5P;
    input [3:0]  c6P;
    input [3:0]  c7P;
    input [3:0]  c8P;
    input [3:0]  c9P;
    input ckin_hf;
    input ckin_mf;
    input [1:0]  test_clk_sel;
    output lead_ph33_hf;
    output lead_ph33_mf;
    output lead_ph34_hf;
    output lead_ph34_mf;
    output lead_ph35_hf;
    output lead_ph35_mf;
    output lead_ph36_hf;
    output lead_ph36_mf;
    output lead_ph37_hf;
    output lead_ph37_mf;
    output lead_ph38_hf;
    output lead_ph38_mf;
    output lead_ph39_hf;
    output lead_ph39_mf;
    output lead_ph40_hf;
    output lead_ph40_mf;
    output lead_ph41_hf;
    output lead_ph42_hf;
    output lead_ph43_hf;
    output lead_ph44_hf;
    output lead_ph45_hf;
    output lead_ph46_hf;
    output lead_ph47_hf;
    output lead_ph48_hf;
    output lead_ph49_hf;
    output lead_ph50_hf;
    output test_clk_fb40;
    output test_clk_ref;

    wire  net152;
    wire  net153;
    wire  test_clk_ref_cpu;
    wire  test_clk_fb50_cpu;
    wire  test_clk_ref_gpu;
    wire  test_clk_fb40_gpu;

    clkds_dd_gpu  xddgpu( .VSS(VSS), .c0P(c0P), .c1P(c1P), .c2P(c2P), .c3P(c3P),
        .c4P(c4P), .c5P(c5P), .c6P(c6P), .c7P(c7P), .c8P(c8P), .c9P(c9P),
        .ck(ckin_mf), .c10P(c10P), .c11P(c11P), .c12P(c12P), .c13P(c13P),
        .c14P(c14P), .c15P(c15P), .c16P(c16P), .c17P(c17P), .c18P(c18P),
        .c19P(c19P), .c29P(c29P), .c20P(c20P), .c21P(c21P), .c22P(c22P),
        .c23P(c23P), .c24P(c24P), .c25P(c25P), .c26P(c26P), .c27P(c27P),
        .c28P(c28P), .c39P(c39P), .c30P(c30P), .c31P(c31P), .c32P(c32P),
        .c33P(c33P), .c34P(c34P), .c35P(c35P), .c36P(c36P), .c37P(c37P),
        .c38P(c38P), .test_clk_ref(test_clk_ref_gpu),
        .leadph({lead_ph40_mf,lead_ph39_mf,lead_ph38_mf,lead_ph37_mf,lead_ph36_mf,lead_ph35_mf,lead_ph34_mf,lead_ph33_mf})
        , .test_clk_fb40(test_clk_fb40_gpu), .VDD(VDD) );

    clkds_dd_cpu  xddcpu( .VSS(VSS), .c0P(c0P), .c1P(c1P), .c2P(c2P), .c3P(c3P),
        .c4P(c4P), .c5P(c5P), .c6P(c6P), .c7P(c7P), .c8P(c8P), .c9P(c9P),
        .ck(ckin_hf), .c10P(c10P), .c11P(c11P), .c12P(c12P), .c13P(c13P),
        .c14P(c14P), .c15P(c15P), .c16P(c16P), .c17P(c17P), .c18P(c18P),
        .c19P(c19P), .c29P(c29P), .c20P(c20P), .c21P(c21P), .c22P(c22P),
        .c23P(c23P), .c24P(c24P), .c25P(c25P), .c26P(c26P), .c27P(c27P),
        .c28P(c28P), .c39P(c39P), .c30P(c30P), .c31P(c31P), .c32P(c32P),
        .c33P(c33P), .c34P(c34P), .c35P(c35P), .c36P(c36P), .c37P(c37P),
        .c38P(c38P), .test_clk_ref(test_clk_ref_cpu),
        .test_clk_fb50(test_clk_fb50_cpu),
        .leadph({lead_ph50_hf,lead_ph49_hf,lead_ph48_hf,lead_ph47_hf,lead_ph46_hf,lead_ph45_hf,lead_ph44_hf,lead_ph43_hf,lead_ph42_hf,lead_ph41_hf,lead_ph40_hf,lead_ph39_hf,lead_ph38_hf,lead_ph37_hf,lead_ph36_hf,lead_ph35_hf,lead_ph34_hf,lead_ph33_hf})
        , .VDD(VDD) );

    dly_hdmux3xss1ul  irefclk( .D00(net153), .D01(test_clk_ref_gpu),
        .D1X(test_clk_ref_cpu), .S0(test_clk_sel[0]), .S1(test_clk_sel[1]),
        .VDD(VDD), .VSS(VSS), .Z(test_clk_ref) );
    dly_hdmux3xss1ul  ifbclk( .D00(net152), .D01(test_clk_fb40_gpu),
        .D1X(test_clk_fb50_cpu), .S0(test_clk_sel[0]), .S1(test_clk_sel[1]),
        .VDD(VDD), .VSS(VSS), .Z(test_clk_fb40) );

    dly_hdtieloxss2ul  I113( .VDD(VDD), .VSS(VSS), .Z(net153) );
    dly_hdtieloxss2ul  I112( .VDD(VDD), .VSS(VSS), .Z(net152) );
endmodule










// Library : gf14lpe_clkds    Cell : clkds_dd_cpu    View : schematic
module clkds_dd_cpu( VSS, c0P, c1P, c2P, c3P, c4P, c5P, c6P, c7P, c8P, c9P, ck,
    c10P, c11P, c12P, c13P, c14P, c15P, c16P, c17P, c18P, c19P, c29P, c20P, c21P
    , c22P, c23P, c24P, c25P, c26P, c27P, c28P, c39P, c30P, c31P, c32P, c33P,
    c34P, c35P, c36P, c37P, c38P, test_clk_ref, test_clk_fb50, leadph, VDD );

    input VSS;
    input [3:0]  c0P;
    input [3:0]  c1P;
    input [3:0]  c2P;
    input [3:0]  c3P;
    input [3:0]  c4P;
    input [3:0]  c5P;
    input [3:0]  c6P;
    input [3:0]  c7P;
    input [3:0]  c8P;
    input [3:0]  c9P;
    input ck;
    input [3:0]  c10P;
    input [3:0]  c11P;
    input [3:0]  c12P;
    input [3:0]  c13P;
    input [3:0]  c14P;
    input [3:0]  c15P;
    input [3:0]  c16P;
    input [3:0]  c17P;
    input [3:0]  c18P;
    input [3:0]  c19P;
    input [3:0]  c29P;
    input [3:0]  c20P;
    input [3:0]  c21P;
    input [3:0]  c22P;
    input [3:0]  c23P;
    input [3:0]  c24P;
    input [3:0]  c25P;
    input [3:0]  c26P;
    input [3:0]  c27P;
    input [3:0]  c28P;
    input [3:0]  c39P;
    input [3:0]  c30P;
    input [3:0]  c31P;
    input [3:0]  c32P;
    input [3:0]  c33P;
    input [3:0]  c34P;
    input [3:0]  c35P;
    input [3:0]  c36P;
    input [3:0]  c37P;
    input [3:0]  c38P;
    output test_clk_ref;
    output test_clk_fb50;
    output [50:33]  leadph;
    input VDD;

    wire  [50:0] phN;
    wire  [50:0] phP;
    wire  php0b;
    wire  php0x;
    wire  [50:33] phpx;
    wire  [50:33] phpbx;
    wire  php0bx;
    wire  net21;
    wire  [50:33] lagph;
    wire  net1;
    wire  [17:0] fbclk;
    wire  refclk;
    wire  [50:33] phpb;

    clkds_phase_detector  cpu_pd[17:0](
        .VDD0P9({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}),
        .clk_fb(fbclk),
        .clk_ref({refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk}),
        .lag(lagph), .lead(leadph) );

    dly_hdinxss1ul  cpu_in1fb[17:0]( .A(phpx),
        .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}),
        .Z(phpb) );
    dly_hdinxss1ul  intstref0( .A(refclk), .VDD(VDD), .VSS(VSS), .Z(net21) );
    dly_hdinxss1ul  intstfb0( .A(fbclk[17]), .VDD(VDD), .VSS(VSS), .Z(net1) );
    dly_hdinxss1ul  in0fb[17:0]( .A(phP[50:33]),
        .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}),
        .Z(phpx) );
    dly_hdinxss1ul  cpu_in2fb[17:0]( .A(phpb),
        .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}),
        .Z(phpbx) );
    dly_hdinxss1ul  inref0( .A(phP[0]), .VDD(VDD), .VSS(VSS), .Z(php0x) );
    dly_hdinxss1ul  inref1( .A(php0x), .VDD(VDD), .VSS(VSS), .Z(php0b) );
    dly_hdinxss1ul  inref2( .A(php0b), .VDD(VDD), .VSS(VSS), .Z(php0bx) );
    dly_hdinxss1ul  inref3( .A(php0bx), .VDD(VDD), .VSS(VSS), .Z(refclk) );
    dly_hdinxss1ul  cpu_in3fb[17:0]( .A(phpbx),
        .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}),
        .Z(fbclk) );

    dly_hdinxss4ul  intstref1( .A(net21), .VDD(VDD), .VSS(VSS), .Z(test_clk_ref) );
    dly_hdinxss4ul  intstfb1( .A(net1), .VDD(VDD), .VSS(VSS), .Z(test_clk_fb50) );

    clkds_delaychain_cpu  xdlychn(
        {phN[40],phN[39],phN[38],phN[37],phN[36],phN[35],phN[34],phN[33],phN[32],phN[31],phN[30],phN[29],phN[28],phN[27],phN[26],phN[25],phN[24],phN[23],phN[22],phN[21],phN[20],phN[19],phN[18],phN[17],phN[16],phN[15],phN[14],phN[13],phN[12],phN[11],phN[10],phN[9],phN[8],phN[7],phN[6],phN[5],phN[4],phN[3],phN[2],phN[1],phN[0]},
        {phP[40],phP[39],phP[38],phP[37],phP[36],phP[35],phP[34],phP[33],phP[32],phP[31],phP[30],phP[29],phP[28],phP[27],phP[26],phP[25],phP[24],phP[23],phP[22],phP[21],phP[20],phP[19],phP[18],phP[17],phP[16],phP[15],phP[14],phP[13],phP[12],phP[11],phP[10],phP[9],phP[8],phP[7],phP[6],phP[5],phP[4],phP[3],phP[2],phP[1],phP[0]},
        VDD, VSS, c0P, c1P, c2P, c3P, c4P, c5P, c6P, c7P, c8P, c9P, ck, c10P,
        c11P, c12P, c13P, c14P, c15P, c16P, c17P, c18P, c19P, c29P, c20P, c21P,
        c22P, c23P, c24P, c25P, c26P, c27P, c28P, c39P, c30P, c31P, c32P, c33P,
        c34P, c35P, c36P, c37P, c38P, phN[50], phN[49], phN[48], phN[47],
        phN[46], phN[45], phN[44], phN[43], phN[42], phN[41], phP[50], phP[49],
        phP[48], phP[47], phP[46], phP[45], phP[44], phP[43], phP[42], phP[41]
        );
endmodule


// Library : gf14lpe_clkds    Cell : clkds_delaychain_cpu    View : schematic
module clkds_delaychain_cpu( phN[40:0], phP[40:0], VDD_REG1, VSS, c0P, c1P, c2P,
    c3P, c4P, c5P, c6P, c7P, c8P, c9P, ck, c10P, c11P, c12P, c13P, c14P, c15P,
    c16P, c17P, c18P, c19P, c29P, c20P, c21P, c22P, c23P, c24P, c25P, c26P, c27P
    , c28P, c39P, c30P, c31P, c32P, c33P, c34P, c35P, c36P, c37P, c38P, phN[50],
    phN[49], phN[48], phN[47], phN[46], phN[45], phN[44], phN[43], phN[42],
    phN[41], phP[50], phP[49], phP[48], phP[47], phP[46], phP[45], phP[44],
    phP[43], phP[42], phP[41] );

    output [50:0]  phN;
    output [50:0]  phP;
    input VDD_REG1;
    input VSS;
    input [3:0]  c0P;
    input [3:0]  c1P;
    input [3:0]  c2P;
    input [3:0]  c3P;
    input [3:0]  c4P;
    input [3:0]  c5P;
    input [3:0]  c6P;
    input [3:0]  c7P;
    input [3:0]  c8P;
    input [3:0]  c9P;
    input ck;
    input [3:0]  c10P;
    input [3:0]  c11P;
    input [3:0]  c12P;
    input [3:0]  c13P;
    input [3:0]  c14P;
    input [3:0]  c15P;
    input [3:0]  c16P;
    input [3:0]  c17P;
    input [3:0]  c18P;
    input [3:0]  c19P;
    input [3:0]  c29P;
    input [3:0]  c20P;
    input [3:0]  c21P;
    input [3:0]  c22P;
    input [3:0]  c23P;
    input [3:0]  c24P;
    input [3:0]  c25P;
    input [3:0]  c26P;
    input [3:0]  c27P;
    input [3:0]  c28P;
    input [3:0]  c39P;
    input [3:0]  c30P;
    input [3:0]  c31P;
    input [3:0]  c32P;
    input [3:0]  c33P;
    input [3:0]  c34P;
    input [3:0]  c35P;
    input [3:0]  c36P;
    input [3:0]  c37P;
    input [3:0]  c38P;

    wire  [50:1] clkN;
    wire  [50:1] clkP;
    wire  UNUSED_10;
    wire  UNUSED_11;
    wire  UNUSED_0;
    wire  UNUSED_1;
    wire  UNUSED_2;
    wire  UNUSED_3;
    wire  UNUSED_4;
    wire  UNUSED_5;
    wire  UNUSED_6;
    wire  UNUSED_7;
    wire  UNUSED_8;
    wire  UNUSED_9;
    wire  clkN0;
    wire  clkP0;
    wire  tieHI;
    wire  tieLO;

`ifdef CHECK_DROOP 
   real vdd_reg1_real, delay_with_droop ;              // for delaychain_cpu
   always @* delay_with_droop = 0.9/vdd_reg1_real ;
`endif  

    clkds_delaycell_cpu  I236( .qP(clkP[42]), .qN(clkN[42]), .buf_qP(phP[42]),
        .buf_qN(phN[42]), .dP(clkP[41]), .dN(clkN[41]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c31P) );
    clkds_delaycell_cpu  I206( .qP(clkP[50]), .qN(clkN[50]), .buf_qP(phP[50]),
        .buf_qN(phN[50]), .dP(clkP[49]), .dN(clkN[49]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c23P) );
    clkds_delaycell_cpu  I243( .qP(clkP[49]), .qN(clkN[49]), .buf_qP(phP[49]),
        .buf_qN(phN[49]), .dP(clkP[48]), .dN(clkN[48]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c3P) );
    clkds_delaycell_cpu  I242( .qP(clkP[47]), .qN(clkN[47]), .buf_qP(phP[47]),
        .buf_qN(phN[47]), .dP(clkP[46]), .dN(clkN[46]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c19P) );
    clkds_delaycell_cpu  I240( .qP(clkP[45]), .qN(clkN[45]), .buf_qP(phP[45]),
        .buf_qN(phN[45]), .dP(clkP[44]), .dN(clkN[44]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c7P) );
    clkds_delaycell_cpu  I241( .qP(clkP[48]), .qN(clkN[48]), .buf_qP(phP[48]),
        .buf_qN(phN[48]), .dP(clkP[47]), .dN(clkN[47]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c39P) );
    clkds_delaycell_cpu  I239( .qP(clkP[46]), .qN(clkN[46]), .buf_qP(phP[46]),
        .buf_qN(phN[46]), .dP(clkP[45]), .dN(clkN[45]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c27P) );
    clkds_delaycell_cpu  I234( .qP(clkP[40]), .qN(clkN[40]), .buf_qP(phP[40]),
        .buf_qN(phN[40]), .dP(clkP[39]), .dN(clkN[39]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c39P) );
    clkds_delaycell_cpu  I232( .qP(clkP[38]), .qN(clkN[38]), .buf_qP(phP[38]),
        .buf_qN(phN[38]), .dP(clkP[37]), .dN(clkN[37]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c37P) );
    clkds_delaycell_cpu  I233( .qP(clkP[39]), .qN(clkN[39]), .buf_qP(phP[39]),
        .buf_qN(phN[39]), .dP(clkP[38]), .dN(clkN[38]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c38P) );
    clkds_delaycell_cpu  I231( .qP(clkP[37]), .qN(clkN[37]), .buf_qP(phP[37]),
        .buf_qN(phN[37]), .dP(clkP[36]), .dN(clkN[36]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c36P) );
    clkds_delaycell_cpu  I230( .qP(clkP[36]), .qN(clkN[36]), .buf_qP(phP[36]),
        .buf_qN(phN[36]), .dP(clkP[35]), .dN(clkN[35]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c35P) );
    clkds_delaycell_cpu  I229( .qP(clkP[35]), .qN(clkN[35]), .buf_qP(phP[35]),
        .buf_qN(phN[35]), .dP(clkP[34]), .dN(clkN[34]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c34P) );
    clkds_delaycell_cpu  I227( .qP(clkP[34]), .qN(clkN[34]), .buf_qP(phP[34]),
        .buf_qN(phN[34]), .dP(clkP[33]), .dN(clkN[33]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c33P) );
    clkds_delaycell_cpu  I228( .qP(clkP[33]), .qN(clkN[33]), .buf_qP(phP[33]),
        .buf_qN(phN[33]), .dP(clkP[32]), .dN(clkN[32]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c32P) );
    clkds_delaycell_cpu  I237( .qP(clkP[44]), .qN(clkN[44]), .buf_qP(phP[44]),
        .buf_qN(phN[44]), .dP(clkP[43]), .dN(clkN[43]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c35P) );
    clkds_delaycell_cpu  I238( .qP(clkP[43]), .qN(clkN[43]), .buf_qP(phP[43]),
        .buf_qN(phN[43]), .dP(clkP[42]), .dN(clkN[42]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c15P) );
    clkds_delaycell_cpu  I189( .qP(UNUSED_10), .qN(UNUSED_8), .buf_qP(UNUSED_11)
        , .buf_qN(UNUSED_9), .dP(tieHI), .dN(tieLO), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c({tieLO,tieLO,tieLO,tieLO}) );
    clkds_delaycell_cpu  I22( .qP(clkP[22]), .qN(clkN[22]), .buf_qP(phP[22]),
        .buf_qN(phN[22]), .dP(clkP[21]), .dN(clkN[21]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c21P) );
    clkds_delaycell_cpu  I23( .qP(clkP[23]), .qN(clkN[23]), .buf_qP(phP[23]),
        .buf_qN(phN[23]), .dP(clkP[22]), .dN(clkN[22]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c22P) );
    clkds_delaycell_cpu  I24( .qP(clkP[24]), .qN(clkN[24]), .buf_qP(phP[24]),
        .buf_qN(phN[24]), .dP(clkP[23]), .dN(clkN[23]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c23P) );
    clkds_delaycell_cpu  I25( .qP(clkP[25]), .qN(clkN[25]), .buf_qP(phP[25]),
        .buf_qN(phN[25]), .dP(clkP[24]), .dN(clkN[24]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c24P) );
    clkds_delaycell_cpu  I26( .qP(clkP[26]), .qN(clkN[26]), .buf_qP(phP[26]),
        .buf_qN(phN[26]), .dP(clkP[25]), .dN(clkN[25]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c25P) );
    clkds_delaycell_cpu  I221( .qP(clkP[27]), .qN(clkN[27]), .buf_qP(phP[27]),
        .buf_qN(phN[27]), .dP(clkP[26]), .dN(clkN[26]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c26P) );
    clkds_delaycell_cpu  I222( .qP(clkP[28]), .qN(clkN[28]), .buf_qP(phP[28]),
        .buf_qN(phN[28]), .dP(clkP[27]), .dN(clkN[27]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c27P) );
    clkds_delaycell_cpu  I223( .qP(clkP[30]), .qN(clkN[30]), .buf_qP(phP[30]),
        .buf_qN(phN[30]), .dP(clkP[29]), .dN(clkN[29]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c29P) );
    clkds_delaycell_cpu  I224( .qP(clkP[29]), .qN(clkN[29]), .buf_qP(phP[29]),
        .buf_qN(phN[29]), .dP(clkP[28]), .dN(clkN[28]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c28P) );
    clkds_delaycell_cpu  I225( .qP(clkP[31]), .qN(clkN[31]), .buf_qP(phP[31]),
        .buf_qN(phN[31]), .dP(clkP[30]), .dN(clkN[30]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c30P) );
    clkds_delaycell_cpu  I226( .qP(clkP[32]), .qN(clkN[32]), .buf_qP(phP[32]),
        .buf_qN(phN[32]), .dP(clkP[31]), .dN(clkN[31]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c31P) );
    clkds_delaycell_cpu  I21( .qP(clkP[21]), .qN(clkN[21]), .buf_qP(phP[21]),
        .buf_qN(phN[21]), .dP(clkP[20]), .dN(clkN[20]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c20P) );
    clkds_delaycell_cpu  I20( .qP(clkP[20]), .qN(clkN[20]), .buf_qP(phP[20]),
        .buf_qN(phN[20]), .dP(clkP[19]), .dN(clkN[19]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c19P) );
    clkds_delaycell_cpu  I19( .qP(clkP[19]), .qN(clkN[19]), .buf_qP(phP[19]),
        .buf_qN(phN[19]), .dP(clkP[18]), .dN(clkN[18]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c18P) );
    clkds_delaycell_cpu  I18( .qP(clkP[18]), .qN(clkN[18]), .buf_qP(phP[18]),
        .buf_qN(phN[18]), .dP(clkP[17]), .dN(clkN[17]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c17P) );
    clkds_delaycell_cpu  I17( .qP(clkP[17]), .qN(clkN[17]), .buf_qP(phP[17]),
        .buf_qN(phN[17]), .dP(clkP[16]), .dN(clkN[16]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c16P) );
    clkds_delaycell_cpu  I16( .qP(clkP[16]), .qN(clkN[16]), .buf_qP(phP[16]),
        .buf_qN(phN[16]), .dP(clkP[15]), .dN(clkN[15]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c15P) );
    clkds_delaycell_cpu  I15( .qP(clkP[15]), .qN(clkN[15]), .buf_qP(phP[15]),
        .buf_qN(phN[15]), .dP(clkP[14]), .dN(clkN[14]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c14P) );
    clkds_delaycell_cpu  I14( .qP(clkP[14]), .qN(clkN[14]), .buf_qP(phP[14]),
        .buf_qN(phN[14]), .dP(clkP[13]), .dN(clkN[13]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c13P) );
    clkds_delaycell_cpu  I13( .qP(clkP[13]), .qN(clkN[13]), .buf_qP(phP[13]),
        .buf_qN(phN[13]), .dP(clkP[12]), .dN(clkN[12]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c12P) );
    clkds_delaycell_cpu  I12( .qP(clkP[12]), .qN(clkN[12]), .buf_qP(phP[12]),
        .buf_qN(phN[12]), .dP(clkP[11]), .dN(clkN[11]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c11P) );
    clkds_delaycell_cpu  I11( .qP(clkP[11]), .qN(clkN[11]), .buf_qP(phP[11]),
        .buf_qN(phN[11]), .dP(clkP[10]), .dN(clkN[10]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c10P) );
    clkds_delaycell_cpu  I235( .qP(clkP[41]), .qN(clkN[41]), .buf_qP(phP[41]),
        .buf_qN(phN[41]), .dP(clkP[40]), .dN(clkN[40]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c11P) );
    clkds_delaycell_cpu  I190( .qP(UNUSED_4), .qN(UNUSED_7), .buf_qP(UNUSED_5),
        .buf_qN(UNUSED_6), .dP(tieHI), .dN(tieLO), .VDD0P9(VDD_REG1), .VSS(VSS),
        .c({tieLO,tieLO,tieLO,tieLO}) );
    clkds_delaycell_cpu  I10( .qP(clkP[10]), .qN(clkN[10]), .buf_qP(phP[10]),
        .buf_qN(phN[10]), .dP(clkP[9]), .dN(clkN[9]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c9P) );
    clkds_delaycell_cpu  I9( .qP(clkP[9]), .qN(clkN[9]), .buf_qP(phP[9]),
        .buf_qN(phN[9]), .dP(clkP[8]), .dN(clkN[8]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c8P) );
    clkds_delaycell_cpu  I187( .qP(UNUSED_3), .qN(UNUSED_1), .buf_qP(UNUSED_0),
        .buf_qN(UNUSED_2), .dP(clkP[50]), .dN(clkN[50]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c23P) );
    clkds_delaycell_cpu  I8( .qP(clkP[8]), .qN(clkN[8]), .buf_qP(phP[8]),
        .buf_qN(phN[8]), .dP(clkP[7]), .dN(clkN[7]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c7P) );
    clkds_delaycell_cpu  I7( .qP(clkP[7]), .qN(clkN[7]), .buf_qP(phP[7]),
        .buf_qN(phN[7]), .dP(clkP[6]), .dN(clkN[6]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c6P) );
    clkds_delaycell_cpu  I6( .qP(clkP[6]), .qN(clkN[6]), .buf_qP(phP[6]),
        .buf_qN(phN[6]), .dP(clkP[5]), .dN(clkN[5]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c5P) );
    clkds_delaycell_cpu  I5( .qP(clkP[5]), .qN(clkN[5]), .buf_qP(phP[5]),
        .buf_qN(phN[5]), .dP(clkP[4]), .dN(clkN[4]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c4P) );
    clkds_delaycell_cpu  I4( .qP(clkP[4]), .qN(clkN[4]), .buf_qP(phP[4]),
        .buf_qN(phN[4]), .dP(clkP[3]), .dN(clkN[3]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c3P) );
    clkds_delaycell_cpu  I3( .qP(clkP[3]), .qN(clkN[3]), .buf_qP(phP[3]),
        .buf_qN(phN[3]), .dP(clkP[2]), .dN(clkN[2]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c2P) );
    clkds_delaycell_cpu  I2( .qP(clkP[2]), .qN(clkN[2]), .buf_qP(phP[2]),
        .buf_qN(phN[2]), .dP(clkP[1]), .dN(clkN[1]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c1P) );
    clkds_delaycell_cpu  I1( .qP(clkP[1]), .qN(clkN[1]), .buf_qP(phP[1]),
        .buf_qN(phN[1]), .dP(clkP0), .dN(clkN0), .VDD0P9(VDD_REG1), .VSS(VSS),
        .c(c0P) );

    clkds_se_to_diff_gpu  Ise2diff( .qP(clkP0), .qN(clkN0), .D(ck),
        .VDD0P9(VDD_REG1), .VSS(VSS), .tieLO(tieLO), .Hi10(tieHI),
        .buf_qN(phN[0]), .buf_qP(phP[0]) );
endmodule


// Library : gf14lpe_clkds    Cell : clkds_delaycell_cpu    View : schematic
module clkds_delaycell_cpu( qP, qN, buf_qP, buf_qN, dP, dN, VDD0P9, VSS, c );
// comment out schematic view. Replace it with rtl model
/*
    output qP;
    output qN;
    output buf_qP;
    output buf_qN;
    input dP;
    input dN;
    input VDD0P9;
    input VSS;
    input [3:0]  c;

    wire  [3:0] cx;
    wire  [3:0] cxb;

    clkds_delaycell_xcouple_gpu  ixc1( .VDD0P9(VDD0P9), .VSS(VSS), .in(qN),
        .out(qP) );
    clkds_delaycell_xcouple_gpu  ixc0( .VDD0P9(VDD0P9), .VSS(VSS), .in(qP),
        .out(qN) );

    clkds_delaycell_inbuf_cpu  pbufi( .VDD0P9(VDD0P9), .VSS(VSS), .in(dP),
        .out(qN) );
    clkds_delaycell_inbuf_cpu  nbufi( .VDD0P9(VDD0P9), .VSS(VSS), .in(dN),
        .out(qP) );

    clkds_delaycell_ctrl  I110( .out(cx[2]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(c[2]) );
    clkds_delaycell_ctrl  I112( .out(cxb[2]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(cx[2]) );
    clkds_delaycell_ctrl  I113( .out(cxb[3]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(cx[3]) );
    clkds_delaycell_ctrl  I109( .out(cxb[1]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(cx[1]) );
    clkds_delaycell_ctrl  I108( .out(cx[1]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(c[1]) );
    clkds_delaycell_ctrl  I111( .out(cx[3]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(c[3]) );
    clkds_delaycell_ctrl  I107( .out(cxb[0]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(cx[0]) );
    clkds_delaycell_ctrl  I106( .out(cx[0]), .VDD0P9(VDD0P9), .VSS(VSS),
        .in(c[0]) );

    clkds_delaycell_outbuf_gpu  pbufo( .VDD0P9(VDD0P9), .VSS(VSS), .in(qN),
        .out(buf_qP) );
    clkds_delaycell_outbuf_gpu  nbufo( .VDD0P9(VDD0P9), .VSS(VSS), .in(qP),
        .out(buf_qN) );

    c_net_to_net  C0( .MINUS(VSS), .PLUS(qN) );
    c_net_to_net  C1( .MINUS(VSS), .PLUS(qP) );

    clkds_delaycell_swc_gpu  \Bit3[7:0](
        .c({cxb[3],cxb[3],cxb[3],cxb[3],cxb[3],cxb[3],cxb[3],cxb[3]}),
        .cx({cx[3],cx[3],cx[3],cx[3],cx[3],cx[3],cx[3],cx[3]}),
        .N({qP,qP,qP,qP,qP,qP,qP,qP}), .P({qN,qN,qN,qN,qN,qN,qN,qN}),
        .VPSUB({VDD0P9,VDD0P9,VDD0P9,VDD0P9,VDD0P9,VDD0P9,VDD0P9,VDD0P9}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}) );
    clkds_delaycell_swc_gpu  Bit0( .c(cxb[0]), .cx(cx[0]), .N(qP), .P(qN),
        .VPSUB(VDD0P9), .VSS(VSS) );
    clkds_delaycell_swc_gpu  \Bit2[3:0]( .c({cxb[2],cxb[2],cxb[2],cxb[2]}),
        .cx({cx[2],cx[2],cx[2],cx[2]}), .N({qP,qP,qP,qP}), .P({qN,qN,qN,qN}),
        .VPSUB({VDD0P9,VDD0P9,VDD0P9,VDD0P9}), .VSS({VSS,VSS,VSS,VSS}) );
    clkds_delaycell_swc_gpu  \Bit1[1:0]( .c({cxb[1],cxb[1]}), .cx({cx[1],cx[1]}),
        .N({qP,qP}), .P({qN,qN}), .VPSUB({VDD0P9,VDD0P9}), .VSS({VSS,VSS}) );
*/
  output buf_qN;
  input dN;
  output qN;
  input  [3:0] c;
  input VSS;
  input dP;
  input VDD0P9;
  output qP;
  output buf_qP;

wire pg_good = VDD0P9 & ~VSS;

integer delay;
always @(*) begin
  

  // cpu delaycell only support FREQ_MODE 10
    case (c[3:0])
           4'b0000: delay <=  5;  
           4'b0001: delay <=  6;  //Max frequency = 6*40 delay cells=230ps => 4340MHz
           4'b0010: delay <=  8;
           4'b0011: delay <= 10;
           4'b0100: delay <= 12;
           4'b0101: delay <= 14;
           4'b0110: delay <= 16;
           4'b0111: delay <= 18;
           4'b1000: delay <= 20;
           4'b1001: delay <= 22;
           4'b1010: delay <= 24;
           4'b1011: delay <= 26;
           4'b1100: delay <= 28;
           4'b1101: delay <= 30;
           4'b1110: delay <= 31;  //Min frequency = 31*40 delay cells=1250ps => 800MHz
           4'b1111: delay <= 36;  
           default: delay <=  1;
    endcase 

end


`ifdef CHECK_DROOP
 real delay_droop ;                                                                          // for module clkds_delaycell_cpu
 always @*  delay_droop = xdlychn.delay_with_droop ;  // from module clkds_delaychain_cpu

assign #(delay * delay_droop) qN = pg_good ? ~dP  : 
                                  ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qN = qN;

assign #(delay * delay_droop) qP = pg_good ? ~dN  : 
                                  ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qP = qP;

`else
assign #(delay) qN = pg_good ? ~dP  : 
                    ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qN = qN;

assign #(delay) qP = pg_good ? ~dN  : 
                    ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qP = qP;
`endif


    
endmodule

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_delaycell_inbuf_cpu    View : schematic
module clkds_delaycell_inbuf_cpu( VDD0P9, VSS, in, out );

    input VDD0P9;
    input VSS;
    input in;
    output out;

    nfinulvt  I59( .B(VSS), .D(out), .G(in), .S(VSS) );

    pfinulvt  I54( .B(VDD0P9), .D(out), .G(in), .S(VDD0P9) );
endmodule
*/

// Library : gf14lpe_clkds    Cell : clkds_dd_gpu    View : schematic
module clkds_dd_gpu( VSS, c0P, c1P, c2P, c3P, c4P, c5P, c6P, c7P, c8P, c9P, ck,
    c10P, c11P, c12P, c13P, c14P, c15P, c16P, c17P, c18P, c19P, c29P, c20P, c21P
    , c22P, c23P, c24P, c25P, c26P, c27P, c28P, c39P, c30P, c31P, c32P, c33P,
    c34P, c35P, c36P, c37P, c38P, test_clk_ref, leadph, test_clk_fb40, VDD );

    input VSS;
    input [3:0]  c0P;
    input [3:0]  c1P;
    input [3:0]  c2P;
    input [3:0]  c3P;
    input [3:0]  c4P;
    input [3:0]  c5P;
    input [3:0]  c6P;
    input [3:0]  c7P;
    input [3:0]  c8P;
    input [3:0]  c9P;
    input ck;
    input [3:0]  c10P;
    input [3:0]  c11P;
    input [3:0]  c12P;
    input [3:0]  c13P;
    input [3:0]  c14P;
    input [3:0]  c15P;
    input [3:0]  c16P;
    input [3:0]  c17P;
    input [3:0]  c18P;
    input [3:0]  c19P;
    input [3:0]  c29P;
    input [3:0]  c20P;
    input [3:0]  c21P;
    input [3:0]  c22P;
    input [3:0]  c23P;
    input [3:0]  c24P;
    input [3:0]  c25P;
    input [3:0]  c26P;
    input [3:0]  c27P;
    input [3:0]  c28P;
    input [3:0]  c39P;
    input [3:0]  c30P;
    input [3:0]  c31P;
    input [3:0]  c32P;
    input [3:0]  c33P;
    input [3:0]  c34P;
    input [3:0]  c35P;
    input [3:0]  c36P;
    input [3:0]  c37P;
    input [3:0]  c38P;
    output test_clk_ref;
    output [40:33]  leadph;
    output test_clk_fb40;
    input VDD;

    wire  refclk;
    wire  [40:33] lagph;
    wire  [40:0] phN;
    wire  [40:0] phP;
    wire  [40:33] phpx;
    wire  php0b;
    wire  [7:0] fbclk;
    wire  php0bx;
    wire  [40:33] phpb;
    wire  php0x;
    wire  [40:33] phpbx;
    wire  net1;
    wire  net3;

    clkds_phase_detector  gpu_pd[7:0]( .VDD0P9({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}), .clk_fb(fbclk),
        .clk_ref({refclk,refclk,refclk,refclk,refclk,refclk,refclk,refclk}),
        .lag(lagph), .lead(leadph) );

    dly_hdinxss1ul  gpu_in0fb[7:0]( .A(phP[40:33]),
        .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}), .Z(phpx) );
    dly_hdinxss1ul  gpu_in2fb[7:0]( .A(phpb), .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}), .Z(phpbx) );
    dly_hdinxss1ul  intstfb0( .A(fbclk[7]), .VDD(VDD), .VSS(VSS), .Z(net1) );
    dly_hdinxss1ul  gpu_in1fb[7:0]( .A(phpx), .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}), .Z(phpb) );
    dly_hdinxss1ul  gpu_in3fb[7:0]( .A(phpbx), .VDD({VDD,VDD,VDD,VDD,VDD,VDD,VDD,VDD}),
        .VSS({VSS,VSS,VSS,VSS,VSS,VSS,VSS,VSS}), .Z(fbclk) );
    dly_hdinxss1ul  inref0( .A(phP[0]), .VDD(VDD), .VSS(VSS), .Z(php0x) );
    dly_hdinxss1ul  inref1( .A(php0x), .VDD(VDD), .VSS(VSS), .Z(php0b) );
    dly_hdinxss1ul  inref2( .A(php0b), .VDD(VDD), .VSS(VSS), .Z(php0bx) );
    dly_hdinxss1ul  inref3( .A(php0bx), .VDD(VDD), .VSS(VSS), .Z(refclk) );
    dly_hdinxss1ul  intstref0( .A(refclk), .VDD(VDD), .VSS(VSS), .Z(net3) );

    dly_hdinxss4ul  intstfb1( .A(net1), .VDD(VDD), .VSS(VSS), .Z(test_clk_fb40) );
    dly_hdinxss4ul  intstref1( .A(net3), .VDD(VDD), .VSS(VSS), .Z(test_clk_ref) );

    clkds_delaychain_gpu  xdlychn( .phN(phN), .phP(phP), .VDD_REG1(VDD),
        .VSS(VSS), .c0P(c0P), .c1P(c1P), .c2P(c2P), .c3P(c3P), .c4P(c4P),
        .c5P(c5P), .c6P(c6P), .c7P(c7P), .c8P(c8P), .c9P(c9P), .ck(ck),
        .c10P(c10P), .c11P(c11P), .c12P(c12P), .c13P(c13P), .c14P(c14P),
        .c15P(c15P), .c16P(c16P), .c17P(c17P), .c18P(c18P), .c19P(c19P),
        .c29P(c29P), .c20P(c20P), .c21P(c21P), .c22P(c22P), .c23P(c23P),
        .c24P(c24P), .c25P(c25P), .c26P(c26P), .c27P(c27P), .c28P(c28P),
        .c39P(c39P), .c30P(c30P), .c31P(c31P), .c32P(c32P), .c33P(c33P),
        .c34P(c34P), .c35P(c35P), .c36P(c36P), .c37P(c37P), .c38P(c38P) );
endmodule


// Library : gf14lpe_clkds    Cell : clkds_delaychain_gpu    View : schematic
module clkds_delaychain_gpu( phN, phP, VDD_REG1, VSS, c0P, c1P, c2P, c3P, c4P,
    c5P, c6P, c7P, c8P, c9P, ck, c10P, c11P, c12P, c13P, c14P, c15P, c16P, c17P,
    c18P, c19P, c29P, c20P, c21P, c22P, c23P, c24P, c25P, c26P, c27P, c28P, c39P
    , c30P, c31P, c32P, c33P, c34P, c35P, c36P, c37P, c38P );

    output [40:0]  phN;
    output [40:0]  phP;
    input VDD_REG1;
    input VSS;
    input [3:0]  c0P;
    input [3:0]  c1P;
    input [3:0]  c2P;
    input [3:0]  c3P;
    input [3:0]  c4P;
    input [3:0]  c5P;
    input [3:0]  c6P;
    input [3:0]  c7P;
    input [3:0]  c8P;
    input [3:0]  c9P;
    input ck;
    input [3:0]  c10P;
    input [3:0]  c11P;
    input [3:0]  c12P;
    input [3:0]  c13P;
    input [3:0]  c14P;
    input [3:0]  c15P;
    input [3:0]  c16P;
    input [3:0]  c17P;
    input [3:0]  c18P;
    input [3:0]  c19P;
    input [3:0]  c29P;
    input [3:0]  c20P;
    input [3:0]  c21P;
    input [3:0]  c22P;
    input [3:0]  c23P;
    input [3:0]  c24P;
    input [3:0]  c25P;
    input [3:0]  c26P;
    input [3:0]  c27P;
    input [3:0]  c28P;
    input [3:0]  c39P;
    input [3:0]  c30P;
    input [3:0]  c31P;
    input [3:0]  c32P;
    input [3:0]  c33P;
    input [3:0]  c34P;
    input [3:0]  c35P;
    input [3:0]  c36P;
    input [3:0]  c37P;
    input [3:0]  c38P;

    wire  [40:1] clkN;
    wire  [40:1] clkP;
    wire  UNUSED_10;
    wire  UNUSED_11;
    wire  UNUSED_0;
    wire  UNUSED_1;
    wire  UNUSED_2;
    wire  UNUSED_3;
    wire  UNUSED_4;
    wire  UNUSED_5;
    wire  UNUSED_6;
    wire  UNUSED_7;
    wire  UNUSED_8;
    wire  UNUSED_9;
    wire  clkN0;
    wire  clkP0;
    wire  tieHI;
    wire  tieLO;

`ifdef CHECK_DROOP 
   real vdd_reg1_real, delay_with_droop ;             // for delaychain_gpu
   always @* delay_with_droop = 0.9/vdd_reg1_real ;
`endif 
 
    clkds_se_to_diff_gpu  Ise2diff( .qP(clkP0), .qN(clkN0), .D(ck),
        .VDD0P9(VDD_REG1), .VSS(VSS), .tieLO(tieLO), .Hi10(tieHI),
        .buf_qN(phN[0]), .buf_qP(phP[0]) );

    clkds_delaycell_gpu  I40( .qP(clkP[40]), .qN(clkN[40]), .buf_qP(phP[40]),
        .buf_qN(phN[40]), .dP(clkP[39]), .dN(clkN[39]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c39P) );
    clkds_delaycell_gpu  I39( .qP(clkP[39]), .qN(clkN[39]), .buf_qP(phP[39]),
        .buf_qN(phN[39]), .dP(clkP[38]), .dN(clkN[38]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c38P) );
    clkds_delaycell_gpu  I38( .qP(clkP[38]), .qN(clkN[38]), .buf_qP(phP[38]),
        .buf_qN(phN[38]), .dP(clkP[37]), .dN(clkN[37]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c37P) );
    clkds_delaycell_gpu  I37( .qP(clkP[37]), .qN(clkN[37]), .buf_qP(phP[37]),
        .buf_qN(phN[37]), .dP(clkP[36]), .dN(clkN[36]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c36P) );
    clkds_delaycell_gpu  I36( .qP(clkP[36]), .qN(clkN[36]), .buf_qP(phP[36]),
        .buf_qN(phN[36]), .dP(clkP[35]), .dN(clkN[35]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c35P) );
    clkds_delaycell_gpu  I35( .qP(clkP[35]), .qN(clkN[35]), .buf_qP(phP[35]),
        .buf_qN(phN[35]), .dP(clkP[34]), .dN(clkN[34]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c34P) );
    clkds_delaycell_gpu  I34( .qP(clkP[34]), .qN(clkN[34]), .buf_qP(phP[34]),
        .buf_qN(phN[34]), .dP(clkP[33]), .dN(clkN[33]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c33P) );
    clkds_delaycell_gpu  I33( .qP(clkP[33]), .qN(clkN[33]), .buf_qP(phP[33]),
        .buf_qN(phN[33]), .dP(clkP[32]), .dN(clkN[32]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c32P) );
    clkds_delaycell_gpu  I189( .qP(UNUSED_10), .qN(UNUSED_8), .buf_qP(UNUSED_11),
        .buf_qN(UNUSED_9), .dP(tieHI), .dN(tieLO), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c({tieLO,tieLO,tieLO,tieLO}) );
    clkds_delaycell_gpu  I22( .qP(clkP[22]), .qN(clkN[22]), .buf_qP(phP[22]),
        .buf_qN(phN[22]), .dP(clkP[21]), .dN(clkN[21]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c21P) );
    clkds_delaycell_gpu  I23( .qP(clkP[23]), .qN(clkN[23]), .buf_qP(phP[23]),
        .buf_qN(phN[23]), .dP(clkP[22]), .dN(clkN[22]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c22P) );
    clkds_delaycell_gpu  I24( .qP(clkP[24]), .qN(clkN[24]), .buf_qP(phP[24]),
        .buf_qN(phN[24]), .dP(clkP[23]), .dN(clkN[23]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c23P) );
    clkds_delaycell_gpu  I25( .qP(clkP[25]), .qN(clkN[25]), .buf_qP(phP[25]),
        .buf_qN(phN[25]), .dP(clkP[24]), .dN(clkN[24]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c24P) );
    clkds_delaycell_gpu  I26( .qP(clkP[26]), .qN(clkN[26]), .buf_qP(phP[26]),
        .buf_qN(phN[26]), .dP(clkP[25]), .dN(clkN[25]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c25P) );
    clkds_delaycell_gpu  I27( .qP(clkP[27]), .qN(clkN[27]), .buf_qP(phP[27]),
        .buf_qN(phN[27]), .dP(clkP[26]), .dN(clkN[26]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c26P) );
    clkds_delaycell_gpu  I28( .qP(clkP[28]), .qN(clkN[28]), .buf_qP(phP[28]),
        .buf_qN(phN[28]), .dP(clkP[27]), .dN(clkN[27]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c27P) );
    clkds_delaycell_gpu  I29( .qP(clkP[29]), .qN(clkN[29]), .buf_qP(phP[29]),
        .buf_qN(phN[29]), .dP(clkP[28]), .dN(clkN[28]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c28P) );
    clkds_delaycell_gpu  I30( .qP(clkP[30]), .qN(clkN[30]), .buf_qP(phP[30]),
        .buf_qN(phN[30]), .dP(clkP[29]), .dN(clkN[29]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c29P) );
    clkds_delaycell_gpu  I31( .qP(clkP[31]), .qN(clkN[31]), .buf_qP(phP[31]),
        .buf_qN(phN[31]), .dP(clkP[30]), .dN(clkN[30]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c30P) );
    clkds_delaycell_gpu  I32( .qP(clkP[32]), .qN(clkN[32]), .buf_qP(phP[32]),
        .buf_qN(phN[32]), .dP(clkP[31]), .dN(clkN[31]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c31P) );
    clkds_delaycell_gpu  I21( .qP(clkP[21]), .qN(clkN[21]), .buf_qP(phP[21]),
        .buf_qN(phN[21]), .dP(clkP[20]), .dN(clkN[20]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c20P) );
    clkds_delaycell_gpu  I20( .qP(clkP[20]), .qN(clkN[20]), .buf_qP(phP[20]),
        .buf_qN(phN[20]), .dP(clkP[19]), .dN(clkN[19]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c19P) );
    clkds_delaycell_gpu  I19( .qP(clkP[19]), .qN(clkN[19]), .buf_qP(phP[19]),
        .buf_qN(phN[19]), .dP(clkP[18]), .dN(clkN[18]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c18P) );
    clkds_delaycell_gpu  I18( .qP(clkP[18]), .qN(clkN[18]), .buf_qP(phP[18]),
        .buf_qN(phN[18]), .dP(clkP[17]), .dN(clkN[17]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c17P) );
    clkds_delaycell_gpu  I17( .qP(clkP[17]), .qN(clkN[17]), .buf_qP(phP[17]),
        .buf_qN(phN[17]), .dP(clkP[16]), .dN(clkN[16]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c16P) );
    clkds_delaycell_gpu  I16( .qP(clkP[16]), .qN(clkN[16]), .buf_qP(phP[16]),
        .buf_qN(phN[16]), .dP(clkP[15]), .dN(clkN[15]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c15P) );
    clkds_delaycell_gpu  I15( .qP(clkP[15]), .qN(clkN[15]), .buf_qP(phP[15]),
        .buf_qN(phN[15]), .dP(clkP[14]), .dN(clkN[14]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c14P) );
    clkds_delaycell_gpu  I14( .qP(clkP[14]), .qN(clkN[14]), .buf_qP(phP[14]),
        .buf_qN(phN[14]), .dP(clkP[13]), .dN(clkN[13]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c13P) );
    clkds_delaycell_gpu  I13( .qP(clkP[13]), .qN(clkN[13]), .buf_qP(phP[13]),
        .buf_qN(phN[13]), .dP(clkP[12]), .dN(clkN[12]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c12P) );
    clkds_delaycell_gpu  I12( .qP(clkP[12]), .qN(clkN[12]), .buf_qP(phP[12]),
        .buf_qN(phN[12]), .dP(clkP[11]), .dN(clkN[11]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c11P) );
    clkds_delaycell_gpu  I11( .qP(clkP[11]), .qN(clkN[11]), .buf_qP(phP[11]),
        .buf_qN(phN[11]), .dP(clkP[10]), .dN(clkN[10]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c10P) );
    clkds_delaycell_gpu  I190( .qP(UNUSED_4), .qN(UNUSED_7), .buf_qP(UNUSED_5),
        .buf_qN(UNUSED_6), .dP(tieHI), .dN(tieLO), .VDD0P9(VDD_REG1), .VSS(VSS),
        .c({tieLO,tieLO,tieLO,tieLO}) );
    clkds_delaycell_gpu  I10( .qP(clkP[10]), .qN(clkN[10]), .buf_qP(phP[10]),
        .buf_qN(phN[10]), .dP(clkP[9]), .dN(clkN[9]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c9P) );
    clkds_delaycell_gpu  I9( .qP(clkP[9]), .qN(clkN[9]), .buf_qP(phP[9]),
        .buf_qN(phN[9]), .dP(clkP[8]), .dN(clkN[8]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c8P) );
    clkds_delaycell_gpu  I187( .qP(UNUSED_3), .qN(UNUSED_1), .buf_qP(UNUSED_0),
        .buf_qN(UNUSED_2), .dP(clkP[40]), .dN(clkN[40]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c39P) );
    clkds_delaycell_gpu  I8( .qP(clkP[8]), .qN(clkN[8]), .buf_qP(phP[8]),
        .buf_qN(phN[8]), .dP(clkP[7]), .dN(clkN[7]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c7P) );
    clkds_delaycell_gpu  I7( .qP(clkP[7]), .qN(clkN[7]), .buf_qP(phP[7]),
        .buf_qN(phN[7]), .dP(clkP[6]), .dN(clkN[6]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c6P) );
    clkds_delaycell_gpu  I6( .qP(clkP[6]), .qN(clkN[6]), .buf_qP(phP[6]),
        .buf_qN(phN[6]), .dP(clkP[5]), .dN(clkN[5]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c5P) );
    clkds_delaycell_gpu  I5( .qP(clkP[5]), .qN(clkN[5]), .buf_qP(phP[5]),
        .buf_qN(phN[5]), .dP(clkP[4]), .dN(clkN[4]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c4P) );
    clkds_delaycell_gpu  I4( .qP(clkP[4]), .qN(clkN[4]), .buf_qP(phP[4]),
        .buf_qN(phN[4]), .dP(clkP[3]), .dN(clkN[3]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c3P) );
    clkds_delaycell_gpu  I3( .qP(clkP[3]), .qN(clkN[3]), .buf_qP(phP[3]),
        .buf_qN(phN[3]), .dP(clkP[2]), .dN(clkN[2]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c2P) );
    clkds_delaycell_gpu  I2( .qP(clkP[2]), .qN(clkN[2]), .buf_qP(phP[2]),
        .buf_qN(phN[2]), .dP(clkP[1]), .dN(clkN[1]), .VDD0P9(VDD_REG1),
        .VSS(VSS), .c(c1P) );
    clkds_delaycell_gpu  I1( .qP(clkP[1]), .qN(clkN[1]), .buf_qP(phP[1]),
        .buf_qN(phN[1]), .dP(clkP0), .dN(clkN0), .VDD0P9(VDD_REG1), .VSS(VSS),
        .c(c0P) );
endmodule


// Library : gf14lpe_clkds    Cell : clkds_delaycell_gpu    View : schematic
module clkds_delaycell_gpu( qP, qN, buf_qP, buf_qN, dP, dN, VDD0P9, VSS, c );
// comment out schematic view. Replace it with rtl model


  output buf_qN;
  input dN;
  output qN;
  input  [3:0] c;
  input VSS;
  input dP;
  input VDD0P9;
  output qP;
  output buf_qP;

wire pg_good = VDD0P9 & ~VSS;

integer delay;
always @(*) begin

  // gpu delaycell only support FREQ_MODE 01
    case (c[3:0])
           4'b0000: delay <= 08;  
           4'b0001: delay <= 09;  //Max frequency = 11*40 delay cells=416ps => 2400MHz
           4'b0010: delay <= 11;
           4'b0011: delay <= 13;
           4'b0100: delay <= 15;
           4'b0101: delay <= 17;
           4'b0110: delay <= 19;
           4'b0111: delay <= 22;
           4'b1000: delay <= 25;
           4'b1001: delay <= 28;
           4'b1010: delay <= 31;
           4'b1011: delay <= 34;
           4'b1100: delay <= 37;
           4'b1101: delay <= 40;
           4'b1110: delay <= 43;  //Min frequency = 46*28 delay cells=1282ps => 780MHz
           4'b1111: delay <= 47;  
           default: delay <= 1;
    endcase 


end


`ifdef CHECK_DROOP
 real delay_droop ;
 always @*  delay_droop = xdlychn.delay_with_droop ;  // from module clkds_delaychain_gpu

assign #(delay * delay_droop) qN = pg_good ? ~dP  : 
                                  ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qN = qN;

assign #(delay * delay_droop) qP = pg_good ? ~dN  : 
                                  ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qP = qP;

`else
assign #(delay) qN = pg_good ? ~dP  : 
                    ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qN = qN;

assign #(delay) qP = pg_good ? ~dN  : 
                    ~VDD0P9  ? 1'b0 : 1'bx;
assign buf_qP = qP;
`endif

endmodule

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_delaycell_swc_gpu    View : schematic
module clkds_delaycell_swc_gpu( c, cx, N, P, VPSUB, VSS );

    input c;
    input cx;
    inout N;
    inout P;
    inout VPSUB;
    inout VSS;

    wire  vmcn;
    wire  vmcp;

    c_net_to_net  CC2( .MINUS(VSS), .PLUS(vmcp) );
    c_net_to_net  CC3( .MINUS(VSS), .PLUS(vmcn) );

    pfinlvt  I5( .B(VPSUB), .D(vmcp), .G(cx), .S(P) );
    pfinlvt  I7( .B(VPSUB), .D(vmcn), .G(vmcp), .S(vmcn) );
    pfinlvt  I6( .B(VPSUB), .D(vmcp), .G(vmcn), .S(vmcp) );
    pfinlvt  I3( .B(VPSUB), .D(N), .G(cx), .S(vmcn) );

    nfinlvt  I4( .B(VSS), .D(P), .G(c), .S(vmcp) );
    nfinlvt  I9( .B(VSS), .D(vmcp), .G(vmcn), .S(vmcp) );
    nfinlvt  I1( .B(VSS), .D(vmcn), .G(c), .S(N) );
    nfinlvt  I8( .B(VSS), .D(vmcn), .G(vmcp), .S(vmcn) );
endmodule
*/

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_delaycell_outbuf_gpu    View : schematic
module clkds_delaycell_outbuf_gpu( VDD0P9, VSS, in, out );

    input VDD0P9;
    input VSS;
    input in;
    output out;

    nfinlvt  I99( .B(VSS), .D(out), .G(in), .S(VSS) );
    nfinlvt  I98( .B(VSS), .D(out), .G(in), .S(VSS) );

    pfinlvt  I92( .B(VDD0P9), .D(out), .G(in), .S(VDD0P9) );
    pfinlvt  I91( .B(VDD0P9), .D(out), .G(in), .S(VDD0P9) );
endmodule
*/

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_delaycell_ctrl    View : schematic
module clkds_delaycell_ctrl( out, VDD0P9, VSS, in );

    output out;
    input VDD0P9;
    input VSS;
    input in;

    nfin  I67( .B(VSS), .D(out), .G(in), .S(VSS) );

    pfin  I69( .B(VDD0P9), .D(out), .G(in), .S(VDD0P9) );
endmodule
*/

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_delaycell_inbuf_gpu    View : schematic
module clkds_delaycell_inbuf_gpu( VDD0P9, VSS, in, out );

    input VDD0P9;
    input VSS;
    input in;
    output out;

    nfinulvt  I59( .B(VSS), .D(out), .G(in), .S(VSS) );
    nfinulvt  I60( .B(VSS), .D(out), .G(in), .S(VSS) );

    pfinulvt  I54( .B(VDD0P9), .D(out), .G(in), .S(VDD0P9) );
    pfinulvt  I55( .B(VDD0P9), .D(out), .G(in), .S(VDD0P9) );
endmodule
*/

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_delaycell_xcouple_gpu    View : schematic
module clkds_delaycell_xcouple_gpu( VDD0P9, VSS, in, out );

    input VDD0P9;
    input VSS;
    input in;
    output out;

    nfinulvt  I64( .B(VSS), .D(out), .G(in), .S(VSS) );

    pfinulvt  I63( .B(VDD0P9), .D(out), .G(in), .S(VDD0P9) );
endmodule
*/

// Library : gf14lpe_clkds    Cell : clkds_se_to_diff_gpu    View : schematic
module clkds_se_to_diff_gpu( qP, qN, D, VDD0P9, VSS, tieLO, Hi10, buf_qN, buf_qP
     );
// comment out schematic view. Replace it with rtl model
/*
    output qP;
    output qN;
    input D;
    input VDD0P9;
    input VSS;
    output tieLO;
    output Hi10;
    output buf_qN;
    output buf_qP;

    wire  inn;
    wire  ddn;
    wire  ddn1;
    wire  ddp;
    wire  ddp1;

    pfinlvt  I22( .B(VDD0P9), .D(buf_qP), .G(qN), .S(VDD0P9) );
    pfinlvt  I21( .B(VDD0P9), .D(qN), .G(ddp1), .S(VDD0P9) );
    pfinlvt  I18( .B(VDD0P9), .D(ddn1), .G(ddp1), .S(VDD0P9) );
    pfinlvt  I17( .B(VDD0P9), .D(ddp1), .G(ddn1), .S(VDD0P9) );
    pfinlvt  I14( .B(VDD0P9), .D(qN), .G(qP), .S(VDD0P9) );
    pfinlvt  I12( .B(VDD0P9), .D(qP), .G(qN), .S(VDD0P9) );
    pfinlvt  I10( .B(VDD0P9), .D(qP), .G(ddn1), .S(VDD0P9) );
    pfinlvt  I8( .B(VDD0P9), .D(buf_qN), .G(qP), .S(VDD0P9) );
    pfinlvt  I6( .B(VDD0P9), .D(ddn1), .G(ddp), .S(VDD0P9) );
    pfinlvt  I2( .B(VDD0P9), .D(ddp), .G(inn), .S(VDD0P9) );
    pfinlvt  I1( .B(VDD0P9), .D(inn), .G(D), .S(VDD0P9) );
    pfinlvt  I4( .B(VDD0P9), .D(inn), .G(tieLO), .S(ddn) );
    pfinlvt  I26( .B(VDD0P9), .D(Hi10), .G(tieLO), .S(VDD0P9) );
    pfinlvt  I28( .B(VDD0P9), .D(ddp1), .G(ddn), .S(VDD0P9) );

    nfinlvt  I23( .B(VSS), .D(buf_qP), .G(qN), .S(VSS) );
    nfinlvt  I20( .B(VSS), .D(qN), .G(ddp1), .S(VSS) );
    nfinlvt  I19( .B(VSS), .D(ddn1), .G(ddp1), .S(VSS) );
    nfinlvt  I16( .B(VSS), .D(ddp1), .G(ddn1), .S(VSS) );
    nfinlvt  I15( .B(VSS), .D(qN), .G(qP), .S(VSS) );
    nfinlvt  I13( .B(VSS), .D(qP), .G(qN), .S(VSS) );
    nfinlvt  I11( .B(VSS), .D(qP), .G(ddn1), .S(VSS) );
    nfinlvt  I9( .B(VSS), .D(buf_qN), .G(qP), .S(VSS) );
    nfinlvt  I7( .B(VSS), .D(ddn1), .G(ddp), .S(VSS) );
    nfinlvt  I5( .B(VSS), .D(inn), .G(Hi10), .S(ddn) );
    nfinlvt  I3( .B(VSS), .D(ddp), .G(inn), .S(VSS) );
    nfinlvt  I0( .B(VSS), .D(inn), .G(D), .S(VSS) );
    nfinlvt  I24( .B(VSS), .D(tieLO), .G(tieLO), .S(VSS) );
    nfinlvt  I25( .B(VSS), .D(tieLO), .G(Hi10), .S(VSS) );
    nfinlvt  I27( .B(VSS), .D(ddp1), .G(ddn), .S(VSS) );
*/
  output buf_qN;
  output qN;
  output tieLO;
  output Hi10;
  input VSS;
  input D;
  input VDD0P9;
  output qP;
  output buf_qP;

`define CLKDS_UNIT_DLY 10

wire pg_good = VDD0P9 & ~VSS;

assign Hi10 = pg_good ? 1'b1 : 1'bx;
assign tieLO = pg_good ? 1'b0 : 1'bx;

assign #(`CLKDS_UNIT_DLY) qP = pg_good ?  D : 1'bx;
assign #(`CLKDS_UNIT_DLY) qN = pg_good ? ~D : 1'bx;

assign buf_qP = qP;
assign buf_qN = qN;
    
endmodule






// Library : gf14lpe_clkds    Cell : clkds_phase_detector    View : schematic
module clkds_phase_detector( VDD0P9, VSS, clk_fb, clk_ref, lag, lead );

// comment out schematic view. Replace it with rtl model
/*
    input VDD0P9;
    input VSS;
    input clk_fb;
    input clk_ref;
    output lag;
    output lead;

    wire  LD;
    wire  LE;
    wire  LF;
    wire  LG;
    wire  LH;
    wire  net12;
    wire  tieHI;
    wire  LA;
    wire  LB;
    wire  LC;

    clkds_phase_detector_nand3  I8( .Y(LB), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(clk_ref), .B(LA), .C(LC) );
    clkds_phase_detector_nand3  I9( .Y(LC), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(clk_fb), .B(LB), .C(tieHI) );

    clkds_phase_detector_nand2  I1( .Y(LF), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LE), .B(LB) );
    clkds_phase_detector_nand2  X5( .Y(LE), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LA), .B(LF) );
    clkds_phase_detector_nand2  I2( .Y(LD), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LC), .B(LA) );
    clkds_phase_detector_nand2  I3( .Y(LA), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LD), .B(clk_ref) );

    nfinlvt  N0( .B(VSS), .D(net12), .G(net12), .S(VSS) );

    clkds_phase_detector_inv  I11( .Y(LH), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LF) );
    clkds_phase_detector_inv  I10( .Y(LG), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LE) );

    pfinlvt  P0( .B(VDD0P9), .D(tieHI), .G(net12), .S(VDD0P9) );

    clkds_phase_detector_inv3x  I12( .Y(lead), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LG) );
    clkds_phase_detector_inv3x  I13( .Y(lag), .VDD(VDD0P9), .VNSUB(VSS),
        .VPSUB(VDD0P9), .VSS(VSS), .A(LH) );
*/


  output lag;
  output lead;
  input clk_fb;
  input clk_ref;
  input VSS;
  input VDD0P9;

  reg reg_lead;

  wire pg_good = VDD0P9 & ~VSS;

  always @(posedge clk_ref)
    reg_lead <= clk_fb;

  assign lead = (pg_good) ?  reg_lead : 1'bx;
  assign lag  = (pg_good) ? ~reg_lead : 1'bx;

endmodule

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_phase_detector_inv3x    View : schematic
module clkds_phase_detector_inv3x( Y, VDD, VNSUB, VPSUB, VSS, A );

    output Y;
    inout VDD;
    inout VNSUB;
    inout VPSUB;
    inout VSS;
    input A;

    pfinlvt  I69( .B(VPSUB), .D(Y), .G(A), .S(VDD) );

    nfinlvt  I67( .B(VNSUB), .D(Y), .G(A), .S(VSS) );
endmodule
*/

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_phase_detector_inv    View : schematic
module clkds_phase_detector_inv( Y, VDD, VNSUB, VPSUB, VSS, A );

    output Y;
    inout VDD;
    inout VNSUB;
    inout VPSUB;
    inout VSS;
    input A;

    pfinlvt  I69( .B(VPSUB), .D(Y), .G(A), .S(VDD) );

    nfinlvt  I67( .B(VNSUB), .D(Y), .G(A), .S(VSS) );
endmodule
*/

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_phase_detector_nand2    View : schematic
module clkds_phase_detector_nand2( Y, VDD, VNSUB, VPSUB, VSS, A, B );

    output Y;
    inout VDD;
    inout VNSUB;
    inout VPSUB;
    inout VSS;
    input A;
    input B;

    wire  n01;

    nfinulvt  I67( .B(VNSUB), .D(Y), .G(A), .S(n01) );
    nfinulvt  I1( .B(VNSUB), .D(n01), .G(B), .S(VSS) );

    pfinulvt  I0( .B(VPSUB), .D(Y), .G(B), .S(VDD) );
    pfinulvt  I69( .B(VPSUB), .D(Y), .G(A), .S(VDD) );
endmodule
*/

//comment out below module, as it's not used in rtl
/*
// Library : gf14lpe_clkds    Cell : clkds_phase_detector_nand3    View : schematic
module clkds_phase_detector_nand3( Y, VDD, VNSUB, VPSUB, VSS, A, B, C );

    output Y;
    inout VDD;
    inout VNSUB;
    inout VPSUB;
    inout VSS;
    input A;
    input B;
    input C;

    wire  n02;
    wire  n01;

    nfinulvt  I67( .B(VNSUB), .D(Y), .G(A), .S(n01) );
    nfinulvt  I5( .B(VNSUB), .D(n02), .G(C), .S(VSS) );
    nfinulvt  I4( .B(VNSUB), .D(n01), .G(B), .S(n02) );

    pfinulvt  I69( .B(VPSUB), .D(Y), .G(A), .S(VDD) );
    pfinulvt  I1( .B(VPSUB), .D(Y), .G(C), .S(VDD) );
    pfinulvt  I0( .B(VPSUB), .D(Y), .G(B), .S(VDD) );
endmodule
*/



























