// (c) 2015, 2016 Advanced Micro Devices, Inc. All rights reserved.

/////////////////////////////////////////////////////////////////////////////
// File Name: mrk_and
// Description: AND gate
/////////////////////////////////////////////////////////////////////////////
  module dbg_client_mrk_and(
   output wire    Y,
   input wire A,
   input wire B
   );

   /////////////////////////////////////////////////////////////////////////////

  // use a mrk_buffer so it's easy to make constraints
  // TBD -- replace with technology cells.
  wire  A_in, B_in, Y_out;
  ati_buffer1 mrk_buf_in_A (.A(A), .Y(A_in) );
  ati_buffer1 mrk_buf_in_B (.A(B), .Y(B_in) );
  assign Y_out = A_in & B_in;
  ati_buffer1 mrk_buf_out_Y (.A(Y_out), .Y(Y) );

endmodule // dbg_client_mrk_and
