
//----------------------------------------------------------------------------
//
// Author :		 Grant La, N1-500 (Sunnyvale - Yan Dong), 44336 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip-disk3/user/geunla/dfxip4_0_ex5/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module hier_setup_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> HIER_SETUP
 ,output wire ex_hier_en
 ,input Tdr_hier_setup_En
 ,output Tdr_hier_setup_Tdo
); // End of Port Declaration

///// START TDR_INST - HIER_SETUP /////

   localparam HIER_SETUP__WIDTH = 1;
   wire [HIER_SETUP__WIDTH-1:0]	HIER_SETUP;
   wire [HIER_SETUP__WIDTH-1:0]	HIER_SETUP__DEFAULT;  

	//HIER_SETUP - 0:0

   localparam  HIER_SETUP_EX_HIER_EN__WIDTH  = 1;
   localparam [HIER_SETUP_EX_HIER_EN__WIDTH-1:0] HIER_SETUP_EX_HIER_EN__DEFAULT  = 1'h0;
   

   localparam  HIER_SETUP_EX_HIER_EN__MSB  = 0;
   localparam  HIER_SETUP_EX_HIER_EN__LSB  = 0;
   

   assign HIER_SETUP__DEFAULT
                 [HIER_SETUP_EX_HIER_EN__MSB : 
                  HIER_SETUP_EX_HIER_EN__LSB] =  
		  HIER_SETUP_EX_HIER_EN__DEFAULT;
   

  ati_buffer1 mrk_hier_setup_ex_hier_en[HIER_SETUP_EX_HIER_EN__WIDTH-1:0] 
  (
    .A(HIER_SETUP
      [HIER_SETUP_EX_HIER_EN__MSB :
       HIER_SETUP_EX_HIER_EN__LSB
      ]),    
    .Y(ex_hier_en)
  );





   test_reg_async_rst_gc10
     #(HIER_SETUP__WIDTH)
   reg_HIER_SETUP (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_hier_setup_En),
                           .shift(Tdr_Shift & Tdr_hier_setup_En),
                           .capture(Tdr_Capture & Tdr_hier_setup_En),
                           .update(Tdr_Update & Tdr_hier_setup_En),
                           .d_rst(HIER_SETUP__DEFAULT),
                           .q(HIER_SETUP),
                           .d(HIER_SETUP),
                           .si(Tdr_Tdi),
                           .so(Tdr_hier_setup_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - HIER_SETUP /////
endmodule
