//Referencing :
// /proj/synpdlib1/CI/bonaire/lib_A.0.0/verilog/stdcell/AMDbulk9ThdECOlvt_tsmc28hp_unit.v
// This cell is created for dft to maintain "boundry" and prevent synthesis from moving the and gate
// Cell instance uses the key prefix 'd0nt_' which causes synthesis to preserve
// This is written to be drop in replacement for ati_clk_and.v which was used by DFx group to preserve 'and' cell
// However, ati_clk_and has clock property on z output wich results in timing problems.
// For more info on preserve cells at:
// http://sharedbook.amd.com/twiki/bin/view/Csyn/GutsPreserveCells
`include "rtllib_features.vh"
module iso_and2 (
                 A1,
                 A2,
                 Z
                 );
input  A1;
input  A2;
output Z;
    HDBLVT08_MRKAN2_4 d0nt_iso_and2 (
          .A1(A1),
          .A2(A2),
          .X(Z)
          );
endmodule
