`include "rtllib_features.vh"
module kc_clock_gate(
   // Outputs
   clk_out,
   // Inputs
   clk_src,
   clk_en,
   TE
   );
   input clk_src;
   output clk_out;
   input  clk_en;
   input  TE;
// Using drive strength 6 instead of 8
  HDBLVT08_CKGTPLT_V7Y2_4 d0nt_clk_gate_cell (.CLK(clk_src),
                               .TE(TE),
                               .E(clk_en),
                               .Z(clk_out));
`ifdef CLOCK_GATE_DEBUG
`ifdef SIMULATION
initial begin
  $display("%m : Clock Gater Instantiated.");
end
`endif
`endif
endmodule
