
//----------------------------------------------------------------------------
//
// Author :		 Rita Patel, N1-501 (Sunnyvale - Yan Dong), 44288 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip-disk3/user/rpatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module larr_tile_tdr_gc10 ( 

//Larr Trst
input wire LARR_TARG_larr_trstb,
output wire larr_trstb,


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> LARR_DIAG_SETUP
 ,output wire [1-1:0] larr_diag_mode
 ,output wire [1-1:0] larr_tdr_adr_0
 ,output wire [1-1:0] larr_tdr_adr_1
 ,output wire [1-1:0] larr_tdr_adr_10
 ,output wire [1-1:0] larr_tdr_adr_11
 ,output wire [1-1:0] larr_tdr_adr_2
 ,output wire [1-1:0] larr_tdr_adr_3
 ,output wire [1-1:0] larr_tdr_adr_4
 ,output wire [1-1:0] larr_tdr_adr_5
 ,output wire [1-1:0] larr_tdr_adr_6
 ,output wire [1-1:0] larr_tdr_adr_7
 ,output wire [1-1:0] larr_tdr_adr_8
 ,output wire [1-1:0] larr_tdr_adr_9
 ,input Tdr_larr_diag_setup_En
 ,output Tdr_larr_diag_setup_Tdo
); // End of Port Declaration

  ati_buffer1 mrk_larr_trstb
  (
    .A(LARR_TARG_larr_trstb),    
    .Y(larr_trstb)
  );


///// START TDR_INST - LARR_DIAG_SETUP /////

   localparam LARR_DIAG_SETUP__WIDTH = 13;
   wire [LARR_DIAG_SETUP__WIDTH-1:0]	LARR_DIAG_SETUP;
   wire [LARR_DIAG_SETUP__WIDTH-1:0]	LARR_DIAG_SETUP__DEFAULT;  

	//LARR_DIAG_SETUP - 0:0

   localparam  LARR_DIAG_SETUP_LARR_DIAG_MODE__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_DIAG_MODE__WIDTH-1:0] LARR_DIAG_SETUP_LARR_DIAG_MODE__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_DIAG_MODE__MSB  = 0;
   localparam  LARR_DIAG_SETUP_LARR_DIAG_MODE__LSB  = 0;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_DIAG_MODE__MSB : 
                  LARR_DIAG_SETUP_LARR_DIAG_MODE__LSB] =  
		  LARR_DIAG_SETUP_LARR_DIAG_MODE__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_diag_mode[LARR_DIAG_SETUP_LARR_DIAG_MODE__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_DIAG_MODE__MSB :
       LARR_DIAG_SETUP_LARR_DIAG_MODE__LSB
      ]),    
    .Y(larr_diag_mode[LARR_DIAG_SETUP_LARR_DIAG_MODE__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 1:1

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_0__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_0__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_0__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_0__MSB  = 1;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_0__LSB  = 1;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_0__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_0__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_0__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_0[LARR_DIAG_SETUP_LARR_TDR_ADR_0__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_0__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_0__LSB
      ]),    
    .Y(larr_tdr_adr_0[LARR_DIAG_SETUP_LARR_TDR_ADR_0__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 2:2

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_1__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_1__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_1__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_1__MSB  = 2;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_1__LSB  = 2;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_1__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_1__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_1__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_1[LARR_DIAG_SETUP_LARR_TDR_ADR_1__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_1__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_1__LSB
      ]),    
    .Y(larr_tdr_adr_1[LARR_DIAG_SETUP_LARR_TDR_ADR_1__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 11:11

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_10__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_10__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_10__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_10__MSB  = 11;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_10__LSB  = 11;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_10__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_10__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_10__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_10[LARR_DIAG_SETUP_LARR_TDR_ADR_10__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_10__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_10__LSB
      ]),    
    .Y(larr_tdr_adr_10[LARR_DIAG_SETUP_LARR_TDR_ADR_10__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 12:12

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_11__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_11__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_11__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_11__MSB  = 12;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_11__LSB  = 12;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_11__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_11__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_11__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_11[LARR_DIAG_SETUP_LARR_TDR_ADR_11__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_11__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_11__LSB
      ]),    
    .Y(larr_tdr_adr_11[LARR_DIAG_SETUP_LARR_TDR_ADR_11__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 3:3

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_2__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_2__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_2__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_2__MSB  = 3;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_2__LSB  = 3;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_2__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_2__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_2__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_2[LARR_DIAG_SETUP_LARR_TDR_ADR_2__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_2__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_2__LSB
      ]),    
    .Y(larr_tdr_adr_2[LARR_DIAG_SETUP_LARR_TDR_ADR_2__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 4:4

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_3__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_3__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_3__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_3__MSB  = 4;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_3__LSB  = 4;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_3__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_3__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_3__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_3[LARR_DIAG_SETUP_LARR_TDR_ADR_3__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_3__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_3__LSB
      ]),    
    .Y(larr_tdr_adr_3[LARR_DIAG_SETUP_LARR_TDR_ADR_3__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 5:5

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_4__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_4__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_4__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_4__MSB  = 5;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_4__LSB  = 5;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_4__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_4__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_4__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_4[LARR_DIAG_SETUP_LARR_TDR_ADR_4__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_4__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_4__LSB
      ]),    
    .Y(larr_tdr_adr_4[LARR_DIAG_SETUP_LARR_TDR_ADR_4__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 6:6

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_5__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_5__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_5__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_5__MSB  = 6;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_5__LSB  = 6;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_5__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_5__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_5__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_5[LARR_DIAG_SETUP_LARR_TDR_ADR_5__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_5__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_5__LSB
      ]),    
    .Y(larr_tdr_adr_5[LARR_DIAG_SETUP_LARR_TDR_ADR_5__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 7:7

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_6__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_6__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_6__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_6__MSB  = 7;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_6__LSB  = 7;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_6__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_6__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_6__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_6[LARR_DIAG_SETUP_LARR_TDR_ADR_6__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_6__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_6__LSB
      ]),    
    .Y(larr_tdr_adr_6[LARR_DIAG_SETUP_LARR_TDR_ADR_6__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 8:8

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_7__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_7__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_7__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_7__MSB  = 8;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_7__LSB  = 8;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_7__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_7__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_7__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_7[LARR_DIAG_SETUP_LARR_TDR_ADR_7__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_7__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_7__LSB
      ]),    
    .Y(larr_tdr_adr_7[LARR_DIAG_SETUP_LARR_TDR_ADR_7__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 9:9

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_8__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_8__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_8__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_8__MSB  = 9;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_8__LSB  = 9;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_8__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_8__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_8__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_8[LARR_DIAG_SETUP_LARR_TDR_ADR_8__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_8__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_8__LSB
      ]),    
    .Y(larr_tdr_adr_8[LARR_DIAG_SETUP_LARR_TDR_ADR_8__WIDTH-1:0])
  );


	//LARR_DIAG_SETUP - 10:10

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_9__WIDTH  = 1;
   localparam [LARR_DIAG_SETUP_LARR_TDR_ADR_9__WIDTH-1:0] LARR_DIAG_SETUP_LARR_TDR_ADR_9__DEFAULT  = 1'h0;
   

   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_9__MSB  = 10;
   localparam  LARR_DIAG_SETUP_LARR_TDR_ADR_9__LSB  = 10;
   

   assign LARR_DIAG_SETUP__DEFAULT
                 [LARR_DIAG_SETUP_LARR_TDR_ADR_9__MSB : 
                  LARR_DIAG_SETUP_LARR_TDR_ADR_9__LSB] =  
		  LARR_DIAG_SETUP_LARR_TDR_ADR_9__DEFAULT;
   

  ati_buffer1 mrk_larr_diag_setup_larr_tdr_adr_9[LARR_DIAG_SETUP_LARR_TDR_ADR_9__WIDTH-1:0] 
  (
    .A(LARR_DIAG_SETUP
      [LARR_DIAG_SETUP_LARR_TDR_ADR_9__MSB :
       LARR_DIAG_SETUP_LARR_TDR_ADR_9__LSB
      ]),    
    .Y(larr_tdr_adr_9[LARR_DIAG_SETUP_LARR_TDR_ADR_9__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(LARR_DIAG_SETUP__WIDTH)
   reg_LARR_DIAG_SETUP (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_larr_diag_setup_En),
                           .shift(Tdr_Shift & Tdr_larr_diag_setup_En),
                           .capture(Tdr_Capture & Tdr_larr_diag_setup_En),
                           .update(Tdr_Update & Tdr_larr_diag_setup_En),
                           .d_rst(LARR_DIAG_SETUP__DEFAULT),
                           .q(LARR_DIAG_SETUP),
                           .d(LARR_DIAG_SETUP),
                           .si(Tdr_Tdi),
                           .so(Tdr_larr_diag_setup_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - LARR_DIAG_SETUP /////
endmodule
