//****************************************
// Warning! This file is machine generated
//****************************************


//======================================================================
//                       Zen RTL design file
//=======================================================================
//                  AMD PROPRIETARY AND CONFIDENTIAL
//           (c) Copyright 2012 Advanced Micro Devices, Inc.
//=======================================================================
// Module Description:
// Behavioral model for phi2 transparent latch.
//=======================================================================
`timescale 1ps/1ps
module mapsmro_lat2 #(
    parameter WIDTH = 1
)(
    // default WIDTH of output
    output [WIDTH-1:0] q,
    // data out
    input clk,
    // clock
    input [WIDTH-1:0] d
    // data in
);
    reg [WIDTH-1:0] lat2_q;
    // Turn off the rule that checks for latches
    // leda NTL_STR47 off
    // leda W410 off
    // leda XPROP_IF off
    always @* begin
        if(~clk) begin
            lat2_q <= d;
        end
        
        //vrq begin
        // VCS coverage off
        else if(~(~clk)) ;
        else begin
            lat2_q <= {WIDTH-1>=0 ? WIDTH-1-0+1 : 0-(WIDTH-1)+1{1'hx}};
        end
        
        // VCS coverage on
        //vrq end
    end
    // leda NTL_STR47 on
    // leda W410 on
    // leda XPROP_IF on
    assign   q=lat2_q;

endmodule


//****************************************
// Warning! This file is machine generated
//****************************************
