//=========================================================
//  Jan 15 10:43:33 2014
//  Verilog netlist of (gf20lpm_clkds:mbstretch_outmux_clkwalk:schematic)
//  Created by verilogNetlister.il
//=========================================================

// Structural cellview (gf20lpm_clkds:mbstretch_outmux_clkwalk:schematic)
// ========================================================

`ifdef CLKDS_SYNTHESIS
// Library : amd_standalib    Cell : ckbf    View : schematic
`timescale 1ns / 1ns 
module ckbf_pcell_0 ( Z, CLK);

output Z;

input CLK;



//CKBD4BWP16P90CPDLVT I0 (.Z(Z), .I(CLK)) ;
HDBLVT08_BUF_CK_4 I0 (.CLK(CLK),.Z(Z));
endmodule


// Library : amd_standalib    Cell : ckbf    View : schematic
`timescale 1ns / 1ns 

module ckbf_pcell_1 ( Z, CLK);

output Z;

input CLK;



//CKBD8BWP16P90CPDLVT I0 (.Z(Z), .I(CLK)) ;
HDBLVT08_BUF_CK_8 I0 (.CLK(CLK),.Z(Z));
endmodule


// Library : amd_standalib    Cell : mux2    View : schematic
`timescale 1ns / 1ns 

module mux2_pcell_2 ( Z, D0, D1, S);

output Z;

input D0;
input D1;
input S;



//MUX2D1BWP16P90CPDULVT I0 (.I1(D1), .Z(Z), .I0(D0), .S(S)) ;
HDBULT08_MUX2_Y2_1 I0 (.D0(D0),.D1(D1),.S(S),.X(Z));
endmodule


// Library : amd_standalib    Cell : rmsfqns    View : schematic
`timescale 1ns / 1ns 

module rmsfqns_pcell_3 ( Q, CLK, D, RESET);

output Q;

input CLK;
input D;
input RESET;



//DFCNQD1BWP16P90CPDLVT I0 (.D(D), .Q(Q), .CP(CLK), .CDN(RESET));
HDBLVT08_FDPRBQ_V2Y2_1 I0 (.D(D), .Q(Q), .CK(CLK), .RD(RESET));
endmodule


// Library : amd_standalib    Cell : ckin    View : schematic
`timescale 1ns / 1ns 

module ckin_pcell_4 ( Z, CLK);

output Z;

input CLK;



//CKND1BWP16P90CPDLVT I0 (.ZN(Z), .I(CLK)) ;
//HDBLVT08_INV_1 I0 (.A(CLK),.X(Z));
HDBLVT08_INV_CK_1 I0 (.CLK(CLK),.Z(Z));
endmodule


// Library : amd_standalib    Cell : msfns    View : schematic
`timescale 1ns / 1ns 

module msfns_pcell_5 ( Q, QB, CLK, D);

output Q;
output QB;

input CLK;
input D;



//DFD1BWP16P90CPDLVT I0 (.QB(QB), .D(D), .Q(Q), .CLK(CLK)) ;
HDBLVT08_FDP_V2Y2_1 I0 (.QN(QB), .D(D), .Q(Q), .CK(CLK)) ;
endmodule


// Library : amd_standalib    Cell : ckan2    View : schematic
`timescale 1ns / 1ns 

module ckan2_pcell_6 ( Z, CLK, EN);

output Z;

input CLK;
input EN;



//CKAN2D2BWP16P90CPDLVT I0 (.Z(Z), .A2(EN), .A1(CLK)) ;
HDBLVT08_AN2_CK_2 I0 (.Z(Z),.EN(EN),.CLK(CLK));

endmodule


// Library : amd_standalib    Cell : lbqns    View : schematic
`timescale 1ns / 1ns 

module lbqns_pcell_7 ( Q, CLK, D);

output Q;

input CLK;
input D;



//LNQD0BWP16P90CPD I0 (.D(D), .Q(Q), .EN(CLK));
HDBSVT08_LDNQ_V2Y2_1 I0 (.D(D), .Q(Q), .G(CLK));

endmodule


// Library : amd_standalib    Cell : ckbf    View : schematic
`timescale 1ns / 1ns 

module ckbf_pcell_8 ( Z, CLK);

output Z;

input CLK;



//CKBD1BWP16P90CPDLVT I0 (.Z(Z), .I(CLK)) ;
HDBLVT08_BUF_CK_1 I0  (.Z(Z), .CLK(CLK)) ;

endmodule


// Library : amd_standalib    Cell : ckbf    View : schematic
`timescale 1ns / 1ns 

module ckbf_pcell_9 ( Z, CLK);

output Z;

input CLK;



//CKBD2BWP16P90CPDLVT I0 (.Z(Z), .I(CLK)) ;
HDBLVT08_BUF_CK_2 I0  (.Z(Z), .CLK(CLK)) ;

endmodule


// Library : amd_standalib    Cell : bf    View : schematic
`timescale 1ns / 1ns 

module bf_pcell_10 ( Z, A);

output Z;

input A;



//DEL1D1BWP16P90CPD I0 (.Z(Z), .I(A)) ;
HDBSVT08_DEL_R2V2_1 I0 (.A(A),.X(Z));

endmodule


// Library : amd_standalib    Cell : msfnns    View : schematic
`timescale 1ns / 1ns 

module msfnns_pcell_11 ( Q, QB, CLK, D);

output Q;
output QB;

input CLK;
input D;



//DFND1BWP16P90CPDLVT I0 (.QB(QB), .D(D), .Q(Q), .CLK(CLK)) ;
HDBLVT08_FDN_V2Y2_1 I0 (.QN(QB), .D(D), .Q(Q), .CK(CLK));

endmodule


// Library : amd_standalib    Cell : ckmux2    View : schematic
`timescale 1ns / 1ns 

module ckmux2_pcell_12 ( Z, CLK1, CLK2, CLKSEL);

output Z;

input CLK1;
input CLK2;
input CLKSEL;



//CKMUX2D2BWP16P90CPDULVT I0 (.I0(CLK1), .Z(Z), .S(CLKSEL), .I1(CLK2));
HDBULT08_MUX2_CK_2 I0 (.CLK1(CLK1), .Z(Z), .CLKSEL(CLKSEL), .CLK2(CLK2));
endmodule


// Library : amd_standalib    Cell : msfns    View : schematic
`timescale 1ns / 1ns 

module msfns_pcell_13 ( Q, QB, CLK, D);

output Q;
output QB;

input CLK;
input D;



//DFD1BWP16P90CPD I0 (.QB(QB), .D(D), .Q(Q), .CLK(CLK)) ;
HDBSVT08_FDP_V2Y2_1 I0 (.QN(QB), .D(D), .Q(Q), .CK(CLK)) ;
endmodule


// Library : amd_standalib    Cell : ckbf    View : schematic
`timescale 1ns / 1ns 

module ckbf_pcell_14 ( Z, CLK);

output Z;

input CLK;



//CKBD1BWP16P90CPD I0 (.Z(Z), .I(CLK)) ;
HDBSVT08_BUF_CK_1 I0 (.Z(Z), .CLK(CLK)) ;
endmodule


// Library : amd_standalib    Cell : ckmux2    View : schematic
`timescale 1ns / 1ns 

module ckmux2_pcell_15 ( Z, CLK1, CLK2, CLKSEL);

output Z;

input CLK1;
input CLK2;
input CLKSEL;



//CKMUX2D2BWP16P90CPDLVT I0 (.I0(CLK1), .Z(Z), .S(CLKSEL), .I1(CLK2));
HDBLVT08_MUX2_CK_2 I0 (.CLK1(CLK1), .Z(Z), .CLKSEL(CLKSEL), .CLK2(CLK2));
endmodule


// Library : amd_standalib    Cell : tielo    View : schematic
`timescale 1ns / 1ns 

module tielo_pcell_16 ( Z);

output Z;




//TIELBWP16P90CPD I0 (.ZN(Z)) ;
HDBSVT08_TIE0_ECO_1 I0 (.X(Z));
endmodule


// Library : amd_standalib    Cell : ckmux2    View : schematic
`timescale 1ns / 1ns 

module ckmux2_pcell_17 ( Z, CLK1, CLK2, CLKSEL);

output Z;

input CLK1;
input CLK2;
input CLKSEL;



//CKMUX2D4BWP16P90CPDULVT I0 (.I0(CLK1), .Z(Z), .S(CLKSEL), .I1(CLK2));
HDBULT08_MUX2_CK_2 I0 (.CLK1(CLK1), .Z(Z), .CLKSEL(CLKSEL), .CLK2(CLK2));
endmodule


// Library : amd_standalib    Cell : bf    View : schematic
`timescale 1ns / 1ns 

module bf_pcell_18 ( Z, A);

output Z;

input A;



//BUFFD1BWP16P90CPD I0 (.Z(Z), .I(A)) ;
HDBSVT08_BUF_1 I0 (.A(A),.X(Z));
endmodule
`endif //CLKDS_SYNTHESIS


`timescale 1ps/1ps

module mbstretch_outmux_clkwalk ( VSS, VDD, SyncBusIn, sel, cdc_LDO_EN, ckout_clkpicker, dfs_clk,
		SyncBusOut, sclk, sel_final, RESERVE);
	output [14:0] SyncBusOut;
	output sclk;
    output sel_final;
	input VSS;
	input VDD;
	input [14:0] SyncBusIn;
	input sel;
	input cdc_LDO_EN;
	input ckout_clkpicker;
	input dfs_clk;
	input [1:0] RESERVE;


`ifdef CLKDS_SYNTHESIS
// Buses in the design
wire  [0:14]  net275;
wire  [0:14]  net287;
wire  [0:14]  net281;
wire  [14:0]  SyncBusIn_q;
wire  [0:14]  net289;
wire  [0:14]  net286;



ckbf_pcell_0 Isclkbuf4 ( .CLK(net207), .Z(sclk));
ckbf_pcell_0 I_dfsclk_buf18 ( .CLK(net25), .Z(dfs_clk_buf));
ckbf_pcell_1 I_dfsclk_walkbu3 ( .CLK(net244), .Z(dfs_clk_clkwalk));
ckbf_pcell_1 I_sclk_walkbuf3 ( .CLK(net237), .Z(sclk_clkwalk));
mux2_pcell_2 I_sel_final_dmux ( .S(sel_final_fb), .Z(nxt_sel_final), .D0(sel_clk0_neg_q), .D1(sel_clk0_neg_qq));
rmsfqns_pcell_3 I_sel_final_reg (.RESET(cdc_LDO_EN), .CLK(clk1_dll_inv), .Q(sel_final_q), .D(nxt_sel_final));
ckin_pcell_4 I87 ( .CLK(clk1_dll_buf), .Z(clk1_dll_inv));
msfns_pcell_5 I_sel_clk0_pos_q_reg (.QB(net66), .CLK(dfs_clk_buf), .Q(sel_clk0_pos_q), .D(cks_dll_lock_buf));
ckan2_pcell_6 I_clk1_dll_gater_an2 ( .Z(clk1_dll_gated), .EN(clk1_dll_en_neg_qd2), .CLK(clk1_dll_buf));
lbqns_pcell_7 I148 (.CLK(clk1_dll_buf), .Q(clk1_dll_en_neg_q), .D(clk1_dll_en)) ;
ckbf_pcell_8 I169 ( .Z(dfs_clk_buf_dly), .CLK(net058));
ckbf_pcell_8 I156 ( .Z(clk1_dll_en), .CLK(net0145));
ckbf_pcell_8 I155 ( .Z(net0145), .CLK(sel_clk0_neg_q));
ckbf_pcell_8 I153 ( .Z(sel_clk0_neg_qd), .CLK(sel_clk0_neg_q));
ckbf_pcell_8 I136 (.Z(UNUSED_1), .CLK(net264));
ckbf_pcell_8 I135 ( .CLK(net0126), .Z(net264));
ckbf_pcell_8 I134 ( .CLK(net262), .Z(net0126));
ckbf_pcell_8 I133 ( .CLK(net250), .Z(net262));
ckbf_pcell_8 I132 ( .CLK(net0129), .Z(net027));
ckbf_pcell_8 I131 ( .CLK(net0131), .Z(net0129));
ckbf_pcell_8 I130 ( .CLK(net256), .Z(net0131));
ckbf_pcell_8 I129 ( .CLK(tieLO), .Z(net256));
ckbf_pcell_8 I_dfsclk_walkbu1 ( .CLK(dfs_clk), .Z(net245));
ckbf_pcell_8 I_sclk_walkbuf1 ( .CLK(sclk_prebuf), .Z(net238));
ckbf_pcell_8 Isclkbuf2 ( .CLK(net210), .Z(net209));
ckbf_pcell_8 Isclkbuf1 ( .CLK(sclk_prebuf), .Z(net210));
ckbf_pcell_8 I170 ( .Z(net058), .CLK(net088));
ckbf_pcell_8 I168 ( .Z(net088), .CLK(net057));
ckbf_pcell_8 Ickout_buf2 ( .CLK(ckout_bufm2d), .Z(ckout_bufm1d));
ckbf_pcell_8 Ickout_buf10 ( .CLK(ckout_buf), .Z(ckout_bufp1d));
ckbf_pcell_8 Ickout_buf6 ( .CLK(ckout_bufm1d), .Z(ckout_buf));
ckbf_pcell_8 I_dfsclk_buf22 ( .CLK(net0153), .Z(net033));
ckbf_pcell_8 I_dfsclk_buf21 ( .CLK(net0155), .Z(net0153));
ckbf_pcell_8 I_dfsclk_buf20 ( .CLK(net55), .Z(net0155));
ckbf_pcell_8 I_dfsclk_buf19 ( .CLK(dfs_clk_buf), .Z(net55));
ckbf_pcell_8 I167 ( .Z(net057), .CLK(net033));
ckbf_pcell_8 Idll_lock_buf2 ( .CLK(net37), .Z(net0169));
ckbf_pcell_8 Idll_lock_buf1 ( .CLK(sel), .Z(net37));
ckbf_pcell_8 I_dfsclk_buf16 ( .CLK(dfs_clk), .Z(net293));
ckbf_pcell_9 I128 ( .CLK(net251), .Z(net250));
ckbf_pcell_9 I127 ( .CLK(net252), .Z(net251));
ckbf_pcell_9 I126 ( .CLK(net253), .Z(net252));
ckbf_pcell_9 I125 ( .CLK(net027), .Z(net253));
ckbf_pcell_9 I_dfsclk_walkbu2 ( .CLK(net245), .Z(net244));
ckbf_pcell_9 I_sclk_walkbuf2 ( .CLK(net238), .Z(net237));
ckbf_pcell_9 \I_SyncBusOut_buf[14] (.CLK(net289[0]), .Z(SyncBusOut[14]));
ckbf_pcell_9 \I_SyncBusOut_buf[13] (.CLK(net289[1]), .Z(SyncBusOut[13]));
ckbf_pcell_9 \I_SyncBusOut_buf[12] (.CLK(net289[2]), .Z(SyncBusOut[12]));
ckbf_pcell_9 \I_SyncBusOut_buf[11] (.CLK(net289[3]), .Z(SyncBusOut[11]));
ckbf_pcell_9 \I_SyncBusOut_buf[10] (.CLK(net289[4]), .Z(SyncBusOut[10]));
ckbf_pcell_9 \I_SyncBusOut_buf[9] (.CLK(net289[5]), .Z(SyncBusOut[9]));
ckbf_pcell_9 \I_SyncBusOut_buf[8] (.CLK(net289[6]), .Z(SyncBusOut[8]));
ckbf_pcell_9 \I_SyncBusOut_buf[7] (.CLK(net289[7]), .Z(SyncBusOut[7]));
ckbf_pcell_9 \I_SyncBusOut_buf[6] (.CLK(net289[8]), .Z(SyncBusOut[6]));
ckbf_pcell_9 \I_SyncBusOut_buf[5] (.CLK(net289[9]), .Z(SyncBusOut[5]));
ckbf_pcell_9 \I_SyncBusOut_buf[4] (.CLK(net289[10]), .Z(SyncBusOut[4]));
ckbf_pcell_9 \I_SyncBusOut_buf[3] (.CLK(net289[11]), .Z(SyncBusOut[3]));
ckbf_pcell_9 \I_SyncBusOut_buf[2] (.CLK(net289[12]), .Z(SyncBusOut[2]));
ckbf_pcell_9 \I_SyncBusOut_buf[1] (.CLK(net289[13]), .Z(SyncBusOut[1]));
ckbf_pcell_9 \I_SyncBusOut_buf[0] (.CLK(net289[14]), .Z(SyncBusOut[0]));
ckbf_pcell_9 Isclkbuf3 ( .CLK(net209), .Z(net207));
ckbf_pcell_9 I_sel_fina_q_buf ( .CLK(sel_final_q), .Z(sel_final));
ckbf_pcell_9 Ickout_buf1 ( .CLK(ckout_clkpicker), .Z(ckout_bufm2d));
ckbf_pcell_9 Idll_lock_buf3 ( .CLK(net0169), .Z(cks_dll_lock_buf));
ckbf_pcell_9 I_dfsclk_buf17 ( .CLK(net293), .Z(net25));
bf_pcell_10 \I_SyncBus_dly2[14] ( .A(net281[0]), .Z(net286[0]));
bf_pcell_10 \I_SyncBus_dly2[13] ( .A(net281[1]), .Z(net286[1]));
bf_pcell_10 \I_SyncBus_dly2[12] ( .A(net281[2]), .Z(net286[2]));
bf_pcell_10 \I_SyncBus_dly2[11] ( .A(net281[3]), .Z(net286[3]));
bf_pcell_10 \I_SyncBus_dly2[10] ( .A(net281[4]), .Z(net286[4]));
bf_pcell_10 \I_SyncBus_dly2[9] ( .A(net281[5]), .Z(net286[5]));
bf_pcell_10 \I_SyncBus_dly2[8] ( .A(net281[6]), .Z(net286[6]));
bf_pcell_10 \I_SyncBus_dly2[7] ( .A(net281[7]), .Z(net286[7]));
bf_pcell_10 \I_SyncBus_dly2[6] ( .A(net281[8]), .Z(net286[8]));
bf_pcell_10 \I_SyncBus_dly2[5] ( .A(net281[9]), .Z(net286[9]));
bf_pcell_10 \I_SyncBus_dly2[4] ( .A(net281[10]), .Z(net286[10]));
bf_pcell_10 \I_SyncBus_dly2[3] ( .A(net281[11]), .Z(net286[11]));
bf_pcell_10 \I_SyncBus_dly2[2] ( .A(net281[12]), .Z(net286[12]));
bf_pcell_10 \I_SyncBus_dly2[1] ( .A(net281[13]), .Z(net286[13]));
bf_pcell_10 \I_SyncBus_dly2[0] ( .A(net281[14]), .Z(net286[14]));
bf_pcell_10 \I_SyncBus_dly1[14] ( .A(SyncBusIn_q[14]), .Z(net281[0]));
bf_pcell_10 \I_SyncBus_dly1[13] ( .A(SyncBusIn_q[13]), .Z(net281[1]));
bf_pcell_10 \I_SyncBus_dly1[12] ( .A(SyncBusIn_q[12]), .Z(net281[2]));
bf_pcell_10 \I_SyncBus_dly1[11] ( .A(SyncBusIn_q[11]), .Z(net281[3]));
bf_pcell_10 \I_SyncBus_dly1[10] ( .A(SyncBusIn_q[10]), .Z(net281[4]));
bf_pcell_10 \I_SyncBus_dly1[9] ( .A(SyncBusIn_q[9]), .Z(net281[5]));
bf_pcell_10 \I_SyncBus_dly1[8] ( .A(SyncBusIn_q[8]), .Z(net281[6]));
bf_pcell_10 \I_SyncBus_dly1[7] ( .A(SyncBusIn_q[7]), .Z(net281[7]));
bf_pcell_10 \I_SyncBus_dly1[6] ( .A(SyncBusIn_q[6]), .Z(net281[8]));
bf_pcell_10 \I_SyncBus_dly1[5] ( .A(SyncBusIn_q[5]), .Z(net281[9]));
bf_pcell_10 \I_SyncBus_dly1[4] ( .A(SyncBusIn_q[4]), .Z(net281[10]));
bf_pcell_10 \I_SyncBus_dly1[3] ( .A(SyncBusIn_q[3]), .Z(net281[11]));
bf_pcell_10 \I_SyncBus_dly1[2] ( .A(SyncBusIn_q[2]), .Z(net281[12]));
bf_pcell_10 \I_SyncBus_dly1[1] ( .A(SyncBusIn_q[1]), .Z(net281[13]));
bf_pcell_10 \I_SyncBus_dly1[0] ( .A(SyncBusIn_q[0]), .Z(net281[14]));
msfnns_pcell_11 I_sel_clk0_neg_qq_reg (.QB(net119), .CLK(dfs_clk_buf), .Q(sel_clk0_neg_qq), .D(sel_clk0_neg_qd));
msfnns_pcell_11 I_sel_clk0_neg_q_reg (.QB(net72), .CLK(dfs_clk_buf), .Q(sel_clk0_neg_q), .D(sel_clk0_pos_q));
ckmux2_pcell_12 Ickout_mdmux (.CLK1(ckout_buf), .Z(ckout_buf_md), .CLK2(ckout_bufp1d), .CLKSEL(RESERVE[0]));
ckmux2_pcell_12 Ickout_ldmux (.CLK1(ckout_bufm1d), .Z(ckout_buf_ld), .CLK2(ckout_bufm2d), .CLKSEL(RESERVE[0]));
msfns_pcell_13 \I_SyncBusIn_reg[14] (.QB(net275[0]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[14]), .D(SyncBusIn[14]));
msfns_pcell_13 \I_SyncBusIn_reg[13] (.QB(net275[1]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[13]), .D(SyncBusIn[13]));
msfns_pcell_13 \I_SyncBusIn_reg[12] (.QB(net275[2]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[12]), .D(SyncBusIn[12]));
msfns_pcell_13 \I_SyncBusIn_reg[11] (.QB(net275[3]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[11]), .D(SyncBusIn[11]));
msfns_pcell_13 \I_SyncBusIn_reg[10] (.QB(net275[4]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[10]), .D(SyncBusIn[10]));
msfns_pcell_13 \I_SyncBusIn_reg[9] (.QB(net275[5]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[9]), .D(SyncBusIn[9]));
msfns_pcell_13 \I_SyncBusIn_reg[8] (.QB(net275[6]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[8]), .D(SyncBusIn[8]));
msfns_pcell_13 \I_SyncBusIn_reg[7] (.QB(net275[7]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[7]), .D(SyncBusIn[7]));
msfns_pcell_13 \I_SyncBusIn_reg[6] (.QB(net275[8]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[6]), .D(SyncBusIn[6]));
msfns_pcell_13 \I_SyncBusIn_reg[5] (.QB(net275[9]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[5]), .D(SyncBusIn[5]));
msfns_pcell_13 \I_SyncBusIn_reg[4] (.QB(net275[10]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[4]), .D(SyncBusIn[4]));
msfns_pcell_13 \I_SyncBusIn_reg[3] (.QB(net275[11]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[3]), .D(SyncBusIn[3]));
msfns_pcell_13 \I_SyncBusIn_reg[2] (.QB(net275[12]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[2]), .D(SyncBusIn[2]));
msfns_pcell_13 \I_SyncBusIn_reg[1] (.QB(net275[13]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[1]), .D(SyncBusIn[1]));
msfns_pcell_13 \I_SyncBusIn_reg[0] (.QB(net275[14]), .CLK(dfs_clk_clkwalk), .Q(SyncBusIn_q[0]), .D(SyncBusIn[0]));
msfns_pcell_13 \I_SyncBusOut_reg[14] (.QB(net287[0]), .CLK(sclk_clkwalk), .Q(net289[0]), .D(net286[0]));
msfns_pcell_13 \I_SyncBusOut_reg[13] (.QB(net287[1]), .CLK(sclk_clkwalk), .Q(net289[1]), .D(net286[1]));
msfns_pcell_13 \I_SyncBusOut_reg[12] (.QB(net287[2]), .CLK(sclk_clkwalk), .Q(net289[2]), .D(net286[2]));
msfns_pcell_13 \I_SyncBusOut_reg[11] (.QB(net287[3]), .CLK(sclk_clkwalk), .Q(net289[3]), .D(net286[3]));
msfns_pcell_13 \I_SyncBusOut_reg[10] (.QB(net287[4]), .CLK(sclk_clkwalk), .Q(net289[4]), .D(net286[4]));
msfns_pcell_13 \I_SyncBusOut_reg[9] (.QB(net287[5]), .CLK(sclk_clkwalk), .Q(net289[5]), .D(net286[5]));
msfns_pcell_13 \I_SyncBusOut_reg[8] (.QB(net287[6]), .CLK(sclk_clkwalk), .Q(net289[6]), .D(net286[6]));
msfns_pcell_13 \I_SyncBusOut_reg[7] (.QB(net287[7]), .CLK(sclk_clkwalk), .Q(net289[7]), .D(net286[7]));
msfns_pcell_13 \I_SyncBusOut_reg[6] (.QB(net287[8]), .CLK(sclk_clkwalk), .Q(net289[8]), .D(net286[8]));
msfns_pcell_13 \I_SyncBusOut_reg[5] (.QB(net287[9]), .CLK(sclk_clkwalk), .Q(net289[9]), .D(net286[9]));
msfns_pcell_13 \I_SyncBusOut_reg[4] (.QB(net287[10]), .CLK(sclk_clkwalk), .Q(net289[10]), .D(net286[10]));
msfns_pcell_13 \I_SyncBusOut_reg[3] (.QB(net287[11]), .CLK(sclk_clkwalk), .Q(net289[11]), .D(net286[11]));
msfns_pcell_13 \I_SyncBusOut_reg[2] (.QB(net287[12]), .CLK(sclk_clkwalk), .Q(net289[12]), .D(net286[12]));
msfns_pcell_13 \I_SyncBusOut_reg[1] (.QB(net287[13]), .CLK(sclk_clkwalk), .Q(net289[13]), .D(net286[13]));
msfns_pcell_13 \I_SyncBusOut_reg[0] (.QB(net287[14]), .CLK(sclk_clkwalk), .Q(net289[14]), .D(net286[14]));
ckbf_pcell_14 I_sel_final_q_dly1 (.CLK(sel_final_q), .Z(sel_final_buf));
ckmux2_pcell_15 I_final_mux (.CLK1(dfs_clk_buf_dly), .Z(sclk_prebuf), .CLK2(clk1_dll_gated), .CLKSEL(sel_final_buf));
tielo_pcell_16 I137 ( .Z(tieLO));
ckmux2_pcell_17 Ickout_mux (.CLK1(ckout_buf_md), .Z(clk1_dll_buf), .CLK2(ckout_buf_ld), .CLKSEL(RESERVE[1]));
bf_pcell_18 U1 ( .A(clk1_dll_en_neg_q), .Z(clk1_dll_en_neg_qd1));
bf_pcell_18 U2 ( .A(clk1_dll_en_neg_qd1), .Z(clk1_dll_en_neg_qd2));
bf_pcell_18 I_sel_final_fbdly (.Z(sel_final_fb), .A(sel_final_q));

`else // RTL Behavioral

//*******************************************
// Output Mux
//*******************************************
reg sel_pos_q;
reg sel_clk0_q;
reg sel_clk0_qq;
reg sel_final;

//always @(posedge dfs_clk)
//   sel_pos_q <= sel;

// Using negedge of clk0 because ck_en0 (part of sel equation) is launched on negedge of ckout_clkpicker.
// This gives more than half cycle for ck_en0 to propagate
// If posedge of clk0 is used, less than half cycles is available
//always @(negedge dfs_clk) begin
//    sel_clk0_q  <= sel_pos_q;
//    sel_clk0_qq <= sel_clk0_q;
//end
//
//always @(negedge ckout_clkpicker or negedge cdc_LDO_EN) begin
//    if (~cdc_LDO_EN)
//        sel_final <= 1'b0;
//    else
//        sel_final <= sel_final ? sel_clk0_qq : sel_clk0_q;
//end

//Replacing the 3 always blocks with post-VRQ code (data+clock xprop)
    always 
    `ifdef XPROP_BOTH_EDGES
        @(dfs_clk) 
    `else
        @(posedge dfs_clk) 
    `endif
    begin
        if(dfs_clk)
            begin
                sel_pos_q <= sel;
            end
        else if(~dfs_clk) ;
        else begin
            sel_pos_q <= 1'hx;
        end
    end

    always 
    `ifdef XPROP_BOTH_EDGES
        @(dfs_clk) 
    `else
        @(negedge dfs_clk) 
    `endif
    begin
        if(~dfs_clk)
            begin
                sel_clk0_q <= sel_pos_q;
                sel_clk0_qq <= sel_clk0_q;
            end
        else if(dfs_clk) ;
        else begin
            sel_clk0_qq <= 1'hx;
            sel_clk0_q <= 1'hx;
        end
    end

    always 
    `ifdef XPROP_BOTH_EDGES
        @(ckout_clkpicker or cdc_LDO_EN) 
    `else
        @(negedge ckout_clkpicker or negedge cdc_LDO_EN) 
    `endif
    begin
        if(~cdc_LDO_EN) begin
            sel_final <= 1'b0;
        end else
            begin
                if(~(~cdc_LDO_EN)) begin
                    if(~ckout_clkpicker)
                        begin
                            sel_final <= sel_final ? sel_clk0_qq : 
                                ~sel_final ? sel_clk0_q : 1'hx;
                        end
                    else if(~(~ckout_clkpicker)) ;
                    else begin
                        sel_final <= 1'hx;
                    end
                end else begin
                    sel_final <= 1'hx;
                end
            end
    end


mbclkds_clkgater I_mbclkds_clkgater (
        .VDD        (VDD),
        .VSS        (VSS),
        .C          (ckout_clkpicker),
        .EN         (sel_clk0_q),  
        .CG         (clk1_gated)
        );

assign #10 sclk = sel_final ? clk1_gated : dfs_clk;


//*******************************************
// Clock Walking
//*******************************************
reg [14:0]  SyncBusIn_q;
reg [14:0]  SyncBusOut;

// Flop SyncBusIn with input clock
always @(posedge dfs_clk)
  begin
    SyncBusIn_q <= SyncBusIn;
  end

// Flop SyncBusIn_q with output clock
always @(posedge sclk)
  begin
    SyncBusOut <= SyncBusIn_q;
  end


`endif //CLKDS_SYNTHESIS

endmodule //mbstretch_outmux_clkwalk

