//                              -*- Mode: Verilog -*-

////////////////////////////////////////////////////////////////////////////
/*
 *
 *  Trade secret of ATI Technologies, Inc.
 *  Copyright 2005, ATI Technologies, Inc., (unpublished)
 *
 *  All rights reserved.  This notice is intended as a precaution against
 *  inadvertent publication and does not imply publication or any waiver
 *  of confidentiality.  The year included in the foregoing notice is the
 *  year of creation of the work.
 *
 */
////////////////////////////////////////////////////////////////////////////
//
// Filename    : mic_fail_statuserve.v
// Description : clock observe
//
////////////////////////////////////////////////////////////////////////////

// MAX allowed SEL_WIDTH = 3.
// ;use comp_config;





module mic_fail_status_gc_dfx1_gc_sp0_t_COMMON_gc10 
(
//Broadcast to All TDRs
 input wire Tdr_Tck,
 input wire Tdr_Trstb,
 input wire Tdr_Shift,
 input wire Tdr_Capture,
 input wire Tdr_Update,
 
 //Tdr
 input wire Tdr_mic_fail_status_Tdi,
 input wire Tdr_mic_fail_status_En,
 output wire Tdr_mic_fail_status_Tdo,
input wire [49:0]Scan_Channel_Out_Fail

);

///////////////////////////////////////////////////////////////////


wire Tdr_mic_fail_status_Tdo_9_Tdi_8 ;

wire Tdr_mic_fail_status_Tdo_8_Tdi_7 ;

wire Tdr_mic_fail_status_Tdo_7_Tdi_6 ;

wire Tdr_mic_fail_status_Tdo_6_Tdi_5 ;

wire Tdr_mic_fail_status_Tdo_5_Tdi_4 ;

wire Tdr_mic_fail_status_Tdo_4_Tdi_3 ;

wire Tdr_mic_fail_status_Tdo_3_Tdi_2 ;

wire Tdr_mic_fail_status_Tdo_2_Tdi_1 ;

wire Tdr_mic_fail_status_Tdo_1_Tdi_0 ;





mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_9 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdi),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[49:45])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_9_Tdi_8)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_8 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_9_Tdi_8),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[44:40])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_8_Tdi_7)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_7 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_8_Tdi_7),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[39:35])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_7_Tdi_6)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_6 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_7_Tdi_6),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[34:30])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_6_Tdi_5)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_5 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_6_Tdi_5),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[29:25])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_5_Tdi_4)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_4 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_5_Tdi_4),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[24:20])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_4_Tdi_3)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_3 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_4_Tdi_3),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[19:15])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_3_Tdi_2)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_2 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_3_Tdi_2),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[14:10])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_2_Tdi_1)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_1 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_2_Tdi_1),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[9:5])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo_1_Tdi_0)
); 






mic_fail_status_tdr_gc10 #(.MIC_FAIL_STATUS_WIDTH(5)) mic_fail_status_tdr_tile_0 ( 

 .Tdr_Tck               (Tdr_Tck) ,
 .Tdr_Trstb             (Tdr_Trstb),
 .Tdr_Tdi               (Tdr_mic_fail_status_Tdo_1_Tdi_0),
 .Tdr_Shift             (Tdr_Shift),
 .Tdr_Capture           (Tdr_Capture),
 .Tdr_Update            (Tdr_Update)
 ,.mic_fail_status                      (Scan_Channel_Out_Fail[4:0])
 ,.Tdr_mic_fail_status_En               (Tdr_mic_fail_status_En)
 ,.Tdr_mic_fail_status_Tdo              (Tdr_mic_fail_status_Tdo)
); 


////////////////////////////////`///////////////////////////////////

            
endmodule
