//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  

//`include "ros_features.vh"



module mic_first_fail_cnt_tdr_gc10 
# (
  parameter MIC_FIRST_FAIL_CNT_WIDTH = 1
  )
( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> MIC_FIRST_FAIL_CNT
 ,input wire [MIC_FIRST_FAIL_CNT_WIDTH-1+1-1:0] mic_first_fail_cnt 
 ,input Tdr_mic_first_fail_cnt_En
 ,output Tdr_mic_first_fail_cnt_Tdo
); // End of Port Declaration

///// START TDR_INST - MIC_FIRST_FAIL_CNT /////

   localparam MIC_FIRST_FAIL_CNT__WIDTH = MIC_FIRST_FAIL_CNT_WIDTH -1+1;
   wire [MIC_FIRST_FAIL_CNT__WIDTH-1:0]	MIC_FIRST_FAIL_CNT;

	 

	//MIC_FIRST_FAIL_CNT - MIC_FIRST_FAIL_CNT_WIDTH - 1:0

   localparam  MIC_FIRST_FAIL_CNT__MSB  = MIC_FIRST_FAIL_CNT__WIDTH - 1;
   localparam  MIC_FIRST_FAIL_CNT__LSB  = 0;
   

    assign  MIC_FIRST_FAIL_CNT
      [MIC_FIRST_FAIL_CNT__MSB :
       MIC_FIRST_FAIL_CNT__LSB] =
       mic_first_fail_cnt[MIC_FIRST_FAIL_CNT__WIDTH-1:0]; 




   test_shift_reg_gc10
     #(MIC_FIRST_FAIL_CNT__WIDTH)
   reg_MIC_FIRST_FAIL_CNT (
                           .clk(Tdr_Tck),
                           .en(Tdr_mic_first_fail_cnt_En),
                           .shift(Tdr_Shift & Tdr_mic_first_fail_cnt_En),
                           .capture(Tdr_Capture & Tdr_mic_first_fail_cnt_En),
                           .q(),
                           .d(MIC_FIRST_FAIL_CNT),
                           .si(Tdr_Tdi),
                           .so(Tdr_mic_first_fail_cnt_Tdo),
                           .q_posedge()
                           );



///// END TDR_INST - MIC_FIRST_FAIL_CNT /////
endmodule

