
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, S1-330 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module mic_observe_tdr_gc10 
# (
   parameter MIC_OBSERVE_WIDTH = 1
     )
  (



//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> MIC_OBSERVE
 ,output wire [MIC_OBSERVE_WIDTH-1+1-1:0] encode_value
 ,input Tdr_mic_observe_En
 ,output Tdr_mic_observe_Tdo
); // End of Port Declaration

///// START TDR_INST - MIC_OBSERVE /////

   localparam MIC_OBSERVE__WIDTH = MIC_OBSERVE_WIDTH-1+1;
   wire [MIC_OBSERVE__WIDTH-1:0]	MIC_OBSERVE;
   wire [MIC_OBSERVE__WIDTH-1:0]	MIC_OBSERVE__DEFAULT;  



	//MIC_OBSERVE - MIC_OBSERVE_WIDTH:1

   localparam  MIC_OBSERVE_ENCODE_VALUE__WIDTH  = MIC_OBSERVE_WIDTH-1+1;
   localparam [MIC_OBSERVE_ENCODE_VALUE__WIDTH-1:0] MIC_OBSERVE_ENCODE_VALUE__DEFAULT  = 'h0;
   

   localparam  MIC_OBSERVE_ENCODE_VALUE__MSB  = MIC_OBSERVE_WIDTH-1;
   localparam  MIC_OBSERVE_ENCODE_VALUE__LSB  = 0;
   

   assign MIC_OBSERVE__DEFAULT
                 [MIC_OBSERVE_ENCODE_VALUE__MSB : 
                  MIC_OBSERVE_ENCODE_VALUE__LSB] =  
		  MIC_OBSERVE_ENCODE_VALUE__DEFAULT;
   

  ati_buffer1 mrk_mic_observe_encode_value[MIC_OBSERVE_ENCODE_VALUE__WIDTH-1:0] 
  (
    .A(MIC_OBSERVE
      [MIC_OBSERVE_ENCODE_VALUE__MSB :
       MIC_OBSERVE_ENCODE_VALUE__LSB
      ]),    
    .Y(encode_value[MIC_OBSERVE_ENCODE_VALUE__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(MIC_OBSERVE__WIDTH)
   reg_MIC_OBSERVE (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_mic_observe_En),
                           .shift(Tdr_Shift & Tdr_mic_observe_En),
                           .capture(Tdr_Capture & Tdr_mic_observe_En),
                           .update(Tdr_Update & Tdr_mic_observe_En),
                           .d_rst(MIC_OBSERVE__DEFAULT),
                           .q(MIC_OBSERVE),
                           .d(MIC_OBSERVE),
                           .si(Tdr_Tdi),
                           .so(Tdr_mic_observe_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - MIC_OBSERVE /////
endmodule
