
// C -> Clock
// R -> Reset
// G -> Gater
//
//
//

module MIC_IP_FLOP_GATED_gc10 #(parameter
  size = 1
)(
  input C,
  input [size-1:0] D,
  input R,
  input G,
  output reg [size-1:0] Q
);
  
// Remove clock gater, convert to re-circulating mux 
// to let synthesis to optimize
//  wire D_latch;
//  wire Q_latch;
//  wire C_gated;


//  assign  D_latch = G|R;
//  // Glitch latch
//  latch_wrapper latch_wrapper(
//                  .CLK(~C),
//                  .D(D_latch),
//                  .Q(Q_latch)
//                  );

//  assign C_gated = C & Q_latch;
  
  // Flop
  always @(posedge C or posedge R) begin
    if(R)
      Q <= {size{1'b0}};      
    else
      if (G) begin
	 Q <= D ;
      end
  end

  
endmodule


