
//----------------------------------------------------------------------------
//
// Author :		 Grant La, N1-500 (Sunnyvale - Yan Dong), 44336 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip-disk3/user/geunla/dfxip4_0_ex1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module misr_setup_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> MISR_SETUP
 ,output wire lbist_en
 ,input Tdr_misr_setup_En
 ,output Tdr_misr_setup_Tdo
); // End of Port Declaration

///// START TDR_INST - MISR_SETUP /////

   localparam MISR_SETUP__WIDTH = 1;
   wire [MISR_SETUP__WIDTH-1:0]	MISR_SETUP;
   wire [MISR_SETUP__WIDTH-1:0]	MISR_SETUP__DEFAULT;  

	//MISR_SETUP - 0:0

   localparam  MISR_SETUP_LBIST_EN__WIDTH  = 1;
   localparam [MISR_SETUP_LBIST_EN__WIDTH-1:0] MISR_SETUP_LBIST_EN__DEFAULT  = 1'h0;
   

   localparam  MISR_SETUP_LBIST_EN__MSB  = 0;
   localparam  MISR_SETUP_LBIST_EN__LSB  = 0;
   

   assign MISR_SETUP__DEFAULT
                 [MISR_SETUP_LBIST_EN__MSB : 
                  MISR_SETUP_LBIST_EN__LSB] =  
		  MISR_SETUP_LBIST_EN__DEFAULT;
   

  ati_buffer1 mrk_misr_setup_lbist_en[MISR_SETUP_LBIST_EN__WIDTH-1:0] 
  (
    .A(MISR_SETUP
      [MISR_SETUP_LBIST_EN__MSB :
       MISR_SETUP_LBIST_EN__LSB
      ]),    
    .Y(lbist_en)
  );





   test_reg_async_rst_gc10
     #(MISR_SETUP__WIDTH)
   reg_MISR_SETUP (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_misr_setup_En),
                           .shift(Tdr_Shift & Tdr_misr_setup_En),
                           .capture(Tdr_Capture & Tdr_misr_setup_En),
                           .update(Tdr_Update & Tdr_misr_setup_En),
                           .d_rst(MISR_SETUP__DEFAULT),
                           .q(MISR_SETUP),
                           .d(MISR_SETUP),
                           .si(Tdr_Tdi),
                           .so(Tdr_misr_setup_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - MISR_SETUP /////
endmodule
