
//----------------------------------------------------------------------------
//
// Author :		 Grant La, N1-500 (Sunnyvale - Yan Dong), 44336 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip-disk3/user/geunla/dfxip4_0_ex1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module misr_status_tdr_gc10 
# (
parameter MISR_SIGNATURE_WIDTH = 1
)
( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> MISR_STATUS
 ,input wire [MISR_SIGNATURE_WIDTH-1:0] lbist_misr_signature
 ,input Tdr_misr_status_En
 ,output Tdr_misr_status_Tdo
); // End of Port Declaration

///// START TDR_INST - MISR_STATUS /////

   localparam MISR_STATUS__WIDTH = MISR_SIGNATURE_WIDTH;
   wire [MISR_STATUS__WIDTH-1:0]	MISR_STATUS;

	//MISR_STATUS - `MISR_SIGNATURE_WIDTH-1:0

   localparam  MISR_STATUS_LBIST_MISR_SIGNATURE__WIDTH  = MISR_SIGNATURE_WIDTH;
   localparam  MISR_STATUS_LBIST_MISR_SIGNATURE__MSB  = MISR_SIGNATURE_WIDTH-1;
   localparam  MISR_STATUS_LBIST_MISR_SIGNATURE__LSB  = 0;
   

    assign  MISR_STATUS
      [MISR_STATUS_LBIST_MISR_SIGNATURE__MSB :
       MISR_STATUS_LBIST_MISR_SIGNATURE__LSB] =
      lbist_misr_signature[MISR_STATUS_LBIST_MISR_SIGNATURE__WIDTH-1:0]; 




   test_shift_reg_gc10
     #(MISR_STATUS__WIDTH)
   reg_MISR_STATUS (
                           .clk(Tdr_Tck),
                           .en(Tdr_misr_status_En),
                           .shift(Tdr_Shift & Tdr_misr_status_En),
                           .capture(Tdr_Capture & Tdr_misr_status_En),
                           .q(),
                           .d(MISR_STATUS),
                           .si(Tdr_Tdi),
                           .so(Tdr_misr_status_Tdo),
                           .q_posedge()
                           );



///// END TDR_INST - MISR_STATUS /////
endmodule
