module pg_ctrl_signal_wrapper (
  // Outputs
  oPWR_MON_rtn_en,
  oPWR_CGPG_rtn_en,
  oBPM_P1_iso_clampn,
  oBPM_P1_scan_iso_clampn,
  oFISO,

  // Inputs
  iPWR_MON_rtn_en,
  iPWR_CGPG_rtn_en,
  iBPM_P1_iso_clampn,
  iBPM_P1_scan_iso_clampn,
  iFISO
);

output              oPWR_MON_rtn_en;
output              oPWR_CGPG_rtn_en;
output              oBPM_P1_iso_clampn;
output              oBPM_P1_scan_iso_clampn;
output              oFISO;

input               iPWR_MON_rtn_en;
input               iPWR_CGPG_rtn_en;
input               iBPM_P1_iso_clampn;
input               iBPM_P1_scan_iso_clampn;
input               iFISO;

ati_buffer0 uPWR_MON_rtn_en         (.A(iPWR_MON_rtn_en),         .Y(oPWR_MON_rtn_en)        );
ati_buffer0 uPWR_CGPG_rtn_en        (.A(iPWR_CGPG_rtn_en),        .Y(oPWR_CGPG_rtn_en)       );
ati_buffer0 uBPM_P1_iso_clampn      (.A(iBPM_P1_iso_clampn),      .Y(oBPM_P1_iso_clampn)     );
ati_buffer0 uBPM_P1_scan_iso_clampn (.A(iBPM_P1_scan_iso_clampn), .Y(oBPM_P1_scan_iso_clampn));
ati_buffer0 uFISO                   (.A(iFISO),                   .Y(oFISO)                  );

endmodule
