
//----------------------------------------------------------------------------
//
// Author :		 Cc Yuan, 01B442 (Shanghai - Scott Liu), 23989 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/gfxip-er01/ccyuan/gfxip_raven1x_tdr/import/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module gfx_pgfsm_setup_tdr ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> GFX_PGFSM_SETUP_CFG
 ,output wire [1-1:0] daughter_override_mode
 ,output wire [1-1:0] daughter_sleep_override_value
 ,output wire [1-1:0] disableisocg
 ,output wire [1-1:0] disablerefclkcg
 ,output wire [1-1:0] iso_clampn_override_value
 ,output wire [1-1:0] isolation_override_mode
 ,output wire [1-1:0] mem_power_control_override_mode
 ,output wire [1-1:0] mem_power_control_sd_override_mode
 ,output wire [1-1:0] mem_power_ctrl_ds
 ,output wire [1-1:0] mem_power_ctrl_ip_ds
 ,output wire [1-1:0] mem_power_ctrl_ip_sd
 ,output wire [1-1:0] mem_power_ctrl_ls
 ,output wire [1-1:0] mem_power_ctrl_sd
 ,output wire [1-1:0] mother_override_mode
 ,output wire [1-1:0] mother_sleep_override_value
 ,output wire [1-1:0] pfh_resetb_override_value
 ,output wire [1-1:0] resetb_override_value
 ,output wire [1-1:0] resets_override_mode
 ,output wire [1-1:0] scan_enable
 ,output wire [1-1:0] scan_iso_clampn_override_value
 ,output wire [1-1:0] scan_iso_override_mode
 ,output wire [1-1:0] scandump_mode
 ,input Tdr_gfx_pgfsm_setup_cfg_En
 ,output Tdr_gfx_pgfsm_setup_cfg_Tdo
); // End of Port Declaration

///// START TDR_INST - GFX_PGFSM_SETUP_CFG /////

   localparam GFX_PGFSM_SETUP_CFG__WIDTH = 22;
   wire [GFX_PGFSM_SETUP_CFG__WIDTH-1:0]	GFX_PGFSM_SETUP_CFG;
   wire [GFX_PGFSM_SETUP_CFG__WIDTH-1:0]	GFX_PGFSM_SETUP_CFG__DEFAULT;  

	//GFX_PGFSM_SETUP_CFG - 2:2

   localparam  GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__MSB  = 2;
   localparam  GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__LSB  = 2;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_daughter_override_mode[GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__LSB
      ]),    
    .Y(daughter_override_mode[GFX_PGFSM_SETUP_CFG_DAUGHTER_OVERRIDE_MODE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 9:9

   localparam  GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__MSB  = 9;
   localparam  GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__LSB  = 9;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__MSB : 
                  GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_daughter_sleep_override_value[GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__MSB :
       GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__LSB
      ]),    
    .Y(daughter_sleep_override_value[GFX_PGFSM_SETUP_CFG_DAUGHTER_SLEEP_OVERRIDE_VALUE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 13:13

   localparam  GFX_PGFSM_SETUP_CFG_DISABLEISOCG__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_DISABLEISOCG__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_DISABLEISOCG__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_DISABLEISOCG__MSB  = 13;
   localparam  GFX_PGFSM_SETUP_CFG_DISABLEISOCG__LSB  = 13;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_DISABLEISOCG__MSB : 
                  GFX_PGFSM_SETUP_CFG_DISABLEISOCG__LSB] =  
		  GFX_PGFSM_SETUP_CFG_DISABLEISOCG__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_disableisocg[GFX_PGFSM_SETUP_CFG_DISABLEISOCG__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_DISABLEISOCG__MSB :
       GFX_PGFSM_SETUP_CFG_DISABLEISOCG__LSB
      ]),    
    .Y(disableisocg[GFX_PGFSM_SETUP_CFG_DISABLEISOCG__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 14:14

   localparam  GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__MSB  = 14;
   localparam  GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__LSB  = 14;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__MSB : 
                  GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__LSB] =  
		  GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_disablerefclkcg[GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__MSB :
       GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__LSB
      ]),    
    .Y(disablerefclkcg[GFX_PGFSM_SETUP_CFG_DISABLEREFCLKCG__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 10:10

   localparam  GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__MSB  = 10;
   localparam  GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__LSB  = 10;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__MSB : 
                  GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_iso_clampn_override_value[GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__MSB :
       GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__LSB
      ]),    
    .Y(iso_clampn_override_value[GFX_PGFSM_SETUP_CFG_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 3:3

   localparam  GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__MSB  = 3;
   localparam  GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__LSB  = 3;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_isolation_override_mode[GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__LSB
      ]),    
    .Y(isolation_override_mode[GFX_PGFSM_SETUP_CFG_ISOLATION_OVERRIDE_MODE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 6:6

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__MSB  = 6;
   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__LSB  = 6;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mem_power_control_override_mode[GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__LSB
      ]),    
    .Y(mem_power_control_override_mode[GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_OVERRIDE_MODE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 7:7

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__MSB  = 7;
   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__LSB  = 7;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mem_power_control_sd_override_mode[GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__LSB
      ]),    
    .Y(mem_power_control_sd_override_mode[GFX_PGFSM_SETUP_CFG_MEM_POWER_CONTROL_SD_OVERRIDE_MODE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 18:18

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__MSB  = 18;
   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__LSB  = 18;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__MSB : 
                  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mem_power_ctrl_ds[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__MSB :
       GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__LSB
      ]),    
    .Y(mem_power_ctrl_ds[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_DS__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 20:20

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__MSB  = 20;
   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__LSB  = 20;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__MSB : 
                  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mem_power_ctrl_ip_ds[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__MSB :
       GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__LSB
      ]),    
    .Y(mem_power_ctrl_ip_ds[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_DS__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 21:21

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__MSB  = 21;
   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__LSB  = 21;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__MSB : 
                  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mem_power_ctrl_ip_sd[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__MSB :
       GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__LSB
      ]),    
    .Y(mem_power_ctrl_ip_sd[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_IP_SD__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 17:17

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__MSB  = 17;
   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__LSB  = 17;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__MSB : 
                  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mem_power_ctrl_ls[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__MSB :
       GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__LSB
      ]),    
    .Y(mem_power_ctrl_ls[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_LS__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 19:19

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__MSB  = 19;
   localparam  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__LSB  = 19;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__MSB : 
                  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mem_power_ctrl_sd[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__MSB :
       GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__LSB
      ]),    
    .Y(mem_power_ctrl_sd[GFX_PGFSM_SETUP_CFG_MEM_POWER_CTRL_SD__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 1:1

   localparam  GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__MSB  = 1;
   localparam  GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__LSB  = 1;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mother_override_mode[GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__LSB
      ]),    
    .Y(mother_override_mode[GFX_PGFSM_SETUP_CFG_MOTHER_OVERRIDE_MODE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 8:8

   localparam  GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__MSB  = 8;
   localparam  GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__LSB  = 8;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__MSB : 
                  GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_mother_sleep_override_value[GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__MSB :
       GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__LSB
      ]),    
    .Y(mother_sleep_override_value[GFX_PGFSM_SETUP_CFG_MOTHER_SLEEP_OVERRIDE_VALUE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 15:15

   localparam  GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__MSB  = 15;
   localparam  GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__LSB  = 15;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__MSB : 
                  GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_pfh_resetb_override_value[GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__MSB :
       GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__LSB
      ]),    
    .Y(pfh_resetb_override_value[GFX_PGFSM_SETUP_CFG_PFH_RESETB_OVERRIDE_VALUE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 12:12

   localparam  GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__MSB  = 12;
   localparam  GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__LSB  = 12;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__MSB : 
                  GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_resetb_override_value[GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__MSB :
       GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__LSB
      ]),    
    .Y(resetb_override_value[GFX_PGFSM_SETUP_CFG_RESETB_OVERRIDE_VALUE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 5:5

   localparam  GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__MSB  = 5;
   localparam  GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__LSB  = 5;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_resets_override_mode[GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__LSB
      ]),    
    .Y(resets_override_mode[GFX_PGFSM_SETUP_CFG_RESETS_OVERRIDE_MODE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 0:0

   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__MSB  = 0;
   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__LSB  = 0;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__MSB : 
                  GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_scan_enable[GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__MSB :
       GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__LSB
      ]),    
    .Y(scan_enable[GFX_PGFSM_SETUP_CFG_SCAN_ENABLE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 11:11

   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__MSB  = 11;
   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__LSB  = 11;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__MSB : 
                  GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_scan_iso_clampn_override_value[GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__MSB :
       GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__LSB
      ]),    
    .Y(scan_iso_clampn_override_value[GFX_PGFSM_SETUP_CFG_SCAN_ISO_CLAMPN_OVERRIDE_VALUE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 4:4

   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__MSB  = 4;
   localparam  GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__LSB  = 4;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_scan_iso_override_mode[GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__LSB
      ]),    
    .Y(scan_iso_override_mode[GFX_PGFSM_SETUP_CFG_SCAN_ISO_OVERRIDE_MODE__WIDTH-1:0])
  );


	//GFX_PGFSM_SETUP_CFG - 16:16

   localparam  GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__WIDTH  = 1;
   localparam [GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__WIDTH-1:0] GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__DEFAULT  = 1'h0;
   

   localparam  GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__MSB  = 16;
   localparam  GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__LSB  = 16;
   

   assign GFX_PGFSM_SETUP_CFG__DEFAULT
                 [GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__MSB : 
                  GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__LSB] =  
		  GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__DEFAULT;
   

  ati_buffer1 mrk_gfx_pgfsm_setup_cfg_scandump_mode[GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__WIDTH-1:0] 
  (
    .A(GFX_PGFSM_SETUP_CFG
      [GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__MSB :
       GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__LSB
      ]),    
    .Y(scandump_mode[GFX_PGFSM_SETUP_CFG_SCANDUMP_MODE__WIDTH-1:0])
  );





   test_reg_async_rst
     #(GFX_PGFSM_SETUP_CFG__WIDTH)
   reg_GFX_PGFSM_SETUP_CFG (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_gfx_pgfsm_setup_cfg_En),
                           .shift(Tdr_Shift & Tdr_gfx_pgfsm_setup_cfg_En),
                           .capture(Tdr_Capture & Tdr_gfx_pgfsm_setup_cfg_En),
                           .update(Tdr_Update & Tdr_gfx_pgfsm_setup_cfg_En),
                           .d_rst(GFX_PGFSM_SETUP_CFG__DEFAULT),
                           .q(GFX_PGFSM_SETUP_CFG),
                           .d(GFX_PGFSM_SETUP_CFG),
                           .si(Tdr_Tdi),
                           .so(Tdr_gfx_pgfsm_setup_cfg_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - GFX_PGFSM_SETUP_CFG /////
endmodule
