module ls_sel(
    ls_out,
    ls_in,
    ls_in_ip
);
    
    output ls_out;
    input ls_in, ls_in_ip;
    
    assign ls_out = ls_in | ls_in_ip;

endmodule


module ds_sd_sel(
    ds_out,
    sd_out,
    tdr_en,
    ds_in,
    ds_in_ip,
    ds_in_tdr,
    sd_in,
    sd_in_ip,
    sd_in_tdr
);

    output ds_out, sd_out;
    input tdr_en;
    input ds_in, ds_in_ip, ds_in_tdr;
    input sd_in, sd_in_ip, sd_in_tdr;

    assign ds_out = (tdr_en == 1'b1) ? ds_in_tdr : (ds_in | ds_in_ip);
    assign sd_out = (tdr_en == 1'b1) ? sd_in_tdr : (sd_in | sd_in_ip);

endmodule
