
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/dfxsip/user/npatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  
//`include "ros_cntl_features.vh"


module ros_cntl_counter_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> ROS_CNTL_COUNTER
 ,output wire [8-1-0+1-1:0] rosen_counter
 ,input Tdr_ros_cntl_counter_En
 ,output Tdr_ros_cntl_counter_Tdo
); // End of Port Declaration

///// START TDR_INST - ROS_CNTL_COUNTER /////

   localparam ROS_CNTL_COUNTER__WIDTH = 8-1-0+1+0;
   wire [ROS_CNTL_COUNTER__WIDTH-1:0]	ROS_CNTL_COUNTER;
   wire [ROS_CNTL_COUNTER__WIDTH-1:0]	ROS_CNTL_COUNTER__DEFAULT;  

	//ROS_CNTL_COUNTER - 8-1:0

   localparam  ROS_CNTL_COUNTER_ROSEN_COUNTER__WIDTH  = 8-1-0+1;
   localparam [ROS_CNTL_COUNTER_ROSEN_COUNTER__WIDTH-1:0] ROS_CNTL_COUNTER_ROSEN_COUNTER__DEFAULT  = 'h4;
   

   localparam  ROS_CNTL_COUNTER_ROSEN_COUNTER__MSB  = 8-1;
   localparam  ROS_CNTL_COUNTER_ROSEN_COUNTER__LSB  = 0;
   

   assign ROS_CNTL_COUNTER__DEFAULT
                 [ROS_CNTL_COUNTER_ROSEN_COUNTER__MSB : 
                  ROS_CNTL_COUNTER_ROSEN_COUNTER__LSB] =  
		  ROS_CNTL_COUNTER_ROSEN_COUNTER__DEFAULT;
   

  ati_buffer1 mrk_ros_cntl_counter_rosen_counter[ROS_CNTL_COUNTER_ROSEN_COUNTER__WIDTH-1:0] 
  (
    .A(ROS_CNTL_COUNTER
      [ROS_CNTL_COUNTER_ROSEN_COUNTER__MSB :
       ROS_CNTL_COUNTER_ROSEN_COUNTER__LSB
      ]),    
    .Y(rosen_counter[ROS_CNTL_COUNTER_ROSEN_COUNTER__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(ROS_CNTL_COUNTER__WIDTH)
   reg_ROS_CNTL_COUNTER (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_ros_cntl_counter_En),
                           .shift(Tdr_Shift & Tdr_ros_cntl_counter_En),
                           .capture(Tdr_Capture & Tdr_ros_cntl_counter_En),
                           .update(Tdr_Update & Tdr_ros_cntl_counter_En),
                           .d_rst(ROS_CNTL_COUNTER__DEFAULT),
                           .q(ROS_CNTL_COUNTER),
                           .d(ROS_CNTL_COUNTER),
                           .si(Tdr_Tdi),
                           .so(Tdr_ros_cntl_counter_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - ROS_CNTL_COUNTER /////
endmodule
