
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree2/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module scan_setup_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> SCAN_SETUP
 ,output wire [1-1:0] byp_scm_seg_condition_override
 ,output wire [2-1:0] cap_disable
 ,output wire [1-1:0] dm0
 ,output wire [1-1:0] dm1
 ,output wire [1-1:0] dm2
 ,output wire [1-1:0] edt_bypass
 ,output wire [1-1:0] edt_update_sel
 ,output wire [1-1:0] extest_mode
 ,output wire [1-1:0] gater_table_mode
 ,output wire [1-1:0] los_sel
 ,output wire [1-1:0] low_power_edt
 ,output wire [1-1:0] pipe_en
 ,output wire [1-1:0] scan_en_cp_override
 ,output wire [1-1:0] scan_en_ip_override
 ,output wire [1-1:0] scan_en_op_override
 ,output wire [1-1:0] scan_mode
 ,output wire [1-1:0] scm_mode
 ,output wire [1-1:0] se_sel
 ,output wire [1-1:0] shift_clk_stop
 ,output wire [1-1:0] stuck_at_mode
 ,output wire [1-1:0] test_clk_en
 ,output wire [1-1:0] test_clk_en_sel
 ,input Tdr_scan_setup_En
 ,output Tdr_scan_setup_Tdo
); // End of Port Declaration

///// START TDR_INST - SCAN_SETUP /////

   localparam SCAN_SETUP__WIDTH = 23;
   wire [SCAN_SETUP__WIDTH-1:0]	SCAN_SETUP;
   wire [SCAN_SETUP__WIDTH-1:0]	SCAN_SETUP__DEFAULT;  

	//SCAN_SETUP - 16:16

   localparam  SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__WIDTH  = 1;
   localparam [SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__WIDTH-1:0] SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__MSB  = 16;
   localparam  SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__LSB  = 16;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__MSB : 
                  SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__LSB] =  
		  SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_byp_scm_seg_condition_override[SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__MSB :
       SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__LSB
      ]),    
    .Y(byp_scm_seg_condition_override[SCAN_SETUP_BYP_SCM_SEG_CONDITION_OVERRIDE__WIDTH-1:0])
  );


	//SCAN_SETUP - 22:21

   localparam  SCAN_SETUP_CAP_DISABLE__WIDTH  = 2;
   localparam [SCAN_SETUP_CAP_DISABLE__WIDTH-1:0] SCAN_SETUP_CAP_DISABLE__DEFAULT  = 2'h0;
   

   localparam  SCAN_SETUP_CAP_DISABLE__MSB  = 22;
   localparam  SCAN_SETUP_CAP_DISABLE__LSB  = 21;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_CAP_DISABLE__MSB : 
                  SCAN_SETUP_CAP_DISABLE__LSB] =  
		  SCAN_SETUP_CAP_DISABLE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_cap_disable[SCAN_SETUP_CAP_DISABLE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_CAP_DISABLE__MSB :
       SCAN_SETUP_CAP_DISABLE__LSB
      ]),    
    .Y(cap_disable[SCAN_SETUP_CAP_DISABLE__WIDTH-1:0])
  );


	//SCAN_SETUP - 10:10

   localparam  SCAN_SETUP_DM0__WIDTH  = 1;
   localparam [SCAN_SETUP_DM0__WIDTH-1:0] SCAN_SETUP_DM0__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_DM0__MSB  = 10;
   localparam  SCAN_SETUP_DM0__LSB  = 10;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_DM0__MSB : 
                  SCAN_SETUP_DM0__LSB] =  
		  SCAN_SETUP_DM0__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_dm0[SCAN_SETUP_DM0__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_DM0__MSB :
       SCAN_SETUP_DM0__LSB
      ]),    
    .Y(dm0[SCAN_SETUP_DM0__WIDTH-1:0])
  );


	//SCAN_SETUP - 11:11

   localparam  SCAN_SETUP_DM1__WIDTH  = 1;
   localparam [SCAN_SETUP_DM1__WIDTH-1:0] SCAN_SETUP_DM1__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_DM1__MSB  = 11;
   localparam  SCAN_SETUP_DM1__LSB  = 11;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_DM1__MSB : 
                  SCAN_SETUP_DM1__LSB] =  
		  SCAN_SETUP_DM1__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_dm1[SCAN_SETUP_DM1__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_DM1__MSB :
       SCAN_SETUP_DM1__LSB
      ]),    
    .Y(dm1[SCAN_SETUP_DM1__WIDTH-1:0])
  );


	//SCAN_SETUP - 12:12

   localparam  SCAN_SETUP_DM2__WIDTH  = 1;
   localparam [SCAN_SETUP_DM2__WIDTH-1:0] SCAN_SETUP_DM2__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_DM2__MSB  = 12;
   localparam  SCAN_SETUP_DM2__LSB  = 12;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_DM2__MSB : 
                  SCAN_SETUP_DM2__LSB] =  
		  SCAN_SETUP_DM2__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_dm2[SCAN_SETUP_DM2__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_DM2__MSB :
       SCAN_SETUP_DM2__LSB
      ]),    
    .Y(dm2[SCAN_SETUP_DM2__WIDTH-1:0])
  );


	//SCAN_SETUP - 13:13

   localparam  SCAN_SETUP_EDT_BYPASS__WIDTH  = 1;
   localparam [SCAN_SETUP_EDT_BYPASS__WIDTH-1:0] SCAN_SETUP_EDT_BYPASS__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_EDT_BYPASS__MSB  = 13;
   localparam  SCAN_SETUP_EDT_BYPASS__LSB  = 13;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_EDT_BYPASS__MSB : 
                  SCAN_SETUP_EDT_BYPASS__LSB] =  
		  SCAN_SETUP_EDT_BYPASS__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_edt_bypass[SCAN_SETUP_EDT_BYPASS__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_EDT_BYPASS__MSB :
       SCAN_SETUP_EDT_BYPASS__LSB
      ]),    
    .Y(edt_bypass[SCAN_SETUP_EDT_BYPASS__WIDTH-1:0])
  );


	//SCAN_SETUP - 9:9

   localparam  SCAN_SETUP_EDT_UPDATE_SEL__WIDTH  = 1;
   localparam [SCAN_SETUP_EDT_UPDATE_SEL__WIDTH-1:0] SCAN_SETUP_EDT_UPDATE_SEL__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_EDT_UPDATE_SEL__MSB  = 9;
   localparam  SCAN_SETUP_EDT_UPDATE_SEL__LSB  = 9;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_EDT_UPDATE_SEL__MSB : 
                  SCAN_SETUP_EDT_UPDATE_SEL__LSB] =  
		  SCAN_SETUP_EDT_UPDATE_SEL__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_edt_update_sel[SCAN_SETUP_EDT_UPDATE_SEL__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_EDT_UPDATE_SEL__MSB :
       SCAN_SETUP_EDT_UPDATE_SEL__LSB
      ]),    
    .Y(edt_update_sel[SCAN_SETUP_EDT_UPDATE_SEL__WIDTH-1:0])
  );


	//SCAN_SETUP - 2:2

   localparam  SCAN_SETUP_EXTEST_MODE__WIDTH  = 1;
   localparam [SCAN_SETUP_EXTEST_MODE__WIDTH-1:0] SCAN_SETUP_EXTEST_MODE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_EXTEST_MODE__MSB  = 2;
   localparam  SCAN_SETUP_EXTEST_MODE__LSB  = 2;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_EXTEST_MODE__MSB : 
                  SCAN_SETUP_EXTEST_MODE__LSB] =  
		  SCAN_SETUP_EXTEST_MODE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_extest_mode[SCAN_SETUP_EXTEST_MODE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_EXTEST_MODE__MSB :
       SCAN_SETUP_EXTEST_MODE__LSB
      ]),    
    .Y(extest_mode[SCAN_SETUP_EXTEST_MODE__WIDTH-1:0])
  );


	//SCAN_SETUP - 19:19

   localparam  SCAN_SETUP_GATER_TABLE_MODE__WIDTH  = 1;
   localparam [SCAN_SETUP_GATER_TABLE_MODE__WIDTH-1:0] SCAN_SETUP_GATER_TABLE_MODE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_GATER_TABLE_MODE__MSB  = 19;
   localparam  SCAN_SETUP_GATER_TABLE_MODE__LSB  = 19;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_GATER_TABLE_MODE__MSB : 
                  SCAN_SETUP_GATER_TABLE_MODE__LSB] =  
		  SCAN_SETUP_GATER_TABLE_MODE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_gater_table_mode[SCAN_SETUP_GATER_TABLE_MODE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_GATER_TABLE_MODE__MSB :
       SCAN_SETUP_GATER_TABLE_MODE__LSB
      ]),    
    .Y(gater_table_mode[SCAN_SETUP_GATER_TABLE_MODE__WIDTH-1:0])
  );


	//SCAN_SETUP - 7:7

   localparam  SCAN_SETUP_LOS_SEL__WIDTH  = 1;
   localparam [SCAN_SETUP_LOS_SEL__WIDTH-1:0] SCAN_SETUP_LOS_SEL__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_LOS_SEL__MSB  = 7;
   localparam  SCAN_SETUP_LOS_SEL__LSB  = 7;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_LOS_SEL__MSB : 
                  SCAN_SETUP_LOS_SEL__LSB] =  
		  SCAN_SETUP_LOS_SEL__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_los_sel[SCAN_SETUP_LOS_SEL__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_LOS_SEL__MSB :
       SCAN_SETUP_LOS_SEL__LSB
      ]),    
    .Y(los_sel[SCAN_SETUP_LOS_SEL__WIDTH-1:0])
  );


	//SCAN_SETUP - 8:8

   localparam  SCAN_SETUP_LOW_POWER_EDT__WIDTH  = 1;
   localparam [SCAN_SETUP_LOW_POWER_EDT__WIDTH-1:0] SCAN_SETUP_LOW_POWER_EDT__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_LOW_POWER_EDT__MSB  = 8;
   localparam  SCAN_SETUP_LOW_POWER_EDT__LSB  = 8;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_LOW_POWER_EDT__MSB : 
                  SCAN_SETUP_LOW_POWER_EDT__LSB] =  
		  SCAN_SETUP_LOW_POWER_EDT__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_low_power_edt[SCAN_SETUP_LOW_POWER_EDT__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_LOW_POWER_EDT__MSB :
       SCAN_SETUP_LOW_POWER_EDT__LSB
      ]),    
    .Y(low_power_edt[SCAN_SETUP_LOW_POWER_EDT__WIDTH-1:0])
  );


	//SCAN_SETUP - 3:3

   localparam  SCAN_SETUP_PIPE_EN__WIDTH  = 1;
   localparam [SCAN_SETUP_PIPE_EN__WIDTH-1:0] SCAN_SETUP_PIPE_EN__DEFAULT  = 1'h1;
   

   localparam  SCAN_SETUP_PIPE_EN__MSB  = 3;
   localparam  SCAN_SETUP_PIPE_EN__LSB  = 3;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_PIPE_EN__MSB : 
                  SCAN_SETUP_PIPE_EN__LSB] =  
		  SCAN_SETUP_PIPE_EN__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_pipe_en[SCAN_SETUP_PIPE_EN__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_PIPE_EN__MSB :
       SCAN_SETUP_PIPE_EN__LSB
      ]),    
    .Y(pipe_en[SCAN_SETUP_PIPE_EN__WIDTH-1:0])
  );


	//SCAN_SETUP - 6:6

   localparam  SCAN_SETUP_SCAN_EN_CP_OVERRIDE__WIDTH  = 1;
   localparam [SCAN_SETUP_SCAN_EN_CP_OVERRIDE__WIDTH-1:0] SCAN_SETUP_SCAN_EN_CP_OVERRIDE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_SCAN_EN_CP_OVERRIDE__MSB  = 6;
   localparam  SCAN_SETUP_SCAN_EN_CP_OVERRIDE__LSB  = 6;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_SCAN_EN_CP_OVERRIDE__MSB : 
                  SCAN_SETUP_SCAN_EN_CP_OVERRIDE__LSB] =  
		  SCAN_SETUP_SCAN_EN_CP_OVERRIDE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_scan_en_cp_override[SCAN_SETUP_SCAN_EN_CP_OVERRIDE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_SCAN_EN_CP_OVERRIDE__MSB :
       SCAN_SETUP_SCAN_EN_CP_OVERRIDE__LSB
      ]),    
    .Y(scan_en_cp_override[SCAN_SETUP_SCAN_EN_CP_OVERRIDE__WIDTH-1:0])
  );


	//SCAN_SETUP - 4:4

   localparam  SCAN_SETUP_SCAN_EN_IP_OVERRIDE__WIDTH  = 1;
   localparam [SCAN_SETUP_SCAN_EN_IP_OVERRIDE__WIDTH-1:0] SCAN_SETUP_SCAN_EN_IP_OVERRIDE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_SCAN_EN_IP_OVERRIDE__MSB  = 4;
   localparam  SCAN_SETUP_SCAN_EN_IP_OVERRIDE__LSB  = 4;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_SCAN_EN_IP_OVERRIDE__MSB : 
                  SCAN_SETUP_SCAN_EN_IP_OVERRIDE__LSB] =  
		  SCAN_SETUP_SCAN_EN_IP_OVERRIDE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_scan_en_ip_override[SCAN_SETUP_SCAN_EN_IP_OVERRIDE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_SCAN_EN_IP_OVERRIDE__MSB :
       SCAN_SETUP_SCAN_EN_IP_OVERRIDE__LSB
      ]),    
    .Y(scan_en_ip_override[SCAN_SETUP_SCAN_EN_IP_OVERRIDE__WIDTH-1:0])
  );


	//SCAN_SETUP - 5:5

   localparam  SCAN_SETUP_SCAN_EN_OP_OVERRIDE__WIDTH  = 1;
   localparam [SCAN_SETUP_SCAN_EN_OP_OVERRIDE__WIDTH-1:0] SCAN_SETUP_SCAN_EN_OP_OVERRIDE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_SCAN_EN_OP_OVERRIDE__MSB  = 5;
   localparam  SCAN_SETUP_SCAN_EN_OP_OVERRIDE__LSB  = 5;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_SCAN_EN_OP_OVERRIDE__MSB : 
                  SCAN_SETUP_SCAN_EN_OP_OVERRIDE__LSB] =  
		  SCAN_SETUP_SCAN_EN_OP_OVERRIDE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_scan_en_op_override[SCAN_SETUP_SCAN_EN_OP_OVERRIDE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_SCAN_EN_OP_OVERRIDE__MSB :
       SCAN_SETUP_SCAN_EN_OP_OVERRIDE__LSB
      ]),    
    .Y(scan_en_op_override[SCAN_SETUP_SCAN_EN_OP_OVERRIDE__WIDTH-1:0])
  );


	//SCAN_SETUP - 0:0

   localparam  SCAN_SETUP_SCAN_MODE__WIDTH  = 1;
   localparam [SCAN_SETUP_SCAN_MODE__WIDTH-1:0] SCAN_SETUP_SCAN_MODE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_SCAN_MODE__MSB  = 0;
   localparam  SCAN_SETUP_SCAN_MODE__LSB  = 0;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_SCAN_MODE__MSB : 
                  SCAN_SETUP_SCAN_MODE__LSB] =  
		  SCAN_SETUP_SCAN_MODE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_scan_mode[SCAN_SETUP_SCAN_MODE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_SCAN_MODE__MSB :
       SCAN_SETUP_SCAN_MODE__LSB
      ]),    
    .Y(scan_mode[SCAN_SETUP_SCAN_MODE__WIDTH-1:0])
  );


	//SCAN_SETUP - 1:1

   localparam  SCAN_SETUP_SCM_MODE__WIDTH  = 1;
   localparam [SCAN_SETUP_SCM_MODE__WIDTH-1:0] SCAN_SETUP_SCM_MODE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_SCM_MODE__MSB  = 1;
   localparam  SCAN_SETUP_SCM_MODE__LSB  = 1;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_SCM_MODE__MSB : 
                  SCAN_SETUP_SCM_MODE__LSB] =  
		  SCAN_SETUP_SCM_MODE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_scm_mode[SCAN_SETUP_SCM_MODE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_SCM_MODE__MSB :
       SCAN_SETUP_SCM_MODE__LSB
      ]),    
    .Y(scm_mode[SCAN_SETUP_SCM_MODE__WIDTH-1:0])
  );


	//SCAN_SETUP - 17:17

   localparam  SCAN_SETUP_SE_SEL__WIDTH  = 1;
   localparam [SCAN_SETUP_SE_SEL__WIDTH-1:0] SCAN_SETUP_SE_SEL__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_SE_SEL__MSB  = 17;
   localparam  SCAN_SETUP_SE_SEL__LSB  = 17;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_SE_SEL__MSB : 
                  SCAN_SETUP_SE_SEL__LSB] =  
		  SCAN_SETUP_SE_SEL__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_se_sel[SCAN_SETUP_SE_SEL__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_SE_SEL__MSB :
       SCAN_SETUP_SE_SEL__LSB
      ]),    
    .Y(se_sel[SCAN_SETUP_SE_SEL__WIDTH-1:0])
  );


	//SCAN_SETUP - 20:20

   localparam  SCAN_SETUP_SHIFT_CLK_STOP__WIDTH  = 1;
   localparam [SCAN_SETUP_SHIFT_CLK_STOP__WIDTH-1:0] SCAN_SETUP_SHIFT_CLK_STOP__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_SHIFT_CLK_STOP__MSB  = 20;
   localparam  SCAN_SETUP_SHIFT_CLK_STOP__LSB  = 20;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_SHIFT_CLK_STOP__MSB : 
                  SCAN_SETUP_SHIFT_CLK_STOP__LSB] =  
		  SCAN_SETUP_SHIFT_CLK_STOP__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_shift_clk_stop[SCAN_SETUP_SHIFT_CLK_STOP__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_SHIFT_CLK_STOP__MSB :
       SCAN_SETUP_SHIFT_CLK_STOP__LSB
      ]),    
    .Y(shift_clk_stop[SCAN_SETUP_SHIFT_CLK_STOP__WIDTH-1:0])
  );


	//SCAN_SETUP - 18:18

   localparam  SCAN_SETUP_STUCK_AT_MODE__WIDTH  = 1;
   localparam [SCAN_SETUP_STUCK_AT_MODE__WIDTH-1:0] SCAN_SETUP_STUCK_AT_MODE__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_STUCK_AT_MODE__MSB  = 18;
   localparam  SCAN_SETUP_STUCK_AT_MODE__LSB  = 18;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_STUCK_AT_MODE__MSB : 
                  SCAN_SETUP_STUCK_AT_MODE__LSB] =  
		  SCAN_SETUP_STUCK_AT_MODE__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_stuck_at_mode[SCAN_SETUP_STUCK_AT_MODE__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_STUCK_AT_MODE__MSB :
       SCAN_SETUP_STUCK_AT_MODE__LSB
      ]),    
    .Y(stuck_at_mode[SCAN_SETUP_STUCK_AT_MODE__WIDTH-1:0])
  );


	//SCAN_SETUP - 15:15

   localparam  SCAN_SETUP_TEST_CLK_EN__WIDTH  = 1;
   localparam [SCAN_SETUP_TEST_CLK_EN__WIDTH-1:0] SCAN_SETUP_TEST_CLK_EN__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_TEST_CLK_EN__MSB  = 15;
   localparam  SCAN_SETUP_TEST_CLK_EN__LSB  = 15;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_TEST_CLK_EN__MSB : 
                  SCAN_SETUP_TEST_CLK_EN__LSB] =  
		  SCAN_SETUP_TEST_CLK_EN__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_test_clk_en[SCAN_SETUP_TEST_CLK_EN__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_TEST_CLK_EN__MSB :
       SCAN_SETUP_TEST_CLK_EN__LSB
      ]),    
    .Y(test_clk_en[SCAN_SETUP_TEST_CLK_EN__WIDTH-1:0])
  );


	//SCAN_SETUP - 14:14

   localparam  SCAN_SETUP_TEST_CLK_EN_SEL__WIDTH  = 1;
   localparam [SCAN_SETUP_TEST_CLK_EN_SEL__WIDTH-1:0] SCAN_SETUP_TEST_CLK_EN_SEL__DEFAULT  = 1'h0;
   

   localparam  SCAN_SETUP_TEST_CLK_EN_SEL__MSB  = 14;
   localparam  SCAN_SETUP_TEST_CLK_EN_SEL__LSB  = 14;
   

   assign SCAN_SETUP__DEFAULT
                 [SCAN_SETUP_TEST_CLK_EN_SEL__MSB : 
                  SCAN_SETUP_TEST_CLK_EN_SEL__LSB] =  
		  SCAN_SETUP_TEST_CLK_EN_SEL__DEFAULT;
   

  ati_buffer1 mrk_scan_setup_test_clk_en_sel[SCAN_SETUP_TEST_CLK_EN_SEL__WIDTH-1:0] 
  (
    .A(SCAN_SETUP
      [SCAN_SETUP_TEST_CLK_EN_SEL__MSB :
       SCAN_SETUP_TEST_CLK_EN_SEL__LSB
      ]),    
    .Y(test_clk_en_sel[SCAN_SETUP_TEST_CLK_EN_SEL__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(SCAN_SETUP__WIDTH)
   reg_SCAN_SETUP (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_scan_setup_En),
                           .shift(Tdr_Shift & Tdr_scan_setup_En),
                           .capture(Tdr_Capture & Tdr_scan_setup_En),
                           .update(Tdr_Update & Tdr_scan_setup_En),
                           .d_rst(SCAN_SETUP__DEFAULT),
                           .q(SCAN_SETUP),
                           .d(SCAN_SETUP),
                           .si(Tdr_Tdi),
                           .so(Tdr_scan_setup_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - SCAN_SETUP /////
endmodule
