
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  
//`include "scan_cntl_features.vh"


module shift_cnt_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> SHIFT_CNT
 ,output wire [16-1:0] shift_cnt
 ,input Tdr_shift_cnt_En
 ,output Tdr_shift_cnt_Tdo
); // End of Port Declaration

///// START TDR_INST - SHIFT_CNT /////

   localparam SHIFT_CNT__WIDTH = 16+0;
   wire [SHIFT_CNT__WIDTH-1:0]	SHIFT_CNT;
   wire [SHIFT_CNT__WIDTH-1:0]	SHIFT_CNT__DEFAULT;  

	//SHIFT_CNT - 16-1:0

   localparam  SHIFT_CNT_SHIFT_CNT__WIDTH  = 16;
   localparam [SHIFT_CNT_SHIFT_CNT__WIDTH-1:0] SHIFT_CNT_SHIFT_CNT__DEFAULT  = 'h0;
   

   localparam  SHIFT_CNT_SHIFT_CNT__MSB  = 16-1;
   localparam  SHIFT_CNT_SHIFT_CNT__LSB  = 0;
   

   assign SHIFT_CNT__DEFAULT
                 [SHIFT_CNT_SHIFT_CNT__MSB : 
                  SHIFT_CNT_SHIFT_CNT__LSB] =  
		  SHIFT_CNT_SHIFT_CNT__DEFAULT;
   

  ati_buffer1 mrk_shift_cnt_shift_cnt[SHIFT_CNT_SHIFT_CNT__WIDTH-1:0] 
  (
    .A(SHIFT_CNT
      [SHIFT_CNT_SHIFT_CNT__MSB :
       SHIFT_CNT_SHIFT_CNT__LSB
      ]),    
    .Y(shift_cnt[SHIFT_CNT_SHIFT_CNT__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(SHIFT_CNT__WIDTH)
   reg_SHIFT_CNT (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_shift_cnt_En),
                           .shift(Tdr_Shift & Tdr_shift_cnt_En),
                           .capture(Tdr_Capture & Tdr_shift_cnt_En),
                           .update(Tdr_Update & Tdr_shift_cnt_En),
                           .d_rst(SHIFT_CNT__DEFAULT),
                           .q(SHIFT_CNT),
                           .d(SHIFT_CNT),
                           .si(Tdr_Tdi),
                           .so(Tdr_shift_cnt_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - SHIFT_CNT /////
endmodule
