
//----------------------------------------------------------------------------
//
// Author :		 Lisa Grenier, N1-510 (Sunnyvale - Yan Dong), 44285 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /proj/ci_dfxip/user/lgrenier/dfxip4/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  

module smsg_gc2_rp_control_tdr_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> SMSG_CONTROL
 ,output wire [1-1:0] atemode
 ,output wire [1-1:0] fastmode
 ,output wire [1-1:0] smsclken_overrideen
 ,output wire [1-1:0] smsclken_overrideval
 ,output wire [1-1:0] rep_request_overrideen
 ,output wire [1-1:0] rep_request_overrideval
 ,output wire [1-1:0] safe_rr_overrideen
 ,output wire [1-1:0] safe_rr_overrideval
 ,output wire [1-1:0] sfp_dft_mode
 ,output wire [1-1:0] sfp_ready_overrideen
 ,output wire [1-1:0] sfp_ready_overrideval
 ,output wire [1-1:0] sfp_rstb_overrideen
 ,output wire [1-1:0] sfp_rstb_overrideval
 ,output wire [1-1:0] smartbihr_overrideen
 ,output wire [1-1:0] smartbihr_overrideval
 ,output wire [1-1:0] smartbisr_overrideen
 ,output wire [1-1:0] smartbisr_overrideval
 ,output wire [1-1:0] smartbist_overrideen
 ,output wire [1-1:0] smartbist_overrideval
 ,output wire [1-1:0] sms_done_overrideen
 ,output wire [1-1:0] sms_done_overrideval
 ,output wire [1-1:0] sms_rstb_overrideen
 ,output wire [1-1:0] sms_rstb_overrideval
 ,input Tdr_smsg_control_En
 ,output Tdr_smsg_control_Tdo
); // End of Port Declaration

///// START TDR_INST - SMSG_CONTROL /////

   localparam SMSG_CONTROL__WIDTH = 23;
   wire [SMSG_CONTROL__WIDTH-1:0]	SMSG_CONTROL;
   wire [SMSG_CONTROL__WIDTH-1:0]	SMSG_CONTROL__DEFAULT;  

	//SMSG_CONTROL - 0:0

   localparam  SMSG_CONTROL_ATEMODE__WIDTH  = 1;
   localparam [SMSG_CONTROL_ATEMODE__WIDTH-1:0] SMSG_CONTROL_ATEMODE__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_ATEMODE__MSB  = 0;
   localparam  SMSG_CONTROL_ATEMODE__LSB  = 0;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_ATEMODE__MSB : 
                  SMSG_CONTROL_ATEMODE__LSB] =  
		  SMSG_CONTROL_ATEMODE__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_atemode[SMSG_CONTROL_ATEMODE__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_ATEMODE__MSB :
       SMSG_CONTROL_ATEMODE__LSB
      ]),    
    .Y(atemode[SMSG_CONTROL_ATEMODE__WIDTH-1:0])
  );


	//SMSG_CONTROL - 1:1

   localparam  SMSG_CONTROL_FASTMODE__WIDTH  = 1;
   localparam [SMSG_CONTROL_FASTMODE__WIDTH-1:0] SMSG_CONTROL_FASTMODE__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_FASTMODE__MSB  = 1;
   localparam  SMSG_CONTROL_FASTMODE__LSB  = 1;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_FASTMODE__MSB : 
                  SMSG_CONTROL_FASTMODE__LSB] =  
		  SMSG_CONTROL_FASTMODE__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_fastmode[SMSG_CONTROL_FASTMODE__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_FASTMODE__MSB :
       SMSG_CONTROL_FASTMODE__LSB
      ]),    
    .Y(fastmode[SMSG_CONTROL_FASTMODE__WIDTH-1:0])
  );


	//SMSG_CONTROL - 6:6

   localparam  SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__MSB  = 6;
   localparam  SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__LSB  = 6;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smsclken_overrideen[SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__MSB :
       SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__LSB
      ]),    
    .Y(smsclken_overrideen[SMSG_CONTROL_SMSCLKEN_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 7:7

   localparam  SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__MSB  = 7;
   localparam  SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__LSB  = 7;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smsclken_overrideval[SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__LSB
      ]),    
    .Y(smsclken_overrideval[SMSG_CONTROL_SMSCLKEN_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 14:14

   localparam  SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__MSB  = 14;
   localparam  SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__LSB  = 14;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_rep_request_overrideen[SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__MSB :
       SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__LSB
      ]),    
    .Y(rep_request_overrideen[SMSG_CONTROL_REP_REQUEST_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 15:15

   localparam  SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__MSB  = 15;
   localparam  SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__LSB  = 15;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_rep_request_overrideval[SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__MSB :
       SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__LSB
      ]),    
    .Y(rep_request_overrideval[SMSG_CONTROL_REP_REQUEST_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 8:8

   localparam  SMSG_CONTROL_SAFE_RR_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SAFE_RR_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SAFE_RR_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SAFE_RR_OVERRIDEEN__MSB  = 8;
   localparam  SMSG_CONTROL_SAFE_RR_OVERRIDEEN__LSB  = 8;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SAFE_RR_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SAFE_RR_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SAFE_RR_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_safe_rr_overrideen[SMSG_CONTROL_SAFE_RR_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SAFE_RR_OVERRIDEEN__MSB :
       SMSG_CONTROL_SAFE_RR_OVERRIDEEN__LSB
      ]),    
    .Y(safe_rr_overrideen[SMSG_CONTROL_SAFE_RR_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 9:9

   localparam  SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__MSB  = 9;
   localparam  SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__LSB  = 9;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_safe_rr_overrideval[SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__LSB
      ]),    
    .Y(safe_rr_overrideval[SMSG_CONTROL_SAFE_RR_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 22:22

   localparam  SMSG_CONTROL_SFP_DFT_MODE__WIDTH  = 1;
   localparam [SMSG_CONTROL_SFP_DFT_MODE__WIDTH-1:0] SMSG_CONTROL_SFP_DFT_MODE__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SFP_DFT_MODE__MSB  = 22;
   localparam  SMSG_CONTROL_SFP_DFT_MODE__LSB  = 22;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SFP_DFT_MODE__MSB : 
                  SMSG_CONTROL_SFP_DFT_MODE__LSB] =  
		  SMSG_CONTROL_SFP_DFT_MODE__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sfp_dft_mode[SMSG_CONTROL_SFP_DFT_MODE__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SFP_DFT_MODE__MSB :
       SMSG_CONTROL_SFP_DFT_MODE__LSB
      ]),    
    .Y(sfp_dft_mode[SMSG_CONTROL_SFP_DFT_MODE__WIDTH-1:0])
  );


	//SMSG_CONTROL - 12:12

   localparam  SMSG_CONTROL_SFP_READY_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SFP_READY_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SFP_READY_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SFP_READY_OVERRIDEEN__MSB  = 12;
   localparam  SMSG_CONTROL_SFP_READY_OVERRIDEEN__LSB  = 12;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SFP_READY_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SFP_READY_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SFP_READY_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sfp_ready_overrideen[SMSG_CONTROL_SFP_READY_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SFP_READY_OVERRIDEEN__MSB :
       SMSG_CONTROL_SFP_READY_OVERRIDEEN__LSB
      ]),    
    .Y(sfp_ready_overrideen[SMSG_CONTROL_SFP_READY_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 13:13

   localparam  SMSG_CONTROL_SFP_READY_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SFP_READY_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SFP_READY_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SFP_READY_OVERRIDEVAL__MSB  = 13;
   localparam  SMSG_CONTROL_SFP_READY_OVERRIDEVAL__LSB  = 13;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SFP_READY_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SFP_READY_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SFP_READY_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sfp_ready_overrideval[SMSG_CONTROL_SFP_READY_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SFP_READY_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SFP_READY_OVERRIDEVAL__LSB
      ]),    
    .Y(sfp_ready_overrideval[SMSG_CONTROL_SFP_READY_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 2:2

   localparam  SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__MSB  = 2;
   localparam  SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__LSB  = 2;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sfp_rstb_overrideen[SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__MSB :
       SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__LSB
      ]),    
    .Y(sfp_rstb_overrideen[SMSG_CONTROL_SFP_RSTB_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 3:3

   localparam  SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__MSB  = 3;
   localparam  SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__LSB  = 3;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sfp_rstb_overrideval[SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__LSB
      ]),    
    .Y(sfp_rstb_overrideval[SMSG_CONTROL_SFP_RSTB_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 16:16

   localparam  SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__MSB  = 16;
   localparam  SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__LSB  = 16;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smartbihr_overrideen[SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__MSB :
       SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__LSB
      ]),    
    .Y(smartbihr_overrideen[SMSG_CONTROL_SMARTBIHR_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 17:17

   localparam  SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__MSB  = 17;
   localparam  SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__LSB  = 17;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smartbihr_overrideval[SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__LSB
      ]),    
    .Y(smartbihr_overrideval[SMSG_CONTROL_SMARTBIHR_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 20:20

   localparam  SMSG_CONTROL_SMARTBISR_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMARTBISR_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SMARTBISR_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMARTBISR_OVERRIDEEN__MSB  = 20;
   localparam  SMSG_CONTROL_SMARTBISR_OVERRIDEEN__LSB  = 20;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMARTBISR_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SMARTBISR_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SMARTBISR_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smartbisr_overrideen[SMSG_CONTROL_SMARTBISR_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMARTBISR_OVERRIDEEN__MSB :
       SMSG_CONTROL_SMARTBISR_OVERRIDEEN__LSB
      ]),    
    .Y(smartbisr_overrideen[SMSG_CONTROL_SMARTBISR_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 21:21

   localparam  SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__MSB  = 21;
   localparam  SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__LSB  = 21;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smartbisr_overrideval[SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__LSB
      ]),    
    .Y(smartbisr_overrideval[SMSG_CONTROL_SMARTBISR_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 18:18

   localparam  SMSG_CONTROL_SMARTBIST_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMARTBIST_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SMARTBIST_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMARTBIST_OVERRIDEEN__MSB  = 18;
   localparam  SMSG_CONTROL_SMARTBIST_OVERRIDEEN__LSB  = 18;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMARTBIST_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SMARTBIST_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SMARTBIST_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smartbist_overrideen[SMSG_CONTROL_SMARTBIST_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMARTBIST_OVERRIDEEN__MSB :
       SMSG_CONTROL_SMARTBIST_OVERRIDEEN__LSB
      ]),    
    .Y(smartbist_overrideen[SMSG_CONTROL_SMARTBIST_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 19:19

   localparam  SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__MSB  = 19;
   localparam  SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__LSB  = 19;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_smartbist_overrideval[SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__LSB
      ]),    
    .Y(smartbist_overrideval[SMSG_CONTROL_SMARTBIST_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 10:10

   localparam  SMSG_CONTROL_SMS_DONE_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMS_DONE_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SMS_DONE_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMS_DONE_OVERRIDEEN__MSB  = 10;
   localparam  SMSG_CONTROL_SMS_DONE_OVERRIDEEN__LSB  = 10;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMS_DONE_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SMS_DONE_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SMS_DONE_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sms_done_overrideen[SMSG_CONTROL_SMS_DONE_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMS_DONE_OVERRIDEEN__MSB :
       SMSG_CONTROL_SMS_DONE_OVERRIDEEN__LSB
      ]),    
    .Y(sms_done_overrideen[SMSG_CONTROL_SMS_DONE_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 11:11

   localparam  SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__MSB  = 11;
   localparam  SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__LSB  = 11;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sms_done_overrideval[SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__LSB
      ]),    
    .Y(sms_done_overrideval[SMSG_CONTROL_SMS_DONE_OVERRIDEVAL__WIDTH-1:0])
  );


	//SMSG_CONTROL - 4:4

   localparam  SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__WIDTH-1:0] SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__MSB  = 4;
   localparam  SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__LSB  = 4;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__MSB : 
                  SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__LSB] =  
		  SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sms_rstb_overrideen[SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__MSB :
       SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__LSB
      ]),    
    .Y(sms_rstb_overrideen[SMSG_CONTROL_SMS_RSTB_OVERRIDEEN__WIDTH-1:0])
  );


	//SMSG_CONTROL - 5:5

   localparam  SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__WIDTH  = 1;
   localparam [SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__WIDTH-1:0] SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__DEFAULT  = 1'h0;
   

   localparam  SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__MSB  = 5;
   localparam  SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__LSB  = 5;
   

   assign SMSG_CONTROL__DEFAULT
                 [SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__MSB : 
                  SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__LSB] =  
		  SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__DEFAULT;
   

  ati_buffer1 mrk_smsg_control_sms_rstb_overrideval[SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__WIDTH-1:0] 
  (
    .A(SMSG_CONTROL
      [SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__MSB :
       SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__LSB
      ]),    
    .Y(sms_rstb_overrideval[SMSG_CONTROL_SMS_RSTB_OVERRIDEVAL__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(SMSG_CONTROL__WIDTH)
   reg_SMSG_CONTROL (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_smsg_control_En),
                           .shift(Tdr_Shift & Tdr_smsg_control_En),
                           .capture(Tdr_Capture & Tdr_smsg_control_En),
                           .update(Tdr_Update & Tdr_smsg_control_En),
                           .d_rst(SMSG_CONTROL__DEFAULT),
                           .q(SMSG_CONTROL),
                           .d(SMSG_CONTROL),
                           .si(Tdr_Tdi),
                           .so(Tdr_smsg_control_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - SMSG_CONTROL /////
endmodule
