
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  

//`include "dftmisc_features.vh"




module spare_tdr_bits_gc10 ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> SPARE_TDR
 ,output wire [8-1-0+1-1:0] spare_bits
 ,input Tdr_spare_tdr_En
 ,output Tdr_spare_tdr_Tdo
); // End of Port Declaration

///// START TDR_INST - SPARE_TDR /////

   localparam SPARE_TDR__WIDTH = 8-1-0+1+0;
   wire [SPARE_TDR__WIDTH-1:0]	SPARE_TDR;
   wire [SPARE_TDR__WIDTH-1:0]	SPARE_TDR__DEFAULT;  

	//SPARE_TDR - 8-1:0

   localparam  SPARE_TDR_SPARE_BITS__WIDTH  = 8-1-0+1;
   localparam [SPARE_TDR_SPARE_BITS__WIDTH-1:0] SPARE_TDR_SPARE_BITS__DEFAULT  = 'h0;
   

   localparam  SPARE_TDR_SPARE_BITS__MSB  = 8-1;
   localparam  SPARE_TDR_SPARE_BITS__LSB  = 0;
   

   assign SPARE_TDR__DEFAULT
                 [SPARE_TDR_SPARE_BITS__MSB : 
                  SPARE_TDR_SPARE_BITS__LSB] =  
		  SPARE_TDR_SPARE_BITS__DEFAULT;
   

  ati_buffer1 mrk_spare_tdr_spare_bits[SPARE_TDR_SPARE_BITS__WIDTH-1:0] 
  (
    .A(SPARE_TDR
      [SPARE_TDR_SPARE_BITS__MSB :
       SPARE_TDR_SPARE_BITS__LSB
      ]),    
    .Y(spare_bits[SPARE_TDR_SPARE_BITS__WIDTH-1:0])
  );





   test_reg_async_rst_gc10
     #(SPARE_TDR__WIDTH)
   reg_SPARE_TDR (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_spare_tdr_En),
                           .shift(Tdr_Shift & Tdr_spare_tdr_En),
                           .capture(Tdr_Capture & Tdr_spare_tdr_En),
                           .update(Tdr_Update & Tdr_spare_tdr_En),
                           .d_rst(SPARE_TDR__DEFAULT),
                           .q(SPARE_TDR),
                           .d(SPARE_TDR),
                           .si(Tdr_Tdi),
                           .so(Tdr_spare_tdr_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - SPARE_TDR /////
endmodule
