
//----------------------------------------------------------------------------
//
// Author :		 Nehal Patel, N1-504 (Sunnyvale - Yan Dong), 44290 

//
// Notes  :		 DO NOT HAND EDIT THIS FILE!!!!!!
//	   		 This file was automatically derived from /local_vol1_nobackup/user/nepatel/dfxip4_0_tree1/dftmisc/src/meta/tools/scripts/odt2tdr_rtl.pl
//----------------------------------------------------------------------------
	  


module test_transistor_tdr ( 


//Broadcast to All TDRs
input Tdr_Tck,
input Tdr_Trstb,
input Tdr_Tdi,
input Tdr_Shift,
input Tdr_Capture,
input Tdr_Update



//TDR --> TEST_TRANSISTOR
 ,output wire [8-1:0] testtran_sel
 ,input Tdr_test_transistor_En
 ,output Tdr_test_transistor_Tdo
); // End of Port Declaration

///// START TDR_INST - TEST_TRANSISTOR /////

   localparam TEST_TRANSISTOR__WIDTH = 8;
   wire [TEST_TRANSISTOR__WIDTH-1:0]	TEST_TRANSISTOR;
   wire [TEST_TRANSISTOR__WIDTH-1:0]	TEST_TRANSISTOR__DEFAULT;  

	//TEST_TRANSISTOR - 7:0

   localparam  TEST_TRANSISTOR_TESTTRAN_SEL__WIDTH  = 8;
   localparam [TEST_TRANSISTOR_TESTTRAN_SEL__WIDTH-1:0] TEST_TRANSISTOR_TESTTRAN_SEL__DEFAULT  = 'h0;
   

   localparam  TEST_TRANSISTOR_TESTTRAN_SEL__MSB  = 7;
   localparam  TEST_TRANSISTOR_TESTTRAN_SEL__LSB  = 0;
   

   assign TEST_TRANSISTOR__DEFAULT
                 [TEST_TRANSISTOR_TESTTRAN_SEL__MSB : 
                  TEST_TRANSISTOR_TESTTRAN_SEL__LSB] =  
		  TEST_TRANSISTOR_TESTTRAN_SEL__DEFAULT;
   

  ati_buffer1 mrk_test_transistor_testtran_sel[TEST_TRANSISTOR_TESTTRAN_SEL__WIDTH-1:0] 
  (
    .A(TEST_TRANSISTOR
      [TEST_TRANSISTOR_TESTTRAN_SEL__MSB :
       TEST_TRANSISTOR_TESTTRAN_SEL__LSB
      ]),    
    .Y(testtran_sel[TEST_TRANSISTOR_TESTTRAN_SEL__WIDTH-1:0])
  );





   test_reg_async_rst
     #(TEST_TRANSISTOR__WIDTH)
   reg_TEST_TRANSISTOR (
                           .clk(Tdr_Tck),
                           .rstb(Tdr_Trstb),
                           .en(Tdr_test_transistor_En),
                           .shift(Tdr_Shift & Tdr_test_transistor_En),
                           .capture(Tdr_Capture & Tdr_test_transistor_En),
                           .update(Tdr_Update & Tdr_test_transistor_En),
                           .d_rst(TEST_TRANSISTOR__DEFAULT),
                           .q(TEST_TRANSISTOR),
                           .d(TEST_TRANSISTOR),
                           .si(Tdr_Tdi),
                           .so(Tdr_test_transistor_Tdo),
                           .q_sr(),
                           .q_sr_posedge()
                           );









///// END TDR_INST - TEST_TRANSISTOR /////
endmodule
